#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2820
#define LARGE_STATE_COUNT 641
#define SYMBOL_COUNT 410
#define ALIAS_COUNT 0
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 28
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym_object_creation_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_text_interpolation = 194,
  sym_text = 195,
  sym_statement = 196,
  sym_empty_statement = 197,
  sym_reference_modifier = 198,
  sym_function_static_declaration = 199,
  sym_static_variable_declaration = 200,
  sym_global_declaration = 201,
  sym_namespace_definition = 202,
  sym_namespace_use_declaration = 203,
  sym_namespace_use_clause = 204,
  sym_qualified_name = 205,
  sym_namespace_name_as_prefix = 206,
  sym_namespace_name = 207,
  sym_namespace_aliasing_clause = 208,
  sym_namespace_use_group = 209,
  sym_namespace_use_group_clause = 210,
  sym_trait_declaration = 211,
  sym_interface_declaration = 212,
  sym_base_clause = 213,
  sym_enum_declaration = 214,
  sym_enum_declaration_list = 215,
  sym__enum_member_declaration = 216,
  sym_enum_case = 217,
  sym_class_declaration = 218,
  sym_declaration_list = 219,
  sym_final_modifier = 220,
  sym_abstract_modifier = 221,
  sym_readonly_modifier = 222,
  sym_class_interface_clause = 223,
  sym__member_declaration = 224,
  sym_const_declaration = 225,
  sym__class_const_declaration = 226,
  sym__const_declaration = 227,
  sym_property_declaration = 228,
  sym__modifier = 229,
  sym_property_element = 230,
  sym_property_initializer = 231,
  sym_method_declaration = 232,
  sym_static_modifier = 233,
  sym_use_declaration = 234,
  sym_use_list = 235,
  sym_use_instead_of_clause = 236,
  sym_use_as_clause = 237,
  sym_visibility_modifier = 238,
  sym_function_definition = 239,
  sym__function_definition_header = 240,
  sym__arrow_function_header = 241,
  sym_arrow_function = 242,
  sym_formal_parameters = 243,
  sym_property_promotion_parameter = 244,
  sym_simple_parameter = 245,
  sym_variadic_parameter = 246,
  sym_type = 247,
  sym__types = 248,
  sym_named_type = 249,
  sym_optional_type = 250,
  sym_union_type = 251,
  sym_intersection_type = 252,
  sym_disjunctive_normal_form_type = 253,
  sym_primitive_type = 254,
  sym_cast_type = 255,
  sym__return_type = 256,
  sym_const_element = 257,
  sym_echo_statement = 258,
  sym_exit_statement = 259,
  sym_unset_statement = 260,
  sym_declare_statement = 261,
  sym_declare_directive = 262,
  sym_literal = 263,
  sym_try_statement = 264,
  sym_catch_clause = 265,
  sym_type_list = 266,
  sym_finally_clause = 267,
  sym_goto_statement = 268,
  sym_continue_statement = 269,
  sym_break_statement = 270,
  sym_return_statement = 271,
  sym_throw_expression = 272,
  sym_while_statement = 273,
  sym_do_statement = 274,
  sym_for_statement = 275,
  sym__expressions = 276,
  sym_sequence_expression = 277,
  sym_foreach_statement = 278,
  sym_foreach_pair = 279,
  sym_if_statement = 280,
  sym_colon_block = 281,
  sym_else_if_clause = 282,
  sym_else_clause = 283,
  sym_else_if_clause_2 = 284,
  sym_else_clause_2 = 285,
  sym_match_expression = 286,
  sym_match_block = 287,
  sym_match_condition_list = 288,
  sym_match_conditional_expression = 289,
  sym_match_default_expression = 290,
  sym_switch_statement = 291,
  sym_switch_block = 292,
  sym_case_statement = 293,
  sym_default_statement = 294,
  sym_compound_statement = 295,
  sym_named_label_statement = 296,
  sym_expression_statement = 297,
  sym_expression = 298,
  sym__unary_expression = 299,
  sym_unary_op_expression = 300,
  sym_error_suppression_expression = 301,
  sym_clone_expression = 302,
  sym_primary_expression = 303,
  sym_parenthesized_expression = 304,
  sym_class_constant_access_expression = 305,
  sym_print_intrinsic = 306,
  sym_anonymous_function_creation_expression = 307,
  sym_anonymous_function_use_clause = 308,
  sym_object_creation_expression = 309,
  sym_update_expression = 310,
  sym_cast_expression = 311,
  sym_cast_variable = 312,
  sym_assignment_expression = 313,
  sym_reference_assignment_expression = 314,
  sym_conditional_expression = 315,
  sym_augmented_assignment_expression = 316,
  sym_member_access_expression = 317,
  sym_nullsafe_member_access_expression = 318,
  sym_scoped_property_access_expression = 319,
  sym_list_literal = 320,
  sym__list_destructing = 321,
  sym__array_destructing = 322,
  sym__array_destructing_element = 323,
  sym_function_call_expression = 324,
  sym_scoped_call_expression = 325,
  sym__scope_resolution_qualifier = 326,
  sym_relative_scope = 327,
  sym_variadic_placeholder = 328,
  sym_arguments = 329,
  sym_argument = 330,
  sym__argument_name = 331,
  sym_member_call_expression = 332,
  sym_nullsafe_member_call_expression = 333,
  sym_variadic_unpacking = 334,
  sym_subscript_expression = 335,
  sym__dereferencable_expression = 336,
  sym_array_creation_expression = 337,
  sym_attribute_group = 338,
  sym_attribute_list = 339,
  sym_attribute = 340,
  sym__complex_string_part = 341,
  sym__simple_string_member_access_expression = 342,
  sym__simple_string_subscript_unary_expression = 343,
  sym__simple_string_array_access_argument = 344,
  sym__simple_string_subscript_expression = 345,
  sym__simple_string_part = 346,
  aux_sym__interpolated_string_body = 347,
  aux_sym__interpolated_string_body_heredoc = 348,
  sym_encapsed_string = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_heredoc_body = 352,
  sym_heredoc = 353,
  sym_nowdoc_body = 354,
  sym_nowdoc = 355,
  aux_sym__interpolated_execution_operator_body = 356,
  sym_shell_command_expression = 357,
  sym_boolean = 358,
  sym_null = 359,
  sym__string = 360,
  sym_dynamic_variable_name = 361,
  sym_variable_name = 362,
  sym_variable_reference = 363,
  sym_by_ref = 364,
  sym_yield_expression = 365,
  sym_array_element_initializer = 366,
  sym_binary_expression = 367,
  sym_include_expression = 368,
  sym_include_once_expression = 369,
  sym_require_expression = 370,
  sym_require_once_expression = 371,
  sym__reserved_identifier = 372,
  aux_sym_program_repeat1 = 373,
  aux_sym_text_repeat1 = 374,
  aux_sym_function_static_declaration_repeat1 = 375,
  aux_sym_global_declaration_repeat1 = 376,
  aux_sym_namespace_use_declaration_repeat1 = 377,
  aux_sym_namespace_name_repeat1 = 378,
  aux_sym_namespace_use_group_repeat1 = 379,
  aux_sym_base_clause_repeat1 = 380,
  aux_sym_enum_declaration_list_repeat1 = 381,
  aux_sym_class_declaration_repeat1 = 382,
  aux_sym_declaration_list_repeat1 = 383,
  aux_sym__const_declaration_repeat1 = 384,
  aux_sym_property_declaration_repeat1 = 385,
  aux_sym_use_list_repeat1 = 386,
  aux_sym_formal_parameters_repeat1 = 387,
  aux_sym_union_type_repeat1 = 388,
  aux_sym_intersection_type_repeat1 = 389,
  aux_sym_disjunctive_normal_form_type_repeat1 = 390,
  aux_sym_unset_statement_repeat1 = 391,
  aux_sym_try_statement_repeat1 = 392,
  aux_sym_type_list_repeat1 = 393,
  aux_sym_if_statement_repeat1 = 394,
  aux_sym_if_statement_repeat2 = 395,
  aux_sym_match_block_repeat1 = 396,
  aux_sym_match_condition_list_repeat1 = 397,
  aux_sym_switch_block_repeat1 = 398,
  aux_sym_anonymous_function_use_clause_repeat1 = 399,
  aux_sym__list_destructing_repeat1 = 400,
  aux_sym__array_destructing_repeat1 = 401,
  aux_sym_arguments_repeat1 = 402,
  aux_sym_array_creation_expression_repeat1 = 403,
  aux_sym_attribute_group_repeat1 = 404,
  aux_sym_attribute_list_repeat1 = 405,
  aux_sym_string_repeat1 = 406,
  aux_sym_string_content_repeat1 = 407,
  aux_sym_heredoc_body_repeat1 = 408,
  aux_sym_nowdoc_body_repeat1 = 409,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_initialize = 12,
  field_left = 13,
  field_name = 14,
  field_object = 15,
  field_operator = 16,
  field_parameters = 17,
  field_readonly = 18,
  field_reference_modifier = 19,
  field_return_expression = 20,
  field_return_type = 21,
  field_right = 22,
  field_scope = 23,
  field_static_modifier = 24,
  field_type = 25,
  field_update = 26,
  field_value = 27,
  field_visibility = 28,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 3},
  [52] = {.index = 100, .length = 2},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 102, .length = 1},
  [55] = {.index = 103, .length = 1},
  [56] = {.index = 104, .length = 3},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 115, .length = 3},
  [62] = {.index = 118, .length = 3},
  [63] = {.index = 121, .length = 3},
  [64] = {.index = 124, .length = 3},
  [65] = {.index = 127, .length = 3},
  [66] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 2},
  [70] = {.index = 139, .length = 3},
  [71] = {.index = 142, .length = 3},
  [72] = {.index = 145, .length = 2},
  [73] = {.index = 147, .length = 3},
  [74] = {.index = 150, .length = 2},
  [75] = {.index = 152, .length = 3},
  [76] = {.index = 155, .length = 3},
  [77] = {.index = 158, .length = 3},
  [78] = {.index = 161, .length = 2},
  [79] = {.index = 163, .length = 3},
  [80] = {.index = 166, .length = 4},
  [81] = {.index = 170, .length = 3},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 1},
  [84] = {.index = 177, .length = 3},
  [85] = {.index = 180, .length = 2},
  [86] = {.index = 182, .length = 2},
  [87] = {.index = 182, .length = 2},
  [88] = {.index = 184, .length = 2},
  [89] = {.index = 186, .length = 4},
  [90] = {.index = 190, .length = 2},
  [91] = {.index = 192, .length = 3},
  [92] = {.index = 195, .length = 3},
  [93] = {.index = 198, .length = 2},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 4},
  [97] = {.index = 209, .length = 4},
  [98] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 3},
  [100] = {.index = 219, .length = 3},
  [102] = {.index = 222, .length = 2},
  [103] = {.index = 224, .length = 4},
  [104] = {.index = 228, .length = 4},
  [105] = {.index = 232, .length = 3},
  [106] = {.index = 235, .length = 3},
  [107] = {.index = 238, .length = 4},
  [108] = {.index = 242, .length = 4},
  [109] = {.index = 246, .length = 3},
  [110] = {.index = 249, .length = 3},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 1},
  [113] = {.index = 256, .length = 2},
  [114] = {.index = 258, .length = 3},
  [115] = {.index = 261, .length = 4},
  [116] = {.index = 265, .length = 3},
  [117] = {.index = 268, .length = 3},
  [118] = {.index = 271, .length = 3},
  [119] = {.index = 274, .length = 3},
  [120] = {.index = 277, .length = 4},
  [121] = {.index = 281, .length = 4},
  [122] = {.index = 285, .length = 3},
  [123] = {.index = 288, .length = 4},
  [124] = {.index = 292, .length = 3},
  [125] = {.index = 295, .length = 4},
  [126] = {.index = 299, .length = 2},
  [127] = {.index = 301, .length = 4},
  [128] = {.index = 305, .length = 3},
  [129] = {.index = 308, .length = 4},
  [130] = {.index = 312, .length = 2},
  [131] = {.index = 314, .length = 1},
  [132] = {.index = 315, .length = 1},
  [133] = {.index = 316, .length = 2},
  [134] = {.index = 318, .length = 1},
  [137] = {.index = 319, .length = 3},
  [138] = {.index = 322, .length = 3},
  [139] = {.index = 325, .length = 3},
  [140] = {.index = 328, .length = 5},
  [141] = {.index = 333, .length = 4},
  [142] = {.index = 337, .length = 4},
  [143] = {.index = 341, .length = 3},
  [144] = {.index = 344, .length = 3},
  [145] = {.index = 347, .length = 5},
  [146] = {.index = 352, .length = 4},
  [147] = {.index = 356, .length = 4},
  [148] = {.index = 360, .length = 3},
  [149] = {.index = 360, .length = 3},
  [150] = {.index = 363, .length = 5},
  [151] = {.index = 368, .length = 5},
  [152] = {.index = 373, .length = 4},
  [153] = {.index = 377, .length = 4},
  [154] = {.index = 381, .length = 3},
  [155] = {.index = 384, .length = 2},
  [156] = {.index = 386, .length = 4},
  [157] = {.index = 390, .length = 4},
  [158] = {.index = 394, .length = 4},
  [159] = {.index = 398, .length = 4},
  [160] = {.index = 402, .length = 5},
  [161] = {.index = 407, .length = 4},
  [162] = {.index = 411, .length = 4},
  [163] = {.index = 415, .length = 4},
  [164] = {.index = 419, .length = 1},
  [165] = {.index = 420, .length = 4},
  [166] = {.index = 424, .length = 5},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 1},
  [169] = {.index = 432, .length = 2},
  [170] = {.index = 434, .length = 1},
  [171] = {.index = 435, .length = 2},
  [172] = {.index = 437, .length = 1},
  [173] = {.index = 438, .length = 2},
  [174] = {.index = 440, .length = 1},
  [175] = {.index = 441, .length = 3},
  [176] = {.index = 444, .length = 5},
  [177] = {.index = 449, .length = 5},
  [178] = {.index = 454, .length = 3},
  [179] = {.index = 457, .length = 6},
  [180] = {.index = 463, .length = 5},
  [181] = {.index = 468, .length = 5},
  [182] = {.index = 473, .length = 3},
  [183] = {.index = 476, .length = 5},
  [184] = {.index = 481, .length = 5},
  [185] = {.index = 486, .length = 5},
  [186] = {.index = 491, .length = 5},
  [187] = {.index = 496, .length = 2},
  [188] = {.index = 498, .length = 2},
  [189] = {.index = 500, .length = 3},
  [190] = {.index = 503, .length = 2},
  [191] = {.index = 505, .length = 3},
  [192] = {.index = 508, .length = 2},
  [193] = {.index = 510, .length = 3},
  [194] = {.index = 513, .length = 2},
  [195] = {.index = 515, .length = 3},
  [196] = {.index = 518, .length = 6},
  [197] = {.index = 524, .length = 6},
  [198] = {.index = 530, .length = 3},
  [199] = {.index = 533, .length = 3},
  [200] = {.index = 536, .length = 4},
  [201] = {.index = 540, .length = 2},
  [202] = {.index = 542, .length = 2},
  [203] = {.index = 544, .length = 2},
  [204] = {.index = 546, .length = 3},
  [205] = {.index = 549, .length = 3},
  [206] = {.index = 552, .length = 3},
  [207] = {.index = 555, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [102] =
    {field_reference_modifier, 0},
  [103] =
    {field_name, 0, .inherited = true},
  [104] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [107] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [109] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [111] =
    {field_alternative, 3},
    {field_condition, 0},
  [113] =
    {field_left, 0},
    {field_right, 3},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [118] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [124] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [130] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [173] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [176] =
    {field_type, 1, .inherited = true},
  [177] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [180] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_body, 4},
    {field_name, 1},
  [184] =
    {field_body, 1},
    {field_condition, 3},
  [186] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [190] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [192] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [200] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [203] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [205] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [209] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [213] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [216] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [219] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [222] =
    {field_name, 3},
    {field_object, 0},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [235] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [238] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [242] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [249] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [255] =
    {field_type, 2},
  [256] =
    {field_body, 4},
    {field_name, 2},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [305] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [308] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [312] =
    {field_body, 5},
    {field_name, 1},
  [314] =
    {field_body, 5},
  [315] =
    {field_return_expression, 2},
  [316] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [318] =
    {field_value, 1},
  [319] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [322] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [325] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [328] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [333] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [337] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [341] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [344] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [347] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [356] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [363] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [368] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [373] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [377] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [381] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [384] =
    {field_body, 5},
    {field_name, 2},
  [386] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [390] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [394] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [398] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [402] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [411] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [415] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [419] =
    {field_attributes, 0},
  [420] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [424] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [429] =
    {field_body, 4},
    {field_type, 2},
  [431] =
    {field_update, 4},
  [432] =
    {field_body, 6},
    {field_update, 4},
  [434] =
    {field_condition, 3},
  [435] =
    {field_body, 6},
    {field_condition, 3},
  [437] =
    {field_initialize, 2},
  [438] =
    {field_body, 6},
    {field_initialize, 2},
  [440] =
    {field_body, 6},
  [441] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [444] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [449] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [454] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [457] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [463] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [468] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [476] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [481] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [491] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [496] =
    {field_attributes, 0},
    {field_type, 2},
  [498] =
    {field_name, 1},
    {field_value, 3},
  [500] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [503] =
    {field_condition, 3},
    {field_update, 5},
  [505] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [508] =
    {field_initialize, 2},
    {field_update, 5},
  [510] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [513] =
    {field_condition, 4},
    {field_initialize, 2},
  [515] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [518] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [524] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [530] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [533] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [536] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [540] =
    {field_body, 7},
    {field_update, 4},
  [542] =
    {field_body, 7},
    {field_condition, 3},
  [544] =
    {field_body, 7},
    {field_initialize, 2},
  [546] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [549] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [552] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [555] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [86] = {
    [3] = sym_primitive_type,
  },
  [101] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [135] = {
    [3] = sym_list_literal,
  },
  [136] = {
    [4] = sym_list_literal,
  },
  [148] = {
    [4] = sym_primitive_type,
  },
  [178] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 7,
  [11] = 9,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 20,
  [24] = 20,
  [25] = 25,
  [26] = 22,
  [27] = 27,
  [28] = 17,
  [29] = 29,
  [30] = 18,
  [31] = 31,
  [32] = 18,
  [33] = 22,
  [34] = 25,
  [35] = 27,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 27,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 31,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 27,
  [50] = 19,
  [51] = 21,
  [52] = 52,
  [53] = 53,
  [54] = 16,
  [55] = 55,
  [56] = 44,
  [57] = 37,
  [58] = 43,
  [59] = 46,
  [60] = 21,
  [61] = 55,
  [62] = 44,
  [63] = 63,
  [64] = 48,
  [65] = 52,
  [66] = 63,
  [67] = 67,
  [68] = 19,
  [69] = 19,
  [70] = 48,
  [71] = 43,
  [72] = 17,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 41,
  [77] = 52,
  [78] = 17,
  [79] = 29,
  [80] = 21,
  [81] = 29,
  [82] = 44,
  [83] = 83,
  [84] = 48,
  [85] = 85,
  [86] = 86,
  [87] = 16,
  [88] = 88,
  [89] = 22,
  [90] = 88,
  [91] = 86,
  [92] = 43,
  [93] = 29,
  [94] = 85,
  [95] = 52,
  [96] = 83,
  [97] = 53,
  [98] = 47,
  [99] = 74,
  [100] = 16,
  [101] = 101,
  [102] = 20,
  [103] = 73,
  [104] = 75,
  [105] = 38,
  [106] = 18,
  [107] = 40,
  [108] = 108,
  [109] = 108,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 111,
  [114] = 108,
  [115] = 108,
  [116] = 116,
  [117] = 116,
  [118] = 116,
  [119] = 116,
  [120] = 120,
  [121] = 120,
  [122] = 122,
  [123] = 120,
  [124] = 122,
  [125] = 122,
  [126] = 120,
  [127] = 122,
  [128] = 120,
  [129] = 122,
  [130] = 122,
  [131] = 122,
  [132] = 132,
  [133] = 132,
  [134] = 134,
  [135] = 132,
  [136] = 132,
  [137] = 132,
  [138] = 134,
  [139] = 134,
  [140] = 132,
  [141] = 134,
  [142] = 132,
  [143] = 132,
  [144] = 134,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 145,
  [149] = 147,
  [150] = 147,
  [151] = 146,
  [152] = 152,
  [153] = 147,
  [154] = 146,
  [155] = 147,
  [156] = 146,
  [157] = 152,
  [158] = 147,
  [159] = 147,
  [160] = 147,
  [161] = 146,
  [162] = 146,
  [163] = 146,
  [164] = 146,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 168,
  [170] = 166,
  [171] = 171,
  [172] = 171,
  [173] = 173,
  [174] = 173,
  [175] = 165,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 180,
  [183] = 177,
  [184] = 176,
  [185] = 179,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 190,
  [194] = 194,
  [195] = 195,
  [196] = 192,
  [197] = 194,
  [198] = 192,
  [199] = 199,
  [200] = 190,
  [201] = 189,
  [202] = 194,
  [203] = 191,
  [204] = 190,
  [205] = 205,
  [206] = 199,
  [207] = 189,
  [208] = 199,
  [209] = 195,
  [210] = 194,
  [211] = 189,
  [212] = 205,
  [213] = 199,
  [214] = 195,
  [215] = 192,
  [216] = 205,
  [217] = 191,
  [218] = 205,
  [219] = 195,
  [220] = 191,
  [221] = 221,
  [222] = 222,
  [223] = 222,
  [224] = 224,
  [225] = 225,
  [226] = 221,
  [227] = 221,
  [228] = 228,
  [229] = 221,
  [230] = 225,
  [231] = 231,
  [232] = 232,
  [233] = 221,
  [234] = 224,
  [235] = 221,
  [236] = 236,
  [237] = 237,
  [238] = 236,
  [239] = 239,
  [240] = 240,
  [241] = 239,
  [242] = 242,
  [243] = 243,
  [244] = 242,
  [245] = 242,
  [246] = 246,
  [247] = 247,
  [248] = 239,
  [249] = 246,
  [250] = 239,
  [251] = 240,
  [252] = 243,
  [253] = 239,
  [254] = 240,
  [255] = 255,
  [256] = 240,
  [257] = 243,
  [258] = 258,
  [259] = 239,
  [260] = 243,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 263,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 272,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 266,
  [278] = 270,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 282,
  [289] = 279,
  [290] = 290,
  [291] = 280,
  [292] = 263,
  [293] = 281,
  [294] = 282,
  [295] = 283,
  [296] = 296,
  [297] = 283,
  [298] = 298,
  [299] = 265,
  [300] = 267,
  [301] = 284,
  [302] = 263,
  [303] = 285,
  [304] = 267,
  [305] = 284,
  [306] = 269,
  [307] = 286,
  [308] = 287,
  [309] = 285,
  [310] = 290,
  [311] = 311,
  [312] = 286,
  [313] = 287,
  [314] = 290,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 269,
  [320] = 320,
  [321] = 321,
  [322] = 298,
  [323] = 323,
  [324] = 318,
  [325] = 276,
  [326] = 326,
  [327] = 327,
  [328] = 323,
  [329] = 321,
  [330] = 330,
  [331] = 281,
  [332] = 332,
  [333] = 298,
  [334] = 280,
  [335] = 335,
  [336] = 275,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 269,
  [341] = 321,
  [342] = 342,
  [343] = 343,
  [344] = 265,
  [345] = 345,
  [346] = 346,
  [347] = 318,
  [348] = 271,
  [349] = 349,
  [350] = 350,
  [351] = 315,
  [352] = 352,
  [353] = 353,
  [354] = 274,
  [355] = 355,
  [356] = 356,
  [357] = 298,
  [358] = 262,
  [359] = 359,
  [360] = 279,
  [361] = 315,
  [362] = 323,
  [363] = 363,
  [364] = 364,
  [365] = 269,
  [366] = 290,
  [367] = 367,
  [368] = 287,
  [369] = 286,
  [370] = 267,
  [371] = 327,
  [372] = 285,
  [373] = 284,
  [374] = 283,
  [375] = 375,
  [376] = 282,
  [377] = 298,
  [378] = 265,
  [379] = 281,
  [380] = 265,
  [381] = 298,
  [382] = 338,
  [383] = 280,
  [384] = 279,
  [385] = 270,
  [386] = 266,
  [387] = 375,
  [388] = 263,
  [389] = 269,
  [390] = 267,
  [391] = 318,
  [392] = 337,
  [393] = 332,
  [394] = 270,
  [395] = 276,
  [396] = 275,
  [397] = 330,
  [398] = 274,
  [399] = 367,
  [400] = 363,
  [401] = 296,
  [402] = 317,
  [403] = 326,
  [404] = 404,
  [405] = 327,
  [406] = 263,
  [407] = 262,
  [408] = 272,
  [409] = 409,
  [410] = 271,
  [411] = 326,
  [412] = 330,
  [413] = 332,
  [414] = 337,
  [415] = 317,
  [416] = 267,
  [417] = 335,
  [418] = 338,
  [419] = 269,
  [420] = 367,
  [421] = 296,
  [422] = 296,
  [423] = 317,
  [424] = 265,
  [425] = 298,
  [426] = 367,
  [427] = 267,
  [428] = 326,
  [429] = 266,
  [430] = 269,
  [431] = 265,
  [432] = 265,
  [433] = 330,
  [434] = 321,
  [435] = 298,
  [436] = 332,
  [437] = 337,
  [438] = 338,
  [439] = 276,
  [440] = 363,
  [441] = 275,
  [442] = 298,
  [443] = 274,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 262,
  [449] = 375,
  [450] = 363,
  [451] = 272,
  [452] = 271,
  [453] = 375,
  [454] = 335,
  [455] = 298,
  [456] = 265,
  [457] = 315,
  [458] = 335,
  [459] = 269,
  [460] = 265,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 464,
  [466] = 463,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 474,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 474,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 474,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 474,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 469,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 468,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 481,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 480,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 633,
  [635] = 633,
  [636] = 633,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 660,
  [663] = 663,
  [664] = 646,
  [665] = 642,
  [666] = 645,
  [667] = 644,
  [668] = 641,
  [669] = 669,
  [670] = 643,
  [671] = 643,
  [672] = 660,
  [673] = 660,
  [674] = 647,
  [675] = 655,
  [676] = 663,
  [677] = 640,
  [678] = 657,
  [679] = 639,
  [680] = 658,
  [681] = 637,
  [682] = 653,
  [683] = 659,
  [684] = 648,
  [685] = 652,
  [686] = 686,
  [687] = 649,
  [688] = 656,
  [689] = 654,
  [690] = 651,
  [691] = 686,
  [692] = 650,
  [693] = 693,
  [694] = 638,
  [695] = 661,
  [696] = 696,
  [697] = 697,
  [698] = 663,
  [699] = 661,
  [700] = 700,
  [701] = 663,
  [702] = 702,
  [703] = 702,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 657,
  [709] = 709,
  [710] = 642,
  [711] = 641,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 714,
  [716] = 646,
  [717] = 645,
  [718] = 644,
  [719] = 719,
  [720] = 659,
  [721] = 649,
  [722] = 655,
  [723] = 654,
  [724] = 658,
  [725] = 725,
  [726] = 657,
  [727] = 727,
  [728] = 653,
  [729] = 729,
  [730] = 647,
  [731] = 652,
  [732] = 651,
  [733] = 639,
  [734] = 637,
  [735] = 725,
  [736] = 638,
  [737] = 648,
  [738] = 738,
  [739] = 727,
  [740] = 640,
  [741] = 650,
  [742] = 656,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 738,
  [748] = 729,
  [749] = 644,
  [750] = 645,
  [751] = 751,
  [752] = 646,
  [753] = 753,
  [754] = 754,
  [755] = 641,
  [756] = 642,
  [757] = 644,
  [758] = 713,
  [759] = 754,
  [760] = 760,
  [761] = 761,
  [762] = 746,
  [763] = 745,
  [764] = 764,
  [765] = 765,
  [766] = 645,
  [767] = 646,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 751,
  [772] = 772,
  [773] = 773,
  [774] = 644,
  [775] = 770,
  [776] = 776,
  [777] = 642,
  [778] = 641,
  [779] = 646,
  [780] = 645,
  [781] = 781,
  [782] = 782,
  [783] = 642,
  [784] = 641,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 653,
  [790] = 647,
  [791] = 649,
  [792] = 652,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 651,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 632,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 648,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 650,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 654,
  [819] = 656,
  [820] = 640,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 638,
  [826] = 637,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 639,
  [832] = 658,
  [833] = 659,
  [834] = 655,
  [835] = 835,
  [836] = 469,
  [837] = 837,
  [838] = 761,
  [839] = 719,
  [840] = 709,
  [841] = 753,
  [842] = 842,
  [843] = 644,
  [844] = 645,
  [845] = 845,
  [846] = 646,
  [847] = 714,
  [848] = 712,
  [849] = 849,
  [850] = 713,
  [851] = 468,
  [852] = 641,
  [853] = 642,
  [854] = 714,
  [855] = 855,
  [856] = 855,
  [857] = 657,
  [858] = 658,
  [859] = 659,
  [860] = 655,
  [861] = 640,
  [862] = 638,
  [863] = 863,
  [864] = 653,
  [865] = 865,
  [866] = 647,
  [867] = 867,
  [868] = 649,
  [869] = 651,
  [870] = 870,
  [871] = 637,
  [872] = 652,
  [873] = 648,
  [874] = 639,
  [875] = 656,
  [876] = 654,
  [877] = 865,
  [878] = 650,
  [879] = 870,
  [880] = 782,
  [881] = 745,
  [882] = 746,
  [883] = 646,
  [884] = 645,
  [885] = 644,
  [886] = 886,
  [887] = 754,
  [888] = 645,
  [889] = 776,
  [890] = 890,
  [891] = 891,
  [892] = 642,
  [893] = 641,
  [894] = 894,
  [895] = 745,
  [896] = 646,
  [897] = 886,
  [898] = 480,
  [899] = 743,
  [900] = 657,
  [901] = 641,
  [902] = 886,
  [903] = 641,
  [904] = 642,
  [905] = 642,
  [906] = 644,
  [907] = 772,
  [908] = 753,
  [909] = 894,
  [910] = 705,
  [911] = 738,
  [912] = 912,
  [913] = 729,
  [914] = 912,
  [915] = 765,
  [916] = 481,
  [917] = 729,
  [918] = 713,
  [919] = 760,
  [920] = 890,
  [921] = 738,
  [922] = 894,
  [923] = 761,
  [924] = 924,
  [925] = 894,
  [926] = 764,
  [927] = 894,
  [928] = 754,
  [929] = 924,
  [930] = 746,
  [931] = 644,
  [932] = 645,
  [933] = 769,
  [934] = 646,
  [935] = 795,
  [936] = 638,
  [937] = 806,
  [938] = 804,
  [939] = 802,
  [940] = 654,
  [941] = 650,
  [942] = 827,
  [943] = 639,
  [944] = 816,
  [945] = 828,
  [946] = 761,
  [947] = 656,
  [948] = 793,
  [949] = 788,
  [950] = 809,
  [951] = 648,
  [952] = 787,
  [953] = 652,
  [954] = 637,
  [955] = 800,
  [956] = 651,
  [957] = 649,
  [958] = 647,
  [959] = 794,
  [960] = 653,
  [961] = 805,
  [962] = 811,
  [963] = 817,
  [964] = 796,
  [965] = 830,
  [966] = 640,
  [967] = 801,
  [968] = 824,
  [969] = 798,
  [970] = 810,
  [971] = 823,
  [972] = 814,
  [973] = 632,
  [974] = 799,
  [975] = 812,
  [976] = 658,
  [977] = 655,
  [978] = 659,
  [979] = 761,
  [980] = 821,
  [981] = 829,
  [982] = 807,
  [983] = 835,
  [984] = 849,
  [985] = 815,
  [986] = 845,
  [987] = 753,
  [988] = 842,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 639,
  [1013] = 640,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 638,
  [1017] = 637,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 481,
  [1056] = 1056,
  [1057] = 480,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1091,
  [1094] = 1075,
  [1095] = 1084,
  [1096] = 1083,
  [1097] = 1078,
  [1098] = 1085,
  [1099] = 1090,
  [1100] = 1088,
  [1101] = 1089,
  [1102] = 1077,
  [1103] = 1060,
  [1104] = 1062,
  [1105] = 1069,
  [1106] = 1071,
  [1107] = 1079,
  [1108] = 1068,
  [1109] = 1064,
  [1110] = 1082,
  [1111] = 1061,
  [1112] = 1066,
  [1113] = 1080,
  [1114] = 1092,
  [1115] = 1081,
  [1116] = 1087,
  [1117] = 1058,
  [1118] = 1076,
  [1119] = 1074,
  [1120] = 1067,
  [1121] = 1070,
  [1122] = 1086,
  [1123] = 1073,
  [1124] = 1059,
  [1125] = 990,
  [1126] = 1051,
  [1127] = 1069,
  [1128] = 1071,
  [1129] = 1070,
  [1130] = 1079,
  [1131] = 1019,
  [1132] = 1023,
  [1133] = 1081,
  [1134] = 1091,
  [1135] = 1004,
  [1136] = 1136,
  [1137] = 1014,
  [1138] = 1026,
  [1139] = 1027,
  [1140] = 1001,
  [1141] = 1046,
  [1142] = 1031,
  [1143] = 989,
  [1144] = 1032,
  [1145] = 1033,
  [1146] = 1034,
  [1147] = 1068,
  [1148] = 1035,
  [1149] = 1082,
  [1150] = 1059,
  [1151] = 1005,
  [1152] = 1043,
  [1153] = 1007,
  [1154] = 1009,
  [1155] = 1078,
  [1156] = 992,
  [1157] = 1080,
  [1158] = 1045,
  [1159] = 1060,
  [1160] = 1073,
  [1161] = 1058,
  [1162] = 1074,
  [1163] = 997,
  [1164] = 991,
  [1165] = 996,
  [1166] = 1018,
  [1167] = 1077,
  [1168] = 1076,
  [1169] = 1066,
  [1170] = 1010,
  [1171] = 1011,
  [1172] = 1024,
  [1173] = 1084,
  [1174] = 1085,
  [1175] = 1175,
  [1176] = 1086,
  [1177] = 1047,
  [1178] = 1048,
  [1179] = 1049,
  [1180] = 1006,
  [1181] = 1050,
  [1182] = 1067,
  [1183] = 1030,
  [1184] = 1029,
  [1185] = 1028,
  [1186] = 993,
  [1187] = 994,
  [1188] = 1092,
  [1189] = 1087,
  [1190] = 1020,
  [1191] = 1002,
  [1192] = 1015,
  [1193] = 1052,
  [1194] = 1053,
  [1195] = 1025,
  [1196] = 998,
  [1197] = 1021,
  [1198] = 1061,
  [1199] = 1088,
  [1200] = 1075,
  [1201] = 1062,
  [1202] = 1090,
  [1203] = 1083,
  [1204] = 1008,
  [1205] = 1041,
  [1206] = 1044,
  [1207] = 1042,
  [1208] = 1064,
  [1209] = 1040,
  [1210] = 1054,
  [1211] = 640,
  [1212] = 1089,
  [1213] = 638,
  [1214] = 637,
  [1215] = 468,
  [1216] = 999,
  [1217] = 639,
  [1218] = 1036,
  [1219] = 469,
  [1220] = 995,
  [1221] = 1000,
  [1222] = 1037,
  [1223] = 1039,
  [1224] = 1003,
  [1225] = 1022,
  [1226] = 1038,
  [1227] = 1066,
  [1228] = 1060,
  [1229] = 1229,
  [1230] = 1081,
  [1231] = 1082,
  [1232] = 1061,
  [1233] = 1075,
  [1234] = 1090,
  [1235] = 1083,
  [1236] = 1088,
  [1237] = 1064,
  [1238] = 1078,
  [1239] = 1059,
  [1240] = 1087,
  [1241] = 1086,
  [1242] = 1085,
  [1243] = 1084,
  [1244] = 1244,
  [1245] = 1070,
  [1246] = 1080,
  [1247] = 1077,
  [1248] = 1058,
  [1249] = 1068,
  [1250] = 1091,
  [1251] = 1229,
  [1252] = 1252,
  [1253] = 1067,
  [1254] = 1092,
  [1255] = 1089,
  [1256] = 1076,
  [1257] = 1079,
  [1258] = 1071,
  [1259] = 1074,
  [1260] = 1073,
  [1261] = 1069,
  [1262] = 1262,
  [1263] = 1062,
  [1264] = 1244,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1064,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1064,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1277,
  [1287] = 1278,
  [1288] = 1265,
  [1289] = 1273,
  [1290] = 1290,
  [1291] = 1277,
  [1292] = 1277,
  [1293] = 1293,
  [1294] = 1273,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1290,
  [1298] = 1284,
  [1299] = 1284,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1278,
  [1306] = 1306,
  [1307] = 1296,
  [1308] = 1295,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1317,
  [1320] = 1278,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1265,
  [1324] = 1284,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1326,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1326,
  [1335] = 1333,
  [1336] = 1326,
  [1337] = 1337,
  [1338] = 1333,
  [1339] = 1326,
  [1340] = 1325,
  [1341] = 1341,
  [1342] = 1337,
  [1343] = 1343,
  [1344] = 1325,
  [1345] = 1333,
  [1346] = 1333,
  [1347] = 1329,
  [1348] = 1348,
  [1349] = 1326,
  [1350] = 1329,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1329,
  [1354] = 1326,
  [1355] = 1329,
  [1356] = 1333,
  [1357] = 1333,
  [1358] = 1326,
  [1359] = 1337,
  [1360] = 1326,
  [1361] = 1361,
  [1362] = 1325,
  [1363] = 1363,
  [1364] = 1333,
  [1365] = 1325,
  [1366] = 1352,
  [1367] = 1329,
  [1368] = 1368,
  [1369] = 1327,
  [1370] = 1370,
  [1371] = 1343,
  [1372] = 1348,
  [1373] = 1343,
  [1374] = 1337,
  [1375] = 1327,
  [1376] = 1343,
  [1377] = 1325,
  [1378] = 1368,
  [1379] = 1348,
  [1380] = 1333,
  [1381] = 1361,
  [1382] = 1333,
  [1383] = 1343,
  [1384] = 1327,
  [1385] = 1326,
  [1386] = 1329,
  [1387] = 1368,
  [1388] = 1327,
  [1389] = 1327,
  [1390] = 1343,
  [1391] = 1361,
  [1392] = 1325,
  [1393] = 1368,
  [1394] = 1325,
  [1395] = 1325,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1396,
  [1403] = 1401,
  [1404] = 1399,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1409,
  [1416] = 1416,
  [1417] = 1409,
  [1418] = 1411,
  [1419] = 1413,
  [1420] = 1416,
  [1421] = 1413,
  [1422] = 1411,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1425,
  [1427] = 1424,
  [1428] = 1424,
  [1429] = 1425,
  [1430] = 1430,
  [1431] = 1430,
  [1432] = 1432,
  [1433] = 1432,
  [1434] = 1434,
  [1435] = 1434,
  [1436] = 1434,
  [1437] = 1407,
  [1438] = 1438,
  [1439] = 1408,
  [1440] = 1440,
  [1441] = 1414,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1443,
  [1447] = 1410,
  [1448] = 1423,
  [1449] = 1412,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1450,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1477,
  [1486] = 1486,
  [1487] = 1478,
  [1488] = 1488,
  [1489] = 1486,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1490,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1500,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1511,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1513,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 782,
  [1525] = 1521,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1523,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1534,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1536,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 713,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 656,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1559,
  [1563] = 1559,
  [1564] = 1564,
  [1565] = 1559,
  [1566] = 1564,
  [1567] = 1558,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1558,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1559,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 656,
  [1577] = 656,
  [1578] = 1578,
  [1579] = 1560,
  [1580] = 1559,
  [1581] = 1558,
  [1582] = 1582,
  [1583] = 1560,
  [1584] = 1564,
  [1585] = 1559,
  [1586] = 1564,
  [1587] = 1564,
  [1588] = 1558,
  [1589] = 1558,
  [1590] = 1558,
  [1591] = 1564,
  [1592] = 1592,
  [1593] = 1558,
  [1594] = 1594,
  [1595] = 1559,
  [1596] = 1596,
  [1597] = 1558,
  [1598] = 1558,
  [1599] = 1560,
  [1600] = 1564,
  [1601] = 1558,
  [1602] = 1559,
  [1603] = 1558,
  [1604] = 1558,
  [1605] = 1559,
  [1606] = 1564,
  [1607] = 1564,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1559,
  [1611] = 1564,
  [1612] = 1564,
  [1613] = 1560,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 461,
  [1617] = 462,
  [1618] = 1618,
  [1619] = 1510,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1621,
  [1623] = 1620,
  [1624] = 1624,
  [1625] = 1614,
  [1626] = 1615,
  [1627] = 652,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1628,
  [1631] = 738,
  [1632] = 1632,
  [1633] = 1629,
  [1634] = 729,
  [1635] = 1635,
  [1636] = 1481,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 656,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 863,
  [1643] = 654,
  [1644] = 644,
  [1645] = 1645,
  [1646] = 644,
  [1647] = 1647,
  [1648] = 1510,
  [1649] = 1637,
  [1650] = 1650,
  [1651] = 1628,
  [1652] = 1652,
  [1653] = 1629,
  [1654] = 729,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1628,
  [1658] = 729,
  [1659] = 738,
  [1660] = 1660,
  [1661] = 1629,
  [1662] = 1637,
  [1663] = 1663,
  [1664] = 1629,
  [1665] = 738,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1629,
  [1671] = 1628,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 654,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1650,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 464,
  [1687] = 1687,
  [1688] = 1685,
  [1689] = 1676,
  [1690] = 463,
  [1691] = 1677,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1678,
  [1695] = 1650,
  [1696] = 1696,
  [1697] = 1673,
  [1698] = 464,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1679,
  [1703] = 1703,
  [1704] = 1700,
  [1705] = 1632,
  [1706] = 1706,
  [1707] = 1645,
  [1708] = 1684,
  [1709] = 1693,
  [1710] = 656,
  [1711] = 1683,
  [1712] = 1706,
  [1713] = 1713,
  [1714] = 1713,
  [1715] = 1682,
  [1716] = 656,
  [1717] = 1675,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1699,
  [1721] = 1721,
  [1722] = 1667,
  [1723] = 1723,
  [1724] = 1667,
  [1725] = 1692,
  [1726] = 1669,
  [1727] = 1703,
  [1728] = 1681,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1701,
  [1734] = 1734,
  [1735] = 463,
  [1736] = 1718,
  [1737] = 1696,
  [1738] = 1738,
  [1739] = 652,
  [1740] = 1510,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 652,
  [1744] = 1729,
  [1745] = 1745,
  [1746] = 1687,
  [1747] = 1669,
  [1748] = 1645,
  [1749] = 1749,
  [1750] = 1632,
  [1751] = 654,
  [1752] = 1721,
  [1753] = 1549,
  [1754] = 1543,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1755,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 483,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1537,
  [1766] = 472,
  [1767] = 1761,
  [1768] = 487,
  [1769] = 1755,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1761,
  [1773] = 1760,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 471,
  [1778] = 478,
  [1779] = 1771,
  [1780] = 1755,
  [1781] = 1763,
  [1782] = 1782,
  [1783] = 1546,
  [1784] = 484,
  [1785] = 1548,
  [1786] = 479,
  [1787] = 1533,
  [1788] = 1761,
  [1789] = 1541,
  [1790] = 1761,
  [1791] = 1552,
  [1792] = 1792,
  [1793] = 1761,
  [1794] = 1794,
  [1795] = 1537,
  [1796] = 1776,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1782,
  [1801] = 1755,
  [1802] = 467,
  [1803] = 1803,
  [1804] = 1761,
  [1805] = 1761,
  [1806] = 1527,
  [1807] = 1543,
  [1808] = 1549,
  [1809] = 1672,
  [1810] = 1761,
  [1811] = 1755,
  [1812] = 1812,
  [1813] = 1755,
  [1814] = 477,
  [1815] = 1755,
  [1816] = 1816,
  [1817] = 473,
  [1818] = 485,
  [1819] = 1792,
  [1820] = 1758,
  [1821] = 1759,
  [1822] = 1822,
  [1823] = 476,
  [1824] = 1794,
  [1825] = 1755,
  [1826] = 1761,
  [1827] = 1541,
  [1828] = 1828,
  [1829] = 489,
  [1830] = 1755,
  [1831] = 1548,
  [1832] = 1522,
  [1833] = 1833,
  [1834] = 490,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 491,
  [1838] = 1755,
  [1839] = 1755,
  [1840] = 486,
  [1841] = 1841,
  [1842] = 1552,
  [1843] = 1529,
  [1844] = 1844,
  [1845] = 1761,
  [1846] = 1836,
  [1847] = 1518,
  [1848] = 470,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 705,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1854,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1854,
  [1865] = 1863,
  [1866] = 1854,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1851,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1533,
  [1914] = 1892,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1553,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1532,
  [1923] = 1883,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1870,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1924,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1812,
  [1948] = 1948,
  [1949] = 1856,
  [1950] = 1858,
  [1951] = 1951,
  [1952] = 1859,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1872,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1861,
  [1960] = 1556,
  [1961] = 1555,
  [1962] = 1862,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1926,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1953,
  [1970] = 1940,
  [1971] = 1939,
  [1972] = 1938,
  [1973] = 1937,
  [1974] = 1936,
  [1975] = 1935,
  [1976] = 1934,
  [1977] = 1917,
  [1978] = 1916,
  [1979] = 1915,
  [1980] = 1860,
  [1981] = 1919,
  [1982] = 1912,
  [1983] = 1911,
  [1984] = 1910,
  [1985] = 1909,
  [1986] = 1907,
  [1987] = 1539,
  [1988] = 1869,
  [1989] = 1903,
  [1990] = 1901,
  [1991] = 1897,
  [1992] = 1894,
  [1993] = 1891,
  [1994] = 1899,
  [1995] = 1878,
  [1996] = 1546,
  [1997] = 1888,
  [1998] = 1874,
  [1999] = 1875,
  [2000] = 1876,
  [2001] = 1879,
  [2002] = 1877,
  [2003] = 1889,
  [2004] = 1880,
  [2005] = 1881,
  [2006] = 1884,
  [2007] = 500,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 613,
  [2012] = 550,
  [2013] = 2013,
  [2014] = 493,
  [2015] = 546,
  [2016] = 2016,
  [2017] = 541,
  [2018] = 608,
  [2019] = 607,
  [2020] = 604,
  [2021] = 600,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 598,
  [2025] = 514,
  [2026] = 597,
  [2027] = 2027,
  [2028] = 519,
  [2029] = 520,
  [2030] = 523,
  [2031] = 524,
  [2032] = 2032,
  [2033] = 570,
  [2034] = 2034,
  [2035] = 535,
  [2036] = 593,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 623,
  [2040] = 539,
  [2041] = 590,
  [2042] = 2042,
  [2043] = 542,
  [2044] = 543,
  [2045] = 547,
  [2046] = 589,
  [2047] = 553,
  [2048] = 575,
  [2049] = 587,
  [2050] = 585,
  [2051] = 592,
  [2052] = 579,
  [2053] = 2053,
  [2054] = 581,
  [2055] = 2055,
  [2056] = 584,
  [2057] = 582,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 588,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 526,
  [2064] = 2064,
  [2065] = 577,
  [2066] = 2066,
  [2067] = 595,
  [2068] = 2068,
  [2069] = 583,
  [2070] = 2070,
  [2071] = 617,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 580,
  [2075] = 578,
  [2076] = 576,
  [2077] = 2077,
  [2078] = 606,
  [2079] = 574,
  [2080] = 605,
  [2081] = 573,
  [2082] = 599,
  [2083] = 2070,
  [2084] = 571,
  [2085] = 594,
  [2086] = 2086,
  [2087] = 1571,
  [2088] = 494,
  [2089] = 2089,
  [2090] = 569,
  [2091] = 2091,
  [2092] = 614,
  [2093] = 2093,
  [2094] = 532,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 567,
  [2098] = 2064,
  [2099] = 572,
  [2100] = 566,
  [2101] = 1332,
  [2102] = 495,
  [2103] = 2103,
  [2104] = 615,
  [2105] = 565,
  [2106] = 2106,
  [2107] = 616,
  [2108] = 2010,
  [2109] = 505,
  [2110] = 2110,
  [2111] = 624,
  [2112] = 1803,
  [2113] = 628,
  [2114] = 562,
  [2115] = 2115,
  [2116] = 559,
  [2117] = 558,
  [2118] = 552,
  [2119] = 2119,
  [2120] = 551,
  [2121] = 2022,
  [2122] = 549,
  [2123] = 2123,
  [2124] = 548,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 545,
  [2129] = 2129,
  [2130] = 537,
  [2131] = 2032,
  [2132] = 2132,
  [2133] = 2034,
  [2134] = 540,
  [2135] = 2037,
  [2136] = 538,
  [2137] = 2059,
  [2138] = 536,
  [2139] = 529,
  [2140] = 2140,
  [2141] = 2042,
  [2142] = 2142,
  [2143] = 531,
  [2144] = 527,
  [2145] = 2145,
  [2146] = 517,
  [2147] = 618,
  [2148] = 497,
  [2149] = 516,
  [2150] = 504,
  [2151] = 515,
  [2152] = 2152,
  [2153] = 513,
  [2154] = 2154,
  [2155] = 512,
  [2156] = 510,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 506,
  [2162] = 503,
  [2163] = 2163,
  [2164] = 502,
  [2165] = 2165,
  [2166] = 2058,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 1546,
  [2172] = 1797,
  [2173] = 501,
  [2174] = 499,
  [2175] = 2175,
  [2176] = 568,
  [2177] = 2177,
  [2178] = 609,
  [2179] = 525,
  [2180] = 528,
  [2181] = 611,
  [2182] = 2182,
  [2183] = 2068,
  [2184] = 2184,
  [2185] = 2077,
  [2186] = 496,
  [2187] = 625,
  [2188] = 507,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2027,
  [2198] = 2198,
  [2199] = 2091,
  [2200] = 2093,
  [2201] = 2201,
  [2202] = 530,
  [2203] = 2095,
  [2204] = 2204,
  [2205] = 508,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 509,
  [2210] = 2210,
  [2211] = 2210,
  [2212] = 511,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2158,
  [2217] = 2157,
  [2218] = 619,
  [2219] = 631,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 521,
  [2223] = 629,
  [2224] = 522,
  [2225] = 533,
  [2226] = 2204,
  [2227] = 2227,
  [2228] = 534,
  [2229] = 2013,
  [2230] = 2230,
  [2231] = 627,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 554,
  [2235] = 555,
  [2236] = 2103,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 498,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2042,
  [2244] = 556,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2016,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 626,
  [2251] = 2095,
  [2252] = 2252,
  [2253] = 2009,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 557,
  [2259] = 560,
  [2260] = 561,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 563,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 586,
  [2270] = 622,
  [2271] = 2201,
  [2272] = 2095,
  [2273] = 2273,
  [2274] = 2042,
  [2275] = 2095,
  [2276] = 1921,
  [2277] = 2277,
  [2278] = 621,
  [2279] = 620,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 518,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2042,
  [2286] = 596,
  [2287] = 2042,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2095,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2095,
  [2297] = 2042,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 612,
  [2301] = 2126,
  [2302] = 610,
  [2303] = 2303,
  [2304] = 2042,
  [2305] = 2095,
  [2306] = 602,
  [2307] = 601,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2335,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2314,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2327,
  [2366] = 2362,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2159,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2385,
  [2395] = 2395,
  [2396] = 2333,
  [2397] = 2334,
  [2398] = 2335,
  [2399] = 2337,
  [2400] = 2338,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2367,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2334,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 1763,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2391,
  [2436] = 2436,
  [2437] = 2377,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2319,
  [2444] = 2444,
  [2445] = 1771,
  [2446] = 2446,
  [2447] = 2371,
  [2448] = 2335,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2454,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2451,
  [2464] = 2457,
  [2465] = 2449,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2440,
  [2470] = 2462,
  [2471] = 2453,
  [2472] = 2389,
  [2473] = 2446,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2312,
  [2479] = 2316,
  [2480] = 2441,
  [2481] = 2436,
  [2482] = 2401,
  [2483] = 2362,
  [2484] = 2484,
  [2485] = 2393,
  [2486] = 2486,
  [2487] = 2323,
  [2488] = 2430,
  [2489] = 2346,
  [2490] = 2376,
  [2491] = 2352,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2466,
  [2500] = 2484,
  [2501] = 2493,
  [2502] = 2502,
  [2503] = 2359,
  [2504] = 2373,
  [2505] = 2455,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2434,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2427,
  [2512] = 2426,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2380,
  [2517] = 2502,
  [2518] = 2360,
  [2519] = 2364,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2423,
  [2524] = 2422,
  [2525] = 2438,
  [2526] = 2421,
  [2527] = 2420,
  [2528] = 2528,
  [2529] = 2418,
  [2530] = 2416,
  [2531] = 2467,
  [2532] = 2532,
  [2533] = 2459,
  [2534] = 2358,
  [2535] = 2414,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2368,
  [2539] = 2498,
  [2540] = 2496,
  [2541] = 2495,
  [2542] = 2475,
  [2543] = 2532,
  [2544] = 2403,
  [2545] = 2055,
  [2546] = 2537,
  [2547] = 2458,
  [2548] = 2395,
  [2549] = 2456,
  [2550] = 2357,
  [2551] = 2309,
  [2552] = 2379,
  [2553] = 2424,
  [2554] = 2554,
  [2555] = 2324,
  [2556] = 2408,
  [2557] = 2557,
  [2558] = 2407,
  [2559] = 2406,
  [2560] = 2404,
  [2561] = 2387,
  [2562] = 2562,
  [2563] = 2392,
  [2564] = 2383,
  [2565] = 2565,
  [2566] = 2381,
  [2567] = 2520,
  [2568] = 2515,
  [2569] = 2513,
  [2570] = 2510,
  [2571] = 2372,
  [2572] = 2370,
  [2573] = 2369,
  [2574] = 2318,
  [2575] = 2354,
  [2576] = 2329,
  [2577] = 2315,
  [2578] = 2334,
  [2579] = 2579,
  [2580] = 2509,
  [2581] = 2317,
  [2582] = 2582,
  [2583] = 2444,
  [2584] = 2584,
  [2585] = 2320,
  [2586] = 2402,
  [2587] = 2587,
  [2588] = 2322,
  [2589] = 2507,
  [2590] = 2486,
  [2591] = 2374,
  [2592] = 2326,
  [2593] = 2593,
  [2594] = 2362,
  [2595] = 2331,
  [2596] = 2596,
  [2597] = 2336,
  [2598] = 2348,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2349,
  [2602] = 2350,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2603,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2604,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2621,
  [2627] = 2053,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2621,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2603,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2614,
  [2646] = 2612,
  [2647] = 2611,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2608,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2605,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2638,
  [2663] = 2643,
  [2664] = 2614,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2618,
  [2668] = 2622,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2616,
  [2674] = 2674,
  [2675] = 2610,
  [2676] = 2615,
  [2677] = 2616,
  [2678] = 2618,
  [2679] = 2679,
  [2680] = 2625,
  [2681] = 2654,
  [2682] = 2665,
  [2683] = 2650,
  [2684] = 2684,
  [2685] = 2621,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2610,
  [2692] = 2618,
  [2693] = 2621,
  [2694] = 2616,
  [2695] = 2695,
  [2696] = 2684,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2639,
  [2701] = 2701,
  [2702] = 2688,
  [2703] = 2689,
  [2704] = 2633,
  [2705] = 2690,
  [2706] = 2613,
  [2707] = 2699,
  [2708] = 2669,
  [2709] = 2709,
  [2710] = 2697,
  [2711] = 2709,
  [2712] = 2686,
  [2713] = 2616,
  [2714] = 2714,
  [2715] = 2624,
  [2716] = 2650,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2214,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2714,
  [2724] = 2724,
  [2725] = 2698,
  [2726] = 2726,
  [2727] = 2671,
  [2728] = 2670,
  [2729] = 2618,
  [2730] = 2609,
  [2731] = 2651,
  [2732] = 2603,
  [2733] = 2733,
  [2734] = 2616,
  [2735] = 2611,
  [2736] = 2606,
  [2737] = 2604,
  [2738] = 2738,
  [2739] = 2652,
  [2740] = 2634,
  [2741] = 2616,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2613,
  [2745] = 2605,
  [2746] = 2746,
  [2747] = 2616,
  [2748] = 2748,
  [2749] = 2608,
  [2750] = 2718,
  [2751] = 2605,
  [2752] = 2611,
  [2753] = 2612,
  [2754] = 2629,
  [2755] = 2614,
  [2756] = 2756,
  [2757] = 2604,
  [2758] = 2748,
  [2759] = 2608,
  [2760] = 2640,
  [2761] = 2616,
  [2762] = 2756,
  [2763] = 2763,
  [2764] = 2616,
  [2765] = 2765,
  [2766] = 2655,
  [2767] = 2615,
  [2768] = 2768,
  [2769] = 2610,
  [2770] = 2634,
  [2771] = 2604,
  [2772] = 2772,
  [2773] = 2672,
  [2774] = 2748,
  [2775] = 2604,
  [2776] = 2776,
  [2777] = 2616,
  [2778] = 2778,
  [2779] = 2619,
  [2780] = 2768,
  [2781] = 2781,
  [2782] = 2612,
  [2783] = 2717,
  [2784] = 2604,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2785,
  [2788] = 2786,
  [2789] = 2617,
  [2790] = 2616,
  [2791] = 2653,
  [2792] = 2792,
  [2793] = 2653,
  [2794] = 2635,
  [2795] = 2720,
  [2796] = 2631,
  [2797] = 2672,
  [2798] = 2634,
  [2799] = 2721,
  [2800] = 2722,
  [2801] = 2748,
  [2802] = 2785,
  [2803] = 2724,
  [2804] = 2631,
  [2805] = 2726,
  [2806] = 2785,
  [2807] = 2781,
  [2808] = 2808,
  [2809] = 2615,
  [2810] = 2604,
  [2811] = 2631,
  [2812] = 2768,
  [2813] = 2781,
  [2814] = 2616,
  [2815] = 2781,
  [2816] = 2768,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 181,
        '#', 261,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 183,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 214,
        '/', 219,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 203,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 193,
        '_', 256,
        '`', 184,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(259);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(259);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(260);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '"', 181,
        '#', 262,
        '$', 185,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 34,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '#', 262,
        '$', 185,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 35,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 261,
        '$', 185,
        '%', 220,
        '&', 83,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 214,
        '/', 218,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 199,
        '=', 29,
        '>', 204,
        '?', 100,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '_', 256,
        '`', 184,
        '|', 103,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 110,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 256,
        '`', 184,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '\'', 168,
        '(', 94,
        '+', 123,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        '_', 256,
        '`', 184,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 213,
        '/', 218,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 34,
        ']', 153,
        '^', 192,
        '`', 184,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 213,
        '/', 218,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 35,
        ']', 153,
        '^', 192,
        '`', 184,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '\'', 183,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 213,
        '/', 218,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 213,
        '/', 218,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 125,
        '.', 213,
        '/', 218,
        ':', 91,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 100,
        '\\', 87,
        ']', 153,
        '^', 192,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 166,
        '#', 261,
        '$', 185,
        '\'', 168,
        '(', 94,
        '/', 19,
        '<', 26,
        '?', 32,
        '[', 152,
        '\\', 87,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '\'', 168,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '_', 55,
        'B', 13,
        'b', 13,
        'E', 38,
        'e', 38,
        'F', 39,
        'f', 39,
        'N', 49,
        'n', 49,
        'T', 46,
        't', 46,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 261,
        '$', 185,
        '&', 82,
        '(', 94,
        ')', 95,
        ',', 85,
        '.', 22,
        '/', 19,
        '?', 99,
        '\\', 87,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 262,
        '$', 185,
        '&', 82,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '=', 31,
        '?', 99,
        '\\', 87,
        '{', 89,
        '|', 101,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(37);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(96);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(25);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(151);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(164);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(159);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(163);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 38:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 39:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 41:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 47:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 61:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 261,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 214,
        '/', 219,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 203,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 193,
        '_', 256,
        '`', 184,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 62:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 26,
        '=', 31,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 256,
        '`', 184,
        '{', 89,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 215,
        '/', 219,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 200,
        '=', 86,
        '>', 203,
        '?', 97,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 193,
        '{', 89,
        '|', 102,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '0', 119,
        '<', 27,
        '?', 32,
        '[', 152,
        '\\', 87,
        '|', 101,
        '}', 90,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '#', 79,
        '/', 74,
        '<', 70,
        '?', 77,
        0xa0, 73,
        0x200b, 73,
        0x2060, 73,
        0xfeff, 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead != 0) ADVANCE(80);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(41);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead == '\r') ADVANCE(72);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(79);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(73);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(71);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(134);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(148);
      if (lookahead == '|') ADVANCE(190);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(190);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 111,
        '_', 51,
        'B', 50,
        'b', 50,
        'E', 38,
        'e', 38,
        'O', 120,
        'o', 120,
        'X', 58,
        'x', 58,
        '8', 23,
        '9', 23,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(120);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(159);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(160);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(159);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(60);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead == '\r') ADVANCE(171);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(170);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(207);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(189);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(188);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(256);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(255);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(105);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(155);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(253);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(260);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(260);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 65},
  [2] = {.lex_state = 62},
  [3] = {.lex_state = 62},
  [4] = {.lex_state = 62},
  [5] = {.lex_state = 62},
  [6] = {.lex_state = 62},
  [7] = {.lex_state = 62},
  [8] = {.lex_state = 62},
  [9] = {.lex_state = 62},
  [10] = {.lex_state = 62},
  [11] = {.lex_state = 62},
  [12] = {.lex_state = 62, .external_lex_state = 2},
  [13] = {.lex_state = 62, .external_lex_state = 2},
  [14] = {.lex_state = 62, .external_lex_state = 2},
  [15] = {.lex_state = 62, .external_lex_state = 2},
  [16] = {.lex_state = 62, .external_lex_state = 2},
  [17] = {.lex_state = 62},
  [18] = {.lex_state = 62},
  [19] = {.lex_state = 62, .external_lex_state = 2},
  [20] = {.lex_state = 62, .external_lex_state = 2},
  [21] = {.lex_state = 62, .external_lex_state = 2},
  [22] = {.lex_state = 62},
  [23] = {.lex_state = 62, .external_lex_state = 2},
  [24] = {.lex_state = 62, .external_lex_state = 2},
  [25] = {.lex_state = 62},
  [26] = {.lex_state = 62},
  [27] = {.lex_state = 62, .external_lex_state = 2},
  [28] = {.lex_state = 62},
  [29] = {.lex_state = 62},
  [30] = {.lex_state = 62},
  [31] = {.lex_state = 62},
  [32] = {.lex_state = 62},
  [33] = {.lex_state = 62},
  [34] = {.lex_state = 62},
  [35] = {.lex_state = 62, .external_lex_state = 2},
  [36] = {.lex_state = 62},
  [37] = {.lex_state = 62},
  [38] = {.lex_state = 62},
  [39] = {.lex_state = 62, .external_lex_state = 2},
  [40] = {.lex_state = 62},
  [41] = {.lex_state = 62},
  [42] = {.lex_state = 62},
  [43] = {.lex_state = 62, .external_lex_state = 2},
  [44] = {.lex_state = 62, .external_lex_state = 2},
  [45] = {.lex_state = 62},
  [46] = {.lex_state = 62},
  [47] = {.lex_state = 62},
  [48] = {.lex_state = 62, .external_lex_state = 2},
  [49] = {.lex_state = 62, .external_lex_state = 2},
  [50] = {.lex_state = 62, .external_lex_state = 2},
  [51] = {.lex_state = 62, .external_lex_state = 2},
  [52] = {.lex_state = 62, .external_lex_state = 2},
  [53] = {.lex_state = 62},
  [54] = {.lex_state = 62, .external_lex_state = 2},
  [55] = {.lex_state = 62},
  [56] = {.lex_state = 62, .external_lex_state = 2},
  [57] = {.lex_state = 62},
  [58] = {.lex_state = 62, .external_lex_state = 2},
  [59] = {.lex_state = 62},
  [60] = {.lex_state = 62, .external_lex_state = 2},
  [61] = {.lex_state = 62},
  [62] = {.lex_state = 62, .external_lex_state = 2},
  [63] = {.lex_state = 62},
  [64] = {.lex_state = 62, .external_lex_state = 2},
  [65] = {.lex_state = 62, .external_lex_state = 2},
  [66] = {.lex_state = 62},
  [67] = {.lex_state = 62},
  [68] = {.lex_state = 62, .external_lex_state = 2},
  [69] = {.lex_state = 62, .external_lex_state = 2},
  [70] = {.lex_state = 62, .external_lex_state = 2},
  [71] = {.lex_state = 62, .external_lex_state = 2},
  [72] = {.lex_state = 62},
  [73] = {.lex_state = 62},
  [74] = {.lex_state = 62},
  [75] = {.lex_state = 62},
  [76] = {.lex_state = 62},
  [77] = {.lex_state = 62, .external_lex_state = 2},
  [78] = {.lex_state = 62},
  [79] = {.lex_state = 62},
  [80] = {.lex_state = 62, .external_lex_state = 2},
  [81] = {.lex_state = 62},
  [82] = {.lex_state = 62, .external_lex_state = 2},
  [83] = {.lex_state = 62},
  [84] = {.lex_state = 62, .external_lex_state = 2},
  [85] = {.lex_state = 62},
  [86] = {.lex_state = 62},
  [87] = {.lex_state = 62, .external_lex_state = 2},
  [88] = {.lex_state = 62},
  [89] = {.lex_state = 62},
  [90] = {.lex_state = 62},
  [91] = {.lex_state = 62},
  [92] = {.lex_state = 62, .external_lex_state = 2},
  [93] = {.lex_state = 62},
  [94] = {.lex_state = 62},
  [95] = {.lex_state = 62, .external_lex_state = 2},
  [96] = {.lex_state = 62},
  [97] = {.lex_state = 62},
  [98] = {.lex_state = 62},
  [99] = {.lex_state = 62},
  [100] = {.lex_state = 62, .external_lex_state = 2},
  [101] = {.lex_state = 62},
  [102] = {.lex_state = 62, .external_lex_state = 2},
  [103] = {.lex_state = 62},
  [104] = {.lex_state = 62},
  [105] = {.lex_state = 62},
  [106] = {.lex_state = 62},
  [107] = {.lex_state = 62},
  [108] = {.lex_state = 62},
  [109] = {.lex_state = 62},
  [110] = {.lex_state = 62},
  [111] = {.lex_state = 62},
  [112] = {.lex_state = 62},
  [113] = {.lex_state = 62},
  [114] = {.lex_state = 62},
  [115] = {.lex_state = 62},
  [116] = {.lex_state = 5},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5, .external_lex_state = 2},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 62},
  [169] = {.lex_state = 62},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 6},
  [175] = {.lex_state = 6},
  [176] = {.lex_state = 62},
  [177] = {.lex_state = 62},
  [178] = {.lex_state = 62},
  [179] = {.lex_state = 6},
  [180] = {.lex_state = 62},
  [181] = {.lex_state = 62},
  [182] = {.lex_state = 62},
  [183] = {.lex_state = 62},
  [184] = {.lex_state = 62},
  [185] = {.lex_state = 6},
  [186] = {.lex_state = 62},
  [187] = {.lex_state = 62},
  [188] = {.lex_state = 6},
  [189] = {.lex_state = 62},
  [190] = {.lex_state = 62},
  [191] = {.lex_state = 62},
  [192] = {.lex_state = 62},
  [193] = {.lex_state = 62},
  [194] = {.lex_state = 62},
  [195] = {.lex_state = 62},
  [196] = {.lex_state = 62},
  [197] = {.lex_state = 62},
  [198] = {.lex_state = 62},
  [199] = {.lex_state = 62},
  [200] = {.lex_state = 62},
  [201] = {.lex_state = 62},
  [202] = {.lex_state = 62},
  [203] = {.lex_state = 62},
  [204] = {.lex_state = 62},
  [205] = {.lex_state = 62},
  [206] = {.lex_state = 62},
  [207] = {.lex_state = 62},
  [208] = {.lex_state = 62},
  [209] = {.lex_state = 62},
  [210] = {.lex_state = 62},
  [211] = {.lex_state = 62},
  [212] = {.lex_state = 62},
  [213] = {.lex_state = 62},
  [214] = {.lex_state = 62},
  [215] = {.lex_state = 62},
  [216] = {.lex_state = 62},
  [217] = {.lex_state = 62},
  [218] = {.lex_state = 62},
  [219] = {.lex_state = 62},
  [220] = {.lex_state = 62},
  [221] = {.lex_state = 62},
  [222] = {.lex_state = 62, .external_lex_state = 2},
  [223] = {.lex_state = 62, .external_lex_state = 2},
  [224] = {.lex_state = 62, .external_lex_state = 2},
  [225] = {.lex_state = 62, .external_lex_state = 2},
  [226] = {.lex_state = 62},
  [227] = {.lex_state = 62},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 62},
  [230] = {.lex_state = 62, .external_lex_state = 2},
  [231] = {.lex_state = 62},
  [232] = {.lex_state = 62},
  [233] = {.lex_state = 62},
  [234] = {.lex_state = 62, .external_lex_state = 2},
  [235] = {.lex_state = 62},
  [236] = {.lex_state = 62},
  [237] = {.lex_state = 6},
  [238] = {.lex_state = 62},
  [239] = {.lex_state = 62},
  [240] = {.lex_state = 62},
  [241] = {.lex_state = 62},
  [242] = {.lex_state = 62},
  [243] = {.lex_state = 62},
  [244] = {.lex_state = 62},
  [245] = {.lex_state = 62},
  [246] = {.lex_state = 62},
  [247] = {.lex_state = 62},
  [248] = {.lex_state = 62},
  [249] = {.lex_state = 62},
  [250] = {.lex_state = 62},
  [251] = {.lex_state = 62},
  [252] = {.lex_state = 62},
  [253] = {.lex_state = 62},
  [254] = {.lex_state = 62},
  [255] = {.lex_state = 62},
  [256] = {.lex_state = 62},
  [257] = {.lex_state = 62},
  [258] = {.lex_state = 62},
  [259] = {.lex_state = 62},
  [260] = {.lex_state = 62},
  [261] = {.lex_state = 62},
  [262] = {.lex_state = 62},
  [263] = {.lex_state = 62},
  [264] = {.lex_state = 62},
  [265] = {.lex_state = 62},
  [266] = {.lex_state = 62},
  [267] = {.lex_state = 62},
  [268] = {.lex_state = 62},
  [269] = {.lex_state = 62},
  [270] = {.lex_state = 62},
  [271] = {.lex_state = 62},
  [272] = {.lex_state = 62},
  [273] = {.lex_state = 62},
  [274] = {.lex_state = 62},
  [275] = {.lex_state = 62},
  [276] = {.lex_state = 62},
  [277] = {.lex_state = 62},
  [278] = {.lex_state = 62},
  [279] = {.lex_state = 62},
  [280] = {.lex_state = 62},
  [281] = {.lex_state = 62},
  [282] = {.lex_state = 62},
  [283] = {.lex_state = 62},
  [284] = {.lex_state = 62},
  [285] = {.lex_state = 62},
  [286] = {.lex_state = 62},
  [287] = {.lex_state = 62},
  [288] = {.lex_state = 62},
  [289] = {.lex_state = 62},
  [290] = {.lex_state = 62},
  [291] = {.lex_state = 62},
  [292] = {.lex_state = 62},
  [293] = {.lex_state = 62},
  [294] = {.lex_state = 62},
  [295] = {.lex_state = 62},
  [296] = {.lex_state = 62},
  [297] = {.lex_state = 62},
  [298] = {.lex_state = 62},
  [299] = {.lex_state = 62},
  [300] = {.lex_state = 62},
  [301] = {.lex_state = 62},
  [302] = {.lex_state = 62},
  [303] = {.lex_state = 62},
  [304] = {.lex_state = 62},
  [305] = {.lex_state = 62},
  [306] = {.lex_state = 62},
  [307] = {.lex_state = 62},
  [308] = {.lex_state = 62},
  [309] = {.lex_state = 62},
  [310] = {.lex_state = 62},
  [311] = {.lex_state = 62},
  [312] = {.lex_state = 62},
  [313] = {.lex_state = 62},
  [314] = {.lex_state = 62},
  [315] = {.lex_state = 62},
  [316] = {.lex_state = 62},
  [317] = {.lex_state = 62},
  [318] = {.lex_state = 62},
  [319] = {.lex_state = 62},
  [320] = {.lex_state = 62},
  [321] = {.lex_state = 62},
  [322] = {.lex_state = 62},
  [323] = {.lex_state = 62},
  [324] = {.lex_state = 62},
  [325] = {.lex_state = 62},
  [326] = {.lex_state = 62},
  [327] = {.lex_state = 62},
  [328] = {.lex_state = 62},
  [329] = {.lex_state = 62},
  [330] = {.lex_state = 62},
  [331] = {.lex_state = 62},
  [332] = {.lex_state = 62},
  [333] = {.lex_state = 62},
  [334] = {.lex_state = 62},
  [335] = {.lex_state = 62},
  [336] = {.lex_state = 62},
  [337] = {.lex_state = 62},
  [338] = {.lex_state = 62},
  [339] = {.lex_state = 62},
  [340] = {.lex_state = 62},
  [341] = {.lex_state = 62},
  [342] = {.lex_state = 62},
  [343] = {.lex_state = 62},
  [344] = {.lex_state = 62},
  [345] = {.lex_state = 62},
  [346] = {.lex_state = 62},
  [347] = {.lex_state = 62},
  [348] = {.lex_state = 62},
  [349] = {.lex_state = 62},
  [350] = {.lex_state = 62},
  [351] = {.lex_state = 62},
  [352] = {.lex_state = 62},
  [353] = {.lex_state = 62},
  [354] = {.lex_state = 62},
  [355] = {.lex_state = 62},
  [356] = {.lex_state = 62},
  [357] = {.lex_state = 62},
  [358] = {.lex_state = 62},
  [359] = {.lex_state = 62},
  [360] = {.lex_state = 62},
  [361] = {.lex_state = 62},
  [362] = {.lex_state = 62},
  [363] = {.lex_state = 62},
  [364] = {.lex_state = 62},
  [365] = {.lex_state = 62},
  [366] = {.lex_state = 62},
  [367] = {.lex_state = 62},
  [368] = {.lex_state = 62},
  [369] = {.lex_state = 62},
  [370] = {.lex_state = 62},
  [371] = {.lex_state = 62},
  [372] = {.lex_state = 62},
  [373] = {.lex_state = 62},
  [374] = {.lex_state = 62},
  [375] = {.lex_state = 62},
  [376] = {.lex_state = 62},
  [377] = {.lex_state = 62},
  [378] = {.lex_state = 62},
  [379] = {.lex_state = 62},
  [380] = {.lex_state = 62},
  [381] = {.lex_state = 62},
  [382] = {.lex_state = 62},
  [383] = {.lex_state = 62},
  [384] = {.lex_state = 62},
  [385] = {.lex_state = 62},
  [386] = {.lex_state = 62},
  [387] = {.lex_state = 62},
  [388] = {.lex_state = 62},
  [389] = {.lex_state = 62},
  [390] = {.lex_state = 62},
  [391] = {.lex_state = 62},
  [392] = {.lex_state = 62},
  [393] = {.lex_state = 62},
  [394] = {.lex_state = 62},
  [395] = {.lex_state = 62},
  [396] = {.lex_state = 62},
  [397] = {.lex_state = 62},
  [398] = {.lex_state = 62},
  [399] = {.lex_state = 62},
  [400] = {.lex_state = 62},
  [401] = {.lex_state = 62},
  [402] = {.lex_state = 62},
  [403] = {.lex_state = 62},
  [404] = {.lex_state = 62},
  [405] = {.lex_state = 62},
  [406] = {.lex_state = 62},
  [407] = {.lex_state = 62},
  [408] = {.lex_state = 62},
  [409] = {.lex_state = 62},
  [410] = {.lex_state = 62},
  [411] = {.lex_state = 62},
  [412] = {.lex_state = 62},
  [413] = {.lex_state = 62},
  [414] = {.lex_state = 62},
  [415] = {.lex_state = 62},
  [416] = {.lex_state = 62},
  [417] = {.lex_state = 62},
  [418] = {.lex_state = 62},
  [419] = {.lex_state = 62},
  [420] = {.lex_state = 62},
  [421] = {.lex_state = 62},
  [422] = {.lex_state = 62},
  [423] = {.lex_state = 62},
  [424] = {.lex_state = 62},
  [425] = {.lex_state = 62},
  [426] = {.lex_state = 62},
  [427] = {.lex_state = 62},
  [428] = {.lex_state = 62},
  [429] = {.lex_state = 62},
  [430] = {.lex_state = 62},
  [431] = {.lex_state = 62},
  [432] = {.lex_state = 62},
  [433] = {.lex_state = 62},
  [434] = {.lex_state = 62},
  [435] = {.lex_state = 62},
  [436] = {.lex_state = 62},
  [437] = {.lex_state = 62},
  [438] = {.lex_state = 62},
  [439] = {.lex_state = 62},
  [440] = {.lex_state = 62},
  [441] = {.lex_state = 62},
  [442] = {.lex_state = 62},
  [443] = {.lex_state = 62},
  [444] = {.lex_state = 62},
  [445] = {.lex_state = 62},
  [446] = {.lex_state = 62},
  [447] = {.lex_state = 62},
  [448] = {.lex_state = 62},
  [449] = {.lex_state = 62},
  [450] = {.lex_state = 62},
  [451] = {.lex_state = 62},
  [452] = {.lex_state = 62},
  [453] = {.lex_state = 62},
  [454] = {.lex_state = 62},
  [455] = {.lex_state = 62},
  [456] = {.lex_state = 62},
  [457] = {.lex_state = 62},
  [458] = {.lex_state = 62},
  [459] = {.lex_state = 62},
  [460] = {.lex_state = 62},
  [461] = {.lex_state = 62},
  [462] = {.lex_state = 62},
  [463] = {.lex_state = 62},
  [464] = {.lex_state = 62},
  [465] = {.lex_state = 62},
  [466] = {.lex_state = 62},
  [467] = {.lex_state = 62},
  [468] = {.lex_state = 62},
  [469] = {.lex_state = 62},
  [470] = {.lex_state = 62},
  [471] = {.lex_state = 62},
  [472] = {.lex_state = 62},
  [473] = {.lex_state = 62},
  [474] = {.lex_state = 62},
  [475] = {.lex_state = 62},
  [476] = {.lex_state = 62, .external_lex_state = 2},
  [477] = {.lex_state = 62, .external_lex_state = 2},
  [478] = {.lex_state = 62, .external_lex_state = 2},
  [479] = {.lex_state = 62, .external_lex_state = 2},
  [480] = {.lex_state = 62, .external_lex_state = 2},
  [481] = {.lex_state = 62, .external_lex_state = 2},
  [482] = {.lex_state = 62},
  [483] = {.lex_state = 62, .external_lex_state = 2},
  [484] = {.lex_state = 62, .external_lex_state = 2},
  [485] = {.lex_state = 62, .external_lex_state = 2},
  [486] = {.lex_state = 62, .external_lex_state = 2},
  [487] = {.lex_state = 62, .external_lex_state = 2},
  [488] = {.lex_state = 62},
  [489] = {.lex_state = 62, .external_lex_state = 2},
  [490] = {.lex_state = 62, .external_lex_state = 2},
  [491] = {.lex_state = 62, .external_lex_state = 2},
  [492] = {.lex_state = 62},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 62},
  [495] = {.lex_state = 62},
  [496] = {.lex_state = 62},
  [497] = {.lex_state = 62},
  [498] = {.lex_state = 62},
  [499] = {.lex_state = 62},
  [500] = {.lex_state = 62},
  [501] = {.lex_state = 62},
  [502] = {.lex_state = 62},
  [503] = {.lex_state = 62},
  [504] = {.lex_state = 62},
  [505] = {.lex_state = 62},
  [506] = {.lex_state = 62},
  [507] = {.lex_state = 62},
  [508] = {.lex_state = 62},
  [509] = {.lex_state = 62},
  [510] = {.lex_state = 62},
  [511] = {.lex_state = 62},
  [512] = {.lex_state = 62},
  [513] = {.lex_state = 62},
  [514] = {.lex_state = 62},
  [515] = {.lex_state = 62},
  [516] = {.lex_state = 62},
  [517] = {.lex_state = 62},
  [518] = {.lex_state = 62},
  [519] = {.lex_state = 62},
  [520] = {.lex_state = 62},
  [521] = {.lex_state = 62},
  [522] = {.lex_state = 62},
  [523] = {.lex_state = 62},
  [524] = {.lex_state = 62},
  [525] = {.lex_state = 62},
  [526] = {.lex_state = 62},
  [527] = {.lex_state = 62},
  [528] = {.lex_state = 62},
  [529] = {.lex_state = 62},
  [530] = {.lex_state = 62},
  [531] = {.lex_state = 62},
  [532] = {.lex_state = 62},
  [533] = {.lex_state = 62},
  [534] = {.lex_state = 62},
  [535] = {.lex_state = 62},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 62},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 62},
  [541] = {.lex_state = 62},
  [542] = {.lex_state = 62},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 62},
  [545] = {.lex_state = 62},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 62},
  [548] = {.lex_state = 62},
  [549] = {.lex_state = 62},
  [550] = {.lex_state = 62},
  [551] = {.lex_state = 62},
  [552] = {.lex_state = 62},
  [553] = {.lex_state = 62},
  [554] = {.lex_state = 62},
  [555] = {.lex_state = 62},
  [556] = {.lex_state = 62},
  [557] = {.lex_state = 62},
  [558] = {.lex_state = 62},
  [559] = {.lex_state = 62},
  [560] = {.lex_state = 62},
  [561] = {.lex_state = 62},
  [562] = {.lex_state = 62},
  [563] = {.lex_state = 62},
  [564] = {.lex_state = 62},
  [565] = {.lex_state = 62},
  [566] = {.lex_state = 62},
  [567] = {.lex_state = 62},
  [568] = {.lex_state = 62},
  [569] = {.lex_state = 62},
  [570] = {.lex_state = 62},
  [571] = {.lex_state = 62},
  [572] = {.lex_state = 62},
  [573] = {.lex_state = 62},
  [574] = {.lex_state = 62},
  [575] = {.lex_state = 62},
  [576] = {.lex_state = 62},
  [577] = {.lex_state = 62},
  [578] = {.lex_state = 62},
  [579] = {.lex_state = 62},
  [580] = {.lex_state = 62},
  [581] = {.lex_state = 62},
  [582] = {.lex_state = 62},
  [583] = {.lex_state = 62},
  [584] = {.lex_state = 62},
  [585] = {.lex_state = 62},
  [586] = {.lex_state = 62},
  [587] = {.lex_state = 62},
  [588] = {.lex_state = 62},
  [589] = {.lex_state = 62},
  [590] = {.lex_state = 62},
  [591] = {.lex_state = 62},
  [592] = {.lex_state = 62},
  [593] = {.lex_state = 62},
  [594] = {.lex_state = 62},
  [595] = {.lex_state = 62},
  [596] = {.lex_state = 62},
  [597] = {.lex_state = 62},
  [598] = {.lex_state = 62},
  [599] = {.lex_state = 62},
  [600] = {.lex_state = 62},
  [601] = {.lex_state = 62},
  [602] = {.lex_state = 62},
  [603] = {.lex_state = 62},
  [604] = {.lex_state = 62},
  [605] = {.lex_state = 62},
  [606] = {.lex_state = 62},
  [607] = {.lex_state = 62},
  [608] = {.lex_state = 62},
  [609] = {.lex_state = 62},
  [610] = {.lex_state = 62},
  [611] = {.lex_state = 62},
  [612] = {.lex_state = 62},
  [613] = {.lex_state = 62},
  [614] = {.lex_state = 62},
  [615] = {.lex_state = 62},
  [616] = {.lex_state = 62},
  [617] = {.lex_state = 62},
  [618] = {.lex_state = 62},
  [619] = {.lex_state = 62},
  [620] = {.lex_state = 62},
  [621] = {.lex_state = 62},
  [622] = {.lex_state = 62},
  [623] = {.lex_state = 62},
  [624] = {.lex_state = 62},
  [625] = {.lex_state = 62},
  [626] = {.lex_state = 62},
  [627] = {.lex_state = 62},
  [628] = {.lex_state = 62},
  [629] = {.lex_state = 62},
  [630] = {.lex_state = 62},
  [631] = {.lex_state = 62},
  [632] = {.lex_state = 62},
  [633] = {.lex_state = 62},
  [634] = {.lex_state = 62},
  [635] = {.lex_state = 62},
  [636] = {.lex_state = 62},
  [637] = {.lex_state = 63},
  [638] = {.lex_state = 63},
  [639] = {.lex_state = 63},
  [640] = {.lex_state = 63},
  [641] = {.lex_state = 63},
  [642] = {.lex_state = 63},
  [643] = {.lex_state = 63},
  [644] = {.lex_state = 63},
  [645] = {.lex_state = 63},
  [646] = {.lex_state = 63},
  [647] = {.lex_state = 63},
  [648] = {.lex_state = 63},
  [649] = {.lex_state = 63},
  [650] = {.lex_state = 63},
  [651] = {.lex_state = 63},
  [652] = {.lex_state = 63},
  [653] = {.lex_state = 63},
  [654] = {.lex_state = 63},
  [655] = {.lex_state = 63},
  [656] = {.lex_state = 63},
  [657] = {.lex_state = 63},
  [658] = {.lex_state = 63},
  [659] = {.lex_state = 63},
  [660] = {.lex_state = 63},
  [661] = {.lex_state = 63},
  [662] = {.lex_state = 63},
  [663] = {.lex_state = 63},
  [664] = {.lex_state = 63, .external_lex_state = 2},
  [665] = {.lex_state = 63, .external_lex_state = 2},
  [666] = {.lex_state = 63, .external_lex_state = 2},
  [667] = {.lex_state = 63, .external_lex_state = 2},
  [668] = {.lex_state = 63, .external_lex_state = 2},
  [669] = {.lex_state = 63},
  [670] = {.lex_state = 63, .external_lex_state = 2},
  [671] = {.lex_state = 63},
  [672] = {.lex_state = 63, .external_lex_state = 2},
  [673] = {.lex_state = 63},
  [674] = {.lex_state = 63, .external_lex_state = 2},
  [675] = {.lex_state = 63, .external_lex_state = 2},
  [676] = {.lex_state = 63},
  [677] = {.lex_state = 63, .external_lex_state = 2},
  [678] = {.lex_state = 63, .external_lex_state = 2},
  [679] = {.lex_state = 63, .external_lex_state = 2},
  [680] = {.lex_state = 63, .external_lex_state = 2},
  [681] = {.lex_state = 63, .external_lex_state = 2},
  [682] = {.lex_state = 63, .external_lex_state = 2},
  [683] = {.lex_state = 63, .external_lex_state = 2},
  [684] = {.lex_state = 63, .external_lex_state = 2},
  [685] = {.lex_state = 63, .external_lex_state = 2},
  [686] = {.lex_state = 63},
  [687] = {.lex_state = 63, .external_lex_state = 2},
  [688] = {.lex_state = 63, .external_lex_state = 2},
  [689] = {.lex_state = 63, .external_lex_state = 2},
  [690] = {.lex_state = 63, .external_lex_state = 2},
  [691] = {.lex_state = 63},
  [692] = {.lex_state = 63, .external_lex_state = 2},
  [693] = {.lex_state = 63},
  [694] = {.lex_state = 63, .external_lex_state = 2},
  [695] = {.lex_state = 63, .external_lex_state = 2},
  [696] = {.lex_state = 63},
  [697] = {.lex_state = 63},
  [698] = {.lex_state = 63, .external_lex_state = 2},
  [699] = {.lex_state = 63},
  [700] = {.lex_state = 63},
  [701] = {.lex_state = 63},
  [702] = {.lex_state = 63},
  [703] = {.lex_state = 63},
  [704] = {.lex_state = 63},
  [705] = {.lex_state = 10},
  [706] = {.lex_state = 12},
  [707] = {.lex_state = 12},
  [708] = {.lex_state = 10},
  [709] = {.lex_state = 10},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 10},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 16},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 14},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 10},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 16},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 14},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 10},
  [744] = {.lex_state = 64},
  [745] = {.lex_state = 10},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 16},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 64},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 16},
  [771] = {.lex_state = 16},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 64},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 16},
  [776] = {.lex_state = 8},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 64},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 64},
  [786] = {.lex_state = 64},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 16},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 12},
  [837] = {.lex_state = 6},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 8, .external_lex_state = 2},
  [840] = {.lex_state = 10, .external_lex_state = 2},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 10, .external_lex_state = 2},
  [848] = {.lex_state = 10, .external_lex_state = 2},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 12},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 10, .external_lex_state = 2},
  [855] = {.lex_state = 64},
  [856] = {.lex_state = 64},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 6},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 64},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 10, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 64},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 10, .external_lex_state = 2},
  [880] = {.lex_state = 10, .external_lex_state = 2},
  [881] = {.lex_state = 10, .external_lex_state = 2},
  [882] = {.lex_state = 10, .external_lex_state = 2},
  [883] = {.lex_state = 10, .external_lex_state = 2},
  [884] = {.lex_state = 10, .external_lex_state = 2},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 64},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 64},
  [891] = {.lex_state = 64},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 64},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 64},
  [898] = {.lex_state = 12},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 64},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 64},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 64},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 64},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 12},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 64},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 64},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 64},
  [925] = {.lex_state = 64},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 64},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 64},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 10, .external_lex_state = 2},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 10, .external_lex_state = 2},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 17},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12},
  [1094] = {.lex_state = 12},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 12},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 12},
  [1104] = {.lex_state = 12},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 12},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 12},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 12},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12},
  [1116] = {.lex_state = 12},
  [1117] = {.lex_state = 12},
  [1118] = {.lex_state = 12},
  [1119] = {.lex_state = 12},
  [1120] = {.lex_state = 12},
  [1121] = {.lex_state = 12},
  [1122] = {.lex_state = 12},
  [1123] = {.lex_state = 12},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12, .external_lex_state = 2},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12, .external_lex_state = 2},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12, .external_lex_state = 2},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12, .external_lex_state = 2},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12, .external_lex_state = 2},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12, .external_lex_state = 2},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 12, .external_lex_state = 2},
  [1212] = {.lex_state = 12, .external_lex_state = 2},
  [1213] = {.lex_state = 12, .external_lex_state = 2},
  [1214] = {.lex_state = 12, .external_lex_state = 2},
  [1215] = {.lex_state = 12, .external_lex_state = 2},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12, .external_lex_state = 2},
  [1218] = {.lex_state = 12, .external_lex_state = 2},
  [1219] = {.lex_state = 12, .external_lex_state = 2},
  [1220] = {.lex_state = 12, .external_lex_state = 2},
  [1221] = {.lex_state = 12, .external_lex_state = 2},
  [1222] = {.lex_state = 12, .external_lex_state = 2},
  [1223] = {.lex_state = 12, .external_lex_state = 2},
  [1224] = {.lex_state = 12, .external_lex_state = 2},
  [1225] = {.lex_state = 12, .external_lex_state = 2},
  [1226] = {.lex_state = 12, .external_lex_state = 2},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12, .external_lex_state = 2},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12, .external_lex_state = 2},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12, .external_lex_state = 2},
  [1270] = {.lex_state = 12, .external_lex_state = 2},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12, .external_lex_state = 2},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 16},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 16},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 16},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12, .external_lex_state = 2},
  [1291] = {.lex_state = 16},
  [1292] = {.lex_state = 16},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12, .external_lex_state = 2},
  [1296] = {.lex_state = 12, .external_lex_state = 2},
  [1297] = {.lex_state = 12, .external_lex_state = 2},
  [1298] = {.lex_state = 16},
  [1299] = {.lex_state = 16},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12, .external_lex_state = 2},
  [1308] = {.lex_state = 12, .external_lex_state = 2},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12, .external_lex_state = 2},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12, .external_lex_state = 2},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 16},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 16},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 12},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 12},
  [1370] = {.lex_state = 12},
  [1371] = {.lex_state = 12},
  [1372] = {.lex_state = 12},
  [1373] = {.lex_state = 12},
  [1374] = {.lex_state = 12},
  [1375] = {.lex_state = 12},
  [1376] = {.lex_state = 12},
  [1377] = {.lex_state = 12},
  [1378] = {.lex_state = 12},
  [1379] = {.lex_state = 12},
  [1380] = {.lex_state = 12},
  [1381] = {.lex_state = 12},
  [1382] = {.lex_state = 12},
  [1383] = {.lex_state = 12},
  [1384] = {.lex_state = 12},
  [1385] = {.lex_state = 12},
  [1386] = {.lex_state = 12},
  [1387] = {.lex_state = 12},
  [1388] = {.lex_state = 12},
  [1389] = {.lex_state = 12},
  [1390] = {.lex_state = 12},
  [1391] = {.lex_state = 12},
  [1392] = {.lex_state = 12},
  [1393] = {.lex_state = 12},
  [1394] = {.lex_state = 12},
  [1395] = {.lex_state = 12},
  [1396] = {.lex_state = 12},
  [1397] = {.lex_state = 12},
  [1398] = {.lex_state = 12},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 12},
  [1403] = {.lex_state = 16},
  [1404] = {.lex_state = 16},
  [1405] = {.lex_state = 12},
  [1406] = {.lex_state = 12},
  [1407] = {.lex_state = 16},
  [1408] = {.lex_state = 16},
  [1409] = {.lex_state = 12},
  [1410] = {.lex_state = 16},
  [1411] = {.lex_state = 12},
  [1412] = {.lex_state = 16},
  [1413] = {.lex_state = 12},
  [1414] = {.lex_state = 16},
  [1415] = {.lex_state = 12},
  [1416] = {.lex_state = 12},
  [1417] = {.lex_state = 12},
  [1418] = {.lex_state = 12},
  [1419] = {.lex_state = 12},
  [1420] = {.lex_state = 12},
  [1421] = {.lex_state = 12},
  [1422] = {.lex_state = 12},
  [1423] = {.lex_state = 16},
  [1424] = {.lex_state = 12},
  [1425] = {.lex_state = 12},
  [1426] = {.lex_state = 12},
  [1427] = {.lex_state = 12},
  [1428] = {.lex_state = 12},
  [1429] = {.lex_state = 12},
  [1430] = {.lex_state = 63},
  [1431] = {.lex_state = 63},
  [1432] = {.lex_state = 63},
  [1433] = {.lex_state = 63},
  [1434] = {.lex_state = 63},
  [1435] = {.lex_state = 63},
  [1436] = {.lex_state = 63},
  [1437] = {.lex_state = 16},
  [1438] = {.lex_state = 63},
  [1439] = {.lex_state = 16},
  [1440] = {.lex_state = 63},
  [1441] = {.lex_state = 16},
  [1442] = {.lex_state = 15},
  [1443] = {.lex_state = 63},
  [1444] = {.lex_state = 63},
  [1445] = {.lex_state = 63},
  [1446] = {.lex_state = 63},
  [1447] = {.lex_state = 16},
  [1448] = {.lex_state = 16},
  [1449] = {.lex_state = 16},
  [1450] = {.lex_state = 63},
  [1451] = {.lex_state = 63},
  [1452] = {.lex_state = 64},
  [1453] = {.lex_state = 63},
  [1454] = {.lex_state = 3, .external_lex_state = 3},
  [1455] = {.lex_state = 3, .external_lex_state = 3},
  [1456] = {.lex_state = 3, .external_lex_state = 3},
  [1457] = {.lex_state = 16},
  [1458] = {.lex_state = 3, .external_lex_state = 3},
  [1459] = {.lex_state = 3, .external_lex_state = 3},
  [1460] = {.lex_state = 16},
  [1461] = {.lex_state = 16},
  [1462] = {.lex_state = 16},
  [1463] = {.lex_state = 16},
  [1464] = {.lex_state = 16},
  [1465] = {.lex_state = 16},
  [1466] = {.lex_state = 3, .external_lex_state = 4},
  [1467] = {.lex_state = 16},
  [1468] = {.lex_state = 16},
  [1469] = {.lex_state = 16},
  [1470] = {.lex_state = 16},
  [1471] = {.lex_state = 16},
  [1472] = {.lex_state = 16},
  [1473] = {.lex_state = 16},
  [1474] = {.lex_state = 16},
  [1475] = {.lex_state = 16},
  [1476] = {.lex_state = 16},
  [1477] = {.lex_state = 63},
  [1478] = {.lex_state = 8, .external_lex_state = 5},
  [1479] = {.lex_state = 16},
  [1480] = {.lex_state = 16},
  [1481] = {.lex_state = 17},
  [1482] = {.lex_state = 16},
  [1483] = {.lex_state = 16},
  [1484] = {.lex_state = 16},
  [1485] = {.lex_state = 63},
  [1486] = {.lex_state = 8, .external_lex_state = 6},
  [1487] = {.lex_state = 8, .external_lex_state = 5},
  [1488] = {.lex_state = 16},
  [1489] = {.lex_state = 8, .external_lex_state = 6},
  [1490] = {.lex_state = 8, .external_lex_state = 5},
  [1491] = {.lex_state = 8, .external_lex_state = 5},
  [1492] = {.lex_state = 16},
  [1493] = {.lex_state = 16},
  [1494] = {.lex_state = 16},
  [1495] = {.lex_state = 16},
  [1496] = {.lex_state = 16},
  [1497] = {.lex_state = 16},
  [1498] = {.lex_state = 8, .external_lex_state = 6},
  [1499] = {.lex_state = 16},
  [1500] = {.lex_state = 8, .external_lex_state = 6},
  [1501] = {.lex_state = 8, .external_lex_state = 5},
  [1502] = {.lex_state = 16},
  [1503] = {.lex_state = 16},
  [1504] = {.lex_state = 16},
  [1505] = {.lex_state = 16},
  [1506] = {.lex_state = 8, .external_lex_state = 6},
  [1507] = {.lex_state = 16},
  [1508] = {.lex_state = 16},
  [1509] = {.lex_state = 16},
  [1510] = {.lex_state = 63},
  [1511] = {.lex_state = 63},
  [1512] = {.lex_state = 63},
  [1513] = {.lex_state = 63},
  [1514] = {.lex_state = 63},
  [1515] = {.lex_state = 63},
  [1516] = {.lex_state = 8, .external_lex_state = 4},
  [1517] = {.lex_state = 63},
  [1518] = {.lex_state = 17},
  [1519] = {.lex_state = 63},
  [1520] = {.lex_state = 63},
  [1521] = {.lex_state = 63},
  [1522] = {.lex_state = 17},
  [1523] = {.lex_state = 63},
  [1524] = {.lex_state = 63},
  [1525] = {.lex_state = 63},
  [1526] = {.lex_state = 63},
  [1527] = {.lex_state = 17},
  [1528] = {.lex_state = 64},
  [1529] = {.lex_state = 17},
  [1530] = {.lex_state = 64},
  [1531] = {.lex_state = 63},
  [1532] = {.lex_state = 17},
  [1533] = {.lex_state = 63},
  [1534] = {.lex_state = 63},
  [1535] = {.lex_state = 63},
  [1536] = {.lex_state = 63},
  [1537] = {.lex_state = 63},
  [1538] = {.lex_state = 63},
  [1539] = {.lex_state = 17},
  [1540] = {.lex_state = 63},
  [1541] = {.lex_state = 63},
  [1542] = {.lex_state = 63},
  [1543] = {.lex_state = 63},
  [1544] = {.lex_state = 3, .external_lex_state = 7},
  [1545] = {.lex_state = 63},
  [1546] = {.lex_state = 63},
  [1547] = {.lex_state = 63},
  [1548] = {.lex_state = 63},
  [1549] = {.lex_state = 63},
  [1550] = {.lex_state = 63},
  [1551] = {.lex_state = 63},
  [1552] = {.lex_state = 63},
  [1553] = {.lex_state = 17},
  [1554] = {.lex_state = 3, .external_lex_state = 7},
  [1555] = {.lex_state = 17},
  [1556] = {.lex_state = 17},
  [1557] = {.lex_state = 63},
  [1558] = {.lex_state = 63},
  [1559] = {.lex_state = 63},
  [1560] = {.lex_state = 63},
  [1561] = {.lex_state = 63},
  [1562] = {.lex_state = 63},
  [1563] = {.lex_state = 63},
  [1564] = {.lex_state = 63},
  [1565] = {.lex_state = 63},
  [1566] = {.lex_state = 63},
  [1567] = {.lex_state = 63},
  [1568] = {.lex_state = 63},
  [1569] = {.lex_state = 63},
  [1570] = {.lex_state = 63},
  [1571] = {.lex_state = 17},
  [1572] = {.lex_state = 8, .external_lex_state = 8},
  [1573] = {.lex_state = 63},
  [1574] = {.lex_state = 63},
  [1575] = {.lex_state = 8, .external_lex_state = 9},
  [1576] = {.lex_state = 8, .external_lex_state = 8},
  [1577] = {.lex_state = 8, .external_lex_state = 9},
  [1578] = {.lex_state = 63},
  [1579] = {.lex_state = 63},
  [1580] = {.lex_state = 63},
  [1581] = {.lex_state = 63},
  [1582] = {.lex_state = 63},
  [1583] = {.lex_state = 63},
  [1584] = {.lex_state = 63},
  [1585] = {.lex_state = 63},
  [1586] = {.lex_state = 63},
  [1587] = {.lex_state = 63},
  [1588] = {.lex_state = 63},
  [1589] = {.lex_state = 63},
  [1590] = {.lex_state = 63},
  [1591] = {.lex_state = 63},
  [1592] = {.lex_state = 63},
  [1593] = {.lex_state = 63},
  [1594] = {.lex_state = 63},
  [1595] = {.lex_state = 63},
  [1596] = {.lex_state = 63},
  [1597] = {.lex_state = 63},
  [1598] = {.lex_state = 63},
  [1599] = {.lex_state = 63},
  [1600] = {.lex_state = 63},
  [1601] = {.lex_state = 63},
  [1602] = {.lex_state = 63},
  [1603] = {.lex_state = 63},
  [1604] = {.lex_state = 63},
  [1605] = {.lex_state = 63},
  [1606] = {.lex_state = 63},
  [1607] = {.lex_state = 63},
  [1608] = {.lex_state = 63},
  [1609] = {.lex_state = 63},
  [1610] = {.lex_state = 63},
  [1611] = {.lex_state = 63},
  [1612] = {.lex_state = 63},
  [1613] = {.lex_state = 63},
  [1614] = {.lex_state = 63},
  [1615] = {.lex_state = 63},
  [1616] = {.lex_state = 63},
  [1617] = {.lex_state = 63},
  [1618] = {.lex_state = 63, .external_lex_state = 2},
  [1619] = {.lex_state = 63, .external_lex_state = 2},
  [1620] = {.lex_state = 63},
  [1621] = {.lex_state = 63},
  [1622] = {.lex_state = 63},
  [1623] = {.lex_state = 63},
  [1624] = {.lex_state = 63},
  [1625] = {.lex_state = 63},
  [1626] = {.lex_state = 63},
  [1627] = {.lex_state = 3, .external_lex_state = 3},
  [1628] = {.lex_state = 63},
  [1629] = {.lex_state = 63},
  [1630] = {.lex_state = 63},
  [1631] = {.lex_state = 63},
  [1632] = {.lex_state = 3, .external_lex_state = 3},
  [1633] = {.lex_state = 63},
  [1634] = {.lex_state = 63},
  [1635] = {.lex_state = 3, .external_lex_state = 3},
  [1636] = {.lex_state = 63, .external_lex_state = 2},
  [1637] = {.lex_state = 10},
  [1638] = {.lex_state = 3, .external_lex_state = 3},
  [1639] = {.lex_state = 3, .external_lex_state = 3},
  [1640] = {.lex_state = 63},
  [1641] = {.lex_state = 63},
  [1642] = {.lex_state = 17},
  [1643] = {.lex_state = 3, .external_lex_state = 3},
  [1644] = {.lex_state = 63},
  [1645] = {.lex_state = 3, .external_lex_state = 3},
  [1646] = {.lex_state = 63},
  [1647] = {.lex_state = 63},
  [1648] = {.lex_state = 64},
  [1649] = {.lex_state = 10},
  [1650] = {.lex_state = 3, .external_lex_state = 3},
  [1651] = {.lex_state = 63},
  [1652] = {.lex_state = 63},
  [1653] = {.lex_state = 63},
  [1654] = {.lex_state = 63},
  [1655] = {.lex_state = 63},
  [1656] = {.lex_state = 63, .external_lex_state = 2},
  [1657] = {.lex_state = 63},
  [1658] = {.lex_state = 63},
  [1659] = {.lex_state = 63},
  [1660] = {.lex_state = 63},
  [1661] = {.lex_state = 63},
  [1662] = {.lex_state = 10},
  [1663] = {.lex_state = 63},
  [1664] = {.lex_state = 63},
  [1665] = {.lex_state = 63},
  [1666] = {.lex_state = 63},
  [1667] = {.lex_state = 3, .external_lex_state = 3},
  [1668] = {.lex_state = 63},
  [1669] = {.lex_state = 3, .external_lex_state = 3},
  [1670] = {.lex_state = 63},
  [1671] = {.lex_state = 63},
  [1672] = {.lex_state = 63, .external_lex_state = 2},
  [1673] = {.lex_state = 63},
  [1674] = {.lex_state = 8, .external_lex_state = 6},
  [1675] = {.lex_state = 63},
  [1676] = {.lex_state = 63},
  [1677] = {.lex_state = 63},
  [1678] = {.lex_state = 63},
  [1679] = {.lex_state = 63},
  [1680] = {.lex_state = 8, .external_lex_state = 5},
  [1681] = {.lex_state = 63},
  [1682] = {.lex_state = 63},
  [1683] = {.lex_state = 63},
  [1684] = {.lex_state = 63},
  [1685] = {.lex_state = 63},
  [1686] = {.lex_state = 63},
  [1687] = {.lex_state = 63},
  [1688] = {.lex_state = 63},
  [1689] = {.lex_state = 63},
  [1690] = {.lex_state = 63},
  [1691] = {.lex_state = 63},
  [1692] = {.lex_state = 63},
  [1693] = {.lex_state = 63},
  [1694] = {.lex_state = 63},
  [1695] = {.lex_state = 8, .external_lex_state = 6},
  [1696] = {.lex_state = 63},
  [1697] = {.lex_state = 63},
  [1698] = {.lex_state = 63},
  [1699] = {.lex_state = 63},
  [1700] = {.lex_state = 63},
  [1701] = {.lex_state = 63},
  [1702] = {.lex_state = 63},
  [1703] = {.lex_state = 63},
  [1704] = {.lex_state = 63},
  [1705] = {.lex_state = 8, .external_lex_state = 6},
  [1706] = {.lex_state = 63},
  [1707] = {.lex_state = 8, .external_lex_state = 6},
  [1708] = {.lex_state = 63},
  [1709] = {.lex_state = 63},
  [1710] = {.lex_state = 8, .external_lex_state = 5},
  [1711] = {.lex_state = 63},
  [1712] = {.lex_state = 63},
  [1713] = {.lex_state = 18},
  [1714] = {.lex_state = 18},
  [1715] = {.lex_state = 63},
  [1716] = {.lex_state = 8, .external_lex_state = 6},
  [1717] = {.lex_state = 63},
  [1718] = {.lex_state = 63},
  [1719] = {.lex_state = 65, .external_lex_state = 10},
  [1720] = {.lex_state = 63},
  [1721] = {.lex_state = 18},
  [1722] = {.lex_state = 8, .external_lex_state = 6},
  [1723] = {.lex_state = 63},
  [1724] = {.lex_state = 8, .external_lex_state = 5},
  [1725] = {.lex_state = 63},
  [1726] = {.lex_state = 8, .external_lex_state = 5},
  [1727] = {.lex_state = 63},
  [1728] = {.lex_state = 63},
  [1729] = {.lex_state = 63},
  [1730] = {.lex_state = 63},
  [1731] = {.lex_state = 63, .external_lex_state = 2},
  [1732] = {.lex_state = 63, .external_lex_state = 2},
  [1733] = {.lex_state = 63},
  [1734] = {.lex_state = 8, .external_lex_state = 6},
  [1735] = {.lex_state = 63},
  [1736] = {.lex_state = 63},
  [1737] = {.lex_state = 63},
  [1738] = {.lex_state = 8, .external_lex_state = 6},
  [1739] = {.lex_state = 8, .external_lex_state = 6},
  [1740] = {.lex_state = 63},
  [1741] = {.lex_state = 18},
  [1742] = {.lex_state = 8, .external_lex_state = 5},
  [1743] = {.lex_state = 8, .external_lex_state = 5},
  [1744] = {.lex_state = 63},
  [1745] = {.lex_state = 8, .external_lex_state = 5},
  [1746] = {.lex_state = 63},
  [1747] = {.lex_state = 8, .external_lex_state = 6},
  [1748] = {.lex_state = 8, .external_lex_state = 5},
  [1749] = {.lex_state = 63},
  [1750] = {.lex_state = 8, .external_lex_state = 5},
  [1751] = {.lex_state = 8, .external_lex_state = 5},
  [1752] = {.lex_state = 18},
  [1753] = {.lex_state = 64},
  [1754] = {.lex_state = 64},
  [1755] = {.lex_state = 63},
  [1756] = {.lex_state = 63, .external_lex_state = 2},
  [1757] = {.lex_state = 63},
  [1758] = {.lex_state = 65},
  [1759] = {.lex_state = 65, .external_lex_state = 10},
  [1760] = {.lex_state = 63},
  [1761] = {.lex_state = 63},
  [1762] = {.lex_state = 63, .external_lex_state = 2},
  [1763] = {.lex_state = 63, .external_lex_state = 2},
  [1764] = {.lex_state = 63},
  [1765] = {.lex_state = 64},
  [1766] = {.lex_state = 63},
  [1767] = {.lex_state = 63},
  [1768] = {.lex_state = 63, .external_lex_state = 2},
  [1769] = {.lex_state = 63},
  [1770] = {.lex_state = 63},
  [1771] = {.lex_state = 63},
  [1772] = {.lex_state = 63},
  [1773] = {.lex_state = 63},
  [1774] = {.lex_state = 63},
  [1775] = {.lex_state = 64},
  [1776] = {.lex_state = 63},
  [1777] = {.lex_state = 63},
  [1778] = {.lex_state = 63, .external_lex_state = 2},
  [1779] = {.lex_state = 63, .external_lex_state = 2},
  [1780] = {.lex_state = 63},
  [1781] = {.lex_state = 63},
  [1782] = {.lex_state = 63, .external_lex_state = 2},
  [1783] = {.lex_state = 63, .external_lex_state = 2},
  [1784] = {.lex_state = 63, .external_lex_state = 2},
  [1785] = {.lex_state = 63, .external_lex_state = 2},
  [1786] = {.lex_state = 63, .external_lex_state = 2},
  [1787] = {.lex_state = 63, .external_lex_state = 2},
  [1788] = {.lex_state = 63},
  [1789] = {.lex_state = 63, .external_lex_state = 2},
  [1790] = {.lex_state = 63},
  [1791] = {.lex_state = 63, .external_lex_state = 2},
  [1792] = {.lex_state = 63},
  [1793] = {.lex_state = 63},
  [1794] = {.lex_state = 63},
  [1795] = {.lex_state = 63, .external_lex_state = 2},
  [1796] = {.lex_state = 63},
  [1797] = {.lex_state = 63, .external_lex_state = 2},
  [1798] = {.lex_state = 63, .external_lex_state = 2},
  [1799] = {.lex_state = 64},
  [1800] = {.lex_state = 63, .external_lex_state = 2},
  [1801] = {.lex_state = 63},
  [1802] = {.lex_state = 63},
  [1803] = {.lex_state = 63, .external_lex_state = 2},
  [1804] = {.lex_state = 63},
  [1805] = {.lex_state = 63},
  [1806] = {.lex_state = 63, .external_lex_state = 2},
  [1807] = {.lex_state = 63, .external_lex_state = 2},
  [1808] = {.lex_state = 63, .external_lex_state = 2},
  [1809] = {.lex_state = 63},
  [1810] = {.lex_state = 63},
  [1811] = {.lex_state = 63},
  [1812] = {.lex_state = 63, .external_lex_state = 2},
  [1813] = {.lex_state = 63},
  [1814] = {.lex_state = 63, .external_lex_state = 2},
  [1815] = {.lex_state = 63},
  [1816] = {.lex_state = 63},
  [1817] = {.lex_state = 63},
  [1818] = {.lex_state = 63, .external_lex_state = 2},
  [1819] = {.lex_state = 63},
  [1820] = {.lex_state = 65, .external_lex_state = 10},
  [1821] = {.lex_state = 65},
  [1822] = {.lex_state = 63},
  [1823] = {.lex_state = 63, .external_lex_state = 2},
  [1824] = {.lex_state = 63},
  [1825] = {.lex_state = 63},
  [1826] = {.lex_state = 63},
  [1827] = {.lex_state = 64},
  [1828] = {.lex_state = 63},
  [1829] = {.lex_state = 63, .external_lex_state = 2},
  [1830] = {.lex_state = 63},
  [1831] = {.lex_state = 64},
  [1832] = {.lex_state = 63, .external_lex_state = 2},
  [1833] = {.lex_state = 63},
  [1834] = {.lex_state = 63, .external_lex_state = 2},
  [1835] = {.lex_state = 63},
  [1836] = {.lex_state = 63, .external_lex_state = 2},
  [1837] = {.lex_state = 63, .external_lex_state = 2},
  [1838] = {.lex_state = 63},
  [1839] = {.lex_state = 63},
  [1840] = {.lex_state = 63, .external_lex_state = 2},
  [1841] = {.lex_state = 63},
  [1842] = {.lex_state = 64},
  [1843] = {.lex_state = 63, .external_lex_state = 2},
  [1844] = {.lex_state = 63},
  [1845] = {.lex_state = 63},
  [1846] = {.lex_state = 63},
  [1847] = {.lex_state = 63, .external_lex_state = 2},
  [1848] = {.lex_state = 63},
  [1849] = {.lex_state = 63},
  [1850] = {.lex_state = 63},
  [1851] = {.lex_state = 63},
  [1852] = {.lex_state = 64},
  [1853] = {.lex_state = 63},
  [1854] = {.lex_state = 63},
  [1855] = {.lex_state = 63},
  [1856] = {.lex_state = 63, .external_lex_state = 2},
  [1857] = {.lex_state = 63, .external_lex_state = 2},
  [1858] = {.lex_state = 63, .external_lex_state = 2},
  [1859] = {.lex_state = 63, .external_lex_state = 2},
  [1860] = {.lex_state = 65},
  [1861] = {.lex_state = 63},
  [1862] = {.lex_state = 63},
  [1863] = {.lex_state = 63},
  [1864] = {.lex_state = 63},
  [1865] = {.lex_state = 63},
  [1866] = {.lex_state = 63},
  [1867] = {.lex_state = 63},
  [1868] = {.lex_state = 18},
  [1869] = {.lex_state = 3, .external_lex_state = 11},
  [1870] = {.lex_state = 63},
  [1871] = {.lex_state = 63},
  [1872] = {.lex_state = 63, .external_lex_state = 2},
  [1873] = {.lex_state = 63},
  [1874] = {.lex_state = 63, .external_lex_state = 2},
  [1875] = {.lex_state = 63, .external_lex_state = 2},
  [1876] = {.lex_state = 63, .external_lex_state = 2},
  [1877] = {.lex_state = 63, .external_lex_state = 2},
  [1878] = {.lex_state = 63},
  [1879] = {.lex_state = 63},
  [1880] = {.lex_state = 63, .external_lex_state = 2},
  [1881] = {.lex_state = 63, .external_lex_state = 2},
  [1882] = {.lex_state = 63},
  [1883] = {.lex_state = 63},
  [1884] = {.lex_state = 63},
  [1885] = {.lex_state = 63},
  [1886] = {.lex_state = 63},
  [1887] = {.lex_state = 18},
  [1888] = {.lex_state = 3, .external_lex_state = 11},
  [1889] = {.lex_state = 63},
  [1890] = {.lex_state = 63},
  [1891] = {.lex_state = 63},
  [1892] = {.lex_state = 63},
  [1893] = {.lex_state = 63},
  [1894] = {.lex_state = 63, .external_lex_state = 2},
  [1895] = {.lex_state = 63, .external_lex_state = 2},
  [1896] = {.lex_state = 63, .external_lex_state = 2},
  [1897] = {.lex_state = 63, .external_lex_state = 2},
  [1898] = {.lex_state = 63, .external_lex_state = 2},
  [1899] = {.lex_state = 63},
  [1900] = {.lex_state = 63},
  [1901] = {.lex_state = 63},
  [1902] = {.lex_state = 63},
  [1903] = {.lex_state = 63, .external_lex_state = 2},
  [1904] = {.lex_state = 63, .external_lex_state = 2},
  [1905] = {.lex_state = 63, .external_lex_state = 2},
  [1906] = {.lex_state = 63},
  [1907] = {.lex_state = 63},
  [1908] = {.lex_state = 63},
  [1909] = {.lex_state = 63},
  [1910] = {.lex_state = 63},
  [1911] = {.lex_state = 63},
  [1912] = {.lex_state = 63},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 63},
  [1915] = {.lex_state = 63, .external_lex_state = 2},
  [1916] = {.lex_state = 63, .external_lex_state = 2},
  [1917] = {.lex_state = 63},
  [1918] = {.lex_state = 63, .external_lex_state = 2},
  [1919] = {.lex_state = 63},
  [1920] = {.lex_state = 63},
  [1921] = {.lex_state = 63, .external_lex_state = 2},
  [1922] = {.lex_state = 63, .external_lex_state = 2},
  [1923] = {.lex_state = 63},
  [1924] = {.lex_state = 63, .external_lex_state = 2},
  [1925] = {.lex_state = 63},
  [1926] = {.lex_state = 63},
  [1927] = {.lex_state = 63},
  [1928] = {.lex_state = 63},
  [1929] = {.lex_state = 63, .external_lex_state = 2},
  [1930] = {.lex_state = 63, .external_lex_state = 2},
  [1931] = {.lex_state = 63, .external_lex_state = 2},
  [1932] = {.lex_state = 63},
  [1933] = {.lex_state = 63},
  [1934] = {.lex_state = 63},
  [1935] = {.lex_state = 63},
  [1936] = {.lex_state = 63},
  [1937] = {.lex_state = 63},
  [1938] = {.lex_state = 63},
  [1939] = {.lex_state = 63},
  [1940] = {.lex_state = 63, .external_lex_state = 2},
  [1941] = {.lex_state = 63},
  [1942] = {.lex_state = 63},
  [1943] = {.lex_state = 63},
  [1944] = {.lex_state = 63, .external_lex_state = 2},
  [1945] = {.lex_state = 63, .external_lex_state = 2},
  [1946] = {.lex_state = 63, .external_lex_state = 2},
  [1947] = {.lex_state = 63},
  [1948] = {.lex_state = 63},
  [1949] = {.lex_state = 63, .external_lex_state = 2},
  [1950] = {.lex_state = 63, .external_lex_state = 2},
  [1951] = {.lex_state = 3, .external_lex_state = 12},
  [1952] = {.lex_state = 63, .external_lex_state = 2},
  [1953] = {.lex_state = 63},
  [1954] = {.lex_state = 63, .external_lex_state = 2},
  [1955] = {.lex_state = 63, .external_lex_state = 2},
  [1956] = {.lex_state = 63, .external_lex_state = 2},
  [1957] = {.lex_state = 63, .external_lex_state = 2},
  [1958] = {.lex_state = 63, .external_lex_state = 2},
  [1959] = {.lex_state = 63},
  [1960] = {.lex_state = 63, .external_lex_state = 2},
  [1961] = {.lex_state = 63, .external_lex_state = 2},
  [1962] = {.lex_state = 63},
  [1963] = {.lex_state = 63, .external_lex_state = 2},
  [1964] = {.lex_state = 63},
  [1965] = {.lex_state = 3, .external_lex_state = 12},
  [1966] = {.lex_state = 63, .external_lex_state = 2},
  [1967] = {.lex_state = 63},
  [1968] = {.lex_state = 63, .external_lex_state = 2},
  [1969] = {.lex_state = 63},
  [1970] = {.lex_state = 63, .external_lex_state = 2},
  [1971] = {.lex_state = 63},
  [1972] = {.lex_state = 63},
  [1973] = {.lex_state = 63},
  [1974] = {.lex_state = 63},
  [1975] = {.lex_state = 63},
  [1976] = {.lex_state = 63},
  [1977] = {.lex_state = 63},
  [1978] = {.lex_state = 63, .external_lex_state = 2},
  [1979] = {.lex_state = 63, .external_lex_state = 2},
  [1980] = {.lex_state = 65, .external_lex_state = 10},
  [1981] = {.lex_state = 63},
  [1982] = {.lex_state = 63},
  [1983] = {.lex_state = 63},
  [1984] = {.lex_state = 63},
  [1985] = {.lex_state = 63},
  [1986] = {.lex_state = 63},
  [1987] = {.lex_state = 63, .external_lex_state = 2},
  [1988] = {.lex_state = 3, .external_lex_state = 11},
  [1989] = {.lex_state = 63, .external_lex_state = 2},
  [1990] = {.lex_state = 63},
  [1991] = {.lex_state = 63, .external_lex_state = 2},
  [1992] = {.lex_state = 63, .external_lex_state = 2},
  [1993] = {.lex_state = 63},
  [1994] = {.lex_state = 63, .external_lex_state = 2},
  [1995] = {.lex_state = 63, .external_lex_state = 2},
  [1996] = {.lex_state = 64},
  [1997] = {.lex_state = 3, .external_lex_state = 11},
  [1998] = {.lex_state = 63, .external_lex_state = 2},
  [1999] = {.lex_state = 63, .external_lex_state = 2},
  [2000] = {.lex_state = 63, .external_lex_state = 2},
  [2001] = {.lex_state = 63},
  [2002] = {.lex_state = 63, .external_lex_state = 2},
  [2003] = {.lex_state = 63, .external_lex_state = 2},
  [2004] = {.lex_state = 63, .external_lex_state = 2},
  [2005] = {.lex_state = 63, .external_lex_state = 2},
  [2006] = {.lex_state = 63},
  [2007] = {.lex_state = 63},
  [2008] = {.lex_state = 63},
  [2009] = {.lex_state = 63},
  [2010] = {.lex_state = 63},
  [2011] = {.lex_state = 63},
  [2012] = {.lex_state = 63},
  [2013] = {.lex_state = 63, .external_lex_state = 2},
  [2014] = {.lex_state = 63},
  [2015] = {.lex_state = 63},
  [2016] = {.lex_state = 63, .external_lex_state = 13},
  [2017] = {.lex_state = 63},
  [2018] = {.lex_state = 63},
  [2019] = {.lex_state = 63},
  [2020] = {.lex_state = 63},
  [2021] = {.lex_state = 63},
  [2022] = {.lex_state = 63},
  [2023] = {.lex_state = 63},
  [2024] = {.lex_state = 63},
  [2025] = {.lex_state = 63},
  [2026] = {.lex_state = 63},
  [2027] = {.lex_state = 63},
  [2028] = {.lex_state = 63},
  [2029] = {.lex_state = 63},
  [2030] = {.lex_state = 63},
  [2031] = {.lex_state = 63},
  [2032] = {.lex_state = 63},
  [2033] = {.lex_state = 63},
  [2034] = {.lex_state = 63},
  [2035] = {.lex_state = 63},
  [2036] = {.lex_state = 63},
  [2037] = {.lex_state = 3, .external_lex_state = 11},
  [2038] = {.lex_state = 63},
  [2039] = {.lex_state = 63},
  [2040] = {.lex_state = 63},
  [2041] = {.lex_state = 63},
  [2042] = {.lex_state = 63},
  [2043] = {.lex_state = 63},
  [2044] = {.lex_state = 63},
  [2045] = {.lex_state = 63},
  [2046] = {.lex_state = 63},
  [2047] = {.lex_state = 63},
  [2048] = {.lex_state = 63},
  [2049] = {.lex_state = 63},
  [2050] = {.lex_state = 63},
  [2051] = {.lex_state = 63},
  [2052] = {.lex_state = 63},
  [2053] = {.lex_state = 63, .external_lex_state = 2},
  [2054] = {.lex_state = 63},
  [2055] = {.lex_state = 63, .external_lex_state = 2},
  [2056] = {.lex_state = 63},
  [2057] = {.lex_state = 63},
  [2058] = {.lex_state = 63},
  [2059] = {.lex_state = 63},
  [2060] = {.lex_state = 63},
  [2061] = {.lex_state = 63},
  [2062] = {.lex_state = 63},
  [2063] = {.lex_state = 63},
  [2064] = {.lex_state = 63},
  [2065] = {.lex_state = 63},
  [2066] = {.lex_state = 63},
  [2067] = {.lex_state = 63},
  [2068] = {.lex_state = 63},
  [2069] = {.lex_state = 63},
  [2070] = {.lex_state = 63},
  [2071] = {.lex_state = 63},
  [2072] = {.lex_state = 18},
  [2073] = {.lex_state = 18},
  [2074] = {.lex_state = 63},
  [2075] = {.lex_state = 63},
  [2076] = {.lex_state = 63},
  [2077] = {.lex_state = 63},
  [2078] = {.lex_state = 63},
  [2079] = {.lex_state = 63},
  [2080] = {.lex_state = 63},
  [2081] = {.lex_state = 63},
  [2082] = {.lex_state = 63},
  [2083] = {.lex_state = 63},
  [2084] = {.lex_state = 63},
  [2085] = {.lex_state = 63},
  [2086] = {.lex_state = 63},
  [2087] = {.lex_state = 63, .external_lex_state = 2},
  [2088] = {.lex_state = 63},
  [2089] = {.lex_state = 63},
  [2090] = {.lex_state = 63},
  [2091] = {.lex_state = 3, .external_lex_state = 11},
  [2092] = {.lex_state = 63},
  [2093] = {.lex_state = 3, .external_lex_state = 11},
  [2094] = {.lex_state = 63},
  [2095] = {.lex_state = 63},
  [2096] = {.lex_state = 63, .external_lex_state = 2},
  [2097] = {.lex_state = 63},
  [2098] = {.lex_state = 63},
  [2099] = {.lex_state = 63},
  [2100] = {.lex_state = 63},
  [2101] = {.lex_state = 63, .external_lex_state = 2},
  [2102] = {.lex_state = 63},
  [2103] = {.lex_state = 63},
  [2104] = {.lex_state = 63},
  [2105] = {.lex_state = 63},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 63},
  [2108] = {.lex_state = 63},
  [2109] = {.lex_state = 63},
  [2110] = {.lex_state = 63},
  [2111] = {.lex_state = 63},
  [2112] = {.lex_state = 63},
  [2113] = {.lex_state = 63},
  [2114] = {.lex_state = 63},
  [2115] = {.lex_state = 63},
  [2116] = {.lex_state = 63},
  [2117] = {.lex_state = 63},
  [2118] = {.lex_state = 63},
  [2119] = {.lex_state = 63},
  [2120] = {.lex_state = 63},
  [2121] = {.lex_state = 63},
  [2122] = {.lex_state = 63},
  [2123] = {.lex_state = 63},
  [2124] = {.lex_state = 63},
  [2125] = {.lex_state = 63},
  [2126] = {.lex_state = 63},
  [2127] = {.lex_state = 63},
  [2128] = {.lex_state = 63},
  [2129] = {.lex_state = 63},
  [2130] = {.lex_state = 63},
  [2131] = {.lex_state = 63},
  [2132] = {.lex_state = 63},
  [2133] = {.lex_state = 63},
  [2134] = {.lex_state = 63},
  [2135] = {.lex_state = 3, .external_lex_state = 11},
  [2136] = {.lex_state = 63},
  [2137] = {.lex_state = 63},
  [2138] = {.lex_state = 63},
  [2139] = {.lex_state = 63},
  [2140] = {.lex_state = 63},
  [2141] = {.lex_state = 63},
  [2142] = {.lex_state = 63},
  [2143] = {.lex_state = 63},
  [2144] = {.lex_state = 63},
  [2145] = {.lex_state = 63},
  [2146] = {.lex_state = 63},
  [2147] = {.lex_state = 63},
  [2148] = {.lex_state = 63},
  [2149] = {.lex_state = 63},
  [2150] = {.lex_state = 63},
  [2151] = {.lex_state = 63},
  [2152] = {.lex_state = 63, .external_lex_state = 2},
  [2153] = {.lex_state = 63},
  [2154] = {.lex_state = 63, .external_lex_state = 2},
  [2155] = {.lex_state = 63},
  [2156] = {.lex_state = 63},
  [2157] = {.lex_state = 63},
  [2158] = {.lex_state = 63},
  [2159] = {.lex_state = 63, .external_lex_state = 2},
  [2160] = {.lex_state = 63, .external_lex_state = 2},
  [2161] = {.lex_state = 63},
  [2162] = {.lex_state = 63},
  [2163] = {.lex_state = 63},
  [2164] = {.lex_state = 63},
  [2165] = {.lex_state = 63},
  [2166] = {.lex_state = 63},
  [2167] = {.lex_state = 64},
  [2168] = {.lex_state = 63},
  [2169] = {.lex_state = 64},
  [2170] = {.lex_state = 63},
  [2171] = {.lex_state = 63},
  [2172] = {.lex_state = 63},
  [2173] = {.lex_state = 63},
  [2174] = {.lex_state = 63},
  [2175] = {.lex_state = 63, .external_lex_state = 2},
  [2176] = {.lex_state = 63},
  [2177] = {.lex_state = 63, .external_lex_state = 2},
  [2178] = {.lex_state = 63},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 63},
  [2181] = {.lex_state = 63},
  [2182] = {.lex_state = 63},
  [2183] = {.lex_state = 63},
  [2184] = {.lex_state = 63},
  [2185] = {.lex_state = 63},
  [2186] = {.lex_state = 63},
  [2187] = {.lex_state = 63},
  [2188] = {.lex_state = 63},
  [2189] = {.lex_state = 63},
  [2190] = {.lex_state = 63},
  [2191] = {.lex_state = 63},
  [2192] = {.lex_state = 63},
  [2193] = {.lex_state = 63},
  [2194] = {.lex_state = 63},
  [2195] = {.lex_state = 63},
  [2196] = {.lex_state = 63},
  [2197] = {.lex_state = 63},
  [2198] = {.lex_state = 63},
  [2199] = {.lex_state = 3, .external_lex_state = 11},
  [2200] = {.lex_state = 3, .external_lex_state = 11},
  [2201] = {.lex_state = 63},
  [2202] = {.lex_state = 63},
  [2203] = {.lex_state = 63},
  [2204] = {.lex_state = 63},
  [2205] = {.lex_state = 63},
  [2206] = {.lex_state = 63},
  [2207] = {.lex_state = 63},
  [2208] = {.lex_state = 63},
  [2209] = {.lex_state = 63},
  [2210] = {.lex_state = 63},
  [2211] = {.lex_state = 63},
  [2212] = {.lex_state = 63},
  [2213] = {.lex_state = 63},
  [2214] = {.lex_state = 63, .external_lex_state = 2},
  [2215] = {.lex_state = 63},
  [2216] = {.lex_state = 63},
  [2217] = {.lex_state = 63},
  [2218] = {.lex_state = 63},
  [2219] = {.lex_state = 63},
  [2220] = {.lex_state = 63, .external_lex_state = 2},
  [2221] = {.lex_state = 63},
  [2222] = {.lex_state = 63},
  [2223] = {.lex_state = 63},
  [2224] = {.lex_state = 63},
  [2225] = {.lex_state = 63},
  [2226] = {.lex_state = 63},
  [2227] = {.lex_state = 63},
  [2228] = {.lex_state = 63},
  [2229] = {.lex_state = 63, .external_lex_state = 2},
  [2230] = {.lex_state = 63},
  [2231] = {.lex_state = 63},
  [2232] = {.lex_state = 63},
  [2233] = {.lex_state = 63},
  [2234] = {.lex_state = 63},
  [2235] = {.lex_state = 63},
  [2236] = {.lex_state = 63},
  [2237] = {.lex_state = 63},
  [2238] = {.lex_state = 63},
  [2239] = {.lex_state = 63},
  [2240] = {.lex_state = 63},
  [2241] = {.lex_state = 63},
  [2242] = {.lex_state = 63},
  [2243] = {.lex_state = 63},
  [2244] = {.lex_state = 63},
  [2245] = {.lex_state = 63},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 63, .external_lex_state = 13},
  [2248] = {.lex_state = 63},
  [2249] = {.lex_state = 63},
  [2250] = {.lex_state = 63},
  [2251] = {.lex_state = 63},
  [2252] = {.lex_state = 3, .external_lex_state = 12},
  [2253] = {.lex_state = 63},
  [2254] = {.lex_state = 63},
  [2255] = {.lex_state = 63},
  [2256] = {.lex_state = 63},
  [2257] = {.lex_state = 63},
  [2258] = {.lex_state = 63},
  [2259] = {.lex_state = 63},
  [2260] = {.lex_state = 63},
  [2261] = {.lex_state = 63},
  [2262] = {.lex_state = 63},
  [2263] = {.lex_state = 63},
  [2264] = {.lex_state = 63},
  [2265] = {.lex_state = 63},
  [2266] = {.lex_state = 63, .external_lex_state = 2},
  [2267] = {.lex_state = 63},
  [2268] = {.lex_state = 63},
  [2269] = {.lex_state = 63},
  [2270] = {.lex_state = 63},
  [2271] = {.lex_state = 63},
  [2272] = {.lex_state = 63},
  [2273] = {.lex_state = 63, .external_lex_state = 2},
  [2274] = {.lex_state = 63},
  [2275] = {.lex_state = 63},
  [2276] = {.lex_state = 63},
  [2277] = {.lex_state = 63, .external_lex_state = 2},
  [2278] = {.lex_state = 63},
  [2279] = {.lex_state = 63},
  [2280] = {.lex_state = 63},
  [2281] = {.lex_state = 63},
  [2282] = {.lex_state = 63},
  [2283] = {.lex_state = 63},
  [2284] = {.lex_state = 63},
  [2285] = {.lex_state = 63},
  [2286] = {.lex_state = 63},
  [2287] = {.lex_state = 63},
  [2288] = {.lex_state = 63},
  [2289] = {.lex_state = 63},
  [2290] = {.lex_state = 63},
  [2291] = {.lex_state = 63},
  [2292] = {.lex_state = 63},
  [2293] = {.lex_state = 63},
  [2294] = {.lex_state = 63},
  [2295] = {.lex_state = 63},
  [2296] = {.lex_state = 63},
  [2297] = {.lex_state = 63},
  [2298] = {.lex_state = 63},
  [2299] = {.lex_state = 63},
  [2300] = {.lex_state = 63},
  [2301] = {.lex_state = 63},
  [2302] = {.lex_state = 63},
  [2303] = {.lex_state = 63},
  [2304] = {.lex_state = 63},
  [2305] = {.lex_state = 63},
  [2306] = {.lex_state = 63},
  [2307] = {.lex_state = 63},
  [2308] = {.lex_state = 63},
  [2309] = {.lex_state = 63, .external_lex_state = 2},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64, .external_lex_state = 10},
  [2312] = {.lex_state = 63},
  [2313] = {.lex_state = 63},
  [2314] = {.lex_state = 63},
  [2315] = {.lex_state = 63},
  [2316] = {.lex_state = 63},
  [2317] = {.lex_state = 63},
  [2318] = {.lex_state = 63, .external_lex_state = 2},
  [2319] = {.lex_state = 63},
  [2320] = {.lex_state = 63},
  [2321] = {.lex_state = 63, .external_lex_state = 2},
  [2322] = {.lex_state = 63},
  [2323] = {.lex_state = 63},
  [2324] = {.lex_state = 63},
  [2325] = {.lex_state = 63},
  [2326] = {.lex_state = 63},
  [2327] = {.lex_state = 63},
  [2328] = {.lex_state = 63},
  [2329] = {.lex_state = 63},
  [2330] = {.lex_state = 63},
  [2331] = {.lex_state = 3, .external_lex_state = 11},
  [2332] = {.lex_state = 63, .external_lex_state = 14},
  [2333] = {.lex_state = 63},
  [2334] = {.lex_state = 63},
  [2335] = {.lex_state = 63},
  [2336] = {.lex_state = 3, .external_lex_state = 11},
  [2337] = {.lex_state = 63},
  [2338] = {.lex_state = 63},
  [2339] = {.lex_state = 63},
  [2340] = {.lex_state = 63},
  [2341] = {.lex_state = 63},
  [2342] = {.lex_state = 63},
  [2343] = {.lex_state = 63},
  [2344] = {.lex_state = 63},
  [2345] = {.lex_state = 63},
  [2346] = {.lex_state = 63},
  [2347] = {.lex_state = 63},
  [2348] = {.lex_state = 63},
  [2349] = {.lex_state = 63},
  [2350] = {.lex_state = 63, .external_lex_state = 2},
  [2351] = {.lex_state = 63},
  [2352] = {.lex_state = 63},
  [2353] = {.lex_state = 63},
  [2354] = {.lex_state = 63},
  [2355] = {.lex_state = 63},
  [2356] = {.lex_state = 63},
  [2357] = {.lex_state = 63, .external_lex_state = 2},
  [2358] = {.lex_state = 63, .external_lex_state = 2},
  [2359] = {.lex_state = 63},
  [2360] = {.lex_state = 63, .external_lex_state = 2},
  [2361] = {.lex_state = 63},
  [2362] = {.lex_state = 63},
  [2363] = {.lex_state = 63},
  [2364] = {.lex_state = 63},
  [2365] = {.lex_state = 63},
  [2366] = {.lex_state = 63},
  [2367] = {.lex_state = 63},
  [2368] = {.lex_state = 63},
  [2369] = {.lex_state = 63, .external_lex_state = 2},
  [2370] = {.lex_state = 63, .external_lex_state = 2},
  [2371] = {.lex_state = 63},
  [2372] = {.lex_state = 63},
  [2373] = {.lex_state = 63, .external_lex_state = 2},
  [2374] = {.lex_state = 3, .external_lex_state = 11},
  [2375] = {.lex_state = 63},
  [2376] = {.lex_state = 63},
  [2377] = {.lex_state = 63},
  [2378] = {.lex_state = 63},
  [2379] = {.lex_state = 63},
  [2380] = {.lex_state = 63},
  [2381] = {.lex_state = 63, .external_lex_state = 2},
  [2382] = {.lex_state = 63},
  [2383] = {.lex_state = 63},
  [2384] = {.lex_state = 63},
  [2385] = {.lex_state = 63},
  [2386] = {.lex_state = 63},
  [2387] = {.lex_state = 63},
  [2388] = {.lex_state = 63},
  [2389] = {.lex_state = 63, .external_lex_state = 2},
  [2390] = {.lex_state = 63},
  [2391] = {.lex_state = 63, .external_lex_state = 2},
  [2392] = {.lex_state = 63, .external_lex_state = 2},
  [2393] = {.lex_state = 63},
  [2394] = {.lex_state = 63},
  [2395] = {.lex_state = 63},
  [2396] = {.lex_state = 63},
  [2397] = {.lex_state = 63},
  [2398] = {.lex_state = 63},
  [2399] = {.lex_state = 63},
  [2400] = {.lex_state = 63},
  [2401] = {.lex_state = 63, .external_lex_state = 2},
  [2402] = {.lex_state = 63},
  [2403] = {.lex_state = 63},
  [2404] = {.lex_state = 63},
  [2405] = {.lex_state = 63},
  [2406] = {.lex_state = 63},
  [2407] = {.lex_state = 63},
  [2408] = {.lex_state = 63},
  [2409] = {.lex_state = 63},
  [2410] = {.lex_state = 63},
  [2411] = {.lex_state = 63, .external_lex_state = 2},
  [2412] = {.lex_state = 63},
  [2413] = {.lex_state = 63},
  [2414] = {.lex_state = 63},
  [2415] = {.lex_state = 63},
  [2416] = {.lex_state = 63, .external_lex_state = 2},
  [2417] = {.lex_state = 63},
  [2418] = {.lex_state = 63, .external_lex_state = 2},
  [2419] = {.lex_state = 63},
  [2420] = {.lex_state = 63, .external_lex_state = 2},
  [2421] = {.lex_state = 63, .external_lex_state = 2},
  [2422] = {.lex_state = 63},
  [2423] = {.lex_state = 63, .external_lex_state = 2},
  [2424] = {.lex_state = 63},
  [2425] = {.lex_state = 63},
  [2426] = {.lex_state = 63, .external_lex_state = 2},
  [2427] = {.lex_state = 63},
  [2428] = {.lex_state = 63},
  [2429] = {.lex_state = 63},
  [2430] = {.lex_state = 63},
  [2431] = {.lex_state = 63},
  [2432] = {.lex_state = 63, .external_lex_state = 2},
  [2433] = {.lex_state = 63},
  [2434] = {.lex_state = 63},
  [2435] = {.lex_state = 63},
  [2436] = {.lex_state = 63, .external_lex_state = 2},
  [2437] = {.lex_state = 63},
  [2438] = {.lex_state = 63},
  [2439] = {.lex_state = 63},
  [2440] = {.lex_state = 63},
  [2441] = {.lex_state = 3, .external_lex_state = 11},
  [2442] = {.lex_state = 63, .external_lex_state = 2},
  [2443] = {.lex_state = 63},
  [2444] = {.lex_state = 63},
  [2445] = {.lex_state = 63},
  [2446] = {.lex_state = 63},
  [2447] = {.lex_state = 63},
  [2448] = {.lex_state = 63},
  [2449] = {.lex_state = 63},
  [2450] = {.lex_state = 63},
  [2451] = {.lex_state = 63},
  [2452] = {.lex_state = 63, .external_lex_state = 2},
  [2453] = {.lex_state = 63},
  [2454] = {.lex_state = 63},
  [2455] = {.lex_state = 63, .external_lex_state = 2},
  [2456] = {.lex_state = 63},
  [2457] = {.lex_state = 63},
  [2458] = {.lex_state = 63, .external_lex_state = 2},
  [2459] = {.lex_state = 63},
  [2460] = {.lex_state = 63},
  [2461] = {.lex_state = 63},
  [2462] = {.lex_state = 63},
  [2463] = {.lex_state = 63},
  [2464] = {.lex_state = 63},
  [2465] = {.lex_state = 63},
  [2466] = {.lex_state = 63, .external_lex_state = 2},
  [2467] = {.lex_state = 63},
  [2468] = {.lex_state = 63},
  [2469] = {.lex_state = 63},
  [2470] = {.lex_state = 63},
  [2471] = {.lex_state = 63},
  [2472] = {.lex_state = 63, .external_lex_state = 2},
  [2473] = {.lex_state = 63},
  [2474] = {.lex_state = 63},
  [2475] = {.lex_state = 63},
  [2476] = {.lex_state = 63},
  [2477] = {.lex_state = 63},
  [2478] = {.lex_state = 63},
  [2479] = {.lex_state = 63},
  [2480] = {.lex_state = 3, .external_lex_state = 11},
  [2481] = {.lex_state = 63, .external_lex_state = 2},
  [2482] = {.lex_state = 63, .external_lex_state = 2},
  [2483] = {.lex_state = 63},
  [2484] = {.lex_state = 63, .external_lex_state = 2},
  [2485] = {.lex_state = 63},
  [2486] = {.lex_state = 3, .external_lex_state = 11},
  [2487] = {.lex_state = 63},
  [2488] = {.lex_state = 63},
  [2489] = {.lex_state = 63},
  [2490] = {.lex_state = 63},
  [2491] = {.lex_state = 63},
  [2492] = {.lex_state = 63, .external_lex_state = 2},
  [2493] = {.lex_state = 63, .external_lex_state = 2},
  [2494] = {.lex_state = 63},
  [2495] = {.lex_state = 63, .external_lex_state = 2},
  [2496] = {.lex_state = 63, .external_lex_state = 2},
  [2497] = {.lex_state = 63},
  [2498] = {.lex_state = 63, .external_lex_state = 2},
  [2499] = {.lex_state = 63, .external_lex_state = 2},
  [2500] = {.lex_state = 63, .external_lex_state = 2},
  [2501] = {.lex_state = 63, .external_lex_state = 2},
  [2502] = {.lex_state = 63, .external_lex_state = 2},
  [2503] = {.lex_state = 63},
  [2504] = {.lex_state = 63, .external_lex_state = 2},
  [2505] = {.lex_state = 63, .external_lex_state = 2},
  [2506] = {.lex_state = 63},
  [2507] = {.lex_state = 63, .external_lex_state = 2},
  [2508] = {.lex_state = 63},
  [2509] = {.lex_state = 63, .external_lex_state = 2},
  [2510] = {.lex_state = 63, .external_lex_state = 2},
  [2511] = {.lex_state = 63},
  [2512] = {.lex_state = 63, .external_lex_state = 2},
  [2513] = {.lex_state = 63, .external_lex_state = 2},
  [2514] = {.lex_state = 63},
  [2515] = {.lex_state = 63, .external_lex_state = 2},
  [2516] = {.lex_state = 63},
  [2517] = {.lex_state = 63, .external_lex_state = 2},
  [2518] = {.lex_state = 63, .external_lex_state = 2},
  [2519] = {.lex_state = 63},
  [2520] = {.lex_state = 63, .external_lex_state = 2},
  [2521] = {.lex_state = 63},
  [2522] = {.lex_state = 63},
  [2523] = {.lex_state = 63, .external_lex_state = 2},
  [2524] = {.lex_state = 63},
  [2525] = {.lex_state = 63},
  [2526] = {.lex_state = 63, .external_lex_state = 2},
  [2527] = {.lex_state = 63, .external_lex_state = 2},
  [2528] = {.lex_state = 63},
  [2529] = {.lex_state = 63, .external_lex_state = 2},
  [2530] = {.lex_state = 63, .external_lex_state = 2},
  [2531] = {.lex_state = 63, .external_lex_state = 2},
  [2532] = {.lex_state = 63, .external_lex_state = 2},
  [2533] = {.lex_state = 63},
  [2534] = {.lex_state = 63, .external_lex_state = 2},
  [2535] = {.lex_state = 63},
  [2536] = {.lex_state = 63},
  [2537] = {.lex_state = 63, .external_lex_state = 2},
  [2538] = {.lex_state = 63},
  [2539] = {.lex_state = 63, .external_lex_state = 2},
  [2540] = {.lex_state = 63, .external_lex_state = 2},
  [2541] = {.lex_state = 63, .external_lex_state = 2},
  [2542] = {.lex_state = 63},
  [2543] = {.lex_state = 63, .external_lex_state = 2},
  [2544] = {.lex_state = 63},
  [2545] = {.lex_state = 63},
  [2546] = {.lex_state = 63, .external_lex_state = 2},
  [2547] = {.lex_state = 63, .external_lex_state = 2},
  [2548] = {.lex_state = 63},
  [2549] = {.lex_state = 63},
  [2550] = {.lex_state = 63, .external_lex_state = 2},
  [2551] = {.lex_state = 63, .external_lex_state = 2},
  [2552] = {.lex_state = 63},
  [2553] = {.lex_state = 63},
  [2554] = {.lex_state = 63},
  [2555] = {.lex_state = 63},
  [2556] = {.lex_state = 63},
  [2557] = {.lex_state = 63},
  [2558] = {.lex_state = 63},
  [2559] = {.lex_state = 63},
  [2560] = {.lex_state = 63},
  [2561] = {.lex_state = 63},
  [2562] = {.lex_state = 63},
  [2563] = {.lex_state = 63, .external_lex_state = 2},
  [2564] = {.lex_state = 63},
  [2565] = {.lex_state = 63, .external_lex_state = 2},
  [2566] = {.lex_state = 63, .external_lex_state = 2},
  [2567] = {.lex_state = 63, .external_lex_state = 2},
  [2568] = {.lex_state = 63, .external_lex_state = 2},
  [2569] = {.lex_state = 63, .external_lex_state = 2},
  [2570] = {.lex_state = 63, .external_lex_state = 2},
  [2571] = {.lex_state = 63},
  [2572] = {.lex_state = 63, .external_lex_state = 2},
  [2573] = {.lex_state = 63, .external_lex_state = 2},
  [2574] = {.lex_state = 63, .external_lex_state = 2},
  [2575] = {.lex_state = 63},
  [2576] = {.lex_state = 63},
  [2577] = {.lex_state = 63},
  [2578] = {.lex_state = 63},
  [2579] = {.lex_state = 63},
  [2580] = {.lex_state = 63, .external_lex_state = 2},
  [2581] = {.lex_state = 63},
  [2582] = {.lex_state = 63},
  [2583] = {.lex_state = 63},
  [2584] = {.lex_state = 63},
  [2585] = {.lex_state = 63},
  [2586] = {.lex_state = 63},
  [2587] = {.lex_state = 63},
  [2588] = {.lex_state = 63},
  [2589] = {.lex_state = 63, .external_lex_state = 2},
  [2590] = {.lex_state = 3, .external_lex_state = 11},
  [2591] = {.lex_state = 3, .external_lex_state = 11},
  [2592] = {.lex_state = 63},
  [2593] = {.lex_state = 63, .external_lex_state = 2},
  [2594] = {.lex_state = 63},
  [2595] = {.lex_state = 3, .external_lex_state = 11},
  [2596] = {.lex_state = 63},
  [2597] = {.lex_state = 3, .external_lex_state = 11},
  [2598] = {.lex_state = 63},
  [2599] = {.lex_state = 63},
  [2600] = {.lex_state = 63},
  [2601] = {.lex_state = 63},
  [2602] = {.lex_state = 63, .external_lex_state = 2},
  [2603] = {.lex_state = 63},
  [2604] = {.lex_state = 63},
  [2605] = {.lex_state = 63},
  [2606] = {.lex_state = 63},
  [2607] = {.lex_state = 63},
  [2608] = {.lex_state = 63},
  [2609] = {.lex_state = 63, .external_lex_state = 11},
  [2610] = {.lex_state = 63},
  [2611] = {.lex_state = 63},
  [2612] = {.lex_state = 63},
  [2613] = {.lex_state = 63},
  [2614] = {.lex_state = 63},
  [2615] = {.lex_state = 63},
  [2616] = {.lex_state = 63},
  [2617] = {.lex_state = 63, .external_lex_state = 11},
  [2618] = {.lex_state = 63},
  [2619] = {.lex_state = 63, .external_lex_state = 11},
  [2620] = {.lex_state = 63},
  [2621] = {.lex_state = 63},
  [2622] = {.lex_state = 63},
  [2623] = {.lex_state = 63},
  [2624] = {.lex_state = 63, .external_lex_state = 11},
  [2625] = {.lex_state = 10},
  [2626] = {.lex_state = 63},
  [2627] = {.lex_state = 63},
  [2628] = {.lex_state = 63},
  [2629] = {.lex_state = 63},
  [2630] = {.lex_state = 63},
  [2631] = {.lex_state = 63},
  [2632] = {.lex_state = 63},
  [2633] = {.lex_state = 63},
  [2634] = {.lex_state = 63},
  [2635] = {.lex_state = 63},
  [2636] = {.lex_state = 63},
  [2637] = {.lex_state = 63},
  [2638] = {.lex_state = 63},
  [2639] = {.lex_state = 63},
  [2640] = {.lex_state = 63},
  [2641] = {.lex_state = 63},
  [2642] = {.lex_state = 63},
  [2643] = {.lex_state = 63},
  [2644] = {.lex_state = 63},
  [2645] = {.lex_state = 63},
  [2646] = {.lex_state = 63},
  [2647] = {.lex_state = 63},
  [2648] = {.lex_state = 63},
  [2649] = {.lex_state = 63},
  [2650] = {.lex_state = 63},
  [2651] = {.lex_state = 63},
  [2652] = {.lex_state = 63},
  [2653] = {.lex_state = 63},
  [2654] = {.lex_state = 63, .external_lex_state = 11},
  [2655] = {.lex_state = 63},
  [2656] = {.lex_state = 63},
  [2657] = {.lex_state = 63},
  [2658] = {.lex_state = 63},
  [2659] = {.lex_state = 63},
  [2660] = {.lex_state = 63},
  [2661] = {.lex_state = 63},
  [2662] = {.lex_state = 63},
  [2663] = {.lex_state = 63},
  [2664] = {.lex_state = 63},
  [2665] = {.lex_state = 63},
  [2666] = {.lex_state = 63},
  [2667] = {.lex_state = 63},
  [2668] = {.lex_state = 63},
  [2669] = {.lex_state = 63},
  [2670] = {.lex_state = 63},
  [2671] = {.lex_state = 63},
  [2672] = {.lex_state = 63},
  [2673] = {.lex_state = 63},
  [2674] = {.lex_state = 63},
  [2675] = {.lex_state = 63},
  [2676] = {.lex_state = 63},
  [2677] = {.lex_state = 63},
  [2678] = {.lex_state = 63},
  [2679] = {.lex_state = 63},
  [2680] = {.lex_state = 10},
  [2681] = {.lex_state = 63, .external_lex_state = 11},
  [2682] = {.lex_state = 63},
  [2683] = {.lex_state = 63},
  [2684] = {.lex_state = 63},
  [2685] = {.lex_state = 63},
  [2686] = {.lex_state = 63},
  [2687] = {.lex_state = 63},
  [2688] = {.lex_state = 63},
  [2689] = {.lex_state = 63},
  [2690] = {.lex_state = 63},
  [2691] = {.lex_state = 63},
  [2692] = {.lex_state = 63},
  [2693] = {.lex_state = 63},
  [2694] = {.lex_state = 63},
  [2695] = {.lex_state = 63},
  [2696] = {.lex_state = 63},
  [2697] = {.lex_state = 63},
  [2698] = {.lex_state = 63, .external_lex_state = 13},
  [2699] = {.lex_state = 63, .external_lex_state = 13},
  [2700] = {.lex_state = 63},
  [2701] = {.lex_state = 63},
  [2702] = {.lex_state = 63},
  [2703] = {.lex_state = 63},
  [2704] = {.lex_state = 63},
  [2705] = {.lex_state = 63},
  [2706] = {.lex_state = 63},
  [2707] = {.lex_state = 63, .external_lex_state = 13},
  [2708] = {.lex_state = 63},
  [2709] = {.lex_state = 63},
  [2710] = {.lex_state = 63},
  [2711] = {.lex_state = 63},
  [2712] = {.lex_state = 63},
  [2713] = {.lex_state = 63},
  [2714] = {.lex_state = 63},
  [2715] = {.lex_state = 63, .external_lex_state = 11},
  [2716] = {.lex_state = 63},
  [2717] = {.lex_state = 63},
  [2718] = {.lex_state = 63},
  [2719] = {.lex_state = 63},
  [2720] = {.lex_state = 63},
  [2721] = {.lex_state = 63},
  [2722] = {.lex_state = 63},
  [2723] = {.lex_state = 63},
  [2724] = {.lex_state = 63},
  [2725] = {.lex_state = 63, .external_lex_state = 13},
  [2726] = {.lex_state = 63},
  [2727] = {.lex_state = 63},
  [2728] = {.lex_state = 63},
  [2729] = {.lex_state = 63},
  [2730] = {.lex_state = 63, .external_lex_state = 11},
  [2731] = {.lex_state = 63},
  [2732] = {.lex_state = 63},
  [2733] = {.lex_state = 63},
  [2734] = {.lex_state = 63},
  [2735] = {.lex_state = 63},
  [2736] = {.lex_state = 63},
  [2737] = {.lex_state = 63},
  [2738] = {.lex_state = 63},
  [2739] = {.lex_state = 63},
  [2740] = {.lex_state = 63},
  [2741] = {.lex_state = 63},
  [2742] = {.lex_state = 63},
  [2743] = {.lex_state = 63},
  [2744] = {.lex_state = 63},
  [2745] = {.lex_state = 63},
  [2746] = {.lex_state = 63},
  [2747] = {.lex_state = 63},
  [2748] = {.lex_state = 63},
  [2749] = {.lex_state = 63},
  [2750] = {.lex_state = 63},
  [2751] = {.lex_state = 63},
  [2752] = {.lex_state = 63},
  [2753] = {.lex_state = 63},
  [2754] = {.lex_state = 63},
  [2755] = {.lex_state = 63},
  [2756] = {.lex_state = 63},
  [2757] = {.lex_state = 63},
  [2758] = {.lex_state = 63},
  [2759] = {.lex_state = 63},
  [2760] = {.lex_state = 63},
  [2761] = {.lex_state = 63},
  [2762] = {.lex_state = 63},
  [2763] = {.lex_state = 63},
  [2764] = {.lex_state = 63},
  [2765] = {.lex_state = 63},
  [2766] = {.lex_state = 63},
  [2767] = {.lex_state = 63},
  [2768] = {.lex_state = 63},
  [2769] = {.lex_state = 63},
  [2770] = {.lex_state = 63},
  [2771] = {.lex_state = 63},
  [2772] = {.lex_state = 63},
  [2773] = {.lex_state = 63},
  [2774] = {.lex_state = 63},
  [2775] = {.lex_state = 63},
  [2776] = {.lex_state = 63},
  [2777] = {.lex_state = 63},
  [2778] = {.lex_state = 63},
  [2779] = {.lex_state = 63, .external_lex_state = 11},
  [2780] = {.lex_state = 63},
  [2781] = {.lex_state = 63},
  [2782] = {.lex_state = 63},
  [2783] = {.lex_state = 63},
  [2784] = {.lex_state = 63},
  [2785] = {.lex_state = 63},
  [2786] = {.lex_state = 63},
  [2787] = {.lex_state = 63},
  [2788] = {.lex_state = 63},
  [2789] = {.lex_state = 63, .external_lex_state = 11},
  [2790] = {.lex_state = 63},
  [2791] = {.lex_state = 63},
  [2792] = {.lex_state = 63},
  [2793] = {.lex_state = 63},
  [2794] = {.lex_state = 63},
  [2795] = {.lex_state = 63},
  [2796] = {.lex_state = 63},
  [2797] = {.lex_state = 63},
  [2798] = {.lex_state = 63},
  [2799] = {.lex_state = 63},
  [2800] = {.lex_state = 63},
  [2801] = {.lex_state = 63},
  [2802] = {.lex_state = 63},
  [2803] = {.lex_state = 63},
  [2804] = {.lex_state = 63},
  [2805] = {.lex_state = 63},
  [2806] = {.lex_state = 63},
  [2807] = {.lex_state = 63},
  [2808] = {.lex_state = 63},
  [2809] = {.lex_state = 63},
  [2810] = {.lex_state = 63},
  [2811] = {.lex_state = 63},
  [2812] = {.lex_state = 63},
  [2813] = {.lex_state = 63},
  [2814] = {.lex_state = 63},
  [2815] = {.lex_state = 63},
  [2816] = {.lex_state = 63},
  [2817] = {.lex_state = 63},
  [2818] = {(TSStateId)(-1)},
  [2819] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2817),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2310),
    [aux_sym_text_repeat1] = STATE(1821),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(352),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(354),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(357),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(360),
    [aux_sym_foreach_statement_token1] = ACTIONS(363),
    [aux_sym_if_statement_token1] = ACTIONS(366),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_else_if_clause_token1] = ACTIONS(352),
    [aux_sym_else_clause_token1] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_if_statement_token2] = ACTIONS(369),
    [aux_sym_else_if_clause_token1] = ACTIONS(369),
    [aux_sym_else_clause_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(536),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_colon_block] = STATE(2663),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(2138),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2643),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(536),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_colon_block] = STATE(2663),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(2138),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2643),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(587),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(459),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(1698),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(1706),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(2153),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(2279),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(475),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(2146),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(2028),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2686),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(620),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(620),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(489),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(2028),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2686),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(619),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(499),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(465),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_colon_block] = STATE(1712),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(501),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(1686),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(1706),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_colon_block] = STATE(2712),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(503),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(619),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(505),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(507),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(2218),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(519),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(506),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(523),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(525),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(2105),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(529),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(531),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(533),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2090),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(541),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(543),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(545),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(2218),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(513),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(553),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(555),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(557),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(2081),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(559),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(561),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(563),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(2049),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(567),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(569),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(571),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(575),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(577),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(579),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(2161),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(583),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(585),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(587),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(553),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(555),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(557),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(591),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(565),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(575),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(577),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(579),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(593),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(569),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(597),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(599),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(573),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(601),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(603),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(605),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(607),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(609),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(2153),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(513),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(569),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(597),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(599),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(506),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(523),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(525),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(611),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(613),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(615),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(617),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(619),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(573),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(601),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(603),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(605),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(621),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(623),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(2146),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(625),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(2105),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(529),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(531),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(533),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(627),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(2090),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(541),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(543),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(545),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(629),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(631),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(587),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(633),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_colon_block] = STATE(2712),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(635),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(637),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(2161),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(583),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(585),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(587),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(639),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(641),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(2081),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(559),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(561),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(563),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(643),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(645),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(647),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(649),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(2049),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(567),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(569),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(571),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(2279),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(475),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(651),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(653),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(655),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(464),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_colon_block] = STATE(1712),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(564),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(657),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(602),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(2306),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(2723),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(371),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(375),
    [aux_sym_foreach_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(2714),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(2212),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(602),
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(572),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2351),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(566),
    [sym_exit_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1446),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(2306),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1405),
    [sym_abstract_modifier] = STATE(1405),
    [sym_readonly_modifier] = STATE(1405),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2099),
    [sym__modifier] = STATE(1397),
    [sym_static_modifier] = STATE(1514),
    [sym_visibility_modifier] = STATE(1405),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2314),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1181),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1181),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1179),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1430),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(1443),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(1008),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(661),
    [anon_sym_COLON] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(1008),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(661),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_yield_expression_token2] = ACTIONS(747),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_variadic_unpacking] = STATE(1158),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_by_ref] = STATE(1158),
    [sym_yield_expression] = STATE(1179),
    [sym_array_element_initializer] = STATE(1204),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(759),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(661),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(763),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(765),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(661),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(1008),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(661),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_yield_expression_token2] = ACTIONS(787),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2729),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2692),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2630),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2678),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2630),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2626),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2618),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2621),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2667),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2693),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2626),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_cast_type] = STATE(2685),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2623),
    [sym_argument] = STATE(2141),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2771),
    [sym_argument] = STATE(2287),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(702),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(702),
    [sym_nullsafe_member_access_expression] = STATE(702),
    [sym_scoped_property_access_expression] = STATE(702),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2062),
    [sym_function_call_expression] = STATE(686),
    [sym_scoped_call_expression] = STATE(686),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(686),
    [sym_nullsafe_member_call_expression] = STATE(686),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(686),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(686),
    [sym_variable_name] = STATE(686),
    [sym_by_ref] = STATE(2413),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2098),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym__array_destructing_repeat1] = STATE(2066),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2737),
    [sym_argument] = STATE(2042),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(841),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2775),
    [sym_argument] = STATE(2285),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(845),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2784),
    [sym_argument] = STATE(2297),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(702),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(702),
    [sym_nullsafe_member_access_expression] = STATE(702),
    [sym_scoped_property_access_expression] = STATE(702),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2062),
    [sym_function_call_expression] = STATE(686),
    [sym_scoped_call_expression] = STATE(686),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(686),
    [sym_nullsafe_member_call_expression] = STATE(686),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(686),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(686),
    [sym_variable_name] = STATE(686),
    [sym_by_ref] = STATE(2413),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2098),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym__array_destructing_repeat1] = STATE(2066),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(702),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(702),
    [sym_nullsafe_member_access_expression] = STATE(702),
    [sym_scoped_property_access_expression] = STATE(702),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2062),
    [sym_function_call_expression] = STATE(686),
    [sym_scoped_call_expression] = STATE(686),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(686),
    [sym_nullsafe_member_call_expression] = STATE(686),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(686),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(686),
    [sym_variable_name] = STATE(686),
    [sym_by_ref] = STATE(2413),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2098),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym__array_destructing_repeat1] = STATE(2066),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2757),
    [sym_argument] = STATE(2274),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(702),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(702),
    [sym_nullsafe_member_access_expression] = STATE(702),
    [sym_scoped_property_access_expression] = STATE(702),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2062),
    [sym_function_call_expression] = STATE(686),
    [sym_scoped_call_expression] = STATE(686),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(686),
    [sym_nullsafe_member_call_expression] = STATE(686),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(686),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(686),
    [sym_variable_name] = STATE(686),
    [sym_by_ref] = STATE(2413),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2098),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym__array_destructing_repeat1] = STATE(2066),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(861),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2810),
    [sym_argument] = STATE(2304),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(863),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_variadic_placeholder] = STATE(2604),
    [sym_argument] = STATE(2243),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(867),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(702),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(702),
    [sym_nullsafe_member_access_expression] = STATE(702),
    [sym_scoped_property_access_expression] = STATE(702),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2062),
    [sym_function_call_expression] = STATE(686),
    [sym_scoped_call_expression] = STATE(686),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(686),
    [sym_nullsafe_member_call_expression] = STATE(686),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(686),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(686),
    [sym_variable_name] = STATE(686),
    [sym_by_ref] = STATE(2413),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2064),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym__array_destructing_repeat1] = STATE(2066),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(871),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(873),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2098),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(875),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(877),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2064),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(883),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2022),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(893),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2121),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(905),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(923),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_argument] = STATE(2330),
    [sym__argument_name] = STATE(188),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2584),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(821),
    [aux_sym_match_expression_token1] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [aux_sym__argument_name_token1] = ACTIONS(827),
    [aux_sym__argument_name_token2] = ACTIONS(829),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2185),
    [sym_match_default_expression] = STATE(2185),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(927),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(929),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2077),
    [sym_match_default_expression] = STATE(2077),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(933),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(935),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(941),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2382),
    [sym_match_default_expression] = STATE(2382),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2382),
    [sym_match_default_expression] = STATE(2382),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(951),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1363),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(1885),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(669),
    [sym_scoped_call_expression] = STATE(669),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(669),
    [sym_nullsafe_member_call_expression] = STATE(669),
    [sym_subscript_expression] = STATE(669),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(669),
    [sym_variable_name] = STATE(669),
    [sym_by_ref] = STATE(2125),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym__list_destructing_repeat1] = STATE(2127),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(953),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_RPAREN] = ACTIONS(957),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1370),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(703),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(703),
    [sym_nullsafe_member_access_expression] = STATE(703),
    [sym_scoped_property_access_expression] = STATE(703),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2600),
    [sym_function_call_expression] = STATE(691),
    [sym_scoped_call_expression] = STATE(691),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(691),
    [sym_nullsafe_member_call_expression] = STATE(691),
    [sym_subscript_expression] = STATE(691),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(691),
    [sym_variable_name] = STATE(691),
    [sym_by_ref] = STATE(2599),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(959),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(955),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1370),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(703),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(703),
    [sym_nullsafe_member_access_expression] = STATE(703),
    [sym_scoped_property_access_expression] = STATE(703),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2600),
    [sym_function_call_expression] = STATE(691),
    [sym_scoped_call_expression] = STATE(691),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(691),
    [sym_nullsafe_member_call_expression] = STATE(691),
    [sym_subscript_expression] = STATE(691),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(691),
    [sym_variable_name] = STATE(691),
    [sym_by_ref] = STATE(2599),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(959),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(955),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_RBRACK] = ACTIONS(959),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1370),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(703),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(703),
    [sym_nullsafe_member_access_expression] = STATE(703),
    [sym_scoped_property_access_expression] = STATE(703),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2061),
    [sym__array_destructing_element] = STATE(2600),
    [sym_function_call_expression] = STATE(691),
    [sym_scoped_call_expression] = STATE(691),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(691),
    [sym_nullsafe_member_call_expression] = STATE(691),
    [sym_subscript_expression] = STATE(691),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(691),
    [sym_variable_name] = STATE(691),
    [sym_by_ref] = STATE(2599),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(959),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(955),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_RBRACK] = ACTIONS(966),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2382),
    [sym_match_default_expression] = STATE(2382),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2382),
    [sym_match_default_expression] = STATE(2382),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(971),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(1045),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1045),
    [sym_yield_expression] = STATE(1049),
    [sym_array_element_initializer] = STATE(2196),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1331),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2189),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(693),
    [sym_scoped_call_expression] = STATE(693),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(693),
    [sym_nullsafe_member_call_expression] = STATE(693),
    [sym_subscript_expression] = STATE(693),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(693),
    [sym_variable_name] = STATE(693),
    [sym_by_ref] = STATE(2506),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(973),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_match_condition_list] = STATE(2642),
    [sym_match_conditional_expression] = STATE(2382),
    [sym_match_default_expression] = STATE(2382),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_reference_modifier] = STATE(237),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2474),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1582),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2782),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(975),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2774),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_foreach_pair] = STATE(2656),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2483),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(2656),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2745),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2748),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2631),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2740),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(985),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2751),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(987),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2811),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2605),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(991),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2611),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2758),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2612),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(997),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2804),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_foreach_pair] = STATE(2749),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2366),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(2749),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2801),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2614),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1003),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2647),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1005),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2646),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2752),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1009),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2798),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2796),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2753),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2755),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1017),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2735),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2770),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1021),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2659),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1023),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2645),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1025),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_foreach_pair] = STATE(2608),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2594),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(2608),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2664),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2634),
    [sym_sequence_expression] = STATE(2435),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_foreach_pair] = STATE(2759),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2362),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(2759),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1033),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1035),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1037),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1039),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_by_ref] = STATE(1192),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2477),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1569),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1043),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1043),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(704),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(704),
    [sym_nullsafe_member_access_expression] = STATE(704),
    [sym_scoped_property_access_expression] = STATE(704),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2195),
    [sym_function_call_expression] = STATE(697),
    [sym_scoped_call_expression] = STATE(697),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(697),
    [sym_nullsafe_member_call_expression] = STATE(697),
    [sym_subscript_expression] = STATE(697),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(697),
    [sym_variable_name] = STATE(697),
    [sym_by_ref] = STATE(2497),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1351),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2468),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_by_ref] = STATE(2660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1045),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1045),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(835),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym__expressions] = STATE(2472),
    [sym_sequence_expression] = STATE(2391),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2328),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1608),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym__expressions] = STATE(2389),
    [sym_sequence_expression] = STATE(2391),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1049),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1384),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_sequence_expression] = STATE(2531),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1374),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1053),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_sequence_expression] = STATE(2467),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_sequence_expression] = STATE(2467),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1352),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(1055),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1369),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1366),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1388),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1063),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1065),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1359),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1067),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1389),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1069),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1073),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1342),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1077),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1375),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1337),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1083),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1386),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1390),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1392),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1373),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1356),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1330),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1329),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1353),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1394),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1380),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1391),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1348),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1335),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1340),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1336),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1338),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1377),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1367),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1361),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1378),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1326),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1360),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1364),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1387),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1376),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1365),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1355),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1381),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1383),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1347),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1362),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1357),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1350),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1395),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1334),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1333),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1346),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1368),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1393),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(676),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2615),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1345),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1349),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_match_expression] = STATE(1179),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1179),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1179),
    [sym_reference_assignment_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1179),
    [sym_augmented_assignment_expression] = STATE(1179),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2767),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_yield_expression] = STATE(1179),
    [sym_binary_expression] = STATE(1179),
    [sym_include_expression] = STATE(1179),
    [sym_include_once_expression] = STATE(1179),
    [sym_require_expression] = STATE(1179),
    [sym_require_once_expression] = STATE(1179),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1344),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1049),
    [sym_expression] = STATE(1339),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1049),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(1049),
    [sym_reference_assignment_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_augmented_assignment_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2809),
    [sym__list_destructing] = STATE(2356),
    [sym__array_destructing] = STATE(2356),
    [sym_function_call_expression] = STATE(660),
    [sym_scoped_call_expression] = STATE(660),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(660),
    [sym_nullsafe_member_call_expression] = STATE(660),
    [sym_subscript_expression] = STATE(660),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(660),
    [sym_variable_name] = STATE(660),
    [sym_yield_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_include_expression] = STATE(1049),
    [sym_include_once_expression] = STATE(1049),
    [sym_require_expression] = STATE(1049),
    [sym_require_once_expression] = STATE(1049),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [sym_catch_clause] = STATE(470),
    [sym_finally_clause] = STATE(470),
    [aux_sym_try_statement_repeat1] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_name] = ACTIONS(1089),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1087),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1089),
    [aux_sym_global_declaration_token1] = ACTIONS(1089),
    [aux_sym_namespace_definition_token1] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1089),
    [anon_sym_BSLASH] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [aux_sym_trait_declaration_token1] = ACTIONS(1089),
    [aux_sym_interface_declaration_token1] = ACTIONS(1089),
    [aux_sym_enum_declaration_token1] = ACTIONS(1089),
    [aux_sym_enum_case_token1] = ACTIONS(1089),
    [aux_sym_class_declaration_token1] = ACTIONS(1089),
    [aux_sym_final_modifier_token1] = ACTIONS(1089),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1089),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1089),
    [sym_var_modifier] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1089),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [aux_sym_cast_type_token1] = ACTIONS(1089),
    [aux_sym_echo_statement_token1] = ACTIONS(1089),
    [aux_sym_exit_statement_token1] = ACTIONS(1089),
    [anon_sym_unset] = ACTIONS(1089),
    [aux_sym_declare_statement_token1] = ACTIONS(1089),
    [aux_sym_declare_statement_token2] = ACTIONS(1089),
    [sym_float] = ACTIONS(1089),
    [aux_sym_try_statement_token1] = ACTIONS(1089),
    [aux_sym_catch_clause_token1] = ACTIONS(1091),
    [aux_sym_finally_clause_token1] = ACTIONS(1093),
    [aux_sym_goto_statement_token1] = ACTIONS(1089),
    [aux_sym_continue_statement_token1] = ACTIONS(1089),
    [aux_sym_break_statement_token1] = ACTIONS(1089),
    [sym_integer] = ACTIONS(1089),
    [aux_sym_return_statement_token1] = ACTIONS(1089),
    [aux_sym_throw_expression_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token2] = ACTIONS(1089),
    [aux_sym_do_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token2] = ACTIONS(1089),
    [aux_sym_foreach_statement_token1] = ACTIONS(1089),
    [aux_sym_foreach_statement_token2] = ACTIONS(1089),
    [aux_sym_if_statement_token1] = ACTIONS(1089),
    [aux_sym_if_statement_token2] = ACTIONS(1089),
    [aux_sym_else_if_clause_token1] = ACTIONS(1089),
    [aux_sym_else_clause_token1] = ACTIONS(1089),
    [aux_sym_match_expression_token1] = ACTIONS(1089),
    [aux_sym_match_default_expression_token1] = ACTIONS(1089),
    [aux_sym_switch_statement_token1] = ACTIONS(1089),
    [aux_sym_switch_block_token1] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [aux_sym_clone_expression_token1] = ACTIONS(1089),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1089),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1089),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [aux_sym__list_destructing_token1] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_self] = ACTIONS(1089),
    [anon_sym_parent] = ACTIONS(1089),
    [aux_sym__argument_name_token1] = ACTIONS(1089),
    [aux_sym__argument_name_token2] = ACTIONS(1089),
    [anon_sym_POUND_LBRACK] = ACTIONS(1087),
    [aux_sym_encapsed_string_token1] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1087),
    [aux_sym_string_token1] = ACTIONS(1087),
    [anon_sym_SQUOTE] = ACTIONS(1087),
    [anon_sym_LT_LT_LT] = ACTIONS(1087),
    [anon_sym_BQUOTE] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1087),
    [aux_sym_yield_expression_token1] = ACTIONS(1089),
    [aux_sym_include_expression_token1] = ACTIONS(1089),
    [aux_sym_include_once_expression_token1] = ACTIONS(1089),
    [aux_sym_require_expression_token1] = ACTIONS(1089),
    [aux_sym_require_once_expression_token1] = ACTIONS(1089),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [sym_catch_clause] = STATE(470),
    [sym_finally_clause] = STATE(470),
    [aux_sym_try_statement_repeat1] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1095),
    [sym_name] = ACTIONS(1097),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1095),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1097),
    [aux_sym_global_declaration_token1] = ACTIONS(1097),
    [aux_sym_namespace_definition_token1] = ACTIONS(1097),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1097),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1097),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1097),
    [anon_sym_BSLASH] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [aux_sym_trait_declaration_token1] = ACTIONS(1097),
    [aux_sym_interface_declaration_token1] = ACTIONS(1097),
    [aux_sym_enum_declaration_token1] = ACTIONS(1097),
    [aux_sym_enum_case_token1] = ACTIONS(1097),
    [aux_sym_class_declaration_token1] = ACTIONS(1097),
    [aux_sym_final_modifier_token1] = ACTIONS(1097),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1097),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1097),
    [sym_var_modifier] = ACTIONS(1097),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1097),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1097),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1097),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [aux_sym_cast_type_token1] = ACTIONS(1097),
    [aux_sym_echo_statement_token1] = ACTIONS(1097),
    [aux_sym_exit_statement_token1] = ACTIONS(1097),
    [anon_sym_unset] = ACTIONS(1097),
    [aux_sym_declare_statement_token1] = ACTIONS(1097),
    [aux_sym_declare_statement_token2] = ACTIONS(1097),
    [sym_float] = ACTIONS(1097),
    [aux_sym_try_statement_token1] = ACTIONS(1097),
    [aux_sym_catch_clause_token1] = ACTIONS(1099),
    [aux_sym_finally_clause_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1097),
    [aux_sym_continue_statement_token1] = ACTIONS(1097),
    [aux_sym_break_statement_token1] = ACTIONS(1097),
    [sym_integer] = ACTIONS(1097),
    [aux_sym_return_statement_token1] = ACTIONS(1097),
    [aux_sym_throw_expression_token1] = ACTIONS(1097),
    [aux_sym_while_statement_token1] = ACTIONS(1097),
    [aux_sym_while_statement_token2] = ACTIONS(1097),
    [aux_sym_do_statement_token1] = ACTIONS(1097),
    [aux_sym_for_statement_token1] = ACTIONS(1097),
    [aux_sym_for_statement_token2] = ACTIONS(1097),
    [aux_sym_foreach_statement_token1] = ACTIONS(1097),
    [aux_sym_foreach_statement_token2] = ACTIONS(1097),
    [aux_sym_if_statement_token1] = ACTIONS(1097),
    [aux_sym_if_statement_token2] = ACTIONS(1097),
    [aux_sym_else_if_clause_token1] = ACTIONS(1097),
    [aux_sym_else_clause_token1] = ACTIONS(1097),
    [aux_sym_match_expression_token1] = ACTIONS(1097),
    [aux_sym_match_default_expression_token1] = ACTIONS(1097),
    [aux_sym_switch_statement_token1] = ACTIONS(1097),
    [aux_sym_switch_block_token1] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AT] = ACTIONS(1095),
    [aux_sym_clone_expression_token1] = ACTIONS(1097),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1097),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1097),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [aux_sym__list_destructing_token1] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_self] = ACTIONS(1097),
    [anon_sym_parent] = ACTIONS(1097),
    [aux_sym__argument_name_token1] = ACTIONS(1097),
    [aux_sym__argument_name_token2] = ACTIONS(1097),
    [anon_sym_POUND_LBRACK] = ACTIONS(1095),
    [aux_sym_encapsed_string_token1] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1095),
    [aux_sym_string_token1] = ACTIONS(1095),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [anon_sym_LT_LT_LT] = ACTIONS(1095),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [aux_sym_yield_expression_token1] = ACTIONS(1097),
    [aux_sym_include_expression_token1] = ACTIONS(1097),
    [aux_sym_include_once_expression_token1] = ACTIONS(1097),
    [aux_sym_require_expression_token1] = ACTIONS(1097),
    [aux_sym_require_once_expression_token1] = ACTIONS(1097),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [sym_else_if_clause] = STATE(537),
    [sym_else_clause] = STATE(601),
    [aux_sym_if_statement_repeat1] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_name] = ACTIONS(1107),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1105),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1107),
    [aux_sym_global_declaration_token1] = ACTIONS(1107),
    [aux_sym_namespace_definition_token1] = ACTIONS(1107),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1107),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1107),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1107),
    [anon_sym_BSLASH] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [aux_sym_trait_declaration_token1] = ACTIONS(1107),
    [aux_sym_interface_declaration_token1] = ACTIONS(1107),
    [aux_sym_enum_declaration_token1] = ACTIONS(1107),
    [aux_sym_enum_case_token1] = ACTIONS(1107),
    [aux_sym_class_declaration_token1] = ACTIONS(1107),
    [aux_sym_final_modifier_token1] = ACTIONS(1107),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1107),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1107),
    [sym_var_modifier] = ACTIONS(1107),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1107),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1107),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1107),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [aux_sym_cast_type_token1] = ACTIONS(1107),
    [aux_sym_echo_statement_token1] = ACTIONS(1107),
    [aux_sym_exit_statement_token1] = ACTIONS(1107),
    [anon_sym_unset] = ACTIONS(1107),
    [aux_sym_declare_statement_token1] = ACTIONS(1107),
    [aux_sym_declare_statement_token2] = ACTIONS(1107),
    [sym_float] = ACTIONS(1107),
    [aux_sym_try_statement_token1] = ACTIONS(1107),
    [aux_sym_goto_statement_token1] = ACTIONS(1107),
    [aux_sym_continue_statement_token1] = ACTIONS(1107),
    [aux_sym_break_statement_token1] = ACTIONS(1107),
    [sym_integer] = ACTIONS(1107),
    [aux_sym_return_statement_token1] = ACTIONS(1107),
    [aux_sym_throw_expression_token1] = ACTIONS(1107),
    [aux_sym_while_statement_token1] = ACTIONS(1107),
    [aux_sym_while_statement_token2] = ACTIONS(1107),
    [aux_sym_do_statement_token1] = ACTIONS(1107),
    [aux_sym_for_statement_token1] = ACTIONS(1107),
    [aux_sym_for_statement_token2] = ACTIONS(1107),
    [aux_sym_foreach_statement_token1] = ACTIONS(1107),
    [aux_sym_foreach_statement_token2] = ACTIONS(1107),
    [aux_sym_if_statement_token1] = ACTIONS(1107),
    [aux_sym_if_statement_token2] = ACTIONS(1107),
    [aux_sym_else_if_clause_token1] = ACTIONS(1109),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1107),
    [aux_sym_match_default_expression_token1] = ACTIONS(1107),
    [aux_sym_switch_statement_token1] = ACTIONS(1107),
    [aux_sym_switch_block_token1] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(1105),
    [aux_sym_clone_expression_token1] = ACTIONS(1107),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1107),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [aux_sym__list_destructing_token1] = ACTIONS(1107),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_self] = ACTIONS(1107),
    [anon_sym_parent] = ACTIONS(1107),
    [aux_sym__argument_name_token1] = ACTIONS(1107),
    [aux_sym__argument_name_token2] = ACTIONS(1107),
    [anon_sym_POUND_LBRACK] = ACTIONS(1105),
    [aux_sym_encapsed_string_token1] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [aux_sym_string_token1] = ACTIONS(1105),
    [anon_sym_SQUOTE] = ACTIONS(1105),
    [anon_sym_LT_LT_LT] = ACTIONS(1105),
    [anon_sym_BQUOTE] = ACTIONS(1105),
    [anon_sym_DOLLAR] = ACTIONS(1105),
    [aux_sym_yield_expression_token1] = ACTIONS(1107),
    [aux_sym_include_expression_token1] = ACTIONS(1107),
    [aux_sym_include_once_expression_token1] = ACTIONS(1107),
    [aux_sym_require_expression_token1] = ACTIONS(1107),
    [aux_sym_require_once_expression_token1] = ACTIONS(1107),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [sym_else_if_clause] = STATE(537),
    [sym_else_clause] = STATE(531),
    [aux_sym_if_statement_repeat1] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_name] = ACTIONS(1117),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1115),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1117),
    [aux_sym_global_declaration_token1] = ACTIONS(1117),
    [aux_sym_namespace_definition_token1] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1117),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [aux_sym_trait_declaration_token1] = ACTIONS(1117),
    [aux_sym_interface_declaration_token1] = ACTIONS(1117),
    [aux_sym_enum_declaration_token1] = ACTIONS(1117),
    [aux_sym_enum_case_token1] = ACTIONS(1117),
    [aux_sym_class_declaration_token1] = ACTIONS(1117),
    [aux_sym_final_modifier_token1] = ACTIONS(1117),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1117),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1117),
    [sym_var_modifier] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1117),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [aux_sym_cast_type_token1] = ACTIONS(1117),
    [aux_sym_echo_statement_token1] = ACTIONS(1117),
    [aux_sym_exit_statement_token1] = ACTIONS(1117),
    [anon_sym_unset] = ACTIONS(1117),
    [aux_sym_declare_statement_token1] = ACTIONS(1117),
    [aux_sym_declare_statement_token2] = ACTIONS(1117),
    [sym_float] = ACTIONS(1117),
    [aux_sym_try_statement_token1] = ACTIONS(1117),
    [aux_sym_goto_statement_token1] = ACTIONS(1117),
    [aux_sym_continue_statement_token1] = ACTIONS(1117),
    [aux_sym_break_statement_token1] = ACTIONS(1117),
    [sym_integer] = ACTIONS(1117),
    [aux_sym_return_statement_token1] = ACTIONS(1117),
    [aux_sym_throw_expression_token1] = ACTIONS(1117),
    [aux_sym_while_statement_token1] = ACTIONS(1117),
    [aux_sym_while_statement_token2] = ACTIONS(1117),
    [aux_sym_do_statement_token1] = ACTIONS(1117),
    [aux_sym_for_statement_token1] = ACTIONS(1117),
    [aux_sym_for_statement_token2] = ACTIONS(1117),
    [aux_sym_foreach_statement_token1] = ACTIONS(1117),
    [aux_sym_foreach_statement_token2] = ACTIONS(1117),
    [aux_sym_if_statement_token1] = ACTIONS(1117),
    [aux_sym_if_statement_token2] = ACTIONS(1117),
    [aux_sym_else_if_clause_token1] = ACTIONS(1119),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1117),
    [aux_sym_match_default_expression_token1] = ACTIONS(1117),
    [aux_sym_switch_statement_token1] = ACTIONS(1117),
    [aux_sym_switch_block_token1] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [aux_sym_clone_expression_token1] = ACTIONS(1117),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1117),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [aux_sym__list_destructing_token1] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_self] = ACTIONS(1117),
    [anon_sym_parent] = ACTIONS(1117),
    [aux_sym__argument_name_token1] = ACTIONS(1117),
    [aux_sym__argument_name_token2] = ACTIONS(1117),
    [anon_sym_POUND_LBRACK] = ACTIONS(1115),
    [aux_sym_encapsed_string_token1] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1115),
    [aux_sym_string_token1] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_LT_LT_LT] = ACTIONS(1115),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [aux_sym_yield_expression_token1] = ACTIONS(1117),
    [aux_sym_include_expression_token1] = ACTIONS(1117),
    [aux_sym_include_once_expression_token1] = ACTIONS(1117),
    [aux_sym_require_expression_token1] = ACTIONS(1117),
    [aux_sym_require_once_expression_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [sym_else_if_clause] = STATE(537),
    [sym_else_clause] = STATE(531),
    [aux_sym_if_statement_repeat1] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_name] = ACTIONS(1117),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1115),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1117),
    [aux_sym_global_declaration_token1] = ACTIONS(1117),
    [aux_sym_namespace_definition_token1] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1117),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [aux_sym_trait_declaration_token1] = ACTIONS(1117),
    [aux_sym_interface_declaration_token1] = ACTIONS(1117),
    [aux_sym_enum_declaration_token1] = ACTIONS(1117),
    [aux_sym_enum_case_token1] = ACTIONS(1117),
    [aux_sym_class_declaration_token1] = ACTIONS(1117),
    [aux_sym_final_modifier_token1] = ACTIONS(1117),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1117),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1117),
    [sym_var_modifier] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1117),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [aux_sym_cast_type_token1] = ACTIONS(1117),
    [aux_sym_echo_statement_token1] = ACTIONS(1117),
    [aux_sym_exit_statement_token1] = ACTIONS(1117),
    [anon_sym_unset] = ACTIONS(1117),
    [aux_sym_declare_statement_token1] = ACTIONS(1117),
    [aux_sym_declare_statement_token2] = ACTIONS(1117),
    [sym_float] = ACTIONS(1117),
    [aux_sym_try_statement_token1] = ACTIONS(1117),
    [aux_sym_goto_statement_token1] = ACTIONS(1117),
    [aux_sym_continue_statement_token1] = ACTIONS(1117),
    [aux_sym_break_statement_token1] = ACTIONS(1117),
    [sym_integer] = ACTIONS(1117),
    [aux_sym_return_statement_token1] = ACTIONS(1117),
    [aux_sym_throw_expression_token1] = ACTIONS(1117),
    [aux_sym_while_statement_token1] = ACTIONS(1117),
    [aux_sym_while_statement_token2] = ACTIONS(1117),
    [aux_sym_do_statement_token1] = ACTIONS(1117),
    [aux_sym_for_statement_token1] = ACTIONS(1117),
    [aux_sym_for_statement_token2] = ACTIONS(1117),
    [aux_sym_foreach_statement_token1] = ACTIONS(1117),
    [aux_sym_foreach_statement_token2] = ACTIONS(1117),
    [aux_sym_if_statement_token1] = ACTIONS(1117),
    [aux_sym_if_statement_token2] = ACTIONS(1117),
    [aux_sym_else_if_clause_token1] = ACTIONS(1125),
    [aux_sym_else_clause_token1] = ACTIONS(1127),
    [aux_sym_match_expression_token1] = ACTIONS(1117),
    [aux_sym_match_default_expression_token1] = ACTIONS(1117),
    [aux_sym_switch_statement_token1] = ACTIONS(1117),
    [aux_sym_switch_block_token1] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [aux_sym_clone_expression_token1] = ACTIONS(1117),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1117),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [aux_sym__list_destructing_token1] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_self] = ACTIONS(1117),
    [anon_sym_parent] = ACTIONS(1117),
    [aux_sym__argument_name_token1] = ACTIONS(1117),
    [aux_sym__argument_name_token2] = ACTIONS(1117),
    [anon_sym_POUND_LBRACK] = ACTIONS(1115),
    [aux_sym_encapsed_string_token1] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1115),
    [aux_sym_string_token1] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_LT_LT_LT] = ACTIONS(1115),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [aux_sym_yield_expression_token1] = ACTIONS(1117),
    [aux_sym_include_expression_token1] = ACTIONS(1117),
    [aux_sym_include_once_expression_token1] = ACTIONS(1117),
    [aux_sym_require_expression_token1] = ACTIONS(1117),
    [aux_sym_require_once_expression_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [sym_else_if_clause] = STATE(537),
    [sym_else_clause] = STATE(601),
    [aux_sym_if_statement_repeat1] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_name] = ACTIONS(1107),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1105),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1107),
    [aux_sym_global_declaration_token1] = ACTIONS(1107),
    [aux_sym_namespace_definition_token1] = ACTIONS(1107),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1107),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1107),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1107),
    [anon_sym_BSLASH] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [aux_sym_trait_declaration_token1] = ACTIONS(1107),
    [aux_sym_interface_declaration_token1] = ACTIONS(1107),
    [aux_sym_enum_declaration_token1] = ACTIONS(1107),
    [aux_sym_enum_case_token1] = ACTIONS(1107),
    [aux_sym_class_declaration_token1] = ACTIONS(1107),
    [aux_sym_final_modifier_token1] = ACTIONS(1107),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1107),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1107),
    [sym_var_modifier] = ACTIONS(1107),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1107),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1107),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1107),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [aux_sym_cast_type_token1] = ACTIONS(1107),
    [aux_sym_echo_statement_token1] = ACTIONS(1107),
    [aux_sym_exit_statement_token1] = ACTIONS(1107),
    [anon_sym_unset] = ACTIONS(1107),
    [aux_sym_declare_statement_token1] = ACTIONS(1107),
    [aux_sym_declare_statement_token2] = ACTIONS(1107),
    [sym_float] = ACTIONS(1107),
    [aux_sym_try_statement_token1] = ACTIONS(1107),
    [aux_sym_goto_statement_token1] = ACTIONS(1107),
    [aux_sym_continue_statement_token1] = ACTIONS(1107),
    [aux_sym_break_statement_token1] = ACTIONS(1107),
    [sym_integer] = ACTIONS(1107),
    [aux_sym_return_statement_token1] = ACTIONS(1107),
    [aux_sym_throw_expression_token1] = ACTIONS(1107),
    [aux_sym_while_statement_token1] = ACTIONS(1107),
    [aux_sym_while_statement_token2] = ACTIONS(1107),
    [aux_sym_do_statement_token1] = ACTIONS(1107),
    [aux_sym_for_statement_token1] = ACTIONS(1107),
    [aux_sym_for_statement_token2] = ACTIONS(1107),
    [aux_sym_foreach_statement_token1] = ACTIONS(1107),
    [aux_sym_foreach_statement_token2] = ACTIONS(1107),
    [aux_sym_if_statement_token1] = ACTIONS(1107),
    [aux_sym_if_statement_token2] = ACTIONS(1107),
    [aux_sym_else_if_clause_token1] = ACTIONS(1125),
    [aux_sym_else_clause_token1] = ACTIONS(1127),
    [aux_sym_match_expression_token1] = ACTIONS(1107),
    [aux_sym_match_default_expression_token1] = ACTIONS(1107),
    [aux_sym_switch_statement_token1] = ACTIONS(1107),
    [aux_sym_switch_block_token1] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(1105),
    [aux_sym_clone_expression_token1] = ACTIONS(1107),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1107),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [aux_sym__list_destructing_token1] = ACTIONS(1107),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_self] = ACTIONS(1107),
    [anon_sym_parent] = ACTIONS(1107),
    [aux_sym__argument_name_token1] = ACTIONS(1107),
    [aux_sym__argument_name_token2] = ACTIONS(1107),
    [anon_sym_POUND_LBRACK] = ACTIONS(1105),
    [aux_sym_encapsed_string_token1] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [aux_sym_string_token1] = ACTIONS(1105),
    [anon_sym_SQUOTE] = ACTIONS(1105),
    [anon_sym_LT_LT_LT] = ACTIONS(1105),
    [anon_sym_BQUOTE] = ACTIONS(1105),
    [anon_sym_DOLLAR] = ACTIONS(1105),
    [aux_sym_yield_expression_token1] = ACTIONS(1107),
    [aux_sym_include_expression_token1] = ACTIONS(1107),
    [aux_sym_include_once_expression_token1] = ACTIONS(1107),
    [aux_sym_require_expression_token1] = ACTIONS(1107),
    [aux_sym_require_once_expression_token1] = ACTIONS(1107),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1129),
    [sym_name] = ACTIONS(1131),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1129),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1131),
    [aux_sym_global_declaration_token1] = ACTIONS(1131),
    [aux_sym_namespace_definition_token1] = ACTIONS(1131),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1131),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1131),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1131),
    [anon_sym_BSLASH] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_RBRACE] = ACTIONS(1129),
    [aux_sym_trait_declaration_token1] = ACTIONS(1131),
    [aux_sym_interface_declaration_token1] = ACTIONS(1131),
    [aux_sym_enum_declaration_token1] = ACTIONS(1131),
    [aux_sym_enum_case_token1] = ACTIONS(1131),
    [aux_sym_class_declaration_token1] = ACTIONS(1131),
    [aux_sym_final_modifier_token1] = ACTIONS(1131),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1131),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1131),
    [sym_var_modifier] = ACTIONS(1131),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1131),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1131),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1131),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1129),
    [aux_sym_cast_type_token1] = ACTIONS(1131),
    [aux_sym_echo_statement_token1] = ACTIONS(1131),
    [aux_sym_exit_statement_token1] = ACTIONS(1131),
    [anon_sym_unset] = ACTIONS(1131),
    [aux_sym_declare_statement_token1] = ACTIONS(1131),
    [aux_sym_declare_statement_token2] = ACTIONS(1131),
    [sym_float] = ACTIONS(1131),
    [aux_sym_try_statement_token1] = ACTIONS(1131),
    [aux_sym_catch_clause_token1] = ACTIONS(1131),
    [aux_sym_finally_clause_token1] = ACTIONS(1131),
    [aux_sym_goto_statement_token1] = ACTIONS(1131),
    [aux_sym_continue_statement_token1] = ACTIONS(1131),
    [aux_sym_break_statement_token1] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1131),
    [aux_sym_return_statement_token1] = ACTIONS(1131),
    [aux_sym_throw_expression_token1] = ACTIONS(1131),
    [aux_sym_while_statement_token1] = ACTIONS(1131),
    [aux_sym_while_statement_token2] = ACTIONS(1131),
    [aux_sym_do_statement_token1] = ACTIONS(1131),
    [aux_sym_for_statement_token1] = ACTIONS(1131),
    [aux_sym_for_statement_token2] = ACTIONS(1131),
    [aux_sym_foreach_statement_token1] = ACTIONS(1131),
    [aux_sym_foreach_statement_token2] = ACTIONS(1131),
    [aux_sym_if_statement_token1] = ACTIONS(1131),
    [aux_sym_if_statement_token2] = ACTIONS(1131),
    [aux_sym_else_if_clause_token1] = ACTIONS(1131),
    [aux_sym_else_clause_token1] = ACTIONS(1131),
    [aux_sym_match_expression_token1] = ACTIONS(1131),
    [aux_sym_match_default_expression_token1] = ACTIONS(1131),
    [aux_sym_switch_statement_token1] = ACTIONS(1131),
    [aux_sym_switch_block_token1] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(1129),
    [aux_sym_clone_expression_token1] = ACTIONS(1131),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1131),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [aux_sym__list_destructing_token1] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_self] = ACTIONS(1131),
    [anon_sym_parent] = ACTIONS(1131),
    [aux_sym__argument_name_token1] = ACTIONS(1131),
    [aux_sym__argument_name_token2] = ACTIONS(1131),
    [anon_sym_POUND_LBRACK] = ACTIONS(1129),
    [aux_sym_encapsed_string_token1] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [aux_sym_string_token1] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_LT_LT_LT] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1129),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [aux_sym_yield_expression_token1] = ACTIONS(1131),
    [aux_sym_include_expression_token1] = ACTIONS(1131),
    [aux_sym_include_once_expression_token1] = ACTIONS(1131),
    [aux_sym_require_expression_token1] = ACTIONS(1131),
    [aux_sym_require_once_expression_token1] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_name] = ACTIONS(1135),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1133),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1135),
    [aux_sym_global_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_definition_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1135),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [aux_sym_trait_declaration_token1] = ACTIONS(1135),
    [aux_sym_interface_declaration_token1] = ACTIONS(1135),
    [aux_sym_enum_declaration_token1] = ACTIONS(1135),
    [aux_sym_enum_case_token1] = ACTIONS(1135),
    [aux_sym_class_declaration_token1] = ACTIONS(1135),
    [aux_sym_final_modifier_token1] = ACTIONS(1135),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1135),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1135),
    [sym_var_modifier] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1135),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [aux_sym_cast_type_token1] = ACTIONS(1135),
    [aux_sym_echo_statement_token1] = ACTIONS(1135),
    [aux_sym_exit_statement_token1] = ACTIONS(1135),
    [anon_sym_unset] = ACTIONS(1135),
    [aux_sym_declare_statement_token1] = ACTIONS(1135),
    [aux_sym_declare_statement_token2] = ACTIONS(1135),
    [sym_float] = ACTIONS(1135),
    [aux_sym_try_statement_token1] = ACTIONS(1135),
    [aux_sym_catch_clause_token1] = ACTIONS(1135),
    [aux_sym_finally_clause_token1] = ACTIONS(1135),
    [aux_sym_goto_statement_token1] = ACTIONS(1135),
    [aux_sym_continue_statement_token1] = ACTIONS(1135),
    [aux_sym_break_statement_token1] = ACTIONS(1135),
    [sym_integer] = ACTIONS(1135),
    [aux_sym_return_statement_token1] = ACTIONS(1135),
    [aux_sym_throw_expression_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token2] = ACTIONS(1135),
    [aux_sym_do_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token2] = ACTIONS(1135),
    [aux_sym_foreach_statement_token1] = ACTIONS(1135),
    [aux_sym_foreach_statement_token2] = ACTIONS(1135),
    [aux_sym_if_statement_token1] = ACTIONS(1135),
    [aux_sym_if_statement_token2] = ACTIONS(1135),
    [aux_sym_else_if_clause_token1] = ACTIONS(1135),
    [aux_sym_else_clause_token1] = ACTIONS(1135),
    [aux_sym_match_expression_token1] = ACTIONS(1135),
    [aux_sym_match_default_expression_token1] = ACTIONS(1135),
    [aux_sym_switch_statement_token1] = ACTIONS(1135),
    [aux_sym_switch_block_token1] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [aux_sym_clone_expression_token1] = ACTIONS(1135),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1135),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [aux_sym__list_destructing_token1] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_self] = ACTIONS(1135),
    [anon_sym_parent] = ACTIONS(1135),
    [aux_sym__argument_name_token1] = ACTIONS(1135),
    [aux_sym__argument_name_token2] = ACTIONS(1135),
    [anon_sym_POUND_LBRACK] = ACTIONS(1133),
    [aux_sym_encapsed_string_token1] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [aux_sym_string_token1] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_LT_LT_LT] = ACTIONS(1133),
    [anon_sym_BQUOTE] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(1133),
    [aux_sym_yield_expression_token1] = ACTIONS(1135),
    [aux_sym_include_expression_token1] = ACTIONS(1135),
    [aux_sym_include_once_expression_token1] = ACTIONS(1135),
    [aux_sym_require_expression_token1] = ACTIONS(1135),
    [aux_sym_require_once_expression_token1] = ACTIONS(1135),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1137),
    [sym_name] = ACTIONS(1139),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1137),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1139),
    [aux_sym_global_declaration_token1] = ACTIONS(1139),
    [aux_sym_namespace_definition_token1] = ACTIONS(1139),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1139),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1139),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1139),
    [anon_sym_BSLASH] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [aux_sym_trait_declaration_token1] = ACTIONS(1139),
    [aux_sym_interface_declaration_token1] = ACTIONS(1139),
    [aux_sym_enum_declaration_token1] = ACTIONS(1139),
    [aux_sym_enum_case_token1] = ACTIONS(1139),
    [aux_sym_class_declaration_token1] = ACTIONS(1139),
    [aux_sym_final_modifier_token1] = ACTIONS(1139),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1139),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1139),
    [sym_var_modifier] = ACTIONS(1139),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1139),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1139),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1139),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1139),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [aux_sym_cast_type_token1] = ACTIONS(1139),
    [aux_sym_echo_statement_token1] = ACTIONS(1139),
    [aux_sym_exit_statement_token1] = ACTIONS(1139),
    [anon_sym_unset] = ACTIONS(1139),
    [aux_sym_declare_statement_token1] = ACTIONS(1139),
    [aux_sym_declare_statement_token2] = ACTIONS(1139),
    [sym_float] = ACTIONS(1139),
    [aux_sym_try_statement_token1] = ACTIONS(1139),
    [aux_sym_catch_clause_token1] = ACTIONS(1139),
    [aux_sym_finally_clause_token1] = ACTIONS(1139),
    [aux_sym_goto_statement_token1] = ACTIONS(1139),
    [aux_sym_continue_statement_token1] = ACTIONS(1139),
    [aux_sym_break_statement_token1] = ACTIONS(1139),
    [sym_integer] = ACTIONS(1139),
    [aux_sym_return_statement_token1] = ACTIONS(1139),
    [aux_sym_throw_expression_token1] = ACTIONS(1139),
    [aux_sym_while_statement_token1] = ACTIONS(1139),
    [aux_sym_while_statement_token2] = ACTIONS(1139),
    [aux_sym_do_statement_token1] = ACTIONS(1139),
    [aux_sym_for_statement_token1] = ACTIONS(1139),
    [aux_sym_for_statement_token2] = ACTIONS(1139),
    [aux_sym_foreach_statement_token1] = ACTIONS(1139),
    [aux_sym_foreach_statement_token2] = ACTIONS(1139),
    [aux_sym_if_statement_token1] = ACTIONS(1139),
    [aux_sym_if_statement_token2] = ACTIONS(1139),
    [aux_sym_else_if_clause_token1] = ACTIONS(1139),
    [aux_sym_else_clause_token1] = ACTIONS(1139),
    [aux_sym_match_expression_token1] = ACTIONS(1139),
    [aux_sym_match_default_expression_token1] = ACTIONS(1139),
    [aux_sym_switch_statement_token1] = ACTIONS(1139),
    [aux_sym_switch_block_token1] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [aux_sym_clone_expression_token1] = ACTIONS(1139),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1139),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [aux_sym__list_destructing_token1] = ACTIONS(1139),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_self] = ACTIONS(1139),
    [anon_sym_parent] = ACTIONS(1139),
    [aux_sym__argument_name_token1] = ACTIONS(1139),
    [aux_sym__argument_name_token2] = ACTIONS(1139),
    [anon_sym_POUND_LBRACK] = ACTIONS(1137),
    [aux_sym_encapsed_string_token1] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [aux_sym_string_token1] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_LT_LT_LT] = ACTIONS(1137),
    [anon_sym_BQUOTE] = ACTIONS(1137),
    [anon_sym_DOLLAR] = ACTIONS(1137),
    [aux_sym_yield_expression_token1] = ACTIONS(1139),
    [aux_sym_include_expression_token1] = ACTIONS(1139),
    [aux_sym_include_once_expression_token1] = ACTIONS(1139),
    [aux_sym_require_expression_token1] = ACTIONS(1139),
    [aux_sym_require_once_expression_token1] = ACTIONS(1139),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_name] = ACTIONS(1143),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1141),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1143),
    [aux_sym_global_declaration_token1] = ACTIONS(1143),
    [aux_sym_namespace_definition_token1] = ACTIONS(1143),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1143),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1143),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1143),
    [anon_sym_BSLASH] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [aux_sym_trait_declaration_token1] = ACTIONS(1143),
    [aux_sym_interface_declaration_token1] = ACTIONS(1143),
    [aux_sym_enum_declaration_token1] = ACTIONS(1143),
    [aux_sym_enum_case_token1] = ACTIONS(1143),
    [aux_sym_class_declaration_token1] = ACTIONS(1143),
    [aux_sym_final_modifier_token1] = ACTIONS(1143),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1143),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1143),
    [sym_var_modifier] = ACTIONS(1143),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1143),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1143),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1143),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [aux_sym_cast_type_token1] = ACTIONS(1143),
    [aux_sym_echo_statement_token1] = ACTIONS(1143),
    [aux_sym_exit_statement_token1] = ACTIONS(1143),
    [anon_sym_unset] = ACTIONS(1143),
    [aux_sym_declare_statement_token1] = ACTIONS(1143),
    [aux_sym_declare_statement_token2] = ACTIONS(1143),
    [sym_float] = ACTIONS(1143),
    [aux_sym_try_statement_token1] = ACTIONS(1143),
    [aux_sym_catch_clause_token1] = ACTIONS(1143),
    [aux_sym_finally_clause_token1] = ACTIONS(1143),
    [aux_sym_goto_statement_token1] = ACTIONS(1143),
    [aux_sym_continue_statement_token1] = ACTIONS(1143),
    [aux_sym_break_statement_token1] = ACTIONS(1143),
    [sym_integer] = ACTIONS(1143),
    [aux_sym_return_statement_token1] = ACTIONS(1143),
    [aux_sym_throw_expression_token1] = ACTIONS(1143),
    [aux_sym_while_statement_token1] = ACTIONS(1143),
    [aux_sym_while_statement_token2] = ACTIONS(1143),
    [aux_sym_do_statement_token1] = ACTIONS(1143),
    [aux_sym_for_statement_token1] = ACTIONS(1143),
    [aux_sym_for_statement_token2] = ACTIONS(1143),
    [aux_sym_foreach_statement_token1] = ACTIONS(1143),
    [aux_sym_foreach_statement_token2] = ACTIONS(1143),
    [aux_sym_if_statement_token1] = ACTIONS(1143),
    [aux_sym_if_statement_token2] = ACTIONS(1143),
    [aux_sym_else_if_clause_token1] = ACTIONS(1143),
    [aux_sym_else_clause_token1] = ACTIONS(1143),
    [aux_sym_match_expression_token1] = ACTIONS(1143),
    [aux_sym_match_default_expression_token1] = ACTIONS(1143),
    [aux_sym_switch_statement_token1] = ACTIONS(1143),
    [aux_sym_switch_block_token1] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1141),
    [aux_sym_clone_expression_token1] = ACTIONS(1143),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1143),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [aux_sym__list_destructing_token1] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_self] = ACTIONS(1143),
    [anon_sym_parent] = ACTIONS(1143),
    [aux_sym__argument_name_token1] = ACTIONS(1143),
    [aux_sym__argument_name_token2] = ACTIONS(1143),
    [anon_sym_POUND_LBRACK] = ACTIONS(1141),
    [aux_sym_encapsed_string_token1] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [aux_sym_string_token1] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_LT_LT_LT] = ACTIONS(1141),
    [anon_sym_BQUOTE] = ACTIONS(1141),
    [anon_sym_DOLLAR] = ACTIONS(1141),
    [aux_sym_yield_expression_token1] = ACTIONS(1143),
    [aux_sym_include_expression_token1] = ACTIONS(1143),
    [aux_sym_include_once_expression_token1] = ACTIONS(1143),
    [aux_sym_require_expression_token1] = ACTIONS(1143),
    [aux_sym_require_once_expression_token1] = ACTIONS(1143),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1145),
    [sym_name] = ACTIONS(1147),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1145),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1147),
    [aux_sym_global_declaration_token1] = ACTIONS(1147),
    [aux_sym_namespace_definition_token1] = ACTIONS(1147),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1147),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1147),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1147),
    [anon_sym_BSLASH] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [aux_sym_trait_declaration_token1] = ACTIONS(1147),
    [aux_sym_interface_declaration_token1] = ACTIONS(1147),
    [aux_sym_enum_declaration_token1] = ACTIONS(1147),
    [aux_sym_enum_case_token1] = ACTIONS(1147),
    [aux_sym_class_declaration_token1] = ACTIONS(1147),
    [aux_sym_final_modifier_token1] = ACTIONS(1147),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1147),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1147),
    [sym_var_modifier] = ACTIONS(1147),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1147),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1147),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1147),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [aux_sym_cast_type_token1] = ACTIONS(1147),
    [aux_sym_echo_statement_token1] = ACTIONS(1147),
    [aux_sym_exit_statement_token1] = ACTIONS(1147),
    [anon_sym_unset] = ACTIONS(1147),
    [aux_sym_declare_statement_token1] = ACTIONS(1147),
    [aux_sym_declare_statement_token2] = ACTIONS(1147),
    [sym_float] = ACTIONS(1147),
    [aux_sym_try_statement_token1] = ACTIONS(1147),
    [aux_sym_catch_clause_token1] = ACTIONS(1147),
    [aux_sym_finally_clause_token1] = ACTIONS(1147),
    [aux_sym_goto_statement_token1] = ACTIONS(1147),
    [aux_sym_continue_statement_token1] = ACTIONS(1147),
    [aux_sym_break_statement_token1] = ACTIONS(1147),
    [sym_integer] = ACTIONS(1147),
    [aux_sym_return_statement_token1] = ACTIONS(1147),
    [aux_sym_throw_expression_token1] = ACTIONS(1147),
    [aux_sym_while_statement_token1] = ACTIONS(1147),
    [aux_sym_while_statement_token2] = ACTIONS(1147),
    [aux_sym_do_statement_token1] = ACTIONS(1147),
    [aux_sym_for_statement_token1] = ACTIONS(1147),
    [aux_sym_for_statement_token2] = ACTIONS(1147),
    [aux_sym_foreach_statement_token1] = ACTIONS(1147),
    [aux_sym_foreach_statement_token2] = ACTIONS(1147),
    [aux_sym_if_statement_token1] = ACTIONS(1147),
    [aux_sym_if_statement_token2] = ACTIONS(1147),
    [aux_sym_else_if_clause_token1] = ACTIONS(1147),
    [aux_sym_else_clause_token1] = ACTIONS(1147),
    [aux_sym_match_expression_token1] = ACTIONS(1147),
    [aux_sym_match_default_expression_token1] = ACTIONS(1147),
    [aux_sym_switch_statement_token1] = ACTIONS(1147),
    [aux_sym_switch_block_token1] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [aux_sym_clone_expression_token1] = ACTIONS(1147),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1147),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [aux_sym__list_destructing_token1] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_self] = ACTIONS(1147),
    [anon_sym_parent] = ACTIONS(1147),
    [aux_sym__argument_name_token1] = ACTIONS(1147),
    [aux_sym__argument_name_token2] = ACTIONS(1147),
    [anon_sym_POUND_LBRACK] = ACTIONS(1145),
    [aux_sym_encapsed_string_token1] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [aux_sym_string_token1] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_LT_LT_LT] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1145),
    [anon_sym_DOLLAR] = ACTIONS(1145),
    [aux_sym_yield_expression_token1] = ACTIONS(1147),
    [aux_sym_include_expression_token1] = ACTIONS(1147),
    [aux_sym_include_once_expression_token1] = ACTIONS(1147),
    [aux_sym_require_expression_token1] = ACTIONS(1147),
    [aux_sym_require_once_expression_token1] = ACTIONS(1147),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_name] = ACTIONS(1151),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1151),
    [aux_sym_global_declaration_token1] = ACTIONS(1151),
    [aux_sym_namespace_definition_token1] = ACTIONS(1151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1151),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1151),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1151),
    [anon_sym_BSLASH] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [aux_sym_trait_declaration_token1] = ACTIONS(1151),
    [aux_sym_interface_declaration_token1] = ACTIONS(1151),
    [aux_sym_enum_declaration_token1] = ACTIONS(1151),
    [aux_sym_enum_case_token1] = ACTIONS(1151),
    [aux_sym_class_declaration_token1] = ACTIONS(1151),
    [aux_sym_final_modifier_token1] = ACTIONS(1151),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1151),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1151),
    [sym_var_modifier] = ACTIONS(1151),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1151),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1151),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1151),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [aux_sym_cast_type_token1] = ACTIONS(1151),
    [aux_sym_echo_statement_token1] = ACTIONS(1151),
    [aux_sym_exit_statement_token1] = ACTIONS(1151),
    [anon_sym_unset] = ACTIONS(1151),
    [aux_sym_declare_statement_token1] = ACTIONS(1151),
    [aux_sym_declare_statement_token2] = ACTIONS(1151),
    [sym_float] = ACTIONS(1151),
    [aux_sym_try_statement_token1] = ACTIONS(1151),
    [aux_sym_catch_clause_token1] = ACTIONS(1151),
    [aux_sym_finally_clause_token1] = ACTIONS(1151),
    [aux_sym_goto_statement_token1] = ACTIONS(1151),
    [aux_sym_continue_statement_token1] = ACTIONS(1151),
    [aux_sym_break_statement_token1] = ACTIONS(1151),
    [sym_integer] = ACTIONS(1151),
    [aux_sym_return_statement_token1] = ACTIONS(1151),
    [aux_sym_throw_expression_token1] = ACTIONS(1151),
    [aux_sym_while_statement_token1] = ACTIONS(1151),
    [aux_sym_while_statement_token2] = ACTIONS(1151),
    [aux_sym_do_statement_token1] = ACTIONS(1151),
    [aux_sym_for_statement_token1] = ACTIONS(1151),
    [aux_sym_for_statement_token2] = ACTIONS(1151),
    [aux_sym_foreach_statement_token1] = ACTIONS(1151),
    [aux_sym_foreach_statement_token2] = ACTIONS(1151),
    [aux_sym_if_statement_token1] = ACTIONS(1151),
    [aux_sym_if_statement_token2] = ACTIONS(1151),
    [aux_sym_else_if_clause_token1] = ACTIONS(1151),
    [aux_sym_else_clause_token1] = ACTIONS(1151),
    [aux_sym_match_expression_token1] = ACTIONS(1151),
    [aux_sym_match_default_expression_token1] = ACTIONS(1151),
    [aux_sym_switch_statement_token1] = ACTIONS(1151),
    [aux_sym_switch_block_token1] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_AT] = ACTIONS(1149),
    [aux_sym_clone_expression_token1] = ACTIONS(1151),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1151),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [aux_sym__list_destructing_token1] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_self] = ACTIONS(1151),
    [anon_sym_parent] = ACTIONS(1151),
    [aux_sym__argument_name_token1] = ACTIONS(1151),
    [aux_sym__argument_name_token2] = ACTIONS(1151),
    [anon_sym_POUND_LBRACK] = ACTIONS(1149),
    [aux_sym_encapsed_string_token1] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [aux_sym_string_token1] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_LT_LT_LT] = ACTIONS(1149),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [anon_sym_DOLLAR] = ACTIONS(1149),
    [aux_sym_yield_expression_token1] = ACTIONS(1151),
    [aux_sym_include_expression_token1] = ACTIONS(1151),
    [aux_sym_include_once_expression_token1] = ACTIONS(1151),
    [aux_sym_require_expression_token1] = ACTIONS(1151),
    [aux_sym_require_once_expression_token1] = ACTIONS(1151),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [sym_else_if_clause] = STATE(537),
    [aux_sym_if_statement_repeat1] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1153),
    [sym_name] = ACTIONS(1155),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1153),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1155),
    [aux_sym_global_declaration_token1] = ACTIONS(1155),
    [aux_sym_namespace_definition_token1] = ACTIONS(1155),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1155),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1155),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1155),
    [anon_sym_BSLASH] = ACTIONS(1153),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [aux_sym_trait_declaration_token1] = ACTIONS(1155),
    [aux_sym_interface_declaration_token1] = ACTIONS(1155),
    [aux_sym_enum_declaration_token1] = ACTIONS(1155),
    [aux_sym_enum_case_token1] = ACTIONS(1155),
    [aux_sym_class_declaration_token1] = ACTIONS(1155),
    [aux_sym_final_modifier_token1] = ACTIONS(1155),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1155),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1155),
    [sym_var_modifier] = ACTIONS(1155),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1155),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1155),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1155),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [aux_sym_cast_type_token1] = ACTIONS(1155),
    [aux_sym_echo_statement_token1] = ACTIONS(1155),
    [aux_sym_exit_statement_token1] = ACTIONS(1155),
    [anon_sym_unset] = ACTIONS(1155),
    [aux_sym_declare_statement_token1] = ACTIONS(1155),
    [aux_sym_declare_statement_token2] = ACTIONS(1155),
    [sym_float] = ACTIONS(1155),
    [aux_sym_try_statement_token1] = ACTIONS(1155),
    [aux_sym_goto_statement_token1] = ACTIONS(1155),
    [aux_sym_continue_statement_token1] = ACTIONS(1155),
    [aux_sym_break_statement_token1] = ACTIONS(1155),
    [sym_integer] = ACTIONS(1155),
    [aux_sym_return_statement_token1] = ACTIONS(1155),
    [aux_sym_throw_expression_token1] = ACTIONS(1155),
    [aux_sym_while_statement_token1] = ACTIONS(1155),
    [aux_sym_while_statement_token2] = ACTIONS(1155),
    [aux_sym_do_statement_token1] = ACTIONS(1155),
    [aux_sym_for_statement_token1] = ACTIONS(1155),
    [aux_sym_for_statement_token2] = ACTIONS(1155),
    [aux_sym_foreach_statement_token1] = ACTIONS(1155),
    [aux_sym_foreach_statement_token2] = ACTIONS(1155),
    [aux_sym_if_statement_token1] = ACTIONS(1155),
    [aux_sym_if_statement_token2] = ACTIONS(1155),
    [aux_sym_else_if_clause_token1] = ACTIONS(1157),
    [aux_sym_else_clause_token1] = ACTIONS(1155),
    [aux_sym_match_expression_token1] = ACTIONS(1155),
    [aux_sym_match_default_expression_token1] = ACTIONS(1155),
    [aux_sym_switch_statement_token1] = ACTIONS(1155),
    [aux_sym_switch_block_token1] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1153),
    [aux_sym_clone_expression_token1] = ACTIONS(1155),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1155),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [aux_sym__list_destructing_token1] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1153),
    [anon_sym_self] = ACTIONS(1155),
    [anon_sym_parent] = ACTIONS(1155),
    [aux_sym__argument_name_token1] = ACTIONS(1155),
    [aux_sym__argument_name_token2] = ACTIONS(1155),
    [anon_sym_POUND_LBRACK] = ACTIONS(1153),
    [aux_sym_encapsed_string_token1] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [aux_sym_string_token1] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_LT_LT_LT] = ACTIONS(1153),
    [anon_sym_BQUOTE] = ACTIONS(1153),
    [anon_sym_DOLLAR] = ACTIONS(1153),
    [aux_sym_yield_expression_token1] = ACTIONS(1155),
    [aux_sym_include_expression_token1] = ACTIONS(1155),
    [aux_sym_include_once_expression_token1] = ACTIONS(1155),
    [aux_sym_require_expression_token1] = ACTIONS(1155),
    [aux_sym_require_once_expression_token1] = ACTIONS(1155),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [sym_qualified_name] = STATE(928),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1195),
    [sym_unary_op_expression] = STATE(1177),
    [sym_error_suppression_expression] = STATE(1195),
    [sym_clone_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(930),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1177),
    [sym_cast_variable] = STATE(695),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_function_call_expression] = STATE(670),
    [sym_scoped_call_expression] = STATE(670),
    [sym__scope_resolution_qualifier] = STATE(2764),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(670),
    [sym_nullsafe_member_call_expression] = STATE(670),
    [sym_subscript_expression] = STATE(670),
    [sym__dereferencable_expression] = STATE(1788),
    [sym_array_creation_expression] = STATE(930),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(895),
    [sym_dynamic_variable_name] = STATE(670),
    [sym_variable_name] = STATE(670),
    [sym_include_expression] = STATE(1195),
    [sym_include_once_expression] = STATE(1195),
    [sym__reserved_identifier] = STATE(1653),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1025),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1025),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(699),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_function_call_expression] = STATE(671),
    [sym_scoped_call_expression] = STATE(671),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(671),
    [sym_nullsafe_member_call_expression] = STATE(671),
    [sym_subscript_expression] = STATE(671),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(671),
    [sym_variable_name] = STATE(671),
    [sym_include_expression] = STATE(1025),
    [sym_include_once_expression] = STATE(1025),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(955),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1168),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1174),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1180),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1186),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1188),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1192),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1025),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1025),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(661),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_function_call_expression] = STATE(643),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(643),
    [sym_variable_name] = STATE(643),
    [sym_include_expression] = STATE(1025),
    [sym_include_once_expression] = STATE(1025),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1200),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1206),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1212),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1218),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1224),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1025),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1025),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(661),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_function_call_expression] = STATE(643),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(643),
    [sym_variable_name] = STATE(643),
    [sym_include_expression] = STATE(1025),
    [sym_include_once_expression] = STATE(1025),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1230),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1236),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1242),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [sym_qualified_name] = STATE(754),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1025),
    [sym_unary_op_expression] = STATE(1047),
    [sym_error_suppression_expression] = STATE(1025),
    [sym_clone_expression] = STATE(1047),
    [sym_primary_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(746),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1047),
    [sym_cast_variable] = STATE(661),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_function_call_expression] = STATE(643),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2694),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1790),
    [sym_array_creation_expression] = STATE(746),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(745),
    [sym_dynamic_variable_name] = STATE(643),
    [sym_variable_name] = STATE(643),
    [sym_include_expression] = STATE(1025),
    [sym_include_once_expression] = STATE(1025),
    [sym__reserved_identifier] = STATE(1661),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1137),
    [sym_name] = ACTIONS(1139),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1137),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1139),
    [aux_sym_global_declaration_token1] = ACTIONS(1139),
    [aux_sym_namespace_definition_token1] = ACTIONS(1139),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1139),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1139),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1139),
    [anon_sym_BSLASH] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [aux_sym_trait_declaration_token1] = ACTIONS(1139),
    [aux_sym_interface_declaration_token1] = ACTIONS(1139),
    [aux_sym_enum_declaration_token1] = ACTIONS(1139),
    [aux_sym_enum_case_token1] = ACTIONS(1139),
    [aux_sym_class_declaration_token1] = ACTIONS(1139),
    [aux_sym_final_modifier_token1] = ACTIONS(1139),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1139),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1139),
    [sym_var_modifier] = ACTIONS(1139),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1139),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1139),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1139),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1139),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [aux_sym_cast_type_token1] = ACTIONS(1139),
    [aux_sym_echo_statement_token1] = ACTIONS(1139),
    [aux_sym_exit_statement_token1] = ACTIONS(1139),
    [anon_sym_unset] = ACTIONS(1139),
    [aux_sym_declare_statement_token1] = ACTIONS(1139),
    [aux_sym_declare_statement_token2] = ACTIONS(1139),
    [sym_float] = ACTIONS(1139),
    [aux_sym_try_statement_token1] = ACTIONS(1139),
    [aux_sym_goto_statement_token1] = ACTIONS(1139),
    [aux_sym_continue_statement_token1] = ACTIONS(1139),
    [aux_sym_break_statement_token1] = ACTIONS(1139),
    [sym_integer] = ACTIONS(1139),
    [aux_sym_return_statement_token1] = ACTIONS(1139),
    [aux_sym_throw_expression_token1] = ACTIONS(1139),
    [aux_sym_while_statement_token1] = ACTIONS(1139),
    [aux_sym_while_statement_token2] = ACTIONS(1139),
    [aux_sym_do_statement_token1] = ACTIONS(1139),
    [aux_sym_for_statement_token1] = ACTIONS(1139),
    [aux_sym_for_statement_token2] = ACTIONS(1139),
    [aux_sym_foreach_statement_token1] = ACTIONS(1139),
    [aux_sym_foreach_statement_token2] = ACTIONS(1139),
    [aux_sym_if_statement_token1] = ACTIONS(1139),
    [aux_sym_if_statement_token2] = ACTIONS(1139),
    [aux_sym_else_if_clause_token1] = ACTIONS(1139),
    [aux_sym_else_clause_token1] = ACTIONS(1139),
    [aux_sym_match_expression_token1] = ACTIONS(1139),
    [aux_sym_match_default_expression_token1] = ACTIONS(1139),
    [aux_sym_switch_statement_token1] = ACTIONS(1139),
    [aux_sym_switch_block_token1] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [aux_sym_clone_expression_token1] = ACTIONS(1139),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1139),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [aux_sym__list_destructing_token1] = ACTIONS(1139),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_self] = ACTIONS(1139),
    [anon_sym_parent] = ACTIONS(1139),
    [aux_sym__argument_name_token1] = ACTIONS(1139),
    [aux_sym__argument_name_token2] = ACTIONS(1139),
    [anon_sym_POUND_LBRACK] = ACTIONS(1137),
    [aux_sym_encapsed_string_token1] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [aux_sym_string_token1] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_LT_LT_LT] = ACTIONS(1137),
    [anon_sym_BQUOTE] = ACTIONS(1137),
    [anon_sym_DOLLAR] = ACTIONS(1137),
    [aux_sym_yield_expression_token1] = ACTIONS(1139),
    [aux_sym_include_expression_token1] = ACTIONS(1139),
    [aux_sym_include_once_expression_token1] = ACTIONS(1139),
    [aux_sym_require_expression_token1] = ACTIONS(1139),
    [aux_sym_require_once_expression_token1] = ACTIONS(1139),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_name] = ACTIONS(1558),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1556),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1558),
    [aux_sym_global_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_definition_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1558),
    [anon_sym_BSLASH] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [aux_sym_trait_declaration_token1] = ACTIONS(1558),
    [aux_sym_interface_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_case_token1] = ACTIONS(1558),
    [aux_sym_class_declaration_token1] = ACTIONS(1558),
    [aux_sym_final_modifier_token1] = ACTIONS(1558),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1558),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1558),
    [sym_var_modifier] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1558),
    [aux_sym_echo_statement_token1] = ACTIONS(1558),
    [aux_sym_exit_statement_token1] = ACTIONS(1558),
    [anon_sym_unset] = ACTIONS(1558),
    [aux_sym_declare_statement_token1] = ACTIONS(1558),
    [aux_sym_declare_statement_token2] = ACTIONS(1558),
    [sym_float] = ACTIONS(1558),
    [aux_sym_try_statement_token1] = ACTIONS(1558),
    [aux_sym_goto_statement_token1] = ACTIONS(1558),
    [aux_sym_continue_statement_token1] = ACTIONS(1558),
    [aux_sym_break_statement_token1] = ACTIONS(1558),
    [sym_integer] = ACTIONS(1558),
    [aux_sym_return_statement_token1] = ACTIONS(1558),
    [aux_sym_throw_expression_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token2] = ACTIONS(1558),
    [aux_sym_do_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token2] = ACTIONS(1558),
    [aux_sym_foreach_statement_token1] = ACTIONS(1558),
    [aux_sym_foreach_statement_token2] = ACTIONS(1558),
    [aux_sym_if_statement_token1] = ACTIONS(1558),
    [aux_sym_if_statement_token2] = ACTIONS(1558),
    [aux_sym_else_if_clause_token1] = ACTIONS(1558),
    [aux_sym_else_clause_token1] = ACTIONS(1558),
    [aux_sym_match_expression_token1] = ACTIONS(1558),
    [aux_sym_match_default_expression_token1] = ACTIONS(1558),
    [aux_sym_switch_statement_token1] = ACTIONS(1558),
    [aux_sym_switch_block_token1] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [aux_sym_clone_expression_token1] = ACTIONS(1558),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1558),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1558),
    [anon_sym_DASH_DASH] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [aux_sym__list_destructing_token1] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_self] = ACTIONS(1558),
    [anon_sym_parent] = ACTIONS(1558),
    [aux_sym__argument_name_token1] = ACTIONS(1558),
    [aux_sym__argument_name_token2] = ACTIONS(1558),
    [anon_sym_POUND_LBRACK] = ACTIONS(1556),
    [aux_sym_encapsed_string_token1] = ACTIONS(1556),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [aux_sym_string_token1] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [anon_sym_LT_LT_LT] = ACTIONS(1556),
    [anon_sym_BQUOTE] = ACTIONS(1556),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [aux_sym_yield_expression_token1] = ACTIONS(1558),
    [aux_sym_include_expression_token1] = ACTIONS(1558),
    [aux_sym_include_once_expression_token1] = ACTIONS(1558),
    [aux_sym_require_expression_token1] = ACTIONS(1558),
    [aux_sym_require_once_expression_token1] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_name] = ACTIONS(1562),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1560),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1562),
    [aux_sym_global_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_definition_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1562),
    [anon_sym_BSLASH] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [aux_sym_trait_declaration_token1] = ACTIONS(1562),
    [aux_sym_interface_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_case_token1] = ACTIONS(1562),
    [aux_sym_class_declaration_token1] = ACTIONS(1562),
    [aux_sym_final_modifier_token1] = ACTIONS(1562),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1562),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1562),
    [sym_var_modifier] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1562),
    [aux_sym_echo_statement_token1] = ACTIONS(1562),
    [aux_sym_exit_statement_token1] = ACTIONS(1562),
    [anon_sym_unset] = ACTIONS(1562),
    [aux_sym_declare_statement_token1] = ACTIONS(1562),
    [aux_sym_declare_statement_token2] = ACTIONS(1562),
    [sym_float] = ACTIONS(1562),
    [aux_sym_try_statement_token1] = ACTIONS(1562),
    [aux_sym_goto_statement_token1] = ACTIONS(1562),
    [aux_sym_continue_statement_token1] = ACTIONS(1562),
    [aux_sym_break_statement_token1] = ACTIONS(1562),
    [sym_integer] = ACTIONS(1562),
    [aux_sym_return_statement_token1] = ACTIONS(1562),
    [aux_sym_throw_expression_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token2] = ACTIONS(1562),
    [aux_sym_do_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token2] = ACTIONS(1562),
    [aux_sym_foreach_statement_token1] = ACTIONS(1562),
    [aux_sym_foreach_statement_token2] = ACTIONS(1562),
    [aux_sym_if_statement_token1] = ACTIONS(1562),
    [aux_sym_if_statement_token2] = ACTIONS(1562),
    [aux_sym_else_if_clause_token1] = ACTIONS(1562),
    [aux_sym_else_clause_token1] = ACTIONS(1562),
    [aux_sym_match_expression_token1] = ACTIONS(1562),
    [aux_sym_match_default_expression_token1] = ACTIONS(1562),
    [aux_sym_switch_statement_token1] = ACTIONS(1562),
    [aux_sym_switch_block_token1] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_AT] = ACTIONS(1560),
    [aux_sym_clone_expression_token1] = ACTIONS(1562),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1562),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [aux_sym__list_destructing_token1] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_self] = ACTIONS(1562),
    [anon_sym_parent] = ACTIONS(1562),
    [aux_sym__argument_name_token1] = ACTIONS(1562),
    [aux_sym__argument_name_token2] = ACTIONS(1562),
    [anon_sym_POUND_LBRACK] = ACTIONS(1560),
    [aux_sym_encapsed_string_token1] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [aux_sym_string_token1] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_LT_LT_LT] = ACTIONS(1560),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [aux_sym_yield_expression_token1] = ACTIONS(1562),
    [aux_sym_include_expression_token1] = ACTIONS(1562),
    [aux_sym_include_once_expression_token1] = ACTIONS(1562),
    [aux_sym_require_expression_token1] = ACTIONS(1562),
    [aux_sym_require_once_expression_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_name] = ACTIONS(1566),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1564),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1566),
    [aux_sym_global_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_definition_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1566),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_trait_declaration_token1] = ACTIONS(1566),
    [aux_sym_interface_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_case_token1] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1566),
    [aux_sym_final_modifier_token1] = ACTIONS(1566),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1566),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1566),
    [sym_var_modifier] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1566),
    [aux_sym_echo_statement_token1] = ACTIONS(1566),
    [aux_sym_exit_statement_token1] = ACTIONS(1566),
    [anon_sym_unset] = ACTIONS(1566),
    [aux_sym_declare_statement_token1] = ACTIONS(1566),
    [aux_sym_declare_statement_token2] = ACTIONS(1566),
    [sym_float] = ACTIONS(1566),
    [aux_sym_try_statement_token1] = ACTIONS(1566),
    [aux_sym_goto_statement_token1] = ACTIONS(1566),
    [aux_sym_continue_statement_token1] = ACTIONS(1566),
    [aux_sym_break_statement_token1] = ACTIONS(1566),
    [sym_integer] = ACTIONS(1566),
    [aux_sym_return_statement_token1] = ACTIONS(1566),
    [aux_sym_throw_expression_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token2] = ACTIONS(1566),
    [aux_sym_do_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token2] = ACTIONS(1566),
    [aux_sym_foreach_statement_token1] = ACTIONS(1566),
    [aux_sym_foreach_statement_token2] = ACTIONS(1566),
    [aux_sym_if_statement_token1] = ACTIONS(1566),
    [aux_sym_if_statement_token2] = ACTIONS(1566),
    [aux_sym_else_if_clause_token1] = ACTIONS(1566),
    [aux_sym_else_clause_token1] = ACTIONS(1566),
    [aux_sym_match_expression_token1] = ACTIONS(1566),
    [aux_sym_match_default_expression_token1] = ACTIONS(1566),
    [aux_sym_switch_statement_token1] = ACTIONS(1566),
    [aux_sym_switch_block_token1] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [aux_sym_clone_expression_token1] = ACTIONS(1566),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1566),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [aux_sym__list_destructing_token1] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_self] = ACTIONS(1566),
    [anon_sym_parent] = ACTIONS(1566),
    [aux_sym__argument_name_token1] = ACTIONS(1566),
    [aux_sym__argument_name_token2] = ACTIONS(1566),
    [anon_sym_POUND_LBRACK] = ACTIONS(1564),
    [aux_sym_encapsed_string_token1] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_LT_LT_LT] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [aux_sym_yield_expression_token1] = ACTIONS(1566),
    [aux_sym_include_expression_token1] = ACTIONS(1566),
    [aux_sym_include_once_expression_token1] = ACTIONS(1566),
    [aux_sym_require_expression_token1] = ACTIONS(1566),
    [aux_sym_require_once_expression_token1] = ACTIONS(1566),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_name] = ACTIONS(1566),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1564),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1566),
    [aux_sym_global_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_definition_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1566),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_trait_declaration_token1] = ACTIONS(1566),
    [aux_sym_interface_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_case_token1] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1566),
    [aux_sym_final_modifier_token1] = ACTIONS(1566),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1566),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1566),
    [sym_var_modifier] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1566),
    [aux_sym_echo_statement_token1] = ACTIONS(1566),
    [aux_sym_exit_statement_token1] = ACTIONS(1566),
    [anon_sym_unset] = ACTIONS(1566),
    [aux_sym_declare_statement_token1] = ACTIONS(1566),
    [aux_sym_declare_statement_token2] = ACTIONS(1566),
    [sym_float] = ACTIONS(1566),
    [aux_sym_try_statement_token1] = ACTIONS(1566),
    [aux_sym_goto_statement_token1] = ACTIONS(1566),
    [aux_sym_continue_statement_token1] = ACTIONS(1566),
    [aux_sym_break_statement_token1] = ACTIONS(1566),
    [sym_integer] = ACTIONS(1566),
    [aux_sym_return_statement_token1] = ACTIONS(1566),
    [aux_sym_throw_expression_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token2] = ACTIONS(1566),
    [aux_sym_do_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token2] = ACTIONS(1566),
    [aux_sym_foreach_statement_token1] = ACTIONS(1566),
    [aux_sym_foreach_statement_token2] = ACTIONS(1566),
    [aux_sym_if_statement_token1] = ACTIONS(1566),
    [aux_sym_if_statement_token2] = ACTIONS(1566),
    [aux_sym_else_if_clause_token1] = ACTIONS(1566),
    [aux_sym_else_clause_token1] = ACTIONS(1566),
    [aux_sym_match_expression_token1] = ACTIONS(1566),
    [aux_sym_match_default_expression_token1] = ACTIONS(1566),
    [aux_sym_switch_statement_token1] = ACTIONS(1566),
    [aux_sym_switch_block_token1] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [aux_sym_clone_expression_token1] = ACTIONS(1566),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1566),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [aux_sym__list_destructing_token1] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_self] = ACTIONS(1566),
    [anon_sym_parent] = ACTIONS(1566),
    [aux_sym__argument_name_token1] = ACTIONS(1566),
    [aux_sym__argument_name_token2] = ACTIONS(1566),
    [anon_sym_POUND_LBRACK] = ACTIONS(1564),
    [aux_sym_encapsed_string_token1] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_LT_LT_LT] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [aux_sym_yield_expression_token1] = ACTIONS(1566),
    [aux_sym_include_expression_token1] = ACTIONS(1566),
    [aux_sym_include_once_expression_token1] = ACTIONS(1566),
    [aux_sym_require_expression_token1] = ACTIONS(1566),
    [aux_sym_require_once_expression_token1] = ACTIONS(1566),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [ts_builtin_sym_end] = ACTIONS(1568),
    [sym_name] = ACTIONS(1570),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1568),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1570),
    [aux_sym_global_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_definition_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1570),
    [anon_sym_BSLASH] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_trait_declaration_token1] = ACTIONS(1570),
    [aux_sym_interface_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_case_token1] = ACTIONS(1570),
    [aux_sym_class_declaration_token1] = ACTIONS(1570),
    [aux_sym_final_modifier_token1] = ACTIONS(1570),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1570),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1570),
    [sym_var_modifier] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1570),
    [aux_sym_echo_statement_token1] = ACTIONS(1570),
    [aux_sym_exit_statement_token1] = ACTIONS(1570),
    [anon_sym_unset] = ACTIONS(1570),
    [aux_sym_declare_statement_token1] = ACTIONS(1570),
    [aux_sym_declare_statement_token2] = ACTIONS(1570),
    [sym_float] = ACTIONS(1570),
    [aux_sym_try_statement_token1] = ACTIONS(1570),
    [aux_sym_goto_statement_token1] = ACTIONS(1570),
    [aux_sym_continue_statement_token1] = ACTIONS(1570),
    [aux_sym_break_statement_token1] = ACTIONS(1570),
    [sym_integer] = ACTIONS(1570),
    [aux_sym_return_statement_token1] = ACTIONS(1570),
    [aux_sym_throw_expression_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token2] = ACTIONS(1570),
    [aux_sym_do_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token2] = ACTIONS(1570),
    [aux_sym_foreach_statement_token1] = ACTIONS(1570),
    [aux_sym_foreach_statement_token2] = ACTIONS(1570),
    [aux_sym_if_statement_token1] = ACTIONS(1570),
    [aux_sym_if_statement_token2] = ACTIONS(1570),
    [aux_sym_else_if_clause_token1] = ACTIONS(1570),
    [aux_sym_else_clause_token1] = ACTIONS(1570),
    [aux_sym_match_expression_token1] = ACTIONS(1570),
    [aux_sym_match_default_expression_token1] = ACTIONS(1570),
    [aux_sym_switch_statement_token1] = ACTIONS(1570),
    [aux_sym_switch_block_token1] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1568),
    [aux_sym_clone_expression_token1] = ACTIONS(1570),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1570),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [aux_sym__list_destructing_token1] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_self] = ACTIONS(1570),
    [anon_sym_parent] = ACTIONS(1570),
    [aux_sym__argument_name_token1] = ACTIONS(1570),
    [aux_sym__argument_name_token2] = ACTIONS(1570),
    [anon_sym_POUND_LBRACK] = ACTIONS(1568),
    [aux_sym_encapsed_string_token1] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [aux_sym_string_token1] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_LT_LT_LT] = ACTIONS(1568),
    [anon_sym_BQUOTE] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [aux_sym_yield_expression_token1] = ACTIONS(1570),
    [aux_sym_include_expression_token1] = ACTIONS(1570),
    [aux_sym_include_once_expression_token1] = ACTIONS(1570),
    [aux_sym_require_expression_token1] = ACTIONS(1570),
    [aux_sym_require_once_expression_token1] = ACTIONS(1570),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_name] = ACTIONS(1574),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1572),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1574),
    [aux_sym_global_declaration_token1] = ACTIONS(1574),
    [aux_sym_namespace_definition_token1] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1574),
    [anon_sym_BSLASH] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [aux_sym_trait_declaration_token1] = ACTIONS(1574),
    [aux_sym_interface_declaration_token1] = ACTIONS(1574),
    [aux_sym_enum_declaration_token1] = ACTIONS(1574),
    [aux_sym_enum_case_token1] = ACTIONS(1574),
    [aux_sym_class_declaration_token1] = ACTIONS(1574),
    [aux_sym_final_modifier_token1] = ACTIONS(1574),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1574),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1574),
    [sym_var_modifier] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1574),
    [aux_sym_echo_statement_token1] = ACTIONS(1574),
    [aux_sym_exit_statement_token1] = ACTIONS(1574),
    [anon_sym_unset] = ACTIONS(1574),
    [aux_sym_declare_statement_token1] = ACTIONS(1574),
    [aux_sym_declare_statement_token2] = ACTIONS(1574),
    [sym_float] = ACTIONS(1574),
    [aux_sym_try_statement_token1] = ACTIONS(1574),
    [aux_sym_goto_statement_token1] = ACTIONS(1574),
    [aux_sym_continue_statement_token1] = ACTIONS(1574),
    [aux_sym_break_statement_token1] = ACTIONS(1574),
    [sym_integer] = ACTIONS(1574),
    [aux_sym_return_statement_token1] = ACTIONS(1574),
    [aux_sym_throw_expression_token1] = ACTIONS(1574),
    [aux_sym_while_statement_token1] = ACTIONS(1574),
    [aux_sym_while_statement_token2] = ACTIONS(1574),
    [aux_sym_do_statement_token1] = ACTIONS(1574),
    [aux_sym_for_statement_token1] = ACTIONS(1574),
    [aux_sym_for_statement_token2] = ACTIONS(1574),
    [aux_sym_foreach_statement_token1] = ACTIONS(1574),
    [aux_sym_foreach_statement_token2] = ACTIONS(1574),
    [aux_sym_if_statement_token1] = ACTIONS(1574),
    [aux_sym_if_statement_token2] = ACTIONS(1574),
    [aux_sym_else_if_clause_token1] = ACTIONS(1574),
    [aux_sym_else_clause_token1] = ACTIONS(1574),
    [aux_sym_match_expression_token1] = ACTIONS(1574),
    [aux_sym_match_default_expression_token1] = ACTIONS(1574),
    [aux_sym_switch_statement_token1] = ACTIONS(1574),
    [aux_sym_switch_block_token1] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(1572),
    [aux_sym_clone_expression_token1] = ACTIONS(1574),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1574),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [aux_sym__list_destructing_token1] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_self] = ACTIONS(1574),
    [anon_sym_parent] = ACTIONS(1574),
    [aux_sym__argument_name_token1] = ACTIONS(1574),
    [aux_sym__argument_name_token2] = ACTIONS(1574),
    [anon_sym_POUND_LBRACK] = ACTIONS(1572),
    [aux_sym_encapsed_string_token1] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [aux_sym_string_token1] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [anon_sym_LT_LT_LT] = ACTIONS(1572),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1572),
    [aux_sym_yield_expression_token1] = ACTIONS(1574),
    [aux_sym_include_expression_token1] = ACTIONS(1574),
    [aux_sym_include_once_expression_token1] = ACTIONS(1574),
    [aux_sym_require_expression_token1] = ACTIONS(1574),
    [aux_sym_require_once_expression_token1] = ACTIONS(1574),
    [sym_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [ts_builtin_sym_end] = ACTIONS(1576),
    [sym_name] = ACTIONS(1578),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1576),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1578),
    [aux_sym_global_declaration_token1] = ACTIONS(1578),
    [aux_sym_namespace_definition_token1] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1578),
    [anon_sym_BSLASH] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [aux_sym_trait_declaration_token1] = ACTIONS(1578),
    [aux_sym_interface_declaration_token1] = ACTIONS(1578),
    [aux_sym_enum_declaration_token1] = ACTIONS(1578),
    [aux_sym_enum_case_token1] = ACTIONS(1578),
    [aux_sym_class_declaration_token1] = ACTIONS(1578),
    [aux_sym_final_modifier_token1] = ACTIONS(1578),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1578),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1578),
    [sym_var_modifier] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1578),
    [aux_sym_echo_statement_token1] = ACTIONS(1578),
    [aux_sym_exit_statement_token1] = ACTIONS(1578),
    [anon_sym_unset] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [aux_sym_declare_statement_token2] = ACTIONS(1578),
    [sym_float] = ACTIONS(1578),
    [aux_sym_try_statement_token1] = ACTIONS(1578),
    [aux_sym_goto_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [sym_integer] = ACTIONS(1578),
    [aux_sym_return_statement_token1] = ACTIONS(1578),
    [aux_sym_throw_expression_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token2] = ACTIONS(1578),
    [aux_sym_do_statement_token1] = ACTIONS(1578),
    [aux_sym_for_statement_token1] = ACTIONS(1578),
    [aux_sym_for_statement_token2] = ACTIONS(1578),
    [aux_sym_foreach_statement_token1] = ACTIONS(1578),
    [aux_sym_foreach_statement_token2] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token2] = ACTIONS(1578),
    [aux_sym_else_if_clause_token1] = ACTIONS(1578),
    [aux_sym_else_clause_token1] = ACTIONS(1578),
    [aux_sym_match_expression_token1] = ACTIONS(1578),
    [aux_sym_match_default_expression_token1] = ACTIONS(1578),
    [aux_sym_switch_statement_token1] = ACTIONS(1578),
    [aux_sym_switch_block_token1] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1576),
    [aux_sym_clone_expression_token1] = ACTIONS(1578),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1578),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [aux_sym__list_destructing_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_self] = ACTIONS(1578),
    [anon_sym_parent] = ACTIONS(1578),
    [aux_sym__argument_name_token1] = ACTIONS(1578),
    [aux_sym__argument_name_token2] = ACTIONS(1578),
    [anon_sym_POUND_LBRACK] = ACTIONS(1576),
    [aux_sym_encapsed_string_token1] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1576),
    [aux_sym_string_token1] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1576),
    [anon_sym_LT_LT_LT] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [aux_sym_yield_expression_token1] = ACTIONS(1578),
    [aux_sym_include_expression_token1] = ACTIONS(1578),
    [aux_sym_include_once_expression_token1] = ACTIONS(1578),
    [aux_sym_require_expression_token1] = ACTIONS(1578),
    [aux_sym_require_once_expression_token1] = ACTIONS(1578),
    [sym_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(1580),
    [sym_name] = ACTIONS(1582),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1580),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1582),
    [aux_sym_global_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_definition_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1582),
    [anon_sym_BSLASH] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [aux_sym_trait_declaration_token1] = ACTIONS(1582),
    [aux_sym_interface_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_case_token1] = ACTIONS(1582),
    [aux_sym_class_declaration_token1] = ACTIONS(1582),
    [aux_sym_final_modifier_token1] = ACTIONS(1582),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1582),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1582),
    [sym_var_modifier] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1582),
    [aux_sym_echo_statement_token1] = ACTIONS(1582),
    [aux_sym_exit_statement_token1] = ACTIONS(1582),
    [anon_sym_unset] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [aux_sym_declare_statement_token2] = ACTIONS(1582),
    [sym_float] = ACTIONS(1582),
    [aux_sym_try_statement_token1] = ACTIONS(1582),
    [aux_sym_goto_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [sym_integer] = ACTIONS(1582),
    [aux_sym_return_statement_token1] = ACTIONS(1582),
    [aux_sym_throw_expression_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token2] = ACTIONS(1582),
    [aux_sym_do_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token2] = ACTIONS(1582),
    [aux_sym_foreach_statement_token1] = ACTIONS(1582),
    [aux_sym_foreach_statement_token2] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token2] = ACTIONS(1582),
    [aux_sym_else_if_clause_token1] = ACTIONS(1582),
    [aux_sym_else_clause_token1] = ACTIONS(1582),
    [aux_sym_match_expression_token1] = ACTIONS(1582),
    [aux_sym_match_default_expression_token1] = ACTIONS(1582),
    [aux_sym_switch_statement_token1] = ACTIONS(1582),
    [aux_sym_switch_block_token1] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [aux_sym_clone_expression_token1] = ACTIONS(1582),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1582),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1580),
    [aux_sym__list_destructing_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_self] = ACTIONS(1582),
    [anon_sym_parent] = ACTIONS(1582),
    [aux_sym__argument_name_token1] = ACTIONS(1582),
    [aux_sym__argument_name_token2] = ACTIONS(1582),
    [anon_sym_POUND_LBRACK] = ACTIONS(1580),
    [aux_sym_encapsed_string_token1] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(1580),
    [aux_sym_string_token1] = ACTIONS(1580),
    [anon_sym_SQUOTE] = ACTIONS(1580),
    [anon_sym_LT_LT_LT] = ACTIONS(1580),
    [anon_sym_BQUOTE] = ACTIONS(1580),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [aux_sym_yield_expression_token1] = ACTIONS(1582),
    [aux_sym_include_expression_token1] = ACTIONS(1582),
    [aux_sym_include_once_expression_token1] = ACTIONS(1582),
    [aux_sym_require_expression_token1] = ACTIONS(1582),
    [aux_sym_require_once_expression_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [ts_builtin_sym_end] = ACTIONS(1584),
    [sym_name] = ACTIONS(1586),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1584),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1586),
    [aux_sym_global_declaration_token1] = ACTIONS(1586),
    [aux_sym_namespace_definition_token1] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1586),
    [anon_sym_BSLASH] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [aux_sym_trait_declaration_token1] = ACTIONS(1586),
    [aux_sym_interface_declaration_token1] = ACTIONS(1586),
    [aux_sym_enum_declaration_token1] = ACTIONS(1586),
    [aux_sym_enum_case_token1] = ACTIONS(1586),
    [aux_sym_class_declaration_token1] = ACTIONS(1586),
    [aux_sym_final_modifier_token1] = ACTIONS(1586),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1586),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1586),
    [sym_var_modifier] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1586),
    [aux_sym_echo_statement_token1] = ACTIONS(1586),
    [aux_sym_exit_statement_token1] = ACTIONS(1586),
    [anon_sym_unset] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [aux_sym_declare_statement_token2] = ACTIONS(1586),
    [sym_float] = ACTIONS(1586),
    [aux_sym_try_statement_token1] = ACTIONS(1586),
    [aux_sym_goto_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [sym_integer] = ACTIONS(1586),
    [aux_sym_return_statement_token1] = ACTIONS(1586),
    [aux_sym_throw_expression_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token2] = ACTIONS(1586),
    [aux_sym_do_statement_token1] = ACTIONS(1586),
    [aux_sym_for_statement_token1] = ACTIONS(1586),
    [aux_sym_for_statement_token2] = ACTIONS(1586),
    [aux_sym_foreach_statement_token1] = ACTIONS(1586),
    [aux_sym_foreach_statement_token2] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token2] = ACTIONS(1586),
    [aux_sym_else_if_clause_token1] = ACTIONS(1586),
    [aux_sym_else_clause_token1] = ACTIONS(1586),
    [aux_sym_match_expression_token1] = ACTIONS(1586),
    [aux_sym_match_default_expression_token1] = ACTIONS(1586),
    [aux_sym_switch_statement_token1] = ACTIONS(1586),
    [aux_sym_switch_block_token1] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_TILDE] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [aux_sym_clone_expression_token1] = ACTIONS(1586),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1586),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [aux_sym__list_destructing_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_self] = ACTIONS(1586),
    [anon_sym_parent] = ACTIONS(1586),
    [aux_sym__argument_name_token1] = ACTIONS(1586),
    [aux_sym__argument_name_token2] = ACTIONS(1586),
    [anon_sym_POUND_LBRACK] = ACTIONS(1584),
    [aux_sym_encapsed_string_token1] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [aux_sym_string_token1] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1584),
    [anon_sym_LT_LT_LT] = ACTIONS(1584),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [aux_sym_yield_expression_token1] = ACTIONS(1586),
    [aux_sym_include_expression_token1] = ACTIONS(1586),
    [aux_sym_include_once_expression_token1] = ACTIONS(1586),
    [aux_sym_require_expression_token1] = ACTIONS(1586),
    [aux_sym_require_once_expression_token1] = ACTIONS(1586),
    [sym_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_text_interpolation] = STATE(591),
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_name] = ACTIONS(1135),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1133),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1135),
    [aux_sym_global_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_definition_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1135),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [aux_sym_trait_declaration_token1] = ACTIONS(1135),
    [aux_sym_interface_declaration_token1] = ACTIONS(1135),
    [aux_sym_enum_declaration_token1] = ACTIONS(1135),
    [aux_sym_enum_case_token1] = ACTIONS(1135),
    [aux_sym_class_declaration_token1] = ACTIONS(1135),
    [aux_sym_final_modifier_token1] = ACTIONS(1135),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1135),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1135),
    [sym_var_modifier] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1135),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [aux_sym_cast_type_token1] = ACTIONS(1135),
    [aux_sym_echo_statement_token1] = ACTIONS(1135),
    [aux_sym_exit_statement_token1] = ACTIONS(1135),
    [anon_sym_unset] = ACTIONS(1135),
    [aux_sym_declare_statement_token1] = ACTIONS(1135),
    [aux_sym_declare_statement_token2] = ACTIONS(1135),
    [sym_float] = ACTIONS(1135),
    [aux_sym_try_statement_token1] = ACTIONS(1135),
    [aux_sym_goto_statement_token1] = ACTIONS(1135),
    [aux_sym_continue_statement_token1] = ACTIONS(1135),
    [aux_sym_break_statement_token1] = ACTIONS(1135),
    [sym_integer] = ACTIONS(1135),
    [aux_sym_return_statement_token1] = ACTIONS(1135),
    [aux_sym_throw_expression_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token2] = ACTIONS(1135),
    [aux_sym_do_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token2] = ACTIONS(1135),
    [aux_sym_foreach_statement_token1] = ACTIONS(1135),
    [aux_sym_foreach_statement_token2] = ACTIONS(1135),
    [aux_sym_if_statement_token1] = ACTIONS(1135),
    [aux_sym_if_statement_token2] = ACTIONS(1135),
    [aux_sym_else_if_clause_token1] = ACTIONS(1135),
    [aux_sym_else_clause_token1] = ACTIONS(1135),
    [aux_sym_match_expression_token1] = ACTIONS(1135),
    [aux_sym_match_default_expression_token1] = ACTIONS(1135),
    [aux_sym_switch_statement_token1] = ACTIONS(1135),
    [aux_sym_switch_block_token1] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [aux_sym_clone_expression_token1] = ACTIONS(1135),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1135),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [aux_sym__list_destructing_token1] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_self] = ACTIONS(1135),
    [anon_sym_parent] = ACTIONS(1135),
    [aux_sym__argument_name_token1] = ACTIONS(1135),
    [aux_sym__argument_name_token2] = ACTIONS(1135),
    [anon_sym_POUND_LBRACK] = ACTIONS(1133),
    [aux_sym_encapsed_string_token1] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [aux_sym_string_token1] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_LT_LT_LT] = ACTIONS(1133),
    [anon_sym_BQUOTE] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(1133),
    [aux_sym_yield_expression_token1] = ACTIONS(1135),
    [aux_sym_include_expression_token1] = ACTIONS(1135),
    [aux_sym_include_once_expression_token1] = ACTIONS(1135),
    [aux_sym_require_expression_token1] = ACTIONS(1135),
    [aux_sym_require_once_expression_token1] = ACTIONS(1135),
    [sym_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_text_interpolation] = STATE(592),
    [ts_builtin_sym_end] = ACTIONS(1588),
    [sym_name] = ACTIONS(1590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1588),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1590),
    [aux_sym_global_declaration_token1] = ACTIONS(1590),
    [aux_sym_namespace_definition_token1] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1590),
    [anon_sym_BSLASH] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [aux_sym_trait_declaration_token1] = ACTIONS(1590),
    [aux_sym_interface_declaration_token1] = ACTIONS(1590),
    [aux_sym_enum_declaration_token1] = ACTIONS(1590),
    [aux_sym_enum_case_token1] = ACTIONS(1590),
    [aux_sym_class_declaration_token1] = ACTIONS(1590),
    [aux_sym_final_modifier_token1] = ACTIONS(1590),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1590),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1590),
    [sym_var_modifier] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [aux_sym_cast_type_token1] = ACTIONS(1590),
    [aux_sym_echo_statement_token1] = ACTIONS(1590),
    [aux_sym_exit_statement_token1] = ACTIONS(1590),
    [anon_sym_unset] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [aux_sym_declare_statement_token2] = ACTIONS(1590),
    [sym_float] = ACTIONS(1590),
    [aux_sym_try_statement_token1] = ACTIONS(1590),
    [aux_sym_goto_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [sym_integer] = ACTIONS(1590),
    [aux_sym_return_statement_token1] = ACTIONS(1590),
    [aux_sym_throw_expression_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token2] = ACTIONS(1590),
    [aux_sym_do_statement_token1] = ACTIONS(1590),
    [aux_sym_for_statement_token1] = ACTIONS(1590),
    [aux_sym_for_statement_token2] = ACTIONS(1590),
    [aux_sym_foreach_statement_token1] = ACTIONS(1590),
    [aux_sym_foreach_statement_token2] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token2] = ACTIONS(1590),
    [aux_sym_else_if_clause_token1] = ACTIONS(1590),
    [aux_sym_else_clause_token1] = ACTIONS(1590),
    [aux_sym_match_expression_token1] = ACTIONS(1590),
    [aux_sym_match_default_expression_token1] = ACTIONS(1590),
    [aux_sym_switch_statement_token1] = ACTIONS(1590),
    [aux_sym_switch_block_token1] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [aux_sym_clone_expression_token1] = ACTIONS(1590),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1590),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [aux_sym__list_destructing_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_self] = ACTIONS(1590),
    [anon_sym_parent] = ACTIONS(1590),
    [aux_sym__argument_name_token1] = ACTIONS(1590),
    [aux_sym__argument_name_token2] = ACTIONS(1590),
    [anon_sym_POUND_LBRACK] = ACTIONS(1588),
    [aux_sym_encapsed_string_token1] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [aux_sym_string_token1] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1588),
    [anon_sym_LT_LT_LT] = ACTIONS(1588),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [aux_sym_yield_expression_token1] = ACTIONS(1590),
    [aux_sym_include_expression_token1] = ACTIONS(1590),
    [aux_sym_include_once_expression_token1] = ACTIONS(1590),
    [aux_sym_require_expression_token1] = ACTIONS(1590),
    [aux_sym_require_once_expression_token1] = ACTIONS(1590),
    [sym_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_text_interpolation] = STATE(593),
    [ts_builtin_sym_end] = ACTIONS(1592),
    [sym_name] = ACTIONS(1594),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1592),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_case_token1] = ACTIONS(1594),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [aux_sym_declare_statement_token2] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token2] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token2] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token2] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token2] = ACTIONS(1594),
    [aux_sym_else_if_clause_token1] = ACTIONS(1594),
    [aux_sym_else_clause_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_match_default_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [aux_sym_switch_block_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1592),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1592),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1592),
    [aux_sym_encapsed_string_token1] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1592),
    [aux_sym_string_token1] = ACTIONS(1592),
    [anon_sym_SQUOTE] = ACTIONS(1592),
    [anon_sym_LT_LT_LT] = ACTIONS(1592),
    [anon_sym_BQUOTE] = ACTIONS(1592),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_text_interpolation] = STATE(594),
    [ts_builtin_sym_end] = ACTIONS(1596),
    [sym_name] = ACTIONS(1598),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1598),
    [aux_sym_global_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_definition_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1598),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1598),
    [aux_sym_interface_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_case_token1] = ACTIONS(1598),
    [aux_sym_class_declaration_token1] = ACTIONS(1598),
    [aux_sym_final_modifier_token1] = ACTIONS(1598),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1598),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1598),
    [sym_var_modifier] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1598),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [aux_sym_cast_type_token1] = ACTIONS(1598),
    [aux_sym_echo_statement_token1] = ACTIONS(1598),
    [aux_sym_exit_statement_token1] = ACTIONS(1598),
    [anon_sym_unset] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [aux_sym_declare_statement_token2] = ACTIONS(1598),
    [sym_float] = ACTIONS(1598),
    [aux_sym_try_statement_token1] = ACTIONS(1598),
    [aux_sym_goto_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [sym_integer] = ACTIONS(1598),
    [aux_sym_return_statement_token1] = ACTIONS(1598),
    [aux_sym_throw_expression_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token2] = ACTIONS(1598),
    [aux_sym_do_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token2] = ACTIONS(1598),
    [aux_sym_foreach_statement_token1] = ACTIONS(1598),
    [aux_sym_foreach_statement_token2] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token2] = ACTIONS(1598),
    [aux_sym_else_if_clause_token1] = ACTIONS(1598),
    [aux_sym_else_clause_token1] = ACTIONS(1598),
    [aux_sym_match_expression_token1] = ACTIONS(1598),
    [aux_sym_match_default_expression_token1] = ACTIONS(1598),
    [aux_sym_switch_statement_token1] = ACTIONS(1598),
    [aux_sym_switch_block_token1] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1598),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1598),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1598),
    [anon_sym_parent] = ACTIONS(1598),
    [aux_sym__argument_name_token1] = ACTIONS(1598),
    [aux_sym__argument_name_token2] = ACTIONS(1598),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1598),
    [aux_sym_include_expression_token1] = ACTIONS(1598),
    [aux_sym_include_once_expression_token1] = ACTIONS(1598),
    [aux_sym_require_expression_token1] = ACTIONS(1598),
    [aux_sym_require_once_expression_token1] = ACTIONS(1598),
    [sym_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_text_interpolation] = STATE(595),
    [ts_builtin_sym_end] = ACTIONS(1600),
    [sym_name] = ACTIONS(1602),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1600),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1602),
    [aux_sym_global_declaration_token1] = ACTIONS(1602),
    [aux_sym_namespace_definition_token1] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1602),
    [anon_sym_BSLASH] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [aux_sym_trait_declaration_token1] = ACTIONS(1602),
    [aux_sym_interface_declaration_token1] = ACTIONS(1602),
    [aux_sym_enum_declaration_token1] = ACTIONS(1602),
    [aux_sym_enum_case_token1] = ACTIONS(1602),
    [aux_sym_class_declaration_token1] = ACTIONS(1602),
    [aux_sym_final_modifier_token1] = ACTIONS(1602),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1602),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1602),
    [sym_var_modifier] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1602),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [aux_sym_cast_type_token1] = ACTIONS(1602),
    [aux_sym_echo_statement_token1] = ACTIONS(1602),
    [aux_sym_exit_statement_token1] = ACTIONS(1602),
    [anon_sym_unset] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [aux_sym_declare_statement_token2] = ACTIONS(1602),
    [sym_float] = ACTIONS(1602),
    [aux_sym_try_statement_token1] = ACTIONS(1602),
    [aux_sym_goto_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [sym_integer] = ACTIONS(1602),
    [aux_sym_return_statement_token1] = ACTIONS(1602),
    [aux_sym_throw_expression_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token2] = ACTIONS(1602),
    [aux_sym_do_statement_token1] = ACTIONS(1602),
    [aux_sym_for_statement_token1] = ACTIONS(1602),
    [aux_sym_for_statement_token2] = ACTIONS(1602),
    [aux_sym_foreach_statement_token1] = ACTIONS(1602),
    [aux_sym_foreach_statement_token2] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token2] = ACTIONS(1602),
    [aux_sym_else_if_clause_token1] = ACTIONS(1602),
    [aux_sym_else_clause_token1] = ACTIONS(1602),
    [aux_sym_match_expression_token1] = ACTIONS(1602),
    [aux_sym_match_default_expression_token1] = ACTIONS(1602),
    [aux_sym_switch_statement_token1] = ACTIONS(1602),
    [aux_sym_switch_block_token1] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [aux_sym_clone_expression_token1] = ACTIONS(1602),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1602),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [aux_sym__list_destructing_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_self] = ACTIONS(1602),
    [anon_sym_parent] = ACTIONS(1602),
    [aux_sym__argument_name_token1] = ACTIONS(1602),
    [aux_sym__argument_name_token2] = ACTIONS(1602),
    [anon_sym_POUND_LBRACK] = ACTIONS(1600),
    [aux_sym_encapsed_string_token1] = ACTIONS(1600),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [aux_sym_string_token1] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [anon_sym_LT_LT_LT] = ACTIONS(1600),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [aux_sym_yield_expression_token1] = ACTIONS(1602),
    [aux_sym_include_expression_token1] = ACTIONS(1602),
    [aux_sym_include_once_expression_token1] = ACTIONS(1602),
    [aux_sym_require_expression_token1] = ACTIONS(1602),
    [aux_sym_require_once_expression_token1] = ACTIONS(1602),
    [sym_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_text_interpolation] = STATE(596),
    [ts_builtin_sym_end] = ACTIONS(1604),
    [sym_name] = ACTIONS(1606),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1606),
    [aux_sym_global_declaration_token1] = ACTIONS(1606),
    [aux_sym_namespace_definition_token1] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1606),
    [anon_sym_BSLASH] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [aux_sym_trait_declaration_token1] = ACTIONS(1606),
    [aux_sym_interface_declaration_token1] = ACTIONS(1606),
    [aux_sym_enum_declaration_token1] = ACTIONS(1606),
    [aux_sym_enum_case_token1] = ACTIONS(1606),
    [aux_sym_class_declaration_token1] = ACTIONS(1606),
    [aux_sym_final_modifier_token1] = ACTIONS(1606),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1606),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1606),
    [sym_var_modifier] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1606),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [aux_sym_cast_type_token1] = ACTIONS(1606),
    [aux_sym_echo_statement_token1] = ACTIONS(1606),
    [aux_sym_exit_statement_token1] = ACTIONS(1606),
    [anon_sym_unset] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [aux_sym_declare_statement_token2] = ACTIONS(1606),
    [sym_float] = ACTIONS(1606),
    [aux_sym_try_statement_token1] = ACTIONS(1606),
    [aux_sym_goto_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [sym_integer] = ACTIONS(1606),
    [aux_sym_return_statement_token1] = ACTIONS(1606),
    [aux_sym_throw_expression_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token2] = ACTIONS(1606),
    [aux_sym_do_statement_token1] = ACTIONS(1606),
    [aux_sym_for_statement_token1] = ACTIONS(1606),
    [aux_sym_for_statement_token2] = ACTIONS(1606),
    [aux_sym_foreach_statement_token1] = ACTIONS(1606),
    [aux_sym_foreach_statement_token2] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token2] = ACTIONS(1606),
    [aux_sym_else_if_clause_token1] = ACTIONS(1606),
    [aux_sym_else_clause_token1] = ACTIONS(1606),
    [aux_sym_match_expression_token1] = ACTIONS(1606),
    [aux_sym_match_default_expression_token1] = ACTIONS(1606),
    [aux_sym_switch_statement_token1] = ACTIONS(1606),
    [aux_sym_switch_block_token1] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [aux_sym_clone_expression_token1] = ACTIONS(1606),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1606),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [aux_sym__list_destructing_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_self] = ACTIONS(1606),
    [anon_sym_parent] = ACTIONS(1606),
    [aux_sym__argument_name_token1] = ACTIONS(1606),
    [aux_sym__argument_name_token2] = ACTIONS(1606),
    [anon_sym_POUND_LBRACK] = ACTIONS(1604),
    [aux_sym_encapsed_string_token1] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [aux_sym_string_token1] = ACTIONS(1604),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [anon_sym_LT_LT_LT] = ACTIONS(1604),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [aux_sym_yield_expression_token1] = ACTIONS(1606),
    [aux_sym_include_expression_token1] = ACTIONS(1606),
    [aux_sym_include_once_expression_token1] = ACTIONS(1606),
    [aux_sym_require_expression_token1] = ACTIONS(1606),
    [aux_sym_require_once_expression_token1] = ACTIONS(1606),
    [sym_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_text_interpolation] = STATE(597),
    [ts_builtin_sym_end] = ACTIONS(1608),
    [sym_name] = ACTIONS(1610),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1608),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1610),
    [aux_sym_global_declaration_token1] = ACTIONS(1610),
    [aux_sym_namespace_definition_token1] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1610),
    [anon_sym_BSLASH] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [aux_sym_trait_declaration_token1] = ACTIONS(1610),
    [aux_sym_interface_declaration_token1] = ACTIONS(1610),
    [aux_sym_enum_declaration_token1] = ACTIONS(1610),
    [aux_sym_enum_case_token1] = ACTIONS(1610),
    [aux_sym_class_declaration_token1] = ACTIONS(1610),
    [aux_sym_final_modifier_token1] = ACTIONS(1610),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1610),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1610),
    [sym_var_modifier] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1610),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [aux_sym_cast_type_token1] = ACTIONS(1610),
    [aux_sym_echo_statement_token1] = ACTIONS(1610),
    [aux_sym_exit_statement_token1] = ACTIONS(1610),
    [anon_sym_unset] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [aux_sym_declare_statement_token2] = ACTIONS(1610),
    [sym_float] = ACTIONS(1610),
    [aux_sym_try_statement_token1] = ACTIONS(1610),
    [aux_sym_goto_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [sym_integer] = ACTIONS(1610),
    [aux_sym_return_statement_token1] = ACTIONS(1610),
    [aux_sym_throw_expression_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token2] = ACTIONS(1610),
    [aux_sym_do_statement_token1] = ACTIONS(1610),
    [aux_sym_for_statement_token1] = ACTIONS(1610),
    [aux_sym_for_statement_token2] = ACTIONS(1610),
    [aux_sym_foreach_statement_token1] = ACTIONS(1610),
    [aux_sym_foreach_statement_token2] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token2] = ACTIONS(1610),
    [aux_sym_else_if_clause_token1] = ACTIONS(1610),
    [aux_sym_else_clause_token1] = ACTIONS(1610),
    [aux_sym_match_expression_token1] = ACTIONS(1610),
    [aux_sym_match_default_expression_token1] = ACTIONS(1610),
    [aux_sym_switch_statement_token1] = ACTIONS(1610),
    [aux_sym_switch_block_token1] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [aux_sym_clone_expression_token1] = ACTIONS(1610),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1610),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1608),
    [aux_sym__list_destructing_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_self] = ACTIONS(1610),
    [anon_sym_parent] = ACTIONS(1610),
    [aux_sym__argument_name_token1] = ACTIONS(1610),
    [aux_sym__argument_name_token2] = ACTIONS(1610),
    [anon_sym_POUND_LBRACK] = ACTIONS(1608),
    [aux_sym_encapsed_string_token1] = ACTIONS(1608),
    [anon_sym_DQUOTE] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1608),
    [anon_sym_SQUOTE] = ACTIONS(1608),
    [anon_sym_LT_LT_LT] = ACTIONS(1608),
    [anon_sym_BQUOTE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [aux_sym_yield_expression_token1] = ACTIONS(1610),
    [aux_sym_include_expression_token1] = ACTIONS(1610),
    [aux_sym_include_once_expression_token1] = ACTIONS(1610),
    [aux_sym_require_expression_token1] = ACTIONS(1610),
    [aux_sym_require_once_expression_token1] = ACTIONS(1610),
    [sym_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_text_interpolation] = STATE(598),
    [ts_builtin_sym_end] = ACTIONS(1612),
    [sym_name] = ACTIONS(1614),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1612),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1614),
    [aux_sym_global_declaration_token1] = ACTIONS(1614),
    [aux_sym_namespace_definition_token1] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1614),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [aux_sym_trait_declaration_token1] = ACTIONS(1614),
    [aux_sym_interface_declaration_token1] = ACTIONS(1614),
    [aux_sym_enum_declaration_token1] = ACTIONS(1614),
    [aux_sym_enum_case_token1] = ACTIONS(1614),
    [aux_sym_class_declaration_token1] = ACTIONS(1614),
    [aux_sym_final_modifier_token1] = ACTIONS(1614),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1614),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1614),
    [sym_var_modifier] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1614),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [aux_sym_cast_type_token1] = ACTIONS(1614),
    [aux_sym_echo_statement_token1] = ACTIONS(1614),
    [aux_sym_exit_statement_token1] = ACTIONS(1614),
    [anon_sym_unset] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [aux_sym_declare_statement_token2] = ACTIONS(1614),
    [sym_float] = ACTIONS(1614),
    [aux_sym_try_statement_token1] = ACTIONS(1614),
    [aux_sym_goto_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [sym_integer] = ACTIONS(1614),
    [aux_sym_return_statement_token1] = ACTIONS(1614),
    [aux_sym_throw_expression_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token2] = ACTIONS(1614),
    [aux_sym_do_statement_token1] = ACTIONS(1614),
    [aux_sym_for_statement_token1] = ACTIONS(1614),
    [aux_sym_for_statement_token2] = ACTIONS(1614),
    [aux_sym_foreach_statement_token1] = ACTIONS(1614),
    [aux_sym_foreach_statement_token2] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token2] = ACTIONS(1614),
    [aux_sym_else_if_clause_token1] = ACTIONS(1614),
    [aux_sym_else_clause_token1] = ACTIONS(1614),
    [aux_sym_match_expression_token1] = ACTIONS(1614),
    [aux_sym_match_default_expression_token1] = ACTIONS(1614),
    [aux_sym_switch_statement_token1] = ACTIONS(1614),
    [aux_sym_switch_block_token1] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [aux_sym_clone_expression_token1] = ACTIONS(1614),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1614),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1614),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [aux_sym__list_destructing_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_self] = ACTIONS(1614),
    [anon_sym_parent] = ACTIONS(1614),
    [aux_sym__argument_name_token1] = ACTIONS(1614),
    [aux_sym__argument_name_token2] = ACTIONS(1614),
    [anon_sym_POUND_LBRACK] = ACTIONS(1612),
    [aux_sym_encapsed_string_token1] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [aux_sym_string_token1] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_LT_LT_LT] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [aux_sym_yield_expression_token1] = ACTIONS(1614),
    [aux_sym_include_expression_token1] = ACTIONS(1614),
    [aux_sym_include_once_expression_token1] = ACTIONS(1614),
    [aux_sym_require_expression_token1] = ACTIONS(1614),
    [aux_sym_require_once_expression_token1] = ACTIONS(1614),
    [sym_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_text_interpolation] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_name] = ACTIONS(1618),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1616),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1618),
    [aux_sym_global_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_definition_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1618),
    [anon_sym_BSLASH] = ACTIONS(1616),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [aux_sym_trait_declaration_token1] = ACTIONS(1618),
    [aux_sym_interface_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_case_token1] = ACTIONS(1618),
    [aux_sym_class_declaration_token1] = ACTIONS(1618),
    [aux_sym_final_modifier_token1] = ACTIONS(1618),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1618),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1618),
    [sym_var_modifier] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1618),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [aux_sym_cast_type_token1] = ACTIONS(1618),
    [aux_sym_echo_statement_token1] = ACTIONS(1618),
    [aux_sym_exit_statement_token1] = ACTIONS(1618),
    [anon_sym_unset] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [aux_sym_declare_statement_token2] = ACTIONS(1618),
    [sym_float] = ACTIONS(1618),
    [aux_sym_try_statement_token1] = ACTIONS(1618),
    [aux_sym_goto_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [sym_integer] = ACTIONS(1618),
    [aux_sym_return_statement_token1] = ACTIONS(1618),
    [aux_sym_throw_expression_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token2] = ACTIONS(1618),
    [aux_sym_do_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token2] = ACTIONS(1618),
    [aux_sym_foreach_statement_token1] = ACTIONS(1618),
    [aux_sym_foreach_statement_token2] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token2] = ACTIONS(1618),
    [aux_sym_else_if_clause_token1] = ACTIONS(1618),
    [aux_sym_else_clause_token1] = ACTIONS(1618),
    [aux_sym_match_expression_token1] = ACTIONS(1618),
    [aux_sym_match_default_expression_token1] = ACTIONS(1618),
    [aux_sym_switch_statement_token1] = ACTIONS(1618),
    [aux_sym_switch_block_token1] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_AT] = ACTIONS(1616),
    [aux_sym_clone_expression_token1] = ACTIONS(1618),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1618),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1618),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [aux_sym__list_destructing_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_self] = ACTIONS(1618),
    [anon_sym_parent] = ACTIONS(1618),
    [aux_sym__argument_name_token1] = ACTIONS(1618),
    [aux_sym__argument_name_token2] = ACTIONS(1618),
    [anon_sym_POUND_LBRACK] = ACTIONS(1616),
    [aux_sym_encapsed_string_token1] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [aux_sym_string_token1] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [anon_sym_LT_LT_LT] = ACTIONS(1616),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1616),
    [aux_sym_yield_expression_token1] = ACTIONS(1618),
    [aux_sym_include_expression_token1] = ACTIONS(1618),
    [aux_sym_include_once_expression_token1] = ACTIONS(1618),
    [aux_sym_require_expression_token1] = ACTIONS(1618),
    [aux_sym_require_once_expression_token1] = ACTIONS(1618),
    [sym_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_text_interpolation] = STATE(600),
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_name] = ACTIONS(1622),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1620),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1622),
    [aux_sym_global_declaration_token1] = ACTIONS(1622),
    [aux_sym_namespace_definition_token1] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1622),
    [anon_sym_BSLASH] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [aux_sym_trait_declaration_token1] = ACTIONS(1622),
    [aux_sym_interface_declaration_token1] = ACTIONS(1622),
    [aux_sym_enum_declaration_token1] = ACTIONS(1622),
    [aux_sym_enum_case_token1] = ACTIONS(1622),
    [aux_sym_class_declaration_token1] = ACTIONS(1622),
    [aux_sym_final_modifier_token1] = ACTIONS(1622),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1622),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1622),
    [sym_var_modifier] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1622),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [aux_sym_cast_type_token1] = ACTIONS(1622),
    [aux_sym_echo_statement_token1] = ACTIONS(1622),
    [aux_sym_exit_statement_token1] = ACTIONS(1622),
    [anon_sym_unset] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [aux_sym_declare_statement_token2] = ACTIONS(1622),
    [sym_float] = ACTIONS(1622),
    [aux_sym_try_statement_token1] = ACTIONS(1622),
    [aux_sym_goto_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [sym_integer] = ACTIONS(1622),
    [aux_sym_return_statement_token1] = ACTIONS(1622),
    [aux_sym_throw_expression_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token2] = ACTIONS(1622),
    [aux_sym_do_statement_token1] = ACTIONS(1622),
    [aux_sym_for_statement_token1] = ACTIONS(1622),
    [aux_sym_for_statement_token2] = ACTIONS(1622),
    [aux_sym_foreach_statement_token1] = ACTIONS(1622),
    [aux_sym_foreach_statement_token2] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token2] = ACTIONS(1622),
    [aux_sym_else_if_clause_token1] = ACTIONS(1622),
    [aux_sym_else_clause_token1] = ACTIONS(1622),
    [aux_sym_match_expression_token1] = ACTIONS(1622),
    [aux_sym_match_default_expression_token1] = ACTIONS(1622),
    [aux_sym_switch_statement_token1] = ACTIONS(1622),
    [aux_sym_switch_block_token1] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1620),
    [aux_sym_clone_expression_token1] = ACTIONS(1622),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1622),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1622),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [aux_sym__list_destructing_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_self] = ACTIONS(1622),
    [anon_sym_parent] = ACTIONS(1622),
    [aux_sym__argument_name_token1] = ACTIONS(1622),
    [aux_sym__argument_name_token2] = ACTIONS(1622),
    [anon_sym_POUND_LBRACK] = ACTIONS(1620),
    [aux_sym_encapsed_string_token1] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(1620),
    [aux_sym_string_token1] = ACTIONS(1620),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [anon_sym_LT_LT_LT] = ACTIONS(1620),
    [anon_sym_BQUOTE] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1620),
    [aux_sym_yield_expression_token1] = ACTIONS(1622),
    [aux_sym_include_expression_token1] = ACTIONS(1622),
    [aux_sym_include_once_expression_token1] = ACTIONS(1622),
    [aux_sym_require_expression_token1] = ACTIONS(1622),
    [aux_sym_require_once_expression_token1] = ACTIONS(1622),
    [sym_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_text_interpolation] = STATE(601),
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_name] = ACTIONS(1626),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1624),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1626),
    [aux_sym_global_declaration_token1] = ACTIONS(1626),
    [aux_sym_namespace_definition_token1] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1626),
    [anon_sym_BSLASH] = ACTIONS(1624),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [aux_sym_trait_declaration_token1] = ACTIONS(1626),
    [aux_sym_interface_declaration_token1] = ACTIONS(1626),
    [aux_sym_enum_declaration_token1] = ACTIONS(1626),
    [aux_sym_enum_case_token1] = ACTIONS(1626),
    [aux_sym_class_declaration_token1] = ACTIONS(1626),
    [aux_sym_final_modifier_token1] = ACTIONS(1626),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1626),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1626),
    [sym_var_modifier] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1626),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1624),
    [aux_sym_cast_type_token1] = ACTIONS(1626),
    [aux_sym_echo_statement_token1] = ACTIONS(1626),
    [aux_sym_exit_statement_token1] = ACTIONS(1626),
    [anon_sym_unset] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [aux_sym_declare_statement_token2] = ACTIONS(1626),
    [sym_float] = ACTIONS(1626),
    [aux_sym_try_statement_token1] = ACTIONS(1626),
    [aux_sym_goto_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [sym_integer] = ACTIONS(1626),
    [aux_sym_return_statement_token1] = ACTIONS(1626),
    [aux_sym_throw_expression_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token2] = ACTIONS(1626),
    [aux_sym_do_statement_token1] = ACTIONS(1626),
    [aux_sym_for_statement_token1] = ACTIONS(1626),
    [aux_sym_for_statement_token2] = ACTIONS(1626),
    [aux_sym_foreach_statement_token1] = ACTIONS(1626),
    [aux_sym_foreach_statement_token2] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token2] = ACTIONS(1626),
    [aux_sym_else_if_clause_token1] = ACTIONS(1626),
    [aux_sym_else_clause_token1] = ACTIONS(1626),
    [aux_sym_match_expression_token1] = ACTIONS(1626),
    [aux_sym_match_default_expression_token1] = ACTIONS(1626),
    [aux_sym_switch_statement_token1] = ACTIONS(1626),
    [aux_sym_switch_block_token1] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(1624),
    [aux_sym_clone_expression_token1] = ACTIONS(1626),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1626),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1626),
    [anon_sym_DASH_DASH] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1624),
    [aux_sym__list_destructing_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_self] = ACTIONS(1626),
    [anon_sym_parent] = ACTIONS(1626),
    [aux_sym__argument_name_token1] = ACTIONS(1626),
    [aux_sym__argument_name_token2] = ACTIONS(1626),
    [anon_sym_POUND_LBRACK] = ACTIONS(1624),
    [aux_sym_encapsed_string_token1] = ACTIONS(1624),
    [anon_sym_DQUOTE] = ACTIONS(1624),
    [aux_sym_string_token1] = ACTIONS(1624),
    [anon_sym_SQUOTE] = ACTIONS(1624),
    [anon_sym_LT_LT_LT] = ACTIONS(1624),
    [anon_sym_BQUOTE] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(1624),
    [aux_sym_yield_expression_token1] = ACTIONS(1626),
    [aux_sym_include_expression_token1] = ACTIONS(1626),
    [aux_sym_include_once_expression_token1] = ACTIONS(1626),
    [aux_sym_require_expression_token1] = ACTIONS(1626),
    [aux_sym_require_once_expression_token1] = ACTIONS(1626),
    [sym_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_text_interpolation] = STATE(602),
    [ts_builtin_sym_end] = ACTIONS(1628),
    [sym_name] = ACTIONS(1630),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1628),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1630),
    [aux_sym_global_declaration_token1] = ACTIONS(1630),
    [aux_sym_namespace_definition_token1] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1630),
    [anon_sym_BSLASH] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [aux_sym_trait_declaration_token1] = ACTIONS(1630),
    [aux_sym_interface_declaration_token1] = ACTIONS(1630),
    [aux_sym_enum_declaration_token1] = ACTIONS(1630),
    [aux_sym_enum_case_token1] = ACTIONS(1630),
    [aux_sym_class_declaration_token1] = ACTIONS(1630),
    [aux_sym_final_modifier_token1] = ACTIONS(1630),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1630),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1630),
    [sym_var_modifier] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1630),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [aux_sym_cast_type_token1] = ACTIONS(1630),
    [aux_sym_echo_statement_token1] = ACTIONS(1630),
    [aux_sym_exit_statement_token1] = ACTIONS(1630),
    [anon_sym_unset] = ACTIONS(1630),
    [aux_sym_declare_statement_token1] = ACTIONS(1630),
    [aux_sym_declare_statement_token2] = ACTIONS(1630),
    [sym_float] = ACTIONS(1630),
    [aux_sym_try_statement_token1] = ACTIONS(1630),
    [aux_sym_goto_statement_token1] = ACTIONS(1630),
    [aux_sym_continue_statement_token1] = ACTIONS(1630),
    [aux_sym_break_statement_token1] = ACTIONS(1630),
    [sym_integer] = ACTIONS(1630),
    [aux_sym_return_statement_token1] = ACTIONS(1630),
    [aux_sym_throw_expression_token1] = ACTIONS(1630),
    [aux_sym_while_statement_token1] = ACTIONS(1630),
    [aux_sym_while_statement_token2] = ACTIONS(1630),
    [aux_sym_do_statement_token1] = ACTIONS(1630),
    [aux_sym_for_statement_token1] = ACTIONS(1630),
    [aux_sym_for_statement_token2] = ACTIONS(1630),
    [aux_sym_foreach_statement_token1] = ACTIONS(1630),
    [aux_sym_foreach_statement_token2] = ACTIONS(1630),
    [aux_sym_if_statement_token1] = ACTIONS(1630),
    [aux_sym_if_statement_token2] = ACTIONS(1630),
    [aux_sym_else_if_clause_token1] = ACTIONS(1630),
    [aux_sym_else_clause_token1] = ACTIONS(1630),
    [aux_sym_match_expression_token1] = ACTIONS(1630),
    [aux_sym_match_default_expression_token1] = ACTIONS(1630),
    [aux_sym_switch_statement_token1] = ACTIONS(1630),
    [aux_sym_switch_block_token1] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(1628),
    [aux_sym_clone_expression_token1] = ACTIONS(1630),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1630),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1630),
    [anon_sym_DASH_DASH] = ACTIONS(1628),
    [anon_sym_PLUS_PLUS] = ACTIONS(1628),
    [aux_sym__list_destructing_token1] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [anon_sym_self] = ACTIONS(1630),
    [anon_sym_parent] = ACTIONS(1630),
    [aux_sym__argument_name_token1] = ACTIONS(1630),
    [aux_sym__argument_name_token2] = ACTIONS(1630),
    [anon_sym_POUND_LBRACK] = ACTIONS(1628),
    [aux_sym_encapsed_string_token1] = ACTIONS(1628),
    [anon_sym_DQUOTE] = ACTIONS(1628),
    [aux_sym_string_token1] = ACTIONS(1628),
    [anon_sym_SQUOTE] = ACTIONS(1628),
    [anon_sym_LT_LT_LT] = ACTIONS(1628),
    [anon_sym_BQUOTE] = ACTIONS(1628),
    [anon_sym_DOLLAR] = ACTIONS(1628),
    [aux_sym_yield_expression_token1] = ACTIONS(1630),
    [aux_sym_include_expression_token1] = ACTIONS(1630),
    [aux_sym_include_once_expression_token1] = ACTIONS(1630),
    [aux_sym_require_expression_token1] = ACTIONS(1630),
    [aux_sym_require_once_expression_token1] = ACTIONS(1630),
    [sym_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_text_interpolation] = STATE(603),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_text_interpolation] = STATE(604),
    [ts_builtin_sym_end] = ACTIONS(1632),
    [sym_name] = ACTIONS(1634),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1634),
    [aux_sym_global_declaration_token1] = ACTIONS(1634),
    [aux_sym_namespace_definition_token1] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1634),
    [anon_sym_BSLASH] = ACTIONS(1632),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [aux_sym_trait_declaration_token1] = ACTIONS(1634),
    [aux_sym_interface_declaration_token1] = ACTIONS(1634),
    [aux_sym_enum_declaration_token1] = ACTIONS(1634),
    [aux_sym_enum_case_token1] = ACTIONS(1634),
    [aux_sym_class_declaration_token1] = ACTIONS(1634),
    [aux_sym_final_modifier_token1] = ACTIONS(1634),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1634),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1634),
    [sym_var_modifier] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1634),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_cast_type_token1] = ACTIONS(1634),
    [aux_sym_echo_statement_token1] = ACTIONS(1634),
    [aux_sym_exit_statement_token1] = ACTIONS(1634),
    [anon_sym_unset] = ACTIONS(1634),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [aux_sym_declare_statement_token2] = ACTIONS(1634),
    [sym_float] = ACTIONS(1634),
    [aux_sym_try_statement_token1] = ACTIONS(1634),
    [aux_sym_goto_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [sym_integer] = ACTIONS(1634),
    [aux_sym_return_statement_token1] = ACTIONS(1634),
    [aux_sym_throw_expression_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token2] = ACTIONS(1634),
    [aux_sym_do_statement_token1] = ACTIONS(1634),
    [aux_sym_for_statement_token1] = ACTIONS(1634),
    [aux_sym_for_statement_token2] = ACTIONS(1634),
    [aux_sym_foreach_statement_token1] = ACTIONS(1634),
    [aux_sym_foreach_statement_token2] = ACTIONS(1634),
    [aux_sym_if_statement_token1] = ACTIONS(1634),
    [aux_sym_if_statement_token2] = ACTIONS(1634),
    [aux_sym_else_if_clause_token1] = ACTIONS(1634),
    [aux_sym_else_clause_token1] = ACTIONS(1634),
    [aux_sym_match_expression_token1] = ACTIONS(1634),
    [aux_sym_match_default_expression_token1] = ACTIONS(1634),
    [aux_sym_switch_statement_token1] = ACTIONS(1634),
    [aux_sym_switch_block_token1] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_AT] = ACTIONS(1632),
    [aux_sym_clone_expression_token1] = ACTIONS(1634),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1634),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1634),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [aux_sym__list_destructing_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_self] = ACTIONS(1634),
    [anon_sym_parent] = ACTIONS(1634),
    [aux_sym__argument_name_token1] = ACTIONS(1634),
    [aux_sym__argument_name_token2] = ACTIONS(1634),
    [anon_sym_POUND_LBRACK] = ACTIONS(1632),
    [aux_sym_encapsed_string_token1] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [aux_sym_string_token1] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [anon_sym_LT_LT_LT] = ACTIONS(1632),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [anon_sym_DOLLAR] = ACTIONS(1632),
    [aux_sym_yield_expression_token1] = ACTIONS(1634),
    [aux_sym_include_expression_token1] = ACTIONS(1634),
    [aux_sym_include_once_expression_token1] = ACTIONS(1634),
    [aux_sym_require_expression_token1] = ACTIONS(1634),
    [aux_sym_require_once_expression_token1] = ACTIONS(1634),
    [sym_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_text_interpolation] = STATE(605),
    [ts_builtin_sym_end] = ACTIONS(1636),
    [sym_name] = ACTIONS(1638),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1638),
    [aux_sym_global_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_definition_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1638),
    [anon_sym_BSLASH] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1636),
    [aux_sym_trait_declaration_token1] = ACTIONS(1638),
    [aux_sym_interface_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_case_token1] = ACTIONS(1638),
    [aux_sym_class_declaration_token1] = ACTIONS(1638),
    [aux_sym_final_modifier_token1] = ACTIONS(1638),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1638),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1638),
    [sym_var_modifier] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1638),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_cast_type_token1] = ACTIONS(1638),
    [aux_sym_echo_statement_token1] = ACTIONS(1638),
    [aux_sym_exit_statement_token1] = ACTIONS(1638),
    [anon_sym_unset] = ACTIONS(1638),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [aux_sym_declare_statement_token2] = ACTIONS(1638),
    [sym_float] = ACTIONS(1638),
    [aux_sym_try_statement_token1] = ACTIONS(1638),
    [aux_sym_goto_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [sym_integer] = ACTIONS(1638),
    [aux_sym_return_statement_token1] = ACTIONS(1638),
    [aux_sym_throw_expression_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token2] = ACTIONS(1638),
    [aux_sym_do_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token2] = ACTIONS(1638),
    [aux_sym_foreach_statement_token1] = ACTIONS(1638),
    [aux_sym_foreach_statement_token2] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token2] = ACTIONS(1638),
    [aux_sym_else_if_clause_token1] = ACTIONS(1638),
    [aux_sym_else_clause_token1] = ACTIONS(1638),
    [aux_sym_match_expression_token1] = ACTIONS(1638),
    [aux_sym_match_default_expression_token1] = ACTIONS(1638),
    [aux_sym_switch_statement_token1] = ACTIONS(1638),
    [aux_sym_switch_block_token1] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_AT] = ACTIONS(1636),
    [aux_sym_clone_expression_token1] = ACTIONS(1638),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1638),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1636),
    [anon_sym_PLUS_PLUS] = ACTIONS(1636),
    [aux_sym__list_destructing_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [anon_sym_self] = ACTIONS(1638),
    [anon_sym_parent] = ACTIONS(1638),
    [aux_sym__argument_name_token1] = ACTIONS(1638),
    [aux_sym__argument_name_token2] = ACTIONS(1638),
    [anon_sym_POUND_LBRACK] = ACTIONS(1636),
    [aux_sym_encapsed_string_token1] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1636),
    [aux_sym_string_token1] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1636),
    [anon_sym_LT_LT_LT] = ACTIONS(1636),
    [anon_sym_BQUOTE] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [aux_sym_yield_expression_token1] = ACTIONS(1638),
    [aux_sym_include_expression_token1] = ACTIONS(1638),
    [aux_sym_include_once_expression_token1] = ACTIONS(1638),
    [aux_sym_require_expression_token1] = ACTIONS(1638),
    [aux_sym_require_once_expression_token1] = ACTIONS(1638),
    [sym_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_text_interpolation] = STATE(606),
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym_name] = ACTIONS(1642),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1642),
    [aux_sym_global_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_definition_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1642),
    [anon_sym_BSLASH] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [aux_sym_trait_declaration_token1] = ACTIONS(1642),
    [aux_sym_interface_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_case_token1] = ACTIONS(1642),
    [aux_sym_class_declaration_token1] = ACTIONS(1642),
    [aux_sym_final_modifier_token1] = ACTIONS(1642),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1642),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1642),
    [sym_var_modifier] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1642),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_cast_type_token1] = ACTIONS(1642),
    [aux_sym_echo_statement_token1] = ACTIONS(1642),
    [aux_sym_exit_statement_token1] = ACTIONS(1642),
    [anon_sym_unset] = ACTIONS(1642),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [aux_sym_declare_statement_token2] = ACTIONS(1642),
    [sym_float] = ACTIONS(1642),
    [aux_sym_try_statement_token1] = ACTIONS(1642),
    [aux_sym_goto_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [sym_integer] = ACTIONS(1642),
    [aux_sym_return_statement_token1] = ACTIONS(1642),
    [aux_sym_throw_expression_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token2] = ACTIONS(1642),
    [aux_sym_do_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token2] = ACTIONS(1642),
    [aux_sym_foreach_statement_token1] = ACTIONS(1642),
    [aux_sym_foreach_statement_token2] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token2] = ACTIONS(1642),
    [aux_sym_else_if_clause_token1] = ACTIONS(1642),
    [aux_sym_else_clause_token1] = ACTIONS(1642),
    [aux_sym_match_expression_token1] = ACTIONS(1642),
    [aux_sym_match_default_expression_token1] = ACTIONS(1642),
    [aux_sym_switch_statement_token1] = ACTIONS(1642),
    [aux_sym_switch_block_token1] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [aux_sym_clone_expression_token1] = ACTIONS(1642),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1642),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1642),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [aux_sym__list_destructing_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_self] = ACTIONS(1642),
    [anon_sym_parent] = ACTIONS(1642),
    [aux_sym__argument_name_token1] = ACTIONS(1642),
    [aux_sym__argument_name_token2] = ACTIONS(1642),
    [anon_sym_POUND_LBRACK] = ACTIONS(1640),
    [aux_sym_encapsed_string_token1] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [aux_sym_string_token1] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_LT_LT_LT] = ACTIONS(1640),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [aux_sym_yield_expression_token1] = ACTIONS(1642),
    [aux_sym_include_expression_token1] = ACTIONS(1642),
    [aux_sym_include_once_expression_token1] = ACTIONS(1642),
    [aux_sym_require_expression_token1] = ACTIONS(1642),
    [aux_sym_require_once_expression_token1] = ACTIONS(1642),
    [sym_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_text_interpolation] = STATE(607),
    [ts_builtin_sym_end] = ACTIONS(1644),
    [sym_name] = ACTIONS(1646),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1646),
    [aux_sym_global_declaration_token1] = ACTIONS(1646),
    [aux_sym_namespace_definition_token1] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1646),
    [anon_sym_BSLASH] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [anon_sym_RBRACE] = ACTIONS(1644),
    [aux_sym_trait_declaration_token1] = ACTIONS(1646),
    [aux_sym_interface_declaration_token1] = ACTIONS(1646),
    [aux_sym_enum_declaration_token1] = ACTIONS(1646),
    [aux_sym_enum_case_token1] = ACTIONS(1646),
    [aux_sym_class_declaration_token1] = ACTIONS(1646),
    [aux_sym_final_modifier_token1] = ACTIONS(1646),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1646),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1646),
    [sym_var_modifier] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1646),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_cast_type_token1] = ACTIONS(1646),
    [aux_sym_echo_statement_token1] = ACTIONS(1646),
    [aux_sym_exit_statement_token1] = ACTIONS(1646),
    [anon_sym_unset] = ACTIONS(1646),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [aux_sym_declare_statement_token2] = ACTIONS(1646),
    [sym_float] = ACTIONS(1646),
    [aux_sym_try_statement_token1] = ACTIONS(1646),
    [aux_sym_goto_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [sym_integer] = ACTIONS(1646),
    [aux_sym_return_statement_token1] = ACTIONS(1646),
    [aux_sym_throw_expression_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token2] = ACTIONS(1646),
    [aux_sym_do_statement_token1] = ACTIONS(1646),
    [aux_sym_for_statement_token1] = ACTIONS(1646),
    [aux_sym_for_statement_token2] = ACTIONS(1646),
    [aux_sym_foreach_statement_token1] = ACTIONS(1646),
    [aux_sym_foreach_statement_token2] = ACTIONS(1646),
    [aux_sym_if_statement_token1] = ACTIONS(1646),
    [aux_sym_if_statement_token2] = ACTIONS(1646),
    [aux_sym_else_if_clause_token1] = ACTIONS(1646),
    [aux_sym_else_clause_token1] = ACTIONS(1646),
    [aux_sym_match_expression_token1] = ACTIONS(1646),
    [aux_sym_match_default_expression_token1] = ACTIONS(1646),
    [aux_sym_switch_statement_token1] = ACTIONS(1646),
    [aux_sym_switch_block_token1] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1646),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1644),
    [aux_sym_clone_expression_token1] = ACTIONS(1646),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1646),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1646),
    [anon_sym_DASH_DASH] = ACTIONS(1644),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [aux_sym__list_destructing_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_self] = ACTIONS(1646),
    [anon_sym_parent] = ACTIONS(1646),
    [aux_sym__argument_name_token1] = ACTIONS(1646),
    [aux_sym__argument_name_token2] = ACTIONS(1646),
    [anon_sym_POUND_LBRACK] = ACTIONS(1644),
    [aux_sym_encapsed_string_token1] = ACTIONS(1644),
    [anon_sym_DQUOTE] = ACTIONS(1644),
    [aux_sym_string_token1] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_LT_LT_LT] = ACTIONS(1644),
    [anon_sym_BQUOTE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1644),
    [aux_sym_yield_expression_token1] = ACTIONS(1646),
    [aux_sym_include_expression_token1] = ACTIONS(1646),
    [aux_sym_include_once_expression_token1] = ACTIONS(1646),
    [aux_sym_require_expression_token1] = ACTIONS(1646),
    [aux_sym_require_once_expression_token1] = ACTIONS(1646),
    [sym_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_text_interpolation] = STATE(608),
    [ts_builtin_sym_end] = ACTIONS(1648),
    [sym_name] = ACTIONS(1650),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1650),
    [aux_sym_global_declaration_token1] = ACTIONS(1650),
    [aux_sym_namespace_definition_token1] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1650),
    [anon_sym_BSLASH] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [aux_sym_trait_declaration_token1] = ACTIONS(1650),
    [aux_sym_interface_declaration_token1] = ACTIONS(1650),
    [aux_sym_enum_declaration_token1] = ACTIONS(1650),
    [aux_sym_enum_case_token1] = ACTIONS(1650),
    [aux_sym_class_declaration_token1] = ACTIONS(1650),
    [aux_sym_final_modifier_token1] = ACTIONS(1650),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1650),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1650),
    [sym_var_modifier] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1650),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_cast_type_token1] = ACTIONS(1650),
    [aux_sym_echo_statement_token1] = ACTIONS(1650),
    [aux_sym_exit_statement_token1] = ACTIONS(1650),
    [anon_sym_unset] = ACTIONS(1650),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [aux_sym_declare_statement_token2] = ACTIONS(1650),
    [sym_float] = ACTIONS(1650),
    [aux_sym_try_statement_token1] = ACTIONS(1650),
    [aux_sym_goto_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [sym_integer] = ACTIONS(1650),
    [aux_sym_return_statement_token1] = ACTIONS(1650),
    [aux_sym_throw_expression_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token2] = ACTIONS(1650),
    [aux_sym_do_statement_token1] = ACTIONS(1650),
    [aux_sym_for_statement_token1] = ACTIONS(1650),
    [aux_sym_for_statement_token2] = ACTIONS(1650),
    [aux_sym_foreach_statement_token1] = ACTIONS(1650),
    [aux_sym_foreach_statement_token2] = ACTIONS(1650),
    [aux_sym_if_statement_token1] = ACTIONS(1650),
    [aux_sym_if_statement_token2] = ACTIONS(1650),
    [aux_sym_else_if_clause_token1] = ACTIONS(1650),
    [aux_sym_else_clause_token1] = ACTIONS(1650),
    [aux_sym_match_expression_token1] = ACTIONS(1650),
    [aux_sym_match_default_expression_token1] = ACTIONS(1650),
    [aux_sym_switch_statement_token1] = ACTIONS(1650),
    [aux_sym_switch_block_token1] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [aux_sym_clone_expression_token1] = ACTIONS(1650),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1650),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1650),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [aux_sym__list_destructing_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_self] = ACTIONS(1650),
    [anon_sym_parent] = ACTIONS(1650),
    [aux_sym__argument_name_token1] = ACTIONS(1650),
    [aux_sym__argument_name_token2] = ACTIONS(1650),
    [anon_sym_POUND_LBRACK] = ACTIONS(1648),
    [aux_sym_encapsed_string_token1] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [aux_sym_string_token1] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [anon_sym_LT_LT_LT] = ACTIONS(1648),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [aux_sym_yield_expression_token1] = ACTIONS(1650),
    [aux_sym_include_expression_token1] = ACTIONS(1650),
    [aux_sym_include_once_expression_token1] = ACTIONS(1650),
    [aux_sym_require_expression_token1] = ACTIONS(1650),
    [aux_sym_require_once_expression_token1] = ACTIONS(1650),
    [sym_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_text_interpolation] = STATE(609),
    [ts_builtin_sym_end] = ACTIONS(1652),
    [sym_name] = ACTIONS(1654),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1654),
    [aux_sym_global_declaration_token1] = ACTIONS(1654),
    [aux_sym_namespace_definition_token1] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1654),
    [anon_sym_BSLASH] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_RBRACE] = ACTIONS(1652),
    [aux_sym_trait_declaration_token1] = ACTIONS(1654),
    [aux_sym_interface_declaration_token1] = ACTIONS(1654),
    [aux_sym_enum_declaration_token1] = ACTIONS(1654),
    [aux_sym_enum_case_token1] = ACTIONS(1654),
    [aux_sym_class_declaration_token1] = ACTIONS(1654),
    [aux_sym_final_modifier_token1] = ACTIONS(1654),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1654),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1654),
    [sym_var_modifier] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1654),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_cast_type_token1] = ACTIONS(1654),
    [aux_sym_echo_statement_token1] = ACTIONS(1654),
    [aux_sym_exit_statement_token1] = ACTIONS(1654),
    [anon_sym_unset] = ACTIONS(1654),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [aux_sym_declare_statement_token2] = ACTIONS(1654),
    [sym_float] = ACTIONS(1654),
    [aux_sym_try_statement_token1] = ACTIONS(1654),
    [aux_sym_goto_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [sym_integer] = ACTIONS(1654),
    [aux_sym_return_statement_token1] = ACTIONS(1654),
    [aux_sym_throw_expression_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token2] = ACTIONS(1654),
    [aux_sym_do_statement_token1] = ACTIONS(1654),
    [aux_sym_for_statement_token1] = ACTIONS(1654),
    [aux_sym_for_statement_token2] = ACTIONS(1654),
    [aux_sym_foreach_statement_token1] = ACTIONS(1654),
    [aux_sym_foreach_statement_token2] = ACTIONS(1654),
    [aux_sym_if_statement_token1] = ACTIONS(1654),
    [aux_sym_if_statement_token2] = ACTIONS(1654),
    [aux_sym_else_if_clause_token1] = ACTIONS(1654),
    [aux_sym_else_clause_token1] = ACTIONS(1654),
    [aux_sym_match_expression_token1] = ACTIONS(1654),
    [aux_sym_match_default_expression_token1] = ACTIONS(1654),
    [aux_sym_switch_statement_token1] = ACTIONS(1654),
    [aux_sym_switch_block_token1] = ACTIONS(1654),
    [anon_sym_PLUS] = ACTIONS(1654),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_TILDE] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1652),
    [anon_sym_AT] = ACTIONS(1652),
    [aux_sym_clone_expression_token1] = ACTIONS(1654),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1654),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1652),
    [anon_sym_PLUS_PLUS] = ACTIONS(1652),
    [aux_sym__list_destructing_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_self] = ACTIONS(1654),
    [anon_sym_parent] = ACTIONS(1654),
    [aux_sym__argument_name_token1] = ACTIONS(1654),
    [aux_sym__argument_name_token2] = ACTIONS(1654),
    [anon_sym_POUND_LBRACK] = ACTIONS(1652),
    [aux_sym_encapsed_string_token1] = ACTIONS(1652),
    [anon_sym_DQUOTE] = ACTIONS(1652),
    [aux_sym_string_token1] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1652),
    [anon_sym_LT_LT_LT] = ACTIONS(1652),
    [anon_sym_BQUOTE] = ACTIONS(1652),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [aux_sym_yield_expression_token1] = ACTIONS(1654),
    [aux_sym_include_expression_token1] = ACTIONS(1654),
    [aux_sym_include_once_expression_token1] = ACTIONS(1654),
    [aux_sym_require_expression_token1] = ACTIONS(1654),
    [aux_sym_require_once_expression_token1] = ACTIONS(1654),
    [sym_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_text_interpolation] = STATE(610),
    [ts_builtin_sym_end] = ACTIONS(1656),
    [sym_name] = ACTIONS(1658),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1658),
    [aux_sym_global_declaration_token1] = ACTIONS(1658),
    [aux_sym_namespace_definition_token1] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1658),
    [anon_sym_BSLASH] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [aux_sym_trait_declaration_token1] = ACTIONS(1658),
    [aux_sym_interface_declaration_token1] = ACTIONS(1658),
    [aux_sym_enum_declaration_token1] = ACTIONS(1658),
    [aux_sym_enum_case_token1] = ACTIONS(1658),
    [aux_sym_class_declaration_token1] = ACTIONS(1658),
    [aux_sym_final_modifier_token1] = ACTIONS(1658),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1658),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1658),
    [sym_var_modifier] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1658),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_cast_type_token1] = ACTIONS(1658),
    [aux_sym_echo_statement_token1] = ACTIONS(1658),
    [aux_sym_exit_statement_token1] = ACTIONS(1658),
    [anon_sym_unset] = ACTIONS(1658),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [aux_sym_declare_statement_token2] = ACTIONS(1658),
    [sym_float] = ACTIONS(1658),
    [aux_sym_try_statement_token1] = ACTIONS(1658),
    [aux_sym_goto_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [sym_integer] = ACTIONS(1658),
    [aux_sym_return_statement_token1] = ACTIONS(1658),
    [aux_sym_throw_expression_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token2] = ACTIONS(1658),
    [aux_sym_do_statement_token1] = ACTIONS(1658),
    [aux_sym_for_statement_token1] = ACTIONS(1658),
    [aux_sym_for_statement_token2] = ACTIONS(1658),
    [aux_sym_foreach_statement_token1] = ACTIONS(1658),
    [aux_sym_foreach_statement_token2] = ACTIONS(1658),
    [aux_sym_if_statement_token1] = ACTIONS(1658),
    [aux_sym_if_statement_token2] = ACTIONS(1658),
    [aux_sym_else_if_clause_token1] = ACTIONS(1658),
    [aux_sym_else_clause_token1] = ACTIONS(1658),
    [aux_sym_match_expression_token1] = ACTIONS(1658),
    [aux_sym_match_default_expression_token1] = ACTIONS(1658),
    [aux_sym_switch_statement_token1] = ACTIONS(1658),
    [aux_sym_switch_block_token1] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1656),
    [aux_sym_clone_expression_token1] = ACTIONS(1658),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1658),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [aux_sym__list_destructing_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_self] = ACTIONS(1658),
    [anon_sym_parent] = ACTIONS(1658),
    [aux_sym__argument_name_token1] = ACTIONS(1658),
    [aux_sym__argument_name_token2] = ACTIONS(1658),
    [anon_sym_POUND_LBRACK] = ACTIONS(1656),
    [aux_sym_encapsed_string_token1] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1656),
    [aux_sym_string_token1] = ACTIONS(1656),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [anon_sym_LT_LT_LT] = ACTIONS(1656),
    [anon_sym_BQUOTE] = ACTIONS(1656),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [aux_sym_yield_expression_token1] = ACTIONS(1658),
    [aux_sym_include_expression_token1] = ACTIONS(1658),
    [aux_sym_include_once_expression_token1] = ACTIONS(1658),
    [aux_sym_require_expression_token1] = ACTIONS(1658),
    [aux_sym_require_once_expression_token1] = ACTIONS(1658),
    [sym_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_text_interpolation] = STATE(611),
    [ts_builtin_sym_end] = ACTIONS(1660),
    [sym_name] = ACTIONS(1662),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1662),
    [aux_sym_global_declaration_token1] = ACTIONS(1662),
    [aux_sym_namespace_definition_token1] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1662),
    [anon_sym_BSLASH] = ACTIONS(1660),
    [anon_sym_LBRACE] = ACTIONS(1660),
    [anon_sym_RBRACE] = ACTIONS(1660),
    [aux_sym_trait_declaration_token1] = ACTIONS(1662),
    [aux_sym_interface_declaration_token1] = ACTIONS(1662),
    [aux_sym_enum_declaration_token1] = ACTIONS(1662),
    [aux_sym_enum_case_token1] = ACTIONS(1662),
    [aux_sym_class_declaration_token1] = ACTIONS(1662),
    [aux_sym_final_modifier_token1] = ACTIONS(1662),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1662),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1662),
    [sym_var_modifier] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1662),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_cast_type_token1] = ACTIONS(1662),
    [aux_sym_echo_statement_token1] = ACTIONS(1662),
    [aux_sym_exit_statement_token1] = ACTIONS(1662),
    [anon_sym_unset] = ACTIONS(1662),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [aux_sym_declare_statement_token2] = ACTIONS(1662),
    [sym_float] = ACTIONS(1662),
    [aux_sym_try_statement_token1] = ACTIONS(1662),
    [aux_sym_goto_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [sym_integer] = ACTIONS(1662),
    [aux_sym_return_statement_token1] = ACTIONS(1662),
    [aux_sym_throw_expression_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token2] = ACTIONS(1662),
    [aux_sym_do_statement_token1] = ACTIONS(1662),
    [aux_sym_for_statement_token1] = ACTIONS(1662),
    [aux_sym_for_statement_token2] = ACTIONS(1662),
    [aux_sym_foreach_statement_token1] = ACTIONS(1662),
    [aux_sym_foreach_statement_token2] = ACTIONS(1662),
    [aux_sym_if_statement_token1] = ACTIONS(1662),
    [aux_sym_if_statement_token2] = ACTIONS(1662),
    [aux_sym_else_if_clause_token1] = ACTIONS(1662),
    [aux_sym_else_clause_token1] = ACTIONS(1662),
    [aux_sym_match_expression_token1] = ACTIONS(1662),
    [aux_sym_match_default_expression_token1] = ACTIONS(1662),
    [aux_sym_switch_statement_token1] = ACTIONS(1662),
    [aux_sym_switch_block_token1] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_AT] = ACTIONS(1660),
    [aux_sym_clone_expression_token1] = ACTIONS(1662),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1662),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1662),
    [anon_sym_DASH_DASH] = ACTIONS(1660),
    [anon_sym_PLUS_PLUS] = ACTIONS(1660),
    [aux_sym__list_destructing_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_self] = ACTIONS(1662),
    [anon_sym_parent] = ACTIONS(1662),
    [aux_sym__argument_name_token1] = ACTIONS(1662),
    [aux_sym__argument_name_token2] = ACTIONS(1662),
    [anon_sym_POUND_LBRACK] = ACTIONS(1660),
    [aux_sym_encapsed_string_token1] = ACTIONS(1660),
    [anon_sym_DQUOTE] = ACTIONS(1660),
    [aux_sym_string_token1] = ACTIONS(1660),
    [anon_sym_SQUOTE] = ACTIONS(1660),
    [anon_sym_LT_LT_LT] = ACTIONS(1660),
    [anon_sym_BQUOTE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1660),
    [aux_sym_yield_expression_token1] = ACTIONS(1662),
    [aux_sym_include_expression_token1] = ACTIONS(1662),
    [aux_sym_include_once_expression_token1] = ACTIONS(1662),
    [aux_sym_require_expression_token1] = ACTIONS(1662),
    [aux_sym_require_once_expression_token1] = ACTIONS(1662),
    [sym_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_text_interpolation] = STATE(612),
    [ts_builtin_sym_end] = ACTIONS(1664),
    [sym_name] = ACTIONS(1666),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1666),
    [aux_sym_global_declaration_token1] = ACTIONS(1666),
    [aux_sym_namespace_definition_token1] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1666),
    [anon_sym_BSLASH] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [aux_sym_trait_declaration_token1] = ACTIONS(1666),
    [aux_sym_interface_declaration_token1] = ACTIONS(1666),
    [aux_sym_enum_declaration_token1] = ACTIONS(1666),
    [aux_sym_enum_case_token1] = ACTIONS(1666),
    [aux_sym_class_declaration_token1] = ACTIONS(1666),
    [aux_sym_final_modifier_token1] = ACTIONS(1666),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1666),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1666),
    [sym_var_modifier] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1666),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_cast_type_token1] = ACTIONS(1666),
    [aux_sym_echo_statement_token1] = ACTIONS(1666),
    [aux_sym_exit_statement_token1] = ACTIONS(1666),
    [anon_sym_unset] = ACTIONS(1666),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [aux_sym_declare_statement_token2] = ACTIONS(1666),
    [sym_float] = ACTIONS(1666),
    [aux_sym_try_statement_token1] = ACTIONS(1666),
    [aux_sym_goto_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [sym_integer] = ACTIONS(1666),
    [aux_sym_return_statement_token1] = ACTIONS(1666),
    [aux_sym_throw_expression_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token2] = ACTIONS(1666),
    [aux_sym_do_statement_token1] = ACTIONS(1666),
    [aux_sym_for_statement_token1] = ACTIONS(1666),
    [aux_sym_for_statement_token2] = ACTIONS(1666),
    [aux_sym_foreach_statement_token1] = ACTIONS(1666),
    [aux_sym_foreach_statement_token2] = ACTIONS(1666),
    [aux_sym_if_statement_token1] = ACTIONS(1666),
    [aux_sym_if_statement_token2] = ACTIONS(1666),
    [aux_sym_else_if_clause_token1] = ACTIONS(1666),
    [aux_sym_else_clause_token1] = ACTIONS(1666),
    [aux_sym_match_expression_token1] = ACTIONS(1666),
    [aux_sym_match_default_expression_token1] = ACTIONS(1666),
    [aux_sym_switch_statement_token1] = ACTIONS(1666),
    [aux_sym_switch_block_token1] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1664),
    [aux_sym_clone_expression_token1] = ACTIONS(1666),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1666),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1666),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [aux_sym__list_destructing_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_self] = ACTIONS(1666),
    [anon_sym_parent] = ACTIONS(1666),
    [aux_sym__argument_name_token1] = ACTIONS(1666),
    [aux_sym__argument_name_token2] = ACTIONS(1666),
    [anon_sym_POUND_LBRACK] = ACTIONS(1664),
    [aux_sym_encapsed_string_token1] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [aux_sym_string_token1] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [anon_sym_LT_LT_LT] = ACTIONS(1664),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [aux_sym_yield_expression_token1] = ACTIONS(1666),
    [aux_sym_include_expression_token1] = ACTIONS(1666),
    [aux_sym_include_once_expression_token1] = ACTIONS(1666),
    [aux_sym_require_expression_token1] = ACTIONS(1666),
    [aux_sym_require_once_expression_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_text_interpolation] = STATE(613),
    [ts_builtin_sym_end] = ACTIONS(1668),
    [sym_name] = ACTIONS(1670),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1670),
    [aux_sym_global_declaration_token1] = ACTIONS(1670),
    [aux_sym_namespace_definition_token1] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1670),
    [anon_sym_BSLASH] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [aux_sym_trait_declaration_token1] = ACTIONS(1670),
    [aux_sym_interface_declaration_token1] = ACTIONS(1670),
    [aux_sym_enum_declaration_token1] = ACTIONS(1670),
    [aux_sym_enum_case_token1] = ACTIONS(1670),
    [aux_sym_class_declaration_token1] = ACTIONS(1670),
    [aux_sym_final_modifier_token1] = ACTIONS(1670),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1670),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1670),
    [sym_var_modifier] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1670),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_cast_type_token1] = ACTIONS(1670),
    [aux_sym_echo_statement_token1] = ACTIONS(1670),
    [aux_sym_exit_statement_token1] = ACTIONS(1670),
    [anon_sym_unset] = ACTIONS(1670),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [aux_sym_declare_statement_token2] = ACTIONS(1670),
    [sym_float] = ACTIONS(1670),
    [aux_sym_try_statement_token1] = ACTIONS(1670),
    [aux_sym_goto_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [sym_integer] = ACTIONS(1670),
    [aux_sym_return_statement_token1] = ACTIONS(1670),
    [aux_sym_throw_expression_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token2] = ACTIONS(1670),
    [aux_sym_do_statement_token1] = ACTIONS(1670),
    [aux_sym_for_statement_token1] = ACTIONS(1670),
    [aux_sym_for_statement_token2] = ACTIONS(1670),
    [aux_sym_foreach_statement_token1] = ACTIONS(1670),
    [aux_sym_foreach_statement_token2] = ACTIONS(1670),
    [aux_sym_if_statement_token1] = ACTIONS(1670),
    [aux_sym_if_statement_token2] = ACTIONS(1670),
    [aux_sym_else_if_clause_token1] = ACTIONS(1670),
    [aux_sym_else_clause_token1] = ACTIONS(1670),
    [aux_sym_match_expression_token1] = ACTIONS(1670),
    [aux_sym_match_default_expression_token1] = ACTIONS(1670),
    [aux_sym_switch_statement_token1] = ACTIONS(1670),
    [aux_sym_switch_block_token1] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1668),
    [aux_sym_clone_expression_token1] = ACTIONS(1670),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1670),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [aux_sym__list_destructing_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_self] = ACTIONS(1670),
    [anon_sym_parent] = ACTIONS(1670),
    [aux_sym__argument_name_token1] = ACTIONS(1670),
    [aux_sym__argument_name_token2] = ACTIONS(1670),
    [anon_sym_POUND_LBRACK] = ACTIONS(1668),
    [aux_sym_encapsed_string_token1] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1668),
    [aux_sym_string_token1] = ACTIONS(1668),
    [anon_sym_SQUOTE] = ACTIONS(1668),
    [anon_sym_LT_LT_LT] = ACTIONS(1668),
    [anon_sym_BQUOTE] = ACTIONS(1668),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [aux_sym_yield_expression_token1] = ACTIONS(1670),
    [aux_sym_include_expression_token1] = ACTIONS(1670),
    [aux_sym_include_once_expression_token1] = ACTIONS(1670),
    [aux_sym_require_expression_token1] = ACTIONS(1670),
    [aux_sym_require_once_expression_token1] = ACTIONS(1670),
    [sym_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_text_interpolation] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_name] = ACTIONS(1674),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1674),
    [aux_sym_global_declaration_token1] = ACTIONS(1674),
    [aux_sym_namespace_definition_token1] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1674),
    [anon_sym_BSLASH] = ACTIONS(1672),
    [anon_sym_LBRACE] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [aux_sym_trait_declaration_token1] = ACTIONS(1674),
    [aux_sym_interface_declaration_token1] = ACTIONS(1674),
    [aux_sym_enum_declaration_token1] = ACTIONS(1674),
    [aux_sym_enum_case_token1] = ACTIONS(1674),
    [aux_sym_class_declaration_token1] = ACTIONS(1674),
    [aux_sym_final_modifier_token1] = ACTIONS(1674),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1674),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1674),
    [sym_var_modifier] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1674),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_cast_type_token1] = ACTIONS(1674),
    [aux_sym_echo_statement_token1] = ACTIONS(1674),
    [aux_sym_exit_statement_token1] = ACTIONS(1674),
    [anon_sym_unset] = ACTIONS(1674),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [aux_sym_declare_statement_token2] = ACTIONS(1674),
    [sym_float] = ACTIONS(1674),
    [aux_sym_try_statement_token1] = ACTIONS(1674),
    [aux_sym_goto_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [sym_integer] = ACTIONS(1674),
    [aux_sym_return_statement_token1] = ACTIONS(1674),
    [aux_sym_throw_expression_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token2] = ACTIONS(1674),
    [aux_sym_do_statement_token1] = ACTIONS(1674),
    [aux_sym_for_statement_token1] = ACTIONS(1674),
    [aux_sym_for_statement_token2] = ACTIONS(1674),
    [aux_sym_foreach_statement_token1] = ACTIONS(1674),
    [aux_sym_foreach_statement_token2] = ACTIONS(1674),
    [aux_sym_if_statement_token1] = ACTIONS(1674),
    [aux_sym_if_statement_token2] = ACTIONS(1674),
    [aux_sym_else_if_clause_token1] = ACTIONS(1674),
    [aux_sym_else_clause_token1] = ACTIONS(1674),
    [aux_sym_match_expression_token1] = ACTIONS(1674),
    [aux_sym_match_default_expression_token1] = ACTIONS(1674),
    [aux_sym_switch_statement_token1] = ACTIONS(1674),
    [aux_sym_switch_block_token1] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(1672),
    [aux_sym_clone_expression_token1] = ACTIONS(1674),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1674),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [aux_sym__list_destructing_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_self] = ACTIONS(1674),
    [anon_sym_parent] = ACTIONS(1674),
    [aux_sym__argument_name_token1] = ACTIONS(1674),
    [aux_sym__argument_name_token2] = ACTIONS(1674),
    [anon_sym_POUND_LBRACK] = ACTIONS(1672),
    [aux_sym_encapsed_string_token1] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [aux_sym_string_token1] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_LT_LT_LT] = ACTIONS(1672),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [anon_sym_DOLLAR] = ACTIONS(1672),
    [aux_sym_yield_expression_token1] = ACTIONS(1674),
    [aux_sym_include_expression_token1] = ACTIONS(1674),
    [aux_sym_include_once_expression_token1] = ACTIONS(1674),
    [aux_sym_require_expression_token1] = ACTIONS(1674),
    [aux_sym_require_once_expression_token1] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_text_interpolation] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(1676),
    [sym_name] = ACTIONS(1678),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1678),
    [aux_sym_global_declaration_token1] = ACTIONS(1678),
    [aux_sym_namespace_definition_token1] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1678),
    [anon_sym_BSLASH] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_RBRACE] = ACTIONS(1676),
    [aux_sym_trait_declaration_token1] = ACTIONS(1678),
    [aux_sym_interface_declaration_token1] = ACTIONS(1678),
    [aux_sym_enum_declaration_token1] = ACTIONS(1678),
    [aux_sym_enum_case_token1] = ACTIONS(1678),
    [aux_sym_class_declaration_token1] = ACTIONS(1678),
    [aux_sym_final_modifier_token1] = ACTIONS(1678),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1678),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1678),
    [sym_var_modifier] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1678),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_cast_type_token1] = ACTIONS(1678),
    [aux_sym_echo_statement_token1] = ACTIONS(1678),
    [aux_sym_exit_statement_token1] = ACTIONS(1678),
    [anon_sym_unset] = ACTIONS(1678),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [aux_sym_declare_statement_token2] = ACTIONS(1678),
    [sym_float] = ACTIONS(1678),
    [aux_sym_try_statement_token1] = ACTIONS(1678),
    [aux_sym_goto_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [sym_integer] = ACTIONS(1678),
    [aux_sym_return_statement_token1] = ACTIONS(1678),
    [aux_sym_throw_expression_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token2] = ACTIONS(1678),
    [aux_sym_do_statement_token1] = ACTIONS(1678),
    [aux_sym_for_statement_token1] = ACTIONS(1678),
    [aux_sym_for_statement_token2] = ACTIONS(1678),
    [aux_sym_foreach_statement_token1] = ACTIONS(1678),
    [aux_sym_foreach_statement_token2] = ACTIONS(1678),
    [aux_sym_if_statement_token1] = ACTIONS(1678),
    [aux_sym_if_statement_token2] = ACTIONS(1678),
    [aux_sym_else_if_clause_token1] = ACTIONS(1678),
    [aux_sym_else_clause_token1] = ACTIONS(1678),
    [aux_sym_match_expression_token1] = ACTIONS(1678),
    [aux_sym_match_default_expression_token1] = ACTIONS(1678),
    [aux_sym_switch_statement_token1] = ACTIONS(1678),
    [aux_sym_switch_block_token1] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [aux_sym_clone_expression_token1] = ACTIONS(1678),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1678),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1676),
    [anon_sym_PLUS_PLUS] = ACTIONS(1676),
    [aux_sym__list_destructing_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [anon_sym_self] = ACTIONS(1678),
    [anon_sym_parent] = ACTIONS(1678),
    [aux_sym__argument_name_token1] = ACTIONS(1678),
    [aux_sym__argument_name_token2] = ACTIONS(1678),
    [anon_sym_POUND_LBRACK] = ACTIONS(1676),
    [aux_sym_encapsed_string_token1] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1676),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_LT_LT_LT] = ACTIONS(1676),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1676),
    [aux_sym_yield_expression_token1] = ACTIONS(1678),
    [aux_sym_include_expression_token1] = ACTIONS(1678),
    [aux_sym_include_once_expression_token1] = ACTIONS(1678),
    [aux_sym_require_expression_token1] = ACTIONS(1678),
    [aux_sym_require_once_expression_token1] = ACTIONS(1678),
    [sym_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_text_interpolation] = STATE(616),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym_name] = ACTIONS(1682),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1682),
    [aux_sym_global_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_definition_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1682),
    [anon_sym_BSLASH] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [aux_sym_trait_declaration_token1] = ACTIONS(1682),
    [aux_sym_interface_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_case_token1] = ACTIONS(1682),
    [aux_sym_class_declaration_token1] = ACTIONS(1682),
    [aux_sym_final_modifier_token1] = ACTIONS(1682),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1682),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1682),
    [sym_var_modifier] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1682),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_cast_type_token1] = ACTIONS(1682),
    [aux_sym_echo_statement_token1] = ACTIONS(1682),
    [aux_sym_exit_statement_token1] = ACTIONS(1682),
    [anon_sym_unset] = ACTIONS(1682),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [aux_sym_declare_statement_token2] = ACTIONS(1682),
    [sym_float] = ACTIONS(1682),
    [aux_sym_try_statement_token1] = ACTIONS(1682),
    [aux_sym_goto_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [sym_integer] = ACTIONS(1682),
    [aux_sym_return_statement_token1] = ACTIONS(1682),
    [aux_sym_throw_expression_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token2] = ACTIONS(1682),
    [aux_sym_do_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token2] = ACTIONS(1682),
    [aux_sym_foreach_statement_token1] = ACTIONS(1682),
    [aux_sym_foreach_statement_token2] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token2] = ACTIONS(1682),
    [aux_sym_else_if_clause_token1] = ACTIONS(1682),
    [aux_sym_else_clause_token1] = ACTIONS(1682),
    [aux_sym_match_expression_token1] = ACTIONS(1682),
    [aux_sym_match_default_expression_token1] = ACTIONS(1682),
    [aux_sym_switch_statement_token1] = ACTIONS(1682),
    [aux_sym_switch_block_token1] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [aux_sym_clone_expression_token1] = ACTIONS(1682),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1682),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [aux_sym__list_destructing_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_self] = ACTIONS(1682),
    [anon_sym_parent] = ACTIONS(1682),
    [aux_sym__argument_name_token1] = ACTIONS(1682),
    [aux_sym__argument_name_token2] = ACTIONS(1682),
    [anon_sym_POUND_LBRACK] = ACTIONS(1680),
    [aux_sym_encapsed_string_token1] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1680),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_LT_LT_LT] = ACTIONS(1680),
    [anon_sym_BQUOTE] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1680),
    [aux_sym_yield_expression_token1] = ACTIONS(1682),
    [aux_sym_include_expression_token1] = ACTIONS(1682),
    [aux_sym_include_once_expression_token1] = ACTIONS(1682),
    [aux_sym_require_expression_token1] = ACTIONS(1682),
    [aux_sym_require_once_expression_token1] = ACTIONS(1682),
    [sym_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_text_interpolation] = STATE(617),
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym_name] = ACTIONS(1686),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1686),
    [aux_sym_global_declaration_token1] = ACTIONS(1686),
    [aux_sym_namespace_definition_token1] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1686),
    [anon_sym_BSLASH] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_RBRACE] = ACTIONS(1684),
    [aux_sym_trait_declaration_token1] = ACTIONS(1686),
    [aux_sym_interface_declaration_token1] = ACTIONS(1686),
    [aux_sym_enum_declaration_token1] = ACTIONS(1686),
    [aux_sym_enum_case_token1] = ACTIONS(1686),
    [aux_sym_class_declaration_token1] = ACTIONS(1686),
    [aux_sym_final_modifier_token1] = ACTIONS(1686),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1686),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1686),
    [sym_var_modifier] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1686),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_cast_type_token1] = ACTIONS(1686),
    [aux_sym_echo_statement_token1] = ACTIONS(1686),
    [aux_sym_exit_statement_token1] = ACTIONS(1686),
    [anon_sym_unset] = ACTIONS(1686),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [aux_sym_declare_statement_token2] = ACTIONS(1686),
    [sym_float] = ACTIONS(1686),
    [aux_sym_try_statement_token1] = ACTIONS(1686),
    [aux_sym_goto_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [sym_integer] = ACTIONS(1686),
    [aux_sym_return_statement_token1] = ACTIONS(1686),
    [aux_sym_throw_expression_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token2] = ACTIONS(1686),
    [aux_sym_do_statement_token1] = ACTIONS(1686),
    [aux_sym_for_statement_token1] = ACTIONS(1686),
    [aux_sym_for_statement_token2] = ACTIONS(1686),
    [aux_sym_foreach_statement_token1] = ACTIONS(1686),
    [aux_sym_foreach_statement_token2] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token2] = ACTIONS(1686),
    [aux_sym_else_if_clause_token1] = ACTIONS(1686),
    [aux_sym_else_clause_token1] = ACTIONS(1686),
    [aux_sym_match_expression_token1] = ACTIONS(1686),
    [aux_sym_match_default_expression_token1] = ACTIONS(1686),
    [aux_sym_switch_statement_token1] = ACTIONS(1686),
    [aux_sym_switch_block_token1] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1684),
    [aux_sym_clone_expression_token1] = ACTIONS(1686),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1686),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1686),
    [anon_sym_DASH_DASH] = ACTIONS(1684),
    [anon_sym_PLUS_PLUS] = ACTIONS(1684),
    [aux_sym__list_destructing_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_self] = ACTIONS(1686),
    [anon_sym_parent] = ACTIONS(1686),
    [aux_sym__argument_name_token1] = ACTIONS(1686),
    [aux_sym__argument_name_token2] = ACTIONS(1686),
    [anon_sym_POUND_LBRACK] = ACTIONS(1684),
    [aux_sym_encapsed_string_token1] = ACTIONS(1684),
    [anon_sym_DQUOTE] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1684),
    [anon_sym_SQUOTE] = ACTIONS(1684),
    [anon_sym_LT_LT_LT] = ACTIONS(1684),
    [anon_sym_BQUOTE] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1684),
    [aux_sym_yield_expression_token1] = ACTIONS(1686),
    [aux_sym_include_expression_token1] = ACTIONS(1686),
    [aux_sym_include_once_expression_token1] = ACTIONS(1686),
    [aux_sym_require_expression_token1] = ACTIONS(1686),
    [aux_sym_require_once_expression_token1] = ACTIONS(1686),
    [sym_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_text_interpolation] = STATE(618),
    [ts_builtin_sym_end] = ACTIONS(1688),
    [sym_name] = ACTIONS(1690),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1690),
    [aux_sym_global_declaration_token1] = ACTIONS(1690),
    [aux_sym_namespace_definition_token1] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1690),
    [anon_sym_BSLASH] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_RBRACE] = ACTIONS(1688),
    [aux_sym_trait_declaration_token1] = ACTIONS(1690),
    [aux_sym_interface_declaration_token1] = ACTIONS(1690),
    [aux_sym_enum_declaration_token1] = ACTIONS(1690),
    [aux_sym_enum_case_token1] = ACTIONS(1690),
    [aux_sym_class_declaration_token1] = ACTIONS(1690),
    [aux_sym_final_modifier_token1] = ACTIONS(1690),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1690),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1690),
    [sym_var_modifier] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1690),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_cast_type_token1] = ACTIONS(1690),
    [aux_sym_echo_statement_token1] = ACTIONS(1690),
    [aux_sym_exit_statement_token1] = ACTIONS(1690),
    [anon_sym_unset] = ACTIONS(1690),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [aux_sym_declare_statement_token2] = ACTIONS(1690),
    [sym_float] = ACTIONS(1690),
    [aux_sym_try_statement_token1] = ACTIONS(1690),
    [aux_sym_goto_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [sym_integer] = ACTIONS(1690),
    [aux_sym_return_statement_token1] = ACTIONS(1690),
    [aux_sym_throw_expression_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token2] = ACTIONS(1690),
    [aux_sym_do_statement_token1] = ACTIONS(1690),
    [aux_sym_for_statement_token1] = ACTIONS(1690),
    [aux_sym_for_statement_token2] = ACTIONS(1690),
    [aux_sym_foreach_statement_token1] = ACTIONS(1690),
    [aux_sym_foreach_statement_token2] = ACTIONS(1690),
    [aux_sym_if_statement_token1] = ACTIONS(1690),
    [aux_sym_if_statement_token2] = ACTIONS(1690),
    [aux_sym_else_if_clause_token1] = ACTIONS(1690),
    [aux_sym_else_clause_token1] = ACTIONS(1690),
    [aux_sym_match_expression_token1] = ACTIONS(1690),
    [aux_sym_match_default_expression_token1] = ACTIONS(1690),
    [aux_sym_switch_statement_token1] = ACTIONS(1690),
    [aux_sym_switch_block_token1] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(1688),
    [aux_sym_clone_expression_token1] = ACTIONS(1690),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1690),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1688),
    [anon_sym_PLUS_PLUS] = ACTIONS(1688),
    [aux_sym__list_destructing_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_self] = ACTIONS(1690),
    [anon_sym_parent] = ACTIONS(1690),
    [aux_sym__argument_name_token1] = ACTIONS(1690),
    [aux_sym__argument_name_token2] = ACTIONS(1690),
    [anon_sym_POUND_LBRACK] = ACTIONS(1688),
    [aux_sym_encapsed_string_token1] = ACTIONS(1688),
    [anon_sym_DQUOTE] = ACTIONS(1688),
    [aux_sym_string_token1] = ACTIONS(1688),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [anon_sym_LT_LT_LT] = ACTIONS(1688),
    [anon_sym_BQUOTE] = ACTIONS(1688),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [aux_sym_yield_expression_token1] = ACTIONS(1690),
    [aux_sym_include_expression_token1] = ACTIONS(1690),
    [aux_sym_include_once_expression_token1] = ACTIONS(1690),
    [aux_sym_require_expression_token1] = ACTIONS(1690),
    [aux_sym_require_once_expression_token1] = ACTIONS(1690),
    [sym_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_text_interpolation] = STATE(619),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_name] = ACTIONS(1694),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1694),
    [aux_sym_global_declaration_token1] = ACTIONS(1694),
    [aux_sym_namespace_definition_token1] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1694),
    [anon_sym_BSLASH] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [aux_sym_trait_declaration_token1] = ACTIONS(1694),
    [aux_sym_interface_declaration_token1] = ACTIONS(1694),
    [aux_sym_enum_declaration_token1] = ACTIONS(1694),
    [aux_sym_enum_case_token1] = ACTIONS(1694),
    [aux_sym_class_declaration_token1] = ACTIONS(1694),
    [aux_sym_final_modifier_token1] = ACTIONS(1694),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1694),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1694),
    [sym_var_modifier] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1694),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_cast_type_token1] = ACTIONS(1694),
    [aux_sym_echo_statement_token1] = ACTIONS(1694),
    [aux_sym_exit_statement_token1] = ACTIONS(1694),
    [anon_sym_unset] = ACTIONS(1694),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [aux_sym_declare_statement_token2] = ACTIONS(1694),
    [sym_float] = ACTIONS(1694),
    [aux_sym_try_statement_token1] = ACTIONS(1694),
    [aux_sym_goto_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [sym_integer] = ACTIONS(1694),
    [aux_sym_return_statement_token1] = ACTIONS(1694),
    [aux_sym_throw_expression_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token2] = ACTIONS(1694),
    [aux_sym_do_statement_token1] = ACTIONS(1694),
    [aux_sym_for_statement_token1] = ACTIONS(1694),
    [aux_sym_for_statement_token2] = ACTIONS(1694),
    [aux_sym_foreach_statement_token1] = ACTIONS(1694),
    [aux_sym_foreach_statement_token2] = ACTIONS(1694),
    [aux_sym_if_statement_token1] = ACTIONS(1694),
    [aux_sym_if_statement_token2] = ACTIONS(1694),
    [aux_sym_else_if_clause_token1] = ACTIONS(1694),
    [aux_sym_else_clause_token1] = ACTIONS(1694),
    [aux_sym_match_expression_token1] = ACTIONS(1694),
    [aux_sym_match_default_expression_token1] = ACTIONS(1694),
    [aux_sym_switch_statement_token1] = ACTIONS(1694),
    [aux_sym_switch_block_token1] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_AT] = ACTIONS(1692),
    [aux_sym_clone_expression_token1] = ACTIONS(1694),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1694),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1694),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [aux_sym__list_destructing_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_self] = ACTIONS(1694),
    [anon_sym_parent] = ACTIONS(1694),
    [aux_sym__argument_name_token1] = ACTIONS(1694),
    [aux_sym__argument_name_token2] = ACTIONS(1694),
    [anon_sym_POUND_LBRACK] = ACTIONS(1692),
    [aux_sym_encapsed_string_token1] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_LT_LT_LT] = ACTIONS(1692),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [aux_sym_yield_expression_token1] = ACTIONS(1694),
    [aux_sym_include_expression_token1] = ACTIONS(1694),
    [aux_sym_include_once_expression_token1] = ACTIONS(1694),
    [aux_sym_require_expression_token1] = ACTIONS(1694),
    [aux_sym_require_once_expression_token1] = ACTIONS(1694),
    [sym_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_text_interpolation] = STATE(620),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_text_interpolation] = STATE(621),
    [ts_builtin_sym_end] = ACTIONS(1696),
    [sym_name] = ACTIONS(1698),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1698),
    [aux_sym_global_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_definition_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1698),
    [anon_sym_BSLASH] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [aux_sym_trait_declaration_token1] = ACTIONS(1698),
    [aux_sym_interface_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_case_token1] = ACTIONS(1698),
    [aux_sym_class_declaration_token1] = ACTIONS(1698),
    [aux_sym_final_modifier_token1] = ACTIONS(1698),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1698),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1698),
    [sym_var_modifier] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1698),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_cast_type_token1] = ACTIONS(1698),
    [aux_sym_echo_statement_token1] = ACTIONS(1698),
    [aux_sym_exit_statement_token1] = ACTIONS(1698),
    [anon_sym_unset] = ACTIONS(1698),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [aux_sym_declare_statement_token2] = ACTIONS(1698),
    [sym_float] = ACTIONS(1698),
    [aux_sym_try_statement_token1] = ACTIONS(1698),
    [aux_sym_goto_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [sym_integer] = ACTIONS(1698),
    [aux_sym_return_statement_token1] = ACTIONS(1698),
    [aux_sym_throw_expression_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token2] = ACTIONS(1698),
    [aux_sym_do_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token2] = ACTIONS(1698),
    [aux_sym_foreach_statement_token1] = ACTIONS(1698),
    [aux_sym_foreach_statement_token2] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token2] = ACTIONS(1698),
    [aux_sym_else_if_clause_token1] = ACTIONS(1698),
    [aux_sym_else_clause_token1] = ACTIONS(1698),
    [aux_sym_match_expression_token1] = ACTIONS(1698),
    [aux_sym_match_default_expression_token1] = ACTIONS(1698),
    [aux_sym_switch_statement_token1] = ACTIONS(1698),
    [aux_sym_switch_block_token1] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_AT] = ACTIONS(1696),
    [aux_sym_clone_expression_token1] = ACTIONS(1698),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1698),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [aux_sym__list_destructing_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_self] = ACTIONS(1698),
    [anon_sym_parent] = ACTIONS(1698),
    [aux_sym__argument_name_token1] = ACTIONS(1698),
    [aux_sym__argument_name_token2] = ACTIONS(1698),
    [anon_sym_POUND_LBRACK] = ACTIONS(1696),
    [aux_sym_encapsed_string_token1] = ACTIONS(1696),
    [anon_sym_DQUOTE] = ACTIONS(1696),
    [aux_sym_string_token1] = ACTIONS(1696),
    [anon_sym_SQUOTE] = ACTIONS(1696),
    [anon_sym_LT_LT_LT] = ACTIONS(1696),
    [anon_sym_BQUOTE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [aux_sym_yield_expression_token1] = ACTIONS(1698),
    [aux_sym_include_expression_token1] = ACTIONS(1698),
    [aux_sym_include_once_expression_token1] = ACTIONS(1698),
    [aux_sym_require_expression_token1] = ACTIONS(1698),
    [aux_sym_require_once_expression_token1] = ACTIONS(1698),
    [sym_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_text_interpolation] = STATE(622),
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_name] = ACTIONS(1702),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1702),
    [aux_sym_global_declaration_token1] = ACTIONS(1702),
    [aux_sym_namespace_definition_token1] = ACTIONS(1702),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1702),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1702),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1702),
    [anon_sym_BSLASH] = ACTIONS(1700),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [aux_sym_trait_declaration_token1] = ACTIONS(1702),
    [aux_sym_interface_declaration_token1] = ACTIONS(1702),
    [aux_sym_enum_declaration_token1] = ACTIONS(1702),
    [aux_sym_enum_case_token1] = ACTIONS(1702),
    [aux_sym_class_declaration_token1] = ACTIONS(1702),
    [aux_sym_final_modifier_token1] = ACTIONS(1702),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1702),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1702),
    [sym_var_modifier] = ACTIONS(1702),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1702),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1702),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1702),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_cast_type_token1] = ACTIONS(1702),
    [aux_sym_echo_statement_token1] = ACTIONS(1702),
    [aux_sym_exit_statement_token1] = ACTIONS(1702),
    [anon_sym_unset] = ACTIONS(1702),
    [aux_sym_declare_statement_token1] = ACTIONS(1702),
    [aux_sym_declare_statement_token2] = ACTIONS(1702),
    [sym_float] = ACTIONS(1702),
    [aux_sym_try_statement_token1] = ACTIONS(1702),
    [aux_sym_goto_statement_token1] = ACTIONS(1702),
    [aux_sym_continue_statement_token1] = ACTIONS(1702),
    [aux_sym_break_statement_token1] = ACTIONS(1702),
    [sym_integer] = ACTIONS(1702),
    [aux_sym_return_statement_token1] = ACTIONS(1702),
    [aux_sym_throw_expression_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token2] = ACTIONS(1702),
    [aux_sym_do_statement_token1] = ACTIONS(1702),
    [aux_sym_for_statement_token1] = ACTIONS(1702),
    [aux_sym_for_statement_token2] = ACTIONS(1702),
    [aux_sym_foreach_statement_token1] = ACTIONS(1702),
    [aux_sym_foreach_statement_token2] = ACTIONS(1702),
    [aux_sym_if_statement_token1] = ACTIONS(1702),
    [aux_sym_if_statement_token2] = ACTIONS(1702),
    [aux_sym_else_if_clause_token1] = ACTIONS(1702),
    [aux_sym_else_clause_token1] = ACTIONS(1702),
    [aux_sym_match_expression_token1] = ACTIONS(1702),
    [aux_sym_match_default_expression_token1] = ACTIONS(1702),
    [aux_sym_switch_statement_token1] = ACTIONS(1702),
    [aux_sym_switch_block_token1] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(1700),
    [aux_sym_clone_expression_token1] = ACTIONS(1702),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1702),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [aux_sym__list_destructing_token1] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_self] = ACTIONS(1702),
    [anon_sym_parent] = ACTIONS(1702),
    [aux_sym__argument_name_token1] = ACTIONS(1702),
    [aux_sym__argument_name_token2] = ACTIONS(1702),
    [anon_sym_POUND_LBRACK] = ACTIONS(1700),
    [aux_sym_encapsed_string_token1] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_LT_LT_LT] = ACTIONS(1700),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1700),
    [aux_sym_yield_expression_token1] = ACTIONS(1702),
    [aux_sym_include_expression_token1] = ACTIONS(1702),
    [aux_sym_include_once_expression_token1] = ACTIONS(1702),
    [aux_sym_require_expression_token1] = ACTIONS(1702),
    [aux_sym_require_once_expression_token1] = ACTIONS(1702),
    [sym_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_text_interpolation] = STATE(623),
    [ts_builtin_sym_end] = ACTIONS(1704),
    [sym_name] = ACTIONS(1706),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1706),
    [aux_sym_global_declaration_token1] = ACTIONS(1706),
    [aux_sym_namespace_definition_token1] = ACTIONS(1706),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1706),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1706),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1706),
    [anon_sym_BSLASH] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1704),
    [aux_sym_trait_declaration_token1] = ACTIONS(1706),
    [aux_sym_interface_declaration_token1] = ACTIONS(1706),
    [aux_sym_enum_declaration_token1] = ACTIONS(1706),
    [aux_sym_enum_case_token1] = ACTIONS(1706),
    [aux_sym_class_declaration_token1] = ACTIONS(1706),
    [aux_sym_final_modifier_token1] = ACTIONS(1706),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1706),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1706),
    [sym_var_modifier] = ACTIONS(1706),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1706),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1706),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1706),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_cast_type_token1] = ACTIONS(1706),
    [aux_sym_echo_statement_token1] = ACTIONS(1706),
    [aux_sym_exit_statement_token1] = ACTIONS(1706),
    [anon_sym_unset] = ACTIONS(1706),
    [aux_sym_declare_statement_token1] = ACTIONS(1706),
    [aux_sym_declare_statement_token2] = ACTIONS(1706),
    [sym_float] = ACTIONS(1706),
    [aux_sym_try_statement_token1] = ACTIONS(1706),
    [aux_sym_goto_statement_token1] = ACTIONS(1706),
    [aux_sym_continue_statement_token1] = ACTIONS(1706),
    [aux_sym_break_statement_token1] = ACTIONS(1706),
    [sym_integer] = ACTIONS(1706),
    [aux_sym_return_statement_token1] = ACTIONS(1706),
    [aux_sym_throw_expression_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token2] = ACTIONS(1706),
    [aux_sym_do_statement_token1] = ACTIONS(1706),
    [aux_sym_for_statement_token1] = ACTIONS(1706),
    [aux_sym_for_statement_token2] = ACTIONS(1706),
    [aux_sym_foreach_statement_token1] = ACTIONS(1706),
    [aux_sym_foreach_statement_token2] = ACTIONS(1706),
    [aux_sym_if_statement_token1] = ACTIONS(1706),
    [aux_sym_if_statement_token2] = ACTIONS(1706),
    [aux_sym_else_if_clause_token1] = ACTIONS(1706),
    [aux_sym_else_clause_token1] = ACTIONS(1706),
    [aux_sym_match_expression_token1] = ACTIONS(1706),
    [aux_sym_match_default_expression_token1] = ACTIONS(1706),
    [aux_sym_switch_statement_token1] = ACTIONS(1706),
    [aux_sym_switch_block_token1] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1704),
    [aux_sym_clone_expression_token1] = ACTIONS(1706),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1706),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [aux_sym__list_destructing_token1] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_self] = ACTIONS(1706),
    [anon_sym_parent] = ACTIONS(1706),
    [aux_sym__argument_name_token1] = ACTIONS(1706),
    [aux_sym__argument_name_token2] = ACTIONS(1706),
    [anon_sym_POUND_LBRACK] = ACTIONS(1704),
    [aux_sym_encapsed_string_token1] = ACTIONS(1704),
    [anon_sym_DQUOTE] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1704),
    [anon_sym_SQUOTE] = ACTIONS(1704),
    [anon_sym_LT_LT_LT] = ACTIONS(1704),
    [anon_sym_BQUOTE] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1704),
    [aux_sym_yield_expression_token1] = ACTIONS(1706),
    [aux_sym_include_expression_token1] = ACTIONS(1706),
    [aux_sym_include_once_expression_token1] = ACTIONS(1706),
    [aux_sym_require_expression_token1] = ACTIONS(1706),
    [aux_sym_require_once_expression_token1] = ACTIONS(1706),
    [sym_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_text_interpolation] = STATE(624),
    [ts_builtin_sym_end] = ACTIONS(1708),
    [sym_name] = ACTIONS(1710),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1710),
    [aux_sym_global_declaration_token1] = ACTIONS(1710),
    [aux_sym_namespace_definition_token1] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1710),
    [anon_sym_BSLASH] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1708),
    [anon_sym_RBRACE] = ACTIONS(1708),
    [aux_sym_trait_declaration_token1] = ACTIONS(1710),
    [aux_sym_interface_declaration_token1] = ACTIONS(1710),
    [aux_sym_enum_declaration_token1] = ACTIONS(1710),
    [aux_sym_enum_case_token1] = ACTIONS(1710),
    [aux_sym_class_declaration_token1] = ACTIONS(1710),
    [aux_sym_final_modifier_token1] = ACTIONS(1710),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1710),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1710),
    [sym_var_modifier] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1710),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_cast_type_token1] = ACTIONS(1710),
    [aux_sym_echo_statement_token1] = ACTIONS(1710),
    [aux_sym_exit_statement_token1] = ACTIONS(1710),
    [anon_sym_unset] = ACTIONS(1710),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [aux_sym_declare_statement_token2] = ACTIONS(1710),
    [sym_float] = ACTIONS(1710),
    [aux_sym_try_statement_token1] = ACTIONS(1710),
    [aux_sym_goto_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [sym_integer] = ACTIONS(1710),
    [aux_sym_return_statement_token1] = ACTIONS(1710),
    [aux_sym_throw_expression_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token2] = ACTIONS(1710),
    [aux_sym_do_statement_token1] = ACTIONS(1710),
    [aux_sym_for_statement_token1] = ACTIONS(1710),
    [aux_sym_for_statement_token2] = ACTIONS(1710),
    [aux_sym_foreach_statement_token1] = ACTIONS(1710),
    [aux_sym_foreach_statement_token2] = ACTIONS(1710),
    [aux_sym_if_statement_token1] = ACTIONS(1710),
    [aux_sym_if_statement_token2] = ACTIONS(1710),
    [aux_sym_else_if_clause_token1] = ACTIONS(1710),
    [aux_sym_else_clause_token1] = ACTIONS(1710),
    [aux_sym_match_expression_token1] = ACTIONS(1710),
    [aux_sym_match_default_expression_token1] = ACTIONS(1710),
    [aux_sym_switch_statement_token1] = ACTIONS(1710),
    [aux_sym_switch_block_token1] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(1708),
    [anon_sym_AT] = ACTIONS(1708),
    [aux_sym_clone_expression_token1] = ACTIONS(1710),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1710),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1708),
    [anon_sym_PLUS_PLUS] = ACTIONS(1708),
    [aux_sym__list_destructing_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [anon_sym_self] = ACTIONS(1710),
    [anon_sym_parent] = ACTIONS(1710),
    [aux_sym__argument_name_token1] = ACTIONS(1710),
    [aux_sym__argument_name_token2] = ACTIONS(1710),
    [anon_sym_POUND_LBRACK] = ACTIONS(1708),
    [aux_sym_encapsed_string_token1] = ACTIONS(1708),
    [anon_sym_DQUOTE] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [anon_sym_LT_LT_LT] = ACTIONS(1708),
    [anon_sym_BQUOTE] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [aux_sym_yield_expression_token1] = ACTIONS(1710),
    [aux_sym_include_expression_token1] = ACTIONS(1710),
    [aux_sym_include_once_expression_token1] = ACTIONS(1710),
    [aux_sym_require_expression_token1] = ACTIONS(1710),
    [aux_sym_require_once_expression_token1] = ACTIONS(1710),
    [sym_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_text_interpolation] = STATE(625),
    [ts_builtin_sym_end] = ACTIONS(1712),
    [sym_name] = ACTIONS(1714),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1714),
    [aux_sym_global_declaration_token1] = ACTIONS(1714),
    [aux_sym_namespace_definition_token1] = ACTIONS(1714),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1714),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1714),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1714),
    [anon_sym_BSLASH] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [aux_sym_trait_declaration_token1] = ACTIONS(1714),
    [aux_sym_interface_declaration_token1] = ACTIONS(1714),
    [aux_sym_enum_declaration_token1] = ACTIONS(1714),
    [aux_sym_enum_case_token1] = ACTIONS(1714),
    [aux_sym_class_declaration_token1] = ACTIONS(1714),
    [aux_sym_final_modifier_token1] = ACTIONS(1714),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1714),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1714),
    [sym_var_modifier] = ACTIONS(1714),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1714),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1714),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1714),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_cast_type_token1] = ACTIONS(1714),
    [aux_sym_echo_statement_token1] = ACTIONS(1714),
    [aux_sym_exit_statement_token1] = ACTIONS(1714),
    [anon_sym_unset] = ACTIONS(1714),
    [aux_sym_declare_statement_token1] = ACTIONS(1714),
    [aux_sym_declare_statement_token2] = ACTIONS(1714),
    [sym_float] = ACTIONS(1714),
    [aux_sym_try_statement_token1] = ACTIONS(1714),
    [aux_sym_goto_statement_token1] = ACTIONS(1714),
    [aux_sym_continue_statement_token1] = ACTIONS(1714),
    [aux_sym_break_statement_token1] = ACTIONS(1714),
    [sym_integer] = ACTIONS(1714),
    [aux_sym_return_statement_token1] = ACTIONS(1714),
    [aux_sym_throw_expression_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token2] = ACTIONS(1714),
    [aux_sym_do_statement_token1] = ACTIONS(1714),
    [aux_sym_for_statement_token1] = ACTIONS(1714),
    [aux_sym_for_statement_token2] = ACTIONS(1714),
    [aux_sym_foreach_statement_token1] = ACTIONS(1714),
    [aux_sym_foreach_statement_token2] = ACTIONS(1714),
    [aux_sym_if_statement_token1] = ACTIONS(1714),
    [aux_sym_if_statement_token2] = ACTIONS(1714),
    [aux_sym_else_if_clause_token1] = ACTIONS(1714),
    [aux_sym_else_clause_token1] = ACTIONS(1714),
    [aux_sym_match_expression_token1] = ACTIONS(1714),
    [aux_sym_match_default_expression_token1] = ACTIONS(1714),
    [aux_sym_switch_statement_token1] = ACTIONS(1714),
    [aux_sym_switch_block_token1] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(1712),
    [aux_sym_clone_expression_token1] = ACTIONS(1714),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1714),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1712),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [aux_sym__list_destructing_token1] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_self] = ACTIONS(1714),
    [anon_sym_parent] = ACTIONS(1714),
    [aux_sym__argument_name_token1] = ACTIONS(1714),
    [aux_sym__argument_name_token2] = ACTIONS(1714),
    [anon_sym_POUND_LBRACK] = ACTIONS(1712),
    [aux_sym_encapsed_string_token1] = ACTIONS(1712),
    [anon_sym_DQUOTE] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1712),
    [anon_sym_SQUOTE] = ACTIONS(1712),
    [anon_sym_LT_LT_LT] = ACTIONS(1712),
    [anon_sym_BQUOTE] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1712),
    [aux_sym_yield_expression_token1] = ACTIONS(1714),
    [aux_sym_include_expression_token1] = ACTIONS(1714),
    [aux_sym_include_once_expression_token1] = ACTIONS(1714),
    [aux_sym_require_expression_token1] = ACTIONS(1714),
    [aux_sym_require_once_expression_token1] = ACTIONS(1714),
    [sym_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_text_interpolation] = STATE(626),
    [ts_builtin_sym_end] = ACTIONS(1716),
    [sym_name] = ACTIONS(1718),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1718),
    [aux_sym_global_declaration_token1] = ACTIONS(1718),
    [aux_sym_namespace_definition_token1] = ACTIONS(1718),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1718),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1718),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1718),
    [anon_sym_BSLASH] = ACTIONS(1716),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_RBRACE] = ACTIONS(1716),
    [aux_sym_trait_declaration_token1] = ACTIONS(1718),
    [aux_sym_interface_declaration_token1] = ACTIONS(1718),
    [aux_sym_enum_declaration_token1] = ACTIONS(1718),
    [aux_sym_enum_case_token1] = ACTIONS(1718),
    [aux_sym_class_declaration_token1] = ACTIONS(1718),
    [aux_sym_final_modifier_token1] = ACTIONS(1718),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1718),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1718),
    [sym_var_modifier] = ACTIONS(1718),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1718),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1718),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1718),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_cast_type_token1] = ACTIONS(1718),
    [aux_sym_echo_statement_token1] = ACTIONS(1718),
    [aux_sym_exit_statement_token1] = ACTIONS(1718),
    [anon_sym_unset] = ACTIONS(1718),
    [aux_sym_declare_statement_token1] = ACTIONS(1718),
    [aux_sym_declare_statement_token2] = ACTIONS(1718),
    [sym_float] = ACTIONS(1718),
    [aux_sym_try_statement_token1] = ACTIONS(1718),
    [aux_sym_goto_statement_token1] = ACTIONS(1718),
    [aux_sym_continue_statement_token1] = ACTIONS(1718),
    [aux_sym_break_statement_token1] = ACTIONS(1718),
    [sym_integer] = ACTIONS(1718),
    [aux_sym_return_statement_token1] = ACTIONS(1718),
    [aux_sym_throw_expression_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token2] = ACTIONS(1718),
    [aux_sym_do_statement_token1] = ACTIONS(1718),
    [aux_sym_for_statement_token1] = ACTIONS(1718),
    [aux_sym_for_statement_token2] = ACTIONS(1718),
    [aux_sym_foreach_statement_token1] = ACTIONS(1718),
    [aux_sym_foreach_statement_token2] = ACTIONS(1718),
    [aux_sym_if_statement_token1] = ACTIONS(1718),
    [aux_sym_if_statement_token2] = ACTIONS(1718),
    [aux_sym_else_if_clause_token1] = ACTIONS(1718),
    [aux_sym_else_clause_token1] = ACTIONS(1718),
    [aux_sym_match_expression_token1] = ACTIONS(1718),
    [aux_sym_match_default_expression_token1] = ACTIONS(1718),
    [aux_sym_switch_statement_token1] = ACTIONS(1718),
    [aux_sym_switch_block_token1] = ACTIONS(1718),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_AT] = ACTIONS(1716),
    [aux_sym_clone_expression_token1] = ACTIONS(1718),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1718),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1716),
    [anon_sym_PLUS_PLUS] = ACTIONS(1716),
    [aux_sym__list_destructing_token1] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [anon_sym_self] = ACTIONS(1718),
    [anon_sym_parent] = ACTIONS(1718),
    [aux_sym__argument_name_token1] = ACTIONS(1718),
    [aux_sym__argument_name_token2] = ACTIONS(1718),
    [anon_sym_POUND_LBRACK] = ACTIONS(1716),
    [aux_sym_encapsed_string_token1] = ACTIONS(1716),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1716),
    [anon_sym_LT_LT_LT] = ACTIONS(1716),
    [anon_sym_BQUOTE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1716),
    [aux_sym_yield_expression_token1] = ACTIONS(1718),
    [aux_sym_include_expression_token1] = ACTIONS(1718),
    [aux_sym_include_once_expression_token1] = ACTIONS(1718),
    [aux_sym_require_expression_token1] = ACTIONS(1718),
    [aux_sym_require_once_expression_token1] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_text_interpolation] = STATE(627),
    [ts_builtin_sym_end] = ACTIONS(1720),
    [sym_name] = ACTIONS(1722),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1722),
    [aux_sym_global_declaration_token1] = ACTIONS(1722),
    [aux_sym_namespace_definition_token1] = ACTIONS(1722),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1722),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1722),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1722),
    [anon_sym_BSLASH] = ACTIONS(1720),
    [anon_sym_LBRACE] = ACTIONS(1720),
    [anon_sym_RBRACE] = ACTIONS(1720),
    [aux_sym_trait_declaration_token1] = ACTIONS(1722),
    [aux_sym_interface_declaration_token1] = ACTIONS(1722),
    [aux_sym_enum_declaration_token1] = ACTIONS(1722),
    [aux_sym_enum_case_token1] = ACTIONS(1722),
    [aux_sym_class_declaration_token1] = ACTIONS(1722),
    [aux_sym_final_modifier_token1] = ACTIONS(1722),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1722),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1722),
    [sym_var_modifier] = ACTIONS(1722),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1722),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1722),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1722),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_cast_type_token1] = ACTIONS(1722),
    [aux_sym_echo_statement_token1] = ACTIONS(1722),
    [aux_sym_exit_statement_token1] = ACTIONS(1722),
    [anon_sym_unset] = ACTIONS(1722),
    [aux_sym_declare_statement_token1] = ACTIONS(1722),
    [aux_sym_declare_statement_token2] = ACTIONS(1722),
    [sym_float] = ACTIONS(1722),
    [aux_sym_try_statement_token1] = ACTIONS(1722),
    [aux_sym_goto_statement_token1] = ACTIONS(1722),
    [aux_sym_continue_statement_token1] = ACTIONS(1722),
    [aux_sym_break_statement_token1] = ACTIONS(1722),
    [sym_integer] = ACTIONS(1722),
    [aux_sym_return_statement_token1] = ACTIONS(1722),
    [aux_sym_throw_expression_token1] = ACTIONS(1722),
    [aux_sym_while_statement_token1] = ACTIONS(1722),
    [aux_sym_while_statement_token2] = ACTIONS(1722),
    [aux_sym_do_statement_token1] = ACTIONS(1722),
    [aux_sym_for_statement_token1] = ACTIONS(1722),
    [aux_sym_for_statement_token2] = ACTIONS(1722),
    [aux_sym_foreach_statement_token1] = ACTIONS(1722),
    [aux_sym_foreach_statement_token2] = ACTIONS(1722),
    [aux_sym_if_statement_token1] = ACTIONS(1722),
    [aux_sym_if_statement_token2] = ACTIONS(1722),
    [aux_sym_else_if_clause_token1] = ACTIONS(1722),
    [aux_sym_else_clause_token1] = ACTIONS(1722),
    [aux_sym_match_expression_token1] = ACTIONS(1722),
    [aux_sym_match_default_expression_token1] = ACTIONS(1722),
    [aux_sym_switch_statement_token1] = ACTIONS(1722),
    [aux_sym_switch_block_token1] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_AT] = ACTIONS(1720),
    [aux_sym_clone_expression_token1] = ACTIONS(1722),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1722),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1720),
    [anon_sym_PLUS_PLUS] = ACTIONS(1720),
    [aux_sym__list_destructing_token1] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [anon_sym_self] = ACTIONS(1722),
    [anon_sym_parent] = ACTIONS(1722),
    [aux_sym__argument_name_token1] = ACTIONS(1722),
    [aux_sym__argument_name_token2] = ACTIONS(1722),
    [anon_sym_POUND_LBRACK] = ACTIONS(1720),
    [aux_sym_encapsed_string_token1] = ACTIONS(1720),
    [anon_sym_DQUOTE] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1720),
    [anon_sym_SQUOTE] = ACTIONS(1720),
    [anon_sym_LT_LT_LT] = ACTIONS(1720),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1720),
    [aux_sym_yield_expression_token1] = ACTIONS(1722),
    [aux_sym_include_expression_token1] = ACTIONS(1722),
    [aux_sym_include_once_expression_token1] = ACTIONS(1722),
    [aux_sym_require_expression_token1] = ACTIONS(1722),
    [aux_sym_require_once_expression_token1] = ACTIONS(1722),
    [sym_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_text_interpolation] = STATE(628),
    [ts_builtin_sym_end] = ACTIONS(1724),
    [sym_name] = ACTIONS(1726),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1726),
    [aux_sym_global_declaration_token1] = ACTIONS(1726),
    [aux_sym_namespace_definition_token1] = ACTIONS(1726),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1726),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1726),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1726),
    [anon_sym_BSLASH] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(1724),
    [anon_sym_RBRACE] = ACTIONS(1724),
    [aux_sym_trait_declaration_token1] = ACTIONS(1726),
    [aux_sym_interface_declaration_token1] = ACTIONS(1726),
    [aux_sym_enum_declaration_token1] = ACTIONS(1726),
    [aux_sym_enum_case_token1] = ACTIONS(1726),
    [aux_sym_class_declaration_token1] = ACTIONS(1726),
    [aux_sym_final_modifier_token1] = ACTIONS(1726),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1726),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1726),
    [sym_var_modifier] = ACTIONS(1726),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1726),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1726),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1726),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_cast_type_token1] = ACTIONS(1726),
    [aux_sym_echo_statement_token1] = ACTIONS(1726),
    [aux_sym_exit_statement_token1] = ACTIONS(1726),
    [anon_sym_unset] = ACTIONS(1726),
    [aux_sym_declare_statement_token1] = ACTIONS(1726),
    [aux_sym_declare_statement_token2] = ACTIONS(1726),
    [sym_float] = ACTIONS(1726),
    [aux_sym_try_statement_token1] = ACTIONS(1726),
    [aux_sym_goto_statement_token1] = ACTIONS(1726),
    [aux_sym_continue_statement_token1] = ACTIONS(1726),
    [aux_sym_break_statement_token1] = ACTIONS(1726),
    [sym_integer] = ACTIONS(1726),
    [aux_sym_return_statement_token1] = ACTIONS(1726),
    [aux_sym_throw_expression_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token2] = ACTIONS(1726),
    [aux_sym_do_statement_token1] = ACTIONS(1726),
    [aux_sym_for_statement_token1] = ACTIONS(1726),
    [aux_sym_for_statement_token2] = ACTIONS(1726),
    [aux_sym_foreach_statement_token1] = ACTIONS(1726),
    [aux_sym_foreach_statement_token2] = ACTIONS(1726),
    [aux_sym_if_statement_token1] = ACTIONS(1726),
    [aux_sym_if_statement_token2] = ACTIONS(1726),
    [aux_sym_else_if_clause_token1] = ACTIONS(1726),
    [aux_sym_else_clause_token1] = ACTIONS(1726),
    [aux_sym_match_expression_token1] = ACTIONS(1726),
    [aux_sym_match_default_expression_token1] = ACTIONS(1726),
    [aux_sym_switch_statement_token1] = ACTIONS(1726),
    [aux_sym_switch_block_token1] = ACTIONS(1726),
    [anon_sym_PLUS] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1724),
    [anon_sym_BANG] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1724),
    [aux_sym_clone_expression_token1] = ACTIONS(1726),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1726),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1724),
    [aux_sym__list_destructing_token1] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_self] = ACTIONS(1726),
    [anon_sym_parent] = ACTIONS(1726),
    [aux_sym__argument_name_token1] = ACTIONS(1726),
    [aux_sym__argument_name_token2] = ACTIONS(1726),
    [anon_sym_POUND_LBRACK] = ACTIONS(1724),
    [aux_sym_encapsed_string_token1] = ACTIONS(1724),
    [anon_sym_DQUOTE] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1724),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [anon_sym_LT_LT_LT] = ACTIONS(1724),
    [anon_sym_BQUOTE] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1724),
    [aux_sym_yield_expression_token1] = ACTIONS(1726),
    [aux_sym_include_expression_token1] = ACTIONS(1726),
    [aux_sym_include_once_expression_token1] = ACTIONS(1726),
    [aux_sym_require_expression_token1] = ACTIONS(1726),
    [aux_sym_require_once_expression_token1] = ACTIONS(1726),
    [sym_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_text_interpolation] = STATE(629),
    [ts_builtin_sym_end] = ACTIONS(1728),
    [sym_name] = ACTIONS(1730),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1730),
    [aux_sym_global_declaration_token1] = ACTIONS(1730),
    [aux_sym_namespace_definition_token1] = ACTIONS(1730),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1730),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1730),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1730),
    [anon_sym_BSLASH] = ACTIONS(1728),
    [anon_sym_LBRACE] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [aux_sym_trait_declaration_token1] = ACTIONS(1730),
    [aux_sym_interface_declaration_token1] = ACTIONS(1730),
    [aux_sym_enum_declaration_token1] = ACTIONS(1730),
    [aux_sym_enum_case_token1] = ACTIONS(1730),
    [aux_sym_class_declaration_token1] = ACTIONS(1730),
    [aux_sym_final_modifier_token1] = ACTIONS(1730),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1730),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1730),
    [sym_var_modifier] = ACTIONS(1730),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1730),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1730),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1730),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_cast_type_token1] = ACTIONS(1730),
    [aux_sym_echo_statement_token1] = ACTIONS(1730),
    [aux_sym_exit_statement_token1] = ACTIONS(1730),
    [anon_sym_unset] = ACTIONS(1730),
    [aux_sym_declare_statement_token1] = ACTIONS(1730),
    [aux_sym_declare_statement_token2] = ACTIONS(1730),
    [sym_float] = ACTIONS(1730),
    [aux_sym_try_statement_token1] = ACTIONS(1730),
    [aux_sym_goto_statement_token1] = ACTIONS(1730),
    [aux_sym_continue_statement_token1] = ACTIONS(1730),
    [aux_sym_break_statement_token1] = ACTIONS(1730),
    [sym_integer] = ACTIONS(1730),
    [aux_sym_return_statement_token1] = ACTIONS(1730),
    [aux_sym_throw_expression_token1] = ACTIONS(1730),
    [aux_sym_while_statement_token1] = ACTIONS(1730),
    [aux_sym_while_statement_token2] = ACTIONS(1730),
    [aux_sym_do_statement_token1] = ACTIONS(1730),
    [aux_sym_for_statement_token1] = ACTIONS(1730),
    [aux_sym_for_statement_token2] = ACTIONS(1730),
    [aux_sym_foreach_statement_token1] = ACTIONS(1730),
    [aux_sym_foreach_statement_token2] = ACTIONS(1730),
    [aux_sym_if_statement_token1] = ACTIONS(1730),
    [aux_sym_if_statement_token2] = ACTIONS(1730),
    [aux_sym_else_if_clause_token1] = ACTIONS(1730),
    [aux_sym_else_clause_token1] = ACTIONS(1730),
    [aux_sym_match_expression_token1] = ACTIONS(1730),
    [aux_sym_match_default_expression_token1] = ACTIONS(1730),
    [aux_sym_switch_statement_token1] = ACTIONS(1730),
    [aux_sym_switch_block_token1] = ACTIONS(1730),
    [anon_sym_PLUS] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1728),
    [anon_sym_BANG] = ACTIONS(1728),
    [anon_sym_AT] = ACTIONS(1728),
    [aux_sym_clone_expression_token1] = ACTIONS(1730),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1730),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1728),
    [anon_sym_PLUS_PLUS] = ACTIONS(1728),
    [aux_sym__list_destructing_token1] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_self] = ACTIONS(1730),
    [anon_sym_parent] = ACTIONS(1730),
    [aux_sym__argument_name_token1] = ACTIONS(1730),
    [aux_sym__argument_name_token2] = ACTIONS(1730),
    [anon_sym_POUND_LBRACK] = ACTIONS(1728),
    [aux_sym_encapsed_string_token1] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1728),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [anon_sym_LT_LT_LT] = ACTIONS(1728),
    [anon_sym_BQUOTE] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1728),
    [aux_sym_yield_expression_token1] = ACTIONS(1730),
    [aux_sym_include_expression_token1] = ACTIONS(1730),
    [aux_sym_include_once_expression_token1] = ACTIONS(1730),
    [aux_sym_require_expression_token1] = ACTIONS(1730),
    [aux_sym_require_once_expression_token1] = ACTIONS(1730),
    [sym_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_text_interpolation] = STATE(630),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_text_interpolation] = STATE(631),
    [ts_builtin_sym_end] = ACTIONS(1732),
    [sym_name] = ACTIONS(1734),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1734),
    [aux_sym_global_declaration_token1] = ACTIONS(1734),
    [aux_sym_namespace_definition_token1] = ACTIONS(1734),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1734),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1734),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1734),
    [anon_sym_BSLASH] = ACTIONS(1732),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_RBRACE] = ACTIONS(1732),
    [aux_sym_trait_declaration_token1] = ACTIONS(1734),
    [aux_sym_interface_declaration_token1] = ACTIONS(1734),
    [aux_sym_enum_declaration_token1] = ACTIONS(1734),
    [aux_sym_enum_case_token1] = ACTIONS(1734),
    [aux_sym_class_declaration_token1] = ACTIONS(1734),
    [aux_sym_final_modifier_token1] = ACTIONS(1734),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1734),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1734),
    [sym_var_modifier] = ACTIONS(1734),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1734),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1734),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1734),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(1734),
    [aux_sym_echo_statement_token1] = ACTIONS(1734),
    [aux_sym_exit_statement_token1] = ACTIONS(1734),
    [anon_sym_unset] = ACTIONS(1734),
    [aux_sym_declare_statement_token1] = ACTIONS(1734),
    [aux_sym_declare_statement_token2] = ACTIONS(1734),
    [sym_float] = ACTIONS(1734),
    [aux_sym_try_statement_token1] = ACTIONS(1734),
    [aux_sym_goto_statement_token1] = ACTIONS(1734),
    [aux_sym_continue_statement_token1] = ACTIONS(1734),
    [aux_sym_break_statement_token1] = ACTIONS(1734),
    [sym_integer] = ACTIONS(1734),
    [aux_sym_return_statement_token1] = ACTIONS(1734),
    [aux_sym_throw_expression_token1] = ACTIONS(1734),
    [aux_sym_while_statement_token1] = ACTIONS(1734),
    [aux_sym_while_statement_token2] = ACTIONS(1734),
    [aux_sym_do_statement_token1] = ACTIONS(1734),
    [aux_sym_for_statement_token1] = ACTIONS(1734),
    [aux_sym_for_statement_token2] = ACTIONS(1734),
    [aux_sym_foreach_statement_token1] = ACTIONS(1734),
    [aux_sym_foreach_statement_token2] = ACTIONS(1734),
    [aux_sym_if_statement_token1] = ACTIONS(1734),
    [aux_sym_if_statement_token2] = ACTIONS(1734),
    [aux_sym_else_if_clause_token1] = ACTIONS(1734),
    [aux_sym_else_clause_token1] = ACTIONS(1734),
    [aux_sym_match_expression_token1] = ACTIONS(1734),
    [aux_sym_match_default_expression_token1] = ACTIONS(1734),
    [aux_sym_switch_statement_token1] = ACTIONS(1734),
    [aux_sym_switch_block_token1] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_TILDE] = ACTIONS(1732),
    [anon_sym_BANG] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(1732),
    [aux_sym_clone_expression_token1] = ACTIONS(1734),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1734),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1732),
    [anon_sym_PLUS_PLUS] = ACTIONS(1732),
    [aux_sym__list_destructing_token1] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [anon_sym_self] = ACTIONS(1734),
    [anon_sym_parent] = ACTIONS(1734),
    [aux_sym__argument_name_token1] = ACTIONS(1734),
    [aux_sym__argument_name_token2] = ACTIONS(1734),
    [anon_sym_POUND_LBRACK] = ACTIONS(1732),
    [aux_sym_encapsed_string_token1] = ACTIONS(1732),
    [anon_sym_DQUOTE] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1732),
    [anon_sym_SQUOTE] = ACTIONS(1732),
    [anon_sym_LT_LT_LT] = ACTIONS(1732),
    [anon_sym_BQUOTE] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1732),
    [aux_sym_yield_expression_token1] = ACTIONS(1734),
    [aux_sym_include_expression_token1] = ACTIONS(1734),
    [aux_sym_include_once_expression_token1] = ACTIONS(1734),
    [aux_sym_require_expression_token1] = ACTIONS(1734),
    [aux_sym_require_once_expression_token1] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_text_interpolation] = STATE(632),
    [sym_name] = ACTIONS(1736),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1738),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1736),
    [aux_sym_global_declaration_token1] = ACTIONS(1736),
    [aux_sym_namespace_definition_token1] = ACTIONS(1736),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1736),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1736),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1736),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [aux_sym_trait_declaration_token1] = ACTIONS(1736),
    [aux_sym_interface_declaration_token1] = ACTIONS(1736),
    [aux_sym_enum_declaration_token1] = ACTIONS(1736),
    [anon_sym_COLON] = ACTIONS(1738),
    [aux_sym_class_declaration_token1] = ACTIONS(1736),
    [aux_sym_final_modifier_token1] = ACTIONS(1736),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1736),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1736),
    [sym_var_modifier] = ACTIONS(1736),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1736),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1736),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1736),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [aux_sym_cast_type_token1] = ACTIONS(1736),
    [aux_sym_echo_statement_token1] = ACTIONS(1736),
    [aux_sym_exit_statement_token1] = ACTIONS(1736),
    [anon_sym_unset] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1736),
    [sym_float] = ACTIONS(1736),
    [aux_sym_try_statement_token1] = ACTIONS(1736),
    [aux_sym_goto_statement_token1] = ACTIONS(1736),
    [aux_sym_continue_statement_token1] = ACTIONS(1736),
    [aux_sym_break_statement_token1] = ACTIONS(1736),
    [sym_integer] = ACTIONS(1736),
    [aux_sym_return_statement_token1] = ACTIONS(1736),
    [aux_sym_throw_expression_token1] = ACTIONS(1736),
    [aux_sym_while_statement_token1] = ACTIONS(1736),
    [aux_sym_do_statement_token1] = ACTIONS(1736),
    [aux_sym_for_statement_token1] = ACTIONS(1736),
    [aux_sym_foreach_statement_token1] = ACTIONS(1736),
    [aux_sym_if_statement_token1] = ACTIONS(1736),
    [aux_sym_match_expression_token1] = ACTIONS(1736),
    [aux_sym_switch_statement_token1] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1738),
    [aux_sym_clone_expression_token1] = ACTIONS(1736),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1736),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1738),
    [aux_sym__list_destructing_token1] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_self] = ACTIONS(1736),
    [anon_sym_parent] = ACTIONS(1736),
    [aux_sym__argument_name_token1] = ACTIONS(1736),
    [aux_sym__argument_name_token2] = ACTIONS(1736),
    [anon_sym_POUND_LBRACK] = ACTIONS(1738),
    [aux_sym_encapsed_string_token1] = ACTIONS(1738),
    [anon_sym_DQUOTE] = ACTIONS(1738),
    [aux_sym_string_token1] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(1738),
    [anon_sym_LT_LT_LT] = ACTIONS(1738),
    [anon_sym_BQUOTE] = ACTIONS(1738),
    [anon_sym_DOLLAR] = ACTIONS(1738),
    [aux_sym_yield_expression_token1] = ACTIONS(1736),
    [aux_sym_include_expression_token1] = ACTIONS(1736),
    [aux_sym_include_once_expression_token1] = ACTIONS(1736),
    [aux_sym_require_expression_token1] = ACTIONS(1736),
    [aux_sym_require_once_expression_token1] = ACTIONS(1736),
    [sym_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_text_interpolation] = STATE(633),
    [sym_qualified_name] = STATE(759),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2691),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_primary_expression] = STATE(1009),
    [sym_parenthesized_expression] = STATE(762),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_variable] = STATE(776),
    [sym_member_access_expression] = STATE(776),
    [sym_nullsafe_member_access_expression] = STATE(776),
    [sym_scoped_property_access_expression] = STATE(776),
    [sym_function_call_expression] = STATE(719),
    [sym_scoped_call_expression] = STATE(719),
    [sym__scope_resolution_qualifier] = STATE(2814),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(719),
    [sym_nullsafe_member_call_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym__dereferencable_expression] = STATE(1826),
    [sym_array_creation_expression] = STATE(762),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(763),
    [sym_dynamic_variable_name] = STATE(719),
    [sym_variable_name] = STATE(719),
    [sym__reserved_identifier] = STATE(1664),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(1740),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1744),
    [sym_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_text_interpolation] = STATE(634),
    [sym_qualified_name] = STATE(887),
    [sym_namespace_name_as_prefix] = STATE(2773),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2394),
    [sym__arrow_function_header] = STATE(2769),
    [sym_arrow_function] = STATE(1181),
    [sym_literal] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1154),
    [sym_parenthesized_expression] = STATE(882),
    [sym_class_constant_access_expression] = STATE(986),
    [sym_print_intrinsic] = STATE(1181),
    [sym_anonymous_function_creation_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_cast_variable] = STATE(889),
    [sym_member_access_expression] = STATE(889),
    [sym_nullsafe_member_access_expression] = STATE(889),
    [sym_scoped_property_access_expression] = STATE(889),
    [sym_function_call_expression] = STATE(839),
    [sym_scoped_call_expression] = STATE(839),
    [sym__scope_resolution_qualifier] = STATE(2713),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(839),
    [sym_nullsafe_member_call_expression] = STATE(839),
    [sym_subscript_expression] = STATE(839),
    [sym__dereferencable_expression] = STATE(1793),
    [sym_array_creation_expression] = STATE(882),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(970),
    [sym_string] = STATE(970),
    [sym_heredoc] = STATE(970),
    [sym_nowdoc] = STATE(970),
    [sym_shell_command_expression] = STATE(1181),
    [sym_boolean] = STATE(1210),
    [sym_null] = STATE(1210),
    [sym__string] = STATE(881),
    [sym_dynamic_variable_name] = STATE(839),
    [sym_variable_name] = STATE(839),
    [sym__reserved_identifier] = STATE(1670),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(1746),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1750),
    [sym_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_text_interpolation] = STATE(635),
    [sym_qualified_name] = STATE(759),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2610),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_primary_expression] = STATE(1009),
    [sym_parenthesized_expression] = STATE(762),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_variable] = STATE(776),
    [sym_member_access_expression] = STATE(776),
    [sym_nullsafe_member_access_expression] = STATE(776),
    [sym_scoped_property_access_expression] = STATE(776),
    [sym_function_call_expression] = STATE(719),
    [sym_scoped_call_expression] = STATE(719),
    [sym__scope_resolution_qualifier] = STATE(2814),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(719),
    [sym_nullsafe_member_call_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym__dereferencable_expression] = STATE(1826),
    [sym_array_creation_expression] = STATE(762),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(763),
    [sym_dynamic_variable_name] = STATE(719),
    [sym_variable_name] = STATE(719),
    [sym__reserved_identifier] = STATE(1664),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(1740),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1744),
    [sym_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_text_interpolation] = STATE(636),
    [sym_qualified_name] = STATE(759),
    [sym_namespace_name_as_prefix] = STATE(2797),
    [sym_namespace_name] = STATE(2772),
    [sym_static_modifier] = STATE(2385),
    [sym__arrow_function_header] = STATE(2675),
    [sym_arrow_function] = STATE(1050),
    [sym_literal] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_primary_expression] = STATE(1009),
    [sym_parenthesized_expression] = STATE(762),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_variable] = STATE(776),
    [sym_member_access_expression] = STATE(776),
    [sym_nullsafe_member_access_expression] = STATE(776),
    [sym_scoped_property_access_expression] = STATE(776),
    [sym_function_call_expression] = STATE(719),
    [sym_scoped_call_expression] = STATE(719),
    [sym__scope_resolution_qualifier] = STATE(2814),
    [sym_relative_scope] = STATE(2763),
    [sym_member_call_expression] = STATE(719),
    [sym_nullsafe_member_call_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym__dereferencable_expression] = STATE(1826),
    [sym_array_creation_expression] = STATE(762),
    [sym_attribute_group] = STATE(1441),
    [sym_attribute_list] = STATE(1863),
    [sym_encapsed_string] = STATE(810),
    [sym_string] = STATE(810),
    [sym_heredoc] = STATE(810),
    [sym_nowdoc] = STATE(810),
    [sym_shell_command_expression] = STATE(1050),
    [sym_boolean] = STATE(1054),
    [sym_null] = STATE(1054),
    [sym__string] = STATE(763),
    [sym_dynamic_variable_name] = STATE(719),
    [sym_variable_name] = STATE(719),
    [sym__reserved_identifier] = STATE(1664),
    [aux_sym_attribute_list_repeat1] = STATE(1439),
    [sym_name] = ACTIONS(1740),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1744),
    [sym_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_text_interpolation] = STATE(637),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1754),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1752),
    [anon_sym_LBRACE] = ACTIONS(1752),
    [anon_sym_RBRACE] = ACTIONS(1752),
    [aux_sym_base_clause_token1] = ACTIONS(1752),
    [anon_sym_COLON] = ACTIONS(1754),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1752),
    [anon_sym_EQ_GT] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [anon_sym_RPAREN] = ACTIONS(1752),
    [anon_sym_QMARK] = ACTIONS(1754),
    [anon_sym_PIPE] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(1754),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_COLON_COLON] = ACTIONS(1752),
    [anon_sym_DASH_DASH] = ACTIONS(1752),
    [anon_sym_PLUS_PLUS] = ACTIONS(1752),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1752),
    [anon_sym_STAR_EQ] = ACTIONS(1752),
    [anon_sym_SLASH_EQ] = ACTIONS(1752),
    [anon_sym_PERCENT_EQ] = ACTIONS(1752),
    [anon_sym_PLUS_EQ] = ACTIONS(1752),
    [anon_sym_DASH_EQ] = ACTIONS(1752),
    [anon_sym_DOT_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT_EQ] = ACTIONS(1752),
    [anon_sym_GT_GT_EQ] = ACTIONS(1752),
    [anon_sym_AMP_EQ] = ACTIONS(1752),
    [anon_sym_CARET_EQ] = ACTIONS(1752),
    [anon_sym_PIPE_EQ] = ACTIONS(1752),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1752),
    [anon_sym_DASH_GT] = ACTIONS(1752),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1752),
    [aux_sym_binary_expression_token1] = ACTIONS(1752),
    [anon_sym_QMARK_QMARK] = ACTIONS(1754),
    [anon_sym_STAR_STAR] = ACTIONS(1754),
    [aux_sym_binary_expression_token2] = ACTIONS(1752),
    [aux_sym_binary_expression_token3] = ACTIONS(1752),
    [aux_sym_binary_expression_token4] = ACTIONS(1752),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_AMP_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1754),
    [anon_sym_EQ_EQ] = ACTIONS(1754),
    [anon_sym_BANG_EQ] = ACTIONS(1754),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [anon_sym_LT_EQ] = ACTIONS(1754),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_LT_EQ_GT] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1754),
    [anon_sym_GT_GT] = ACTIONS(1754),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PERCENT] = ACTIONS(1754),
    [sym_comment] = ACTIONS(1756),
  },
  [638] = {
    [sym_text_interpolation] = STATE(638),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1758),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_RBRACE] = ACTIONS(1758),
    [aux_sym_base_clause_token1] = ACTIONS(1758),
    [anon_sym_COLON] = ACTIONS(1760),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1758),
    [anon_sym_EQ_GT] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_RPAREN] = ACTIONS(1758),
    [anon_sym_QMARK] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1760),
    [anon_sym_COLON_COLON] = ACTIONS(1758),
    [anon_sym_DASH_DASH] = ACTIONS(1758),
    [anon_sym_PLUS_PLUS] = ACTIONS(1758),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1758),
    [anon_sym_STAR_EQ] = ACTIONS(1758),
    [anon_sym_SLASH_EQ] = ACTIONS(1758),
    [anon_sym_PERCENT_EQ] = ACTIONS(1758),
    [anon_sym_PLUS_EQ] = ACTIONS(1758),
    [anon_sym_DASH_EQ] = ACTIONS(1758),
    [anon_sym_DOT_EQ] = ACTIONS(1758),
    [anon_sym_LT_LT_EQ] = ACTIONS(1758),
    [anon_sym_GT_GT_EQ] = ACTIONS(1758),
    [anon_sym_AMP_EQ] = ACTIONS(1758),
    [anon_sym_CARET_EQ] = ACTIONS(1758),
    [anon_sym_PIPE_EQ] = ACTIONS(1758),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1758),
    [anon_sym_DASH_GT] = ACTIONS(1758),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_RBRACK] = ACTIONS(1758),
    [aux_sym_binary_expression_token1] = ACTIONS(1758),
    [anon_sym_QMARK_QMARK] = ACTIONS(1760),
    [anon_sym_STAR_STAR] = ACTIONS(1760),
    [aux_sym_binary_expression_token2] = ACTIONS(1758),
    [aux_sym_binary_expression_token3] = ACTIONS(1758),
    [aux_sym_binary_expression_token4] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1758),
    [anon_sym_AMP_AMP] = ACTIONS(1758),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_EQ_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1758),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1760),
    [anon_sym_GT] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1758),
    [anon_sym_LT_EQ_GT] = ACTIONS(1758),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1760),
    [anon_sym_PERCENT] = ACTIONS(1760),
    [sym_comment] = ACTIONS(1756),
  },
  [639] = {
    [sym_text_interpolation] = STATE(639),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [aux_sym_base_clause_token1] = ACTIONS(1762),
    [anon_sym_COLON] = ACTIONS(1764),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1762),
    [anon_sym_EQ_GT] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [anon_sym_QMARK] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_COLON_COLON] = ACTIONS(1762),
    [anon_sym_DASH_DASH] = ACTIONS(1762),
    [anon_sym_PLUS_PLUS] = ACTIONS(1762),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1762),
    [anon_sym_STAR_EQ] = ACTIONS(1762),
    [anon_sym_SLASH_EQ] = ACTIONS(1762),
    [anon_sym_PERCENT_EQ] = ACTIONS(1762),
    [anon_sym_PLUS_EQ] = ACTIONS(1762),
    [anon_sym_DASH_EQ] = ACTIONS(1762),
    [anon_sym_DOT_EQ] = ACTIONS(1762),
    [anon_sym_LT_LT_EQ] = ACTIONS(1762),
    [anon_sym_GT_GT_EQ] = ACTIONS(1762),
    [anon_sym_AMP_EQ] = ACTIONS(1762),
    [anon_sym_CARET_EQ] = ACTIONS(1762),
    [anon_sym_PIPE_EQ] = ACTIONS(1762),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1762),
    [anon_sym_DASH_GT] = ACTIONS(1762),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1762),
    [anon_sym_RBRACK] = ACTIONS(1762),
    [aux_sym_binary_expression_token1] = ACTIONS(1762),
    [anon_sym_QMARK_QMARK] = ACTIONS(1764),
    [anon_sym_STAR_STAR] = ACTIONS(1764),
    [aux_sym_binary_expression_token2] = ACTIONS(1762),
    [aux_sym_binary_expression_token3] = ACTIONS(1762),
    [aux_sym_binary_expression_token4] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1762),
    [anon_sym_AMP_AMP] = ACTIONS(1762),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_EQ_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1762),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1762),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1764),
    [anon_sym_GT] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1762),
    [anon_sym_LT_EQ_GT] = ACTIONS(1762),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_DOT] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1764),
    [anon_sym_PERCENT] = ACTIONS(1764),
    [sym_comment] = ACTIONS(1756),
  },
  [640] = {
    [sym_text_interpolation] = STATE(640),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1766),
    [anon_sym_RBRACE] = ACTIONS(1766),
    [aux_sym_base_clause_token1] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1768),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1766),
    [anon_sym_EQ_GT] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_RPAREN] = ACTIONS(1766),
    [anon_sym_QMARK] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_COLON_COLON] = ACTIONS(1766),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1766),
    [anon_sym_STAR_EQ] = ACTIONS(1766),
    [anon_sym_SLASH_EQ] = ACTIONS(1766),
    [anon_sym_PERCENT_EQ] = ACTIONS(1766),
    [anon_sym_PLUS_EQ] = ACTIONS(1766),
    [anon_sym_DASH_EQ] = ACTIONS(1766),
    [anon_sym_DOT_EQ] = ACTIONS(1766),
    [anon_sym_LT_LT_EQ] = ACTIONS(1766),
    [anon_sym_GT_GT_EQ] = ACTIONS(1766),
    [anon_sym_AMP_EQ] = ACTIONS(1766),
    [anon_sym_CARET_EQ] = ACTIONS(1766),
    [anon_sym_PIPE_EQ] = ACTIONS(1766),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1766),
    [anon_sym_DASH_GT] = ACTIONS(1766),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_RBRACK] = ACTIONS(1766),
    [aux_sym_binary_expression_token1] = ACTIONS(1766),
    [anon_sym_QMARK_QMARK] = ACTIONS(1768),
    [anon_sym_STAR_STAR] = ACTIONS(1768),
    [aux_sym_binary_expression_token2] = ACTIONS(1766),
    [aux_sym_binary_expression_token3] = ACTIONS(1766),
    [aux_sym_binary_expression_token4] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(1766),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_EQ_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1768),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1766),
    [anon_sym_LT_EQ_GT] = ACTIONS(1766),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_PERCENT] = ACTIONS(1768),
    [sym_comment] = ACTIONS(1756),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_text_interpolation,
    STATE(659), 1,
      sym_arguments,
    ACTIONS(1772), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1770), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_text_interpolation,
    STATE(658), 1,
      sym_arguments,
    ACTIONS(1778), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1776), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1784), 1,
      anon_sym_EQ,
    STATE(643), 1,
      sym_text_interpolation,
    STATE(650), 1,
      sym_arguments,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1790), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [245] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(644), 1,
      sym_text_interpolation,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1794), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1792), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [324] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_text_interpolation,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1798), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1796), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_text_interpolation,
    STATE(653), 1,
      sym_arguments,
    ACTIONS(1802), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1800), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1806), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1804), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1810), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1808), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1814), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1812), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1818), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1816), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1822), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1820), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1826), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1824), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1830), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1828), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1834), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1832), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1838), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1842), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1840), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1846), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1844), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1850), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1848), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1854), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1852), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1529] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_EQ,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1790), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1862), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1694] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1773] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_text_interpolation,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(1802), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1800), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1848] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(665), 1,
      sym_text_interpolation,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1778), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1776), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1923] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_text_interpolation,
    STATE(674), 1,
      sym_arguments,
    ACTIONS(1798), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1796), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1998] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(667), 1,
      sym_text_interpolation,
    STATE(690), 1,
      sym_arguments,
    ACTIONS(1794), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1792), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2073] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_text_interpolation,
    STATE(683), 1,
      sym_arguments,
    ACTIONS(1772), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1770), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2148] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    ACTIONS(1866), 1,
      anon_sym_RPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(669), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2237] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_EQ,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_text_interpolation,
    STATE(692), 1,
      sym_arguments,
    ACTIONS(1868), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1790), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2320] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1784), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1790), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2403] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    ACTIONS(1870), 1,
      anon_sym_EQ,
    STATE(672), 1,
      sym_text_interpolation,
    STATE(692), 1,
      sym_arguments,
    ACTIONS(1868), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1872), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2486] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1874), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1876), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1806), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1804), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2638] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1838), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2708] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1862), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1768), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1766), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1846), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1844), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1764), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1762), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2996] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1850), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1848), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3066] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1754), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1752), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1830), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1828), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1854), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1852), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1810), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1808), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3346] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1826), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1824), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3416] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1878), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1862), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1814), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1812), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1842), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1840), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3640] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1834), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1832), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3710] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1822), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1820), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3780] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(691), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1818), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1816), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3934] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1883), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(694), 1,
      sym_text_interpolation,
    ACTIONS(1760), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1758), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4088] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1868), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1790), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4165] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    ACTIONS(1866), 1,
      anon_sym_RPAREN,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4248] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_arguments,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1862), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4331] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_EQ,
    STATE(698), 1,
      sym_text_interpolation,
    ACTIONS(1868), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1872), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4408] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_EQ,
    STATE(699), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1790), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4485] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1883), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4563] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1874), 1,
      anon_sym_EQ,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1876), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4639] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1878), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1862), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4717] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    STATE(703), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1858), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4795] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    STATE(704), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1862), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1782), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(705), 1,
      sym_text_interpolation,
    ACTIONS(1888), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1890), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4936] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    STATE(706), 1,
      sym_text_interpolation,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1756), 1,
      sym_variable_name,
    STATE(1944), 1,
      sym__function_definition_header,
    STATE(1954), 1,
      sym_property_element,
    STATE(2281), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5051] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1756), 1,
      sym_variable_name,
    STATE(1930), 1,
      sym_property_element,
    STATE(1931), 1,
      sym__function_definition_header,
    STATE(2263), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5166] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1846), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1844), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5227] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(787), 1,
      sym_arguments,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5298] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1778), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5363] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym_arguments,
    ACTIONS(1772), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5428] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(650), 1,
      sym_arguments,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5499] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(713), 1,
      sym_text_interpolation,
    STATE(741), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5566] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(714), 1,
      sym_text_interpolation,
    STATE(741), 1,
      sym_arguments,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5637] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(650), 1,
      sym_arguments,
    STATE(715), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5708] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_text_interpolation,
    STATE(728), 1,
      sym_arguments,
    ACTIONS(1802), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5773] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_text_interpolation,
    STATE(730), 1,
      sym_arguments,
    ACTIONS(1798), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5838] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(718), 1,
      sym_text_interpolation,
    STATE(732), 1,
      sym_arguments,
    ACTIONS(1794), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5903] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(741), 1,
      sym_arguments,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1854), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1852), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1814), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1838), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6152] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1834), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1850), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1848), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6272] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1925), 1,
      anon_sym_COMMA,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1929), 1,
      anon_sym_RPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(725), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2108), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1846), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1844), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6442] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1939), 1,
      sym_name,
    ACTIONS(1941), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(727), 1,
      sym_text_interpolation,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1805), 1,
      sym__dereferencable_expression,
    STATE(2709), 1,
      sym_attribute_list,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2790), 1,
      sym__scope_resolution_qualifier,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(743), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1835), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(769), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(772), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1630), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1830), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6612] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_arguments,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1949), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1947), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1806), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6736] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1826), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6796] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1822), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1764), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1754), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6976] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(1951), 1,
      anon_sym_COMMA,
    ACTIONS(1953), 1,
      anon_sym_RPAREN,
    STATE(735), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2010), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1760), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7146] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1810), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7206] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_arguments,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1957), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7270] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1959), 1,
      sym_name,
    ACTIONS(1963), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    STATE(739), 1,
      sym_text_interpolation,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1804), 1,
      sym__dereferencable_expression,
    STATE(2673), 1,
      sym__scope_resolution_qualifier,
    STATE(2711), 1,
      sym_attribute_list,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(899), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1835), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1961), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(933), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(907), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1630), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1768), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1818), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1842), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1840), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7560] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(743), 1,
      sym_text_interpolation,
    STATE(787), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7625] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1969), 1,
      sym_name,
    ACTIONS(1975), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1978), 1,
      anon_sym_BSLASH,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_LPAREN,
    ACTIONS(1986), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2001), 1,
      anon_sym_DOLLAR,
    STATE(1663), 1,
      sym_class_constant_access_expression,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(1992), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1995), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(744), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2442), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1972), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1835), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1630), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [7726] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2006), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7791] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7856] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(732), 1,
      sym_arguments,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1957), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7919] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(722), 1,
      sym_arguments,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1949), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1947), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7982] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(651), 1,
      sym_arguments,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1794), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8043] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(647), 1,
      sym_arguments,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1798), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8104] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(2008), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2417), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8211] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(653), 1,
      sym_arguments,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8272] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8333] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8398] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(659), 1,
      sym_arguments,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8459] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(658), 1,
      sym_arguments,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8520] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(757), 1,
      sym_text_interpolation,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1794), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8583] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(758), 1,
      sym_text_interpolation,
    STATE(813), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8648] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_arguments,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8713] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8778] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_EQ,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(2014), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8841] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_arguments,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8906] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_arguments,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2006), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8971] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(764), 1,
      sym_text_interpolation,
    STATE(813), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2021), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9036] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9101] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_text_interpolation,
    STATE(790), 1,
      sym_arguments,
    ACTIONS(1798), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9164] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(767), 1,
      sym_text_interpolation,
    STATE(789), 1,
      sym_arguments,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9227] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2023), 1,
      sym_name,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    STATE(768), 1,
      sym_text_interpolation,
    STATE(773), 1,
      aux_sym_use_list_repeat1,
    STATE(1663), 1,
      sym_class_constant_access_expression,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2442), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1835), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1630), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9330] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LPAREN,
    STATE(769), 1,
      sym_text_interpolation,
    STATE(1051), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9395] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(2029), 1,
      anon_sym_RPAREN,
    STATE(770), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2417), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9502] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(2031), 1,
      anon_sym_RPAREN,
    STATE(771), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2417), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9609] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(772), 1,
      sym_text_interpolation,
    STATE(787), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9674] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2023), 1,
      sym_name,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    STATE(744), 1,
      aux_sym_use_list_repeat1,
    STATE(773), 1,
      sym_text_interpolation,
    STATE(1663), 1,
      sym_class_constant_access_expression,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2442), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1835), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1630), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9777] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_arguments,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1794), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9840] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(2035), 1,
      anon_sym_RPAREN,
    STATE(775), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2417), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9947] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1788), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10010] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_arguments,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10073] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10136] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_arguments,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1798), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10262] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(781), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2288), 1,
      sym__list_destructing,
    STATE(2290), 1,
      sym_by_ref,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1624), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1540), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10369] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_text_interpolation,
    STATE(813), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2041), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10434] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_text_interpolation,
    STATE(832), 1,
      sym_arguments,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10497] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(784), 1,
      sym_text_interpolation,
    STATE(833), 1,
      sym_arguments,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10560] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(785), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2384), 1,
      sym__list_destructing,
    STATE(2386), 1,
      sym_by_ref,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1660), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1574), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10667] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(961), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(786), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2340), 1,
      sym_by_ref,
    STATE(2341), 1,
      sym__array_destructing,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1647), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1594), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10771] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1816), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2045), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10831] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(2049), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1830), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1806), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1814), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11063] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1826), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(2053), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(2057), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(2061), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(2065), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1822), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11411] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1846), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1844), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11471] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(2071), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11529] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(2075), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(2079), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(2083), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11703] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1736), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1738), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(2087), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(2091), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(2095), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11935] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(2099), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1810), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(2103), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(2107), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(2111), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1818), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12341] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(2115), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12399] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2041), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(2119), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(2123), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1834), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12633] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1842), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1840), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12691] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(2127), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12807] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(822), 1,
      sym_text_interpolation,
    STATE(1056), 1,
      sym_attribute_list,
    STATE(1136), 1,
      sym_visibility_modifier,
    STATE(1408), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1775), 1,
      sym_type,
    STATE(2106), 1,
      sym_reference_modifier,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2417), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(2131), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(2135), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1760), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1754), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(2139), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(2143), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(2147), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13317] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(2151), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1850), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1848), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1854), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1852), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1838), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(2155), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13665] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(1139), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1137), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(2159), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2157), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13779] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_RPAREN,
    ACTIONS(2017), 1,
      anon_sym_EQ,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13840] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(839), 1,
      sym_text_interpolation,
    STATE(878), 1,
      sym_arguments,
    ACTIONS(1868), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13905] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(840), 1,
      sym_text_interpolation,
    STATE(952), 1,
      sym_arguments,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13972] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14031] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2021), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14090] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(843), 1,
      sym_text_interpolation,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1794), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14151] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(844), 1,
      sym_text_interpolation,
    STATE(866), 1,
      sym_arguments,
    ACTIONS(1798), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14212] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14271] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(846), 1,
      sym_text_interpolation,
    STATE(864), 1,
      sym_arguments,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14332] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_text_interpolation,
    STATE(878), 1,
      sym_arguments,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14399] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(650), 1,
      sym_arguments,
    STATE(848), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14466] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14525] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(878), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14588] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1135), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1133), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14645] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(859), 1,
      sym_arguments,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14706] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(858), 1,
      sym_arguments,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14767] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(692), 1,
      sym_arguments,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14834] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    ACTIONS(2165), 1,
      anon_sym_RPAREN,
    STATE(855), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1652), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [14932] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    ACTIONS(2167), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1652), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1846), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1844), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1850), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1848), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1854), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1852), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1838), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15254] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15310] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1760), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(2171), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2169), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15422] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1830), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15478] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    ACTIONS(2173), 1,
      anon_sym_RPAREN,
    STATE(865), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1652), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1806), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15632] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2175), 1,
      anon_sym_COLON,
    STATE(650), 1,
      sym_arguments,
    STATE(867), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15700] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1814), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15756] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1822), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15812] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2177), 1,
      anon_sym_COLON,
    STATE(692), 1,
      sym_arguments,
    STATE(870), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1754), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15936] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1826), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15992] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1810), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16048] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1842), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1840), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16160] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1834), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16216] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    ACTIONS(2179), 1,
      anon_sym_RPAREN,
    STATE(877), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1652), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16314] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1818), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16370] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2181), 1,
      anon_sym_COLON,
    STATE(692), 1,
      sym_arguments,
    STATE(879), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16438] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(880), 1,
      sym_text_interpolation,
    STATE(941), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2041), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16499] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16560] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16621] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(883), 1,
      sym_text_interpolation,
    STATE(960), 1,
      sym_arguments,
    ACTIONS(1802), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16680] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(884), 1,
      sym_text_interpolation,
    STATE(958), 1,
      sym_arguments,
    ACTIONS(1798), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16739] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_arguments,
    ACTIONS(1794), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16798] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2183), 1,
      sym_name,
    STATE(886), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      sym__dereferencable_expression,
    STATE(2677), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(815), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1629), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1628), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1835), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(782), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16893] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16954] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1798), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17013] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1868), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17072] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(2185), 1,
      sym_name,
    STATE(890), 1,
      sym_text_interpolation,
    STATE(1810), 1,
      sym__dereferencable_expression,
    STATE(2761), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(919), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1835), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1961), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(984), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(915), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1630), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [17167] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(891), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1652), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17262] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(658), 1,
      sym_arguments,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17319] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(659), 1,
      sym_arguments,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1772), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17376] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2183), 1,
      sym_name,
    ACTIONS(2187), 1,
      anon_sym_LPAREN,
    STATE(894), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2777), 1,
      sym__scope_resolution_qualifier,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1629), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1628), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(841), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(758), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17471] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym_arguments,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17532] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_arguments,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1802), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17591] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(897), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(815), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1835), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1524), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17686] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1190), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1188), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17741] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(899), 1,
      sym_text_interpolation,
    STATE(952), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1846), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1844), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17857] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1772), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17916] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(2189), 1,
      sym_name,
    STATE(902), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym__dereferencable_expression,
    STATE(2616), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(985), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1671), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1835), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(880), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18011] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(903), 1,
      sym_text_interpolation,
    STATE(978), 1,
      sym_arguments,
    ACTIONS(1772), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18070] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(904), 1,
      sym_text_interpolation,
    STATE(976), 1,
      sym_arguments,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18129] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_arguments,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18188] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_arguments,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1794), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18247] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(907), 1,
      sym_text_interpolation,
    STATE(952), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18308] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18365] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2191), 1,
      sym_name,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    STATE(909), 1,
      sym_text_interpolation,
    STATE(1793), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2734), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1670), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1657), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(908), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(850), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18460] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1888), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18515] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(690), 1,
      sym_arguments,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18574] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(912), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1614), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1538), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18669] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(860), 1,
      sym_arguments,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1949), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1947), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18728] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(914), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1625), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1534), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18823] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1194), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1192), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18939] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(675), 1,
      sym_arguments,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1949), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1947), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18998] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(918), 1,
      sym_text_interpolation,
    STATE(941), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19059] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19120] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2195), 1,
      sym_name,
    STATE(920), 1,
      sym_text_interpolation,
    STATE(1772), 1,
      sym__dereferencable_expression,
    STATE(2741), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(760), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1835), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(849), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(765), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1630), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [19215] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(869), 1,
      sym_arguments,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19274] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym_name,
    STATE(922), 1,
      sym_text_interpolation,
    STATE(1826), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2814), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1664), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1651), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(713), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19369] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_EQ,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19426] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(2189), 1,
      sym_name,
    ACTIONS(2199), 1,
      anon_sym_LPAREN,
    STATE(924), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(1845), 1,
      sym__dereferencable_expression,
    STATE(2747), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1671), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(988), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(926), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19521] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    ACTIONS(2037), 1,
      sym_name,
    STATE(925), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2694), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1661), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1547), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19616] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(926), 1,
      sym_text_interpolation,
    STATE(941), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2021), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19677] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(2189), 1,
      sym_name,
    ACTIONS(2199), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(1845), 1,
      sym__dereferencable_expression,
    STATE(2747), 1,
      sym__scope_resolution_qualifier,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1671), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(987), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(918), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19772] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym_arguments,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19833] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1162), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2183), 1,
      sym_name,
    ACTIONS(2187), 1,
      anon_sym_LPAREN,
    STATE(929), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      sym__dereferencable_expression,
    STATE(1835), 1,
      sym_class_constant_access_expression,
    STATE(2763), 1,
      sym_relative_scope,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2777), 1,
      sym__scope_resolution_qualifier,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1629), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1628), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(842), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(764), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19928] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym_arguments,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19989] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(651), 1,
      sym_arguments,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1794), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20046] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(647), 1,
      sym_arguments,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(1798), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20103] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_LPAREN,
    STATE(933), 1,
      sym_text_interpolation,
    STATE(1126), 1,
      sym_arguments,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1910), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20164] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(653), 1,
      sym_arguments,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1802), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2061), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(1760), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2095), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2087), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(2083), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1834), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(1818), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2139), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1764), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20707] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2119), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(2143), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20815] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_EQ,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1842), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1840), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2053), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2049), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21141] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1816), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2045), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21197] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(1826), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(1754), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2075), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(1822), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(1814), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2057), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(2091), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21683] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2107), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21737] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(2123), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21791] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2065), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2151), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2079), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22007] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2135), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22061] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(1846), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1844), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2103), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(2131), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(2115), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1736), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1738), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2071), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22387] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2111), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(1850), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1848), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(1838), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1854), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1852), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22603] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_EQ,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(2203), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2127), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2147), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2099), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(2155), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22877] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22932] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2041), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22987] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23042] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1784), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23097] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2021), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23152] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2207), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23204] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(2211), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23256] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2215), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23308] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2219), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(2223), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2221), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23412] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2227), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(2231), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23516] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2235), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2233), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(2239), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2237), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23620] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2243), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2241), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23672] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2247), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2245), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2251), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23776] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(2255), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2259), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2257), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2263), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23932] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2267), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2265), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2271), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2269), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2275), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2273), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2279), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2277), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24140] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2283), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2281), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24192] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2287), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2285), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2291), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2289), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2295), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2293), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(1764), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24400] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(1768), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24452] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2299), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2297), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2303), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(1760), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(1754), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24660] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2307), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2305), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2311), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2309), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24764] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2315), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2313), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24816] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2319), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2317), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2323), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2321), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2327), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2325), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25024] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2339), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2343), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2341), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25180] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2347), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2351), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25284] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2355), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2353), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25336] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2359), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2357), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2363), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2367), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2371), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25544] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2375), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2379), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2383), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2381), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25700] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2387), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25752] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2391), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2395), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2393), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2399), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2397), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25908] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2403), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2407), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2405), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2411), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2409), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26064] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2415), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26116] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2419), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2423), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26220] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2429), 1,
      aux_sym_binary_expression_token1,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2427), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2425), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26274] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2427), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2425), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(1782), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2045), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2433), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2431), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2437), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2435), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26534] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2006), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26586] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(1194), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1192), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26637] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(2439), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1056), 1,
      sym_text_interpolation,
    STATE(1175), 1,
      sym_visibility_modifier,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1648), 1,
      sym__types,
    STATE(1799), 1,
      sym_type,
    STATE(2169), 1,
      sym_reference_modifier,
    STATE(2170), 1,
      sym_variable_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [26724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(1190), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1188), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26775] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2441), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26857] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2477), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26945] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26997] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2485), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27085] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27167] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1063), 1,
      sym_text_interpolation,
    STATE(1397), 1,
      sym__modifier,
    STATE(1451), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1488), 1,
      sym__const_declaration,
    ACTIONS(2489), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2487), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27225] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2491), 1,
      anon_sym_EQ_GT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2413), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27315] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2495), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2503), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2506), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2509), 1,
      sym_var_modifier,
    STATE(1397), 1,
      sym__modifier,
    STATE(1065), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2498), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2512), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2493), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27381] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2515), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27463] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27545] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2521), 1,
      anon_sym_QMARK,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2519), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27627] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27683] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2301), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27771] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27845] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1072), 1,
      sym_text_interpolation,
    STATE(1397), 1,
      sym__modifier,
    STATE(1451), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1476), 1,
      sym__const_declaration,
    ACTIONS(2489), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2487), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27903] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27985] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28071] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2523), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28159] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28243] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2525), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28325] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2529), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28413] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28483] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [28561] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2531), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28649] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2533), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28737] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2535), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28825] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28901] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28973] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1921), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29039] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29101] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29159] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29219] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2537), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29307] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2539), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29395] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29447] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2539), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29534] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2523), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29621] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29696] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2535), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29783] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2529), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29870] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29941] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2537), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30028] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30085] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30144] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2525), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30225] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30276] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30357] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30412] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30485] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30554] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_QMARK,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2519), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30635] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2581), 1,
      anon_sym_EQ_GT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2413), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30724] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2533), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30811] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2485), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30898] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2515), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30979] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31056] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31107] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2531), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31194] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [31255] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2441), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31336] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31419] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31504] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31585] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2301), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31672] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1921), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31737] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31818] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2477), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2211), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2045), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32001] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32055] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32127] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2301), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32213] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1921), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2311), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2309), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2327), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2325), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32377] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2531), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32463] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2539), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2267), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2265), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32597] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1136), 1,
      sym_text_interpolation,
    STATE(1266), 1,
      sym_readonly_modifier,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1740), 1,
      sym__types,
    STATE(1900), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2165), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [32677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2299), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2297), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2339), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2343), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2341), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32821] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2255), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2419), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32917] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2359), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2357), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32965] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2207), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2363), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33061] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2367), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2371), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33157] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_QMARK,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2519), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2375), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33285] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2533), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33371] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2477), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2271), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2269), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2407), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2405), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2279), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2277), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2287), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2285), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33649] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2529), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2219), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33783] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [33859] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2415), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33957] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34037] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2441), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34117] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2239), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2237), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2215), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2235), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2233), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2307), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2305), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34393] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2525), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34473] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34555] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2515), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34635] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2291), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2289), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34683] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2295), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2293), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34779] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34853] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34923] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1175), 1,
      sym_text_interpolation,
    STATE(1275), 1,
      sym_readonly_modifier,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1740), 1,
      sym__types,
    STATE(1928), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2245), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35003] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1921), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2423), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35115] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2623), 1,
      aux_sym_binary_expression_token1,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2427), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2425), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2427), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2425), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2275), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2273), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(1782), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35309] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2355), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2353), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2351), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2347), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2223), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2221), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35581] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2227), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35629] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35679] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2315), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2313), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2259), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2257), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2303), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35883] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2433), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2431), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2437), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2435), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2243), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2241), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2319), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2317), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36123] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2485), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36209] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36265] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2523), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36351] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36431] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2537), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36517] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2535), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36603] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2283), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2281), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2399), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2397), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2411), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2409), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2403), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36795] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2625), 1,
      anon_sym_EQ_GT,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2413), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36883] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2395), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2393), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2006), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(1768), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37027] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(1760), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(1754), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(1135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37229] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2247), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2245), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(1764), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2379), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(1139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2231), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2251), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2383), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2381), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2391), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2263), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2323), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2321), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2387), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37757] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2515), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37836] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37885] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2661), 1,
      sym_name,
    STATE(1229), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1715), 1,
      sym_type,
    STATE(1956), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37960] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2531), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38045] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2533), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38130] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2485), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38215] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2523), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38300] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2537), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38385] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2535), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38470] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38525] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2671), 1,
      anon_sym_EQ_GT,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38612] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2529), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38697] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2477), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38782] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [38841] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1921), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38904] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38973] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39046] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2661), 1,
      sym_name,
    STATE(1244), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1737), 1,
      sym_type,
    STATE(1894), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39121] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2301), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39206] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [39281] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2525), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39360] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2441), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39439] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_QMARK,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2519), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39518] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39603] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2661), 1,
      sym_name,
    STATE(1251), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1682), 1,
      sym_type,
    STATE(1872), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39678] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2433), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2431), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39727] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39806] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(1921), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39855] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [39912] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39993] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [40060] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(1921), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [40131] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [40214] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40293] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1919), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [40346] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2437), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2435), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40395] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1919), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40474] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2661), 1,
      sym_name,
    STATE(1264), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1696), 1,
      sym_type,
    STATE(1992), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40549] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40635] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1266), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1740), 1,
      sym__types,
    STATE(1925), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2237), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40709] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2677), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40793] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_EQ_GT,
    STATE(1268), 1,
      sym_text_interpolation,
    STATE(2283), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40881] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2683), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40965] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2685), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41049] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2687), 1,
      anon_sym_EQ_GT,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2413), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41135] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2413), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41221] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41307] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2693), 1,
      anon_sym_EQ_GT,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2413), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41393] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1740), 1,
      sym__types,
    STATE(1943), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2294), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41467] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2695), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41550] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1277), 1,
      sym_text_interpolation,
    STATE(1324), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [41639] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2717), 1,
      anon_sym_EQ_GT,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41724] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2721), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41807] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41890] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2725), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41973] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2727), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42056] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2729), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42139] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1284), 1,
      sym_text_interpolation,
    STATE(1321), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42228] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42311] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1286), 1,
      sym_text_interpolation,
    STATE(1298), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42400] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2717), 1,
      anon_sym_EQ_GT,
    ACTIONS(2737), 1,
      anon_sym_RPAREN,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42485] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2673), 1,
      anon_sym_RPAREN,
    ACTIONS(2739), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42570] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2691), 1,
      anon_sym_SEMI,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42655] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42738] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1291), 1,
      sym_text_interpolation,
    STATE(1299), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42827] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1284), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1292), 1,
      sym_text_interpolation,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42916] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42999] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2691), 1,
      anon_sym_RPAREN,
    ACTIONS(2739), 1,
      anon_sym_COMMA,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43084] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43167] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2753), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43250] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2755), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43333] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1298), 1,
      sym_text_interpolation,
    STATE(1321), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43422] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1299), 1,
      sym_text_interpolation,
    STATE(1321), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43511] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2761), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43594] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2763), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43677] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2765), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43760] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2767), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43843] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2769), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43926] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2717), 1,
      anon_sym_EQ_GT,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44011] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2773), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44094] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2775), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44177] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44260] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2779), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44343] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44426] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2783), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44509] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2785), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44592] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2787), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44675] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2789), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44758] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2791), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44841] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2793), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44924] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2795), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45007] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2631), 1,
      anon_sym_PIPE,
    ACTIONS(2635), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2639), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2643), 1,
      anon_sym_CARET,
    ACTIONS(2651), 1,
      anon_sym_GT_EQ,
    ACTIONS(2655), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_PERCENT,
    ACTIONS(2665), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2667), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      aux_sym_binary_expression_token4,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2797), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2649), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45090] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2587), 1,
      anon_sym_PERCENT,
    ACTIONS(2589), 1,
      anon_sym_AMP,
    ACTIONS(2593), 1,
      anon_sym_CARET,
    ACTIONS(2601), 1,
      anon_sym_GT_EQ,
    ACTIONS(2605), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_QMARK,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2611), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2613), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2615), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2619), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 1,
      anon_sym_AMP_AMP,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2603), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2599), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2597), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45173] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2717), 1,
      anon_sym_EQ_GT,
    ACTIONS(2801), 1,
      anon_sym_RPAREN,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45258] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2803), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2806), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2809), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2812), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2815), 1,
      anon_sym_RBRACE,
    ACTIONS(2817), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2820), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2823), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2826), 1,
      sym_var_modifier,
    ACTIONS(2832), 1,
      anon_sym_POUND_LBRACK,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    STATE(1321), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2829), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45345] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2835), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45428] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2673), 1,
      anon_sym_SEMI,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45513] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2837), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1063), 1,
      sym_final_modifier,
    STATE(1321), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1324), 1,
      sym_text_interpolation,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1480), 1,
      sym__class_const_declaration,
    STATE(1482), 1,
      sym__member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1503), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45602] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45684] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45766] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2843), 1,
      anon_sym_RBRACK,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45848] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2847), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2845), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45892] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45974] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2851), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46056] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46138] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2857), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2855), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46182] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46264] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46346] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46428] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2865), 1,
      anon_sym_RBRACE,
    STATE(1336), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46510] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2867), 1,
      anon_sym_COLON,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46592] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    STATE(1338), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46674] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    STATE(1339), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46756] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2873), 1,
      anon_sym_RBRACE,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2877), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2875), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46882] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2879), 1,
      anon_sym_COLON,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46964] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2843), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47046] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2881), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47128] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    STATE(1345), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47210] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47292] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    STATE(1347), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47374] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2889), 1,
      anon_sym_RPAREN,
    STATE(1348), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47456] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47538] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47620] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
    STATE(1351), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47702] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2897), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47784] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    STATE(1353), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47866] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2901), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47948] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48030] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48112] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2907), 1,
      anon_sym_RBRACE,
    STATE(1357), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48194] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    STATE(1358), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48276] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2911), 1,
      anon_sym_COLON,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48358] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2913), 1,
      anon_sym_RBRACE,
    STATE(1360), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48440] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48522] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2917), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48604] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2919), 1,
      anon_sym_EQ_GT,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48686] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2921), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48768] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2923), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48850] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2925), 1,
      anon_sym_RPAREN,
    STATE(1366), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48932] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    STATE(1367), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49014] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2929), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1368), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49096] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2931), 1,
      anon_sym_RBRACK,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49178] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2933), 1,
      anon_sym_EQ_GT,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49260] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49342] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2935), 1,
      anon_sym_RPAREN,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49424] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49506] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2939), 1,
      anon_sym_COLON,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49588] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2937), 1,
      anon_sym_RBRACK,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49670] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49752] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49834] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2945), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49916] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2947), 1,
      anon_sym_RPAREN,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49998] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    STATE(1380), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50080] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50162] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50244] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50326] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2955), 1,
      anon_sym_RBRACK,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50408] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50490] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2959), 1,
      anon_sym_RBRACE,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50572] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2961), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50654] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2963), 1,
      anon_sym_RBRACK,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50736] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_AMP,
    ACTIONS(2543), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_PIPE,
    ACTIONS(2549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2551), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2553), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2555), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2571), 1,
      anon_sym_GT_EQ,
    ACTIONS(2575), 1,
      anon_sym_DOT,
    ACTIONS(2579), 1,
      anon_sym_PERCENT,
    ACTIONS(2941), 1,
      anon_sym_RBRACK,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2565), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2569), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2567), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50818] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2963), 1,
      anon_sym_RBRACE,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50900] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50982] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51064] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2969), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51146] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2971), 1,
      anon_sym_RBRACE,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51228] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_QMARK,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(2451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2453), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2467), 1,
      anon_sym_GT_EQ,
    ACTIONS(2471), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2481), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2483), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2449), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2473), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2465), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2463), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51310] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_name,
    ACTIONS(2979), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    ACTIONS(2983), 1,
      sym_bottom_type,
    STATE(1396), 1,
      sym_text_interpolation,
    STATE(1619), 1,
      sym__types,
    STATE(1843), 1,
      sym_qualified_name,
    STATE(2055), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1847), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2087), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2977), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1397), 1,
      sym_text_interpolation,
    ACTIONS(2987), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2985), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(2991), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2989), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51463] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(2995), 1,
      aux_sym_enum_case_token1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1399), 1,
      sym_text_interpolation,
    STATE(1400), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1440), 1,
      sym_attribute_list,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1445), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1497), 1,
      sym__enum_member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51544] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2997), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3000), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3003), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3006), 1,
      anon_sym_RBRACE,
    ACTIONS(3008), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3011), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3014), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3017), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3020), 1,
      sym_var_modifier,
    ACTIONS(3026), 1,
      anon_sym_POUND_LBRACK,
    STATE(1397), 1,
      sym__modifier,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1440), 1,
      sym_attribute_list,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1445), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1497), 1,
      sym__enum_member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    STATE(1400), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(3023), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51623] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2995), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    STATE(1397), 1,
      sym__modifier,
    STATE(1399), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1401), 1,
      sym_text_interpolation,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1440), 1,
      sym_attribute_list,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1445), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1497), 1,
      sym__enum_member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51704] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(3031), 1,
      sym_bottom_type,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      sym__types,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2545), 1,
      sym_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1571), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51771] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2995), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    STATE(1397), 1,
      sym__modifier,
    STATE(1403), 1,
      sym_text_interpolation,
    STATE(1404), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1440), 1,
      sym_attribute_list,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1445), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1497), 1,
      sym__enum_member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51852] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(2995), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    STATE(1397), 1,
      sym__modifier,
    STATE(1400), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1404), 1,
      sym_text_interpolation,
    STATE(1439), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1440), 1,
      sym_attribute_list,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1445), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1497), 1,
      sym__enum_member_declaration,
    STATE(1905), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(2489), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2487), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51976] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(3039), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(3037), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52019] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_POUND_LBRACK,
    STATE(1414), 1,
      sym_attribute_group,
    STATE(1407), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3043), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(3041), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52063] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_POUND_LBRACK,
    STATE(1407), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1408), 1,
      sym_text_interpolation,
    STATE(1414), 1,
      sym_attribute_group,
    ACTIONS(3050), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(3048), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52109] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1409), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1539), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(3056), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3054), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52203] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1411), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2115), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2791), 1,
      sym_intersection_type,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(3060), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3058), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52297] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1556), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(3064), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3062), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52391] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1539), 1,
      sym__types,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52447] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2115), 1,
      sym__types,
    STATE(2731), 1,
      sym_intersection_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52503] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_name,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    ACTIONS(3066), 1,
      anon_sym_LPAREN,
    STATE(1417), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_qualified_name,
    STATE(1987), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1847), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2977), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52559] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2115), 1,
      sym__types,
    STATE(2653), 1,
      sym_intersection_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52615] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1419), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1556), 1,
      sym__types,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52671] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2115), 1,
      sym__types,
    STATE(2651), 1,
      sym_intersection_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52727] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_name,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    ACTIONS(3066), 1,
      anon_sym_LPAREN,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_qualified_name,
    STATE(1960), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1847), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2977), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52783] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1422), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2115), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2793), 1,
      sym_intersection_type,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(3070), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3068), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52877] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1555), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52930] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    STATE(1425), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1532), 1,
      sym__types,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52983] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_name,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    STATE(1426), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_qualified_name,
    STATE(1922), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1847), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2977), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53036] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_name,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_qualified_name,
    STATE(1961), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1847), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2977), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53089] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_QMARK,
    STATE(1428), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1555), 1,
      sym__types,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53142] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    STATE(1429), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1532), 1,
      sym__types,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1518), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53195] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3072), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3074), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(3076), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(3078), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3080), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1430), 1,
      sym_text_interpolation,
    STATE(1453), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1520), 1,
      sym_static_modifier,
    STATE(2377), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53261] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3072), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3084), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(3086), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(3088), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3090), 1,
      aux_sym_class_declaration_token1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1431), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1520), 1,
      sym_static_modifier,
    STATE(2437), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53327] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    STATE(1432), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym_static_variable_declaration,
    STATE(1857), 1,
      sym_variable_name,
    ACTIONS(1844), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2877), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53370] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    STATE(1433), 1,
      sym_text_interpolation,
    STATE(1857), 1,
      sym_variable_name,
    STATE(1949), 1,
      sym_static_variable_declaration,
    ACTIONS(1844), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2877), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53413] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1527), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53459] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_name,
    STATE(1435), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_qualified_name,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1806), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2977), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53505] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(2672), 1,
      sym_namespace_name_as_prefix,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(1527), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1900), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53551] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3092), 1,
      anon_sym_POUND_LBRACK,
    STATE(1441), 1,
      sym_attribute_group,
    STATE(1437), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3043), 16,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53586] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2703), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    STATE(706), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1072), 1,
      sym_final_modifier,
    STATE(1397), 1,
      sym__modifier,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1929), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53643] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    STATE(1437), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 1,
      sym_text_interpolation,
    STATE(1441), 1,
      sym_attribute_group,
    ACTIONS(3050), 16,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53680] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3095), 1,
      aux_sym_enum_case_token1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1440), 1,
      sym_text_interpolation,
    STATE(1444), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1929), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53732] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3064), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [53761] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(679), 1,
      sym_integer,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3097), 1,
      sym_float,
    ACTIONS(3099), 1,
      aux_sym__argument_name_token1,
    ACTIONS(3101), 1,
      aux_sym__argument_name_token2,
    STATE(1442), 1,
      sym_text_interpolation,
    STATE(2746), 1,
      sym_literal,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1054), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(810), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53808] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3103), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3105), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53857] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1444), 1,
      sym_text_interpolation,
    STATE(1944), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53906] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1445), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      sym__function_definition_header,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53955] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3107), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3109), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1446), 1,
      sym_text_interpolation,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54004] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1447), 1,
      sym_text_interpolation,
    ACTIONS(3056), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [54033] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3070), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [54062] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3060), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [54091] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3111), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54137] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3107), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1452), 1,
      sym_text_interpolation,
    ACTIONS(3113), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1981), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [54213] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2707), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2713), 1,
      sym_var_modifier,
    ACTIONS(3115), 1,
      aux_sym_class_declaration_token1,
    STATE(1065), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1397), 1,
      sym__modifier,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1405), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54259] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3117), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      anon_sym_BSLASHu,
    ACTIONS(3126), 1,
      sym__new_line,
    ACTIONS(3129), 1,
      anon_sym_DOLLAR,
    ACTIONS(3132), 1,
      sym_heredoc_end,
    STATE(1458), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3120), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1454), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54306] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    ACTIONS(3138), 1,
      anon_sym_BSLASHu,
    ACTIONS(3140), 1,
      sym__new_line,
    ACTIONS(3143), 1,
      anon_sym_DOLLAR,
    ACTIONS(3145), 1,
      sym_heredoc_end,
    STATE(1454), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(1458), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3136), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54355] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      anon_sym_BSLASHu,
    ACTIONS(3158), 1,
      anon_sym_DOLLAR,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3150), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3156), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1456), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54397] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1457), 1,
      sym_text_interpolation,
    ACTIONS(3161), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54423] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    ACTIONS(3138), 1,
      anon_sym_BSLASHu,
    ACTIONS(3143), 1,
      anon_sym_DOLLAR,
    STATE(1456), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3136), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3163), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54467] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    ACTIONS(3138), 1,
      anon_sym_BSLASHu,
    ACTIONS(3143), 1,
      anon_sym_DOLLAR,
    STATE(1456), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3132), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(3136), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54511] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1460), 1,
      sym_text_interpolation,
    ACTIONS(3165), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54537] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1461), 1,
      sym_text_interpolation,
    ACTIONS(3167), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54563] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(3169), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54589] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(3171), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54615] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(3173), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54641] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1465), 1,
      sym_text_interpolation,
    ACTIONS(3175), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54667] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    ACTIONS(3138), 1,
      anon_sym_BSLASHu,
    ACTIONS(3143), 1,
      anon_sym_DOLLAR,
    ACTIONS(3177), 1,
      sym__new_line,
    STATE(1455), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1458), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3136), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54713] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(3179), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54739] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(3171), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54765] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1469), 1,
      sym_text_interpolation,
    ACTIONS(3169), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54791] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1470), 1,
      sym_text_interpolation,
    ACTIONS(3181), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54817] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1471), 1,
      sym_text_interpolation,
    ACTIONS(3183), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54843] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1472), 1,
      sym_text_interpolation,
    ACTIONS(3183), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54869] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(3185), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54895] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(3175), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54921] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(3187), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54947] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(3189), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54972] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3197), 1,
      anon_sym_BSLASH,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(1859), 1,
      sym_namespace_use_clause,
    STATE(2750), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3195), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1798), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55013] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3203), 1,
      anon_sym_BSLASHu,
    ACTIONS(3205), 1,
      anon_sym_BQUOTE,
    ACTIONS(3207), 1,
      anon_sym_DOLLAR,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(1491), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1572), 1,
      sym_variable_name,
    STATE(1724), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3201), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1726), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1742), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55056] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1479), 1,
      sym_text_interpolation,
    ACTIONS(3209), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55081] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(3211), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55106] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3213), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3215), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55137] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1482), 1,
      sym_text_interpolation,
    ACTIONS(3217), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55162] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1483), 1,
      sym_text_interpolation,
    ACTIONS(3219), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55187] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1484), 1,
      sym_text_interpolation,
    ACTIONS(3221), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55212] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3225), 1,
      anon_sym_BSLASH,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym_namespace_use_clause,
    STATE(2718), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3223), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1798), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55253] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    ACTIONS(3231), 1,
      anon_sym_BSLASHu,
    ACTIONS(3233), 1,
      anon_sym_DQUOTE,
    ACTIONS(3235), 1,
      anon_sym_DOLLAR,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      aux_sym__interpolated_string_body,
    STATE(1575), 1,
      sym_variable_name,
    STATE(1722), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3229), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1738), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1747), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55296] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3203), 1,
      anon_sym_BSLASHu,
    ACTIONS(3207), 1,
      anon_sym_DOLLAR,
    ACTIONS(3237), 1,
      anon_sym_BQUOTE,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(1491), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1572), 1,
      sym_variable_name,
    STATE(1724), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3201), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1726), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1742), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1488), 1,
      sym_text_interpolation,
    ACTIONS(3239), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55364] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    ACTIONS(3231), 1,
      anon_sym_BSLASHu,
    ACTIONS(3235), 1,
      anon_sym_DOLLAR,
    ACTIONS(3241), 1,
      anon_sym_DQUOTE,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      aux_sym__interpolated_string_body,
    STATE(1575), 1,
      sym_variable_name,
    STATE(1722), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3229), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1738), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1747), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55407] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3203), 1,
      anon_sym_BSLASHu,
    ACTIONS(3207), 1,
      anon_sym_DOLLAR,
    ACTIONS(3243), 1,
      anon_sym_BQUOTE,
    STATE(1478), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1490), 1,
      sym_text_interpolation,
    STATE(1572), 1,
      sym_variable_name,
    STATE(1724), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3201), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1726), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1742), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55450] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LBRACE,
    ACTIONS(3251), 1,
      anon_sym_BSLASHu,
    ACTIONS(3254), 1,
      anon_sym_BQUOTE,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    STATE(1572), 1,
      sym_variable_name,
    STATE(1724), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3248), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1491), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1726), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1742), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55491] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1492), 1,
      sym_text_interpolation,
    ACTIONS(3259), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55516] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(3261), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1494), 1,
      sym_text_interpolation,
    ACTIONS(3263), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55566] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1495), 1,
      sym_text_interpolation,
    ACTIONS(3265), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55591] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1496), 1,
      sym_text_interpolation,
    ACTIONS(3267), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55616] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(3269), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55641] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_LBRACE,
    ACTIONS(3277), 1,
      anon_sym_BSLASHu,
    ACTIONS(3280), 1,
      anon_sym_DQUOTE,
    ACTIONS(3282), 1,
      anon_sym_DOLLAR,
    STATE(1575), 1,
      sym_variable_name,
    STATE(1722), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3274), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1498), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1738), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1747), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55682] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(3285), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55707] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    ACTIONS(3231), 1,
      anon_sym_BSLASHu,
    ACTIONS(3235), 1,
      anon_sym_DOLLAR,
    ACTIONS(3287), 1,
      anon_sym_DQUOTE,
    STATE(1489), 1,
      aux_sym__interpolated_string_body,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(1575), 1,
      sym_variable_name,
    STATE(1722), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3229), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1738), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1747), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55750] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3203), 1,
      anon_sym_BSLASHu,
    ACTIONS(3207), 1,
      anon_sym_DOLLAR,
    ACTIONS(3289), 1,
      anon_sym_BQUOTE,
    STATE(1487), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1501), 1,
      sym_text_interpolation,
    STATE(1572), 1,
      sym_variable_name,
    STATE(1724), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3201), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1726), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1742), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55793] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1502), 1,
      sym_text_interpolation,
    ACTIONS(3291), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55818] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(3293), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55843] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1504), 1,
      sym_text_interpolation,
    ACTIONS(3295), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55868] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(3297), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55893] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    ACTIONS(3231), 1,
      anon_sym_BSLASHu,
    ACTIONS(3235), 1,
      anon_sym_DOLLAR,
    ACTIONS(3299), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__interpolated_string_body,
    STATE(1506), 1,
      sym_text_interpolation,
    STATE(1575), 1,
      sym_variable_name,
    STATE(1722), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3229), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1738), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1747), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(3301), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55961] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1508), 1,
      sym_text_interpolation,
    ACTIONS(3303), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55986] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(3305), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56011] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_AMP,
    ACTIONS(3319), 1,
      anon_sym_PIPE,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1543), 1,
      aux_sym_union_type_repeat1,
    STATE(1546), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1549), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3314), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3307), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56047] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56087] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    ACTIONS(3325), 1,
      anon_sym_RBRACK,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56127] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    ACTIONS(3327), 1,
      anon_sym_RBRACK,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56167] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3329), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3331), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(2489), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56195] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_RBRACK,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56235] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3138), 1,
      anon_sym_BSLASHu,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    ACTIONS(3337), 1,
      anon_sym_DOLLAR,
    STATE(1459), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1516), 1,
      sym_text_interpolation,
    STATE(1544), 1,
      sym_variable_name,
    STATE(1667), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3136), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1638), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1669), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [56275] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    STATE(1517), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56312] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(3339), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3341), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56337] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2175), 1,
      anon_sym_COLON,
    STATE(1519), 1,
      sym_text_interpolation,
    ACTIONS(2877), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1844), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56366] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3345), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(2489), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56393] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3347), 1,
      anon_sym_BSLASH,
    STATE(1521), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_namespace_use_clause,
    STATE(2671), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1798), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(3349), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3351), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56455] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    STATE(1523), 1,
      sym_text_interpolation,
    STATE(2083), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56492] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(2039), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56521] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_BSLASH,
    STATE(1525), 1,
      sym_text_interpolation,
    STATE(2000), 1,
      sym_namespace_use_clause,
    STATE(2727), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1798), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56558] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(2160), 1,
      sym_namespace_use_clause,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1798), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(3355), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3357), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56620] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3359), 1,
      sym_integer,
    STATE(1528), 1,
      sym_text_interpolation,
    STATE(2452), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(970), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [56653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(3213), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3215), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56678] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3361), 1,
      sym_integer,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(970), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [56711] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(2070), 1,
      sym_attribute,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1867), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(3363), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3365), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56772] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    STATE(1533), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3363), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3365), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56798] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3370), 1,
      anon_sym_COMMA,
    ACTIONS(3372), 1,
      anon_sym_RPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1534), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56830] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym_name,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(1906), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56864] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3376), 1,
      sym_name,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2276), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56898] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_PIPE,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1552), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3378), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3380), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [56926] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3384), 1,
      anon_sym_COMMA,
    ACTIONS(3386), 1,
      anon_sym_RPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1538), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56958] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1539), 1,
      sym_text_interpolation,
    ACTIONS(3388), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3391), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56982] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3394), 1,
      anon_sym_RPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(2256), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57014] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3400), 1,
      anon_sym_PIPE,
    STATE(1541), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3396), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3398), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [57040] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3403), 1,
      sym_name,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1921), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57074] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_PIPE,
    STATE(1541), 1,
      aux_sym_union_type_repeat1,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(3405), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3407), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [57102] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3413), 1,
      anon_sym_DASH_GT,
    ACTIONS(3415), 1,
      anon_sym_LBRACK,
    ACTIONS(3419), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(3411), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3417), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [57132] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3421), 1,
      sym_name,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
    STATE(2182), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57166] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_AMP,
    STATE(1533), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1546), 1,
      sym_text_interpolation,
    ACTIONS(3423), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3425), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [57194] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(1790), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57222] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3431), 1,
      anon_sym_PIPE,
    STATE(1548), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3427), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3429), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [57248] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_PIPE,
    STATE(1548), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(3434), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3436), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [57276] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(3438), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(650), 1,
      sym_arguments,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57308] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3440), 1,
      sym_name,
    STATE(1551), 1,
      sym_text_interpolation,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2773), 1,
      sym_namespace_name_as_prefix,
    STATE(1731), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57342] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_PIPE,
    STATE(1548), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1552), 1,
      sym_text_interpolation,
    ACTIONS(3442), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3444), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [57370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1553), 1,
      sym_text_interpolation,
    ACTIONS(3446), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3448), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57394] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1554), 1,
      sym_text_interpolation,
    ACTIONS(1840), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1842), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [57418] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(3396), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3398), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57442] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(3427), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3429), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57466] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(2877), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1844), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57492] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3450), 1,
      sym_name,
    ACTIONS(3452), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(749), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57523] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3454), 1,
      sym_name,
    ACTIONS(3456), 1,
      anon_sym_LBRACE,
    STATE(1559), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(752), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57552] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(813), 1,
      sym_arguments,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57581] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2175), 1,
      anon_sym_COLON,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(1844), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57606] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      sym_name,
    ACTIONS(3460), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57635] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3462), 1,
      sym_name,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_text_interpolation,
    ACTIONS(3464), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(716), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57664] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3468), 1,
      sym_name,
    ACTIONS(3470), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(780), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57693] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3472), 1,
      sym_name,
    ACTIONS(3474), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(934), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57722] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3476), 1,
      sym_name,
    ACTIONS(3478), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(932), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57751] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3450), 1,
      sym_name,
    ACTIONS(3452), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(644), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57782] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(2723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57809] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1569), 1,
      sym_text_interpolation,
    ACTIONS(2725), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57836] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3450), 1,
      sym_name,
    ACTIONS(3452), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(906), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1571), 1,
      sym_text_interpolation,
    ACTIONS(3480), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3482), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57890] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    ACTIONS(3484), 1,
      anon_sym_DASH_GT,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3488), 1,
      sym_execution_string_chars_after_variable,
    STATE(1572), 1,
      sym_text_interpolation,
    ACTIONS(3417), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57919] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3490), 1,
      sym_name,
    ACTIONS(3492), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(883), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57948] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1574), 1,
      sym_text_interpolation,
    ACTIONS(3494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57975] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    ACTIONS(3496), 1,
      anon_sym_DASH_GT,
    ACTIONS(3498), 1,
      anon_sym_LBRACK,
    ACTIONS(3500), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1575), 1,
      sym_text_interpolation,
    ACTIONS(3417), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_BSLASHu,
    STATE(1576), 1,
      sym_text_interpolation,
    ACTIONS(1840), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_BSLASHu,
    STATE(1577), 1,
      sym_text_interpolation,
    ACTIONS(1840), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58050] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3502), 1,
      sym_name,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1578), 1,
      sym_text_interpolation,
    STATE(1668), 1,
      sym_reference_modifier,
    STATE(1708), 1,
      sym_formal_parameters,
    STATE(2367), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58083] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(1579), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58112] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3506), 1,
      sym_name,
    ACTIONS(3510), 1,
      anon_sym_LBRACE,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(3508), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(846), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58141] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3512), 1,
      sym_name,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(1659), 1,
      sym__reserved_identifier,
    STATE(843), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58172] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1582), 1,
      sym_text_interpolation,
    ACTIONS(2727), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58199] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(650), 1,
      sym_arguments,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58228] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_name,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(3508), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(844), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58257] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3520), 1,
      sym_name,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(646), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58286] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_name,
    ACTIONS(3526), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(645), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58315] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3528), 1,
      sym_name,
    ACTIONS(3530), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(884), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58344] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3450), 1,
      sym_name,
    ACTIONS(3452), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(774), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58375] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3532), 1,
      sym_name,
    ACTIONS(3534), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(1665), 1,
      sym__reserved_identifier,
    STATE(885), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58406] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3536), 1,
      sym_name,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1631), 1,
      sym__reserved_identifier,
    STATE(757), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58437] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3540), 1,
      sym_name,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(888), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58466] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1592), 1,
      sym_text_interpolation,
    ACTIONS(3544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58493] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3536), 1,
      sym_name,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(1593), 1,
      sym_text_interpolation,
    STATE(1631), 1,
      sym__reserved_identifier,
    STATE(1644), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58524] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1594), 1,
      sym_text_interpolation,
    ACTIONS(3546), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58551] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3548), 1,
      sym_name,
    ACTIONS(3550), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(896), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58580] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(3552), 1,
      anon_sym_EQ,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3215), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3213), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58609] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3450), 1,
      sym_name,
    ACTIONS(3452), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(931), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58640] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3554), 1,
      sym_name,
    ACTIONS(3556), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym__reserved_identifier,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(843), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58671] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(941), 1,
      sym_arguments,
    STATE(1599), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58700] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_name,
    ACTIONS(3526), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(3558), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(645), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58729] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3560), 1,
      sym_name,
    ACTIONS(3562), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym__reserved_identifier,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(718), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58760] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3520), 1,
      sym_name,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(3558), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(646), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58789] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3532), 1,
      sym_name,
    ACTIONS(3534), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(1665), 1,
      sym__reserved_identifier,
    STATE(1646), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58820] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3564), 1,
      sym_name,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym__reserved_identifier,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(667), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58851] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3568), 1,
      sym_name,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58880] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3572), 1,
      sym_name,
    ACTIONS(3574), 1,
      anon_sym_LBRACE,
    STATE(1606), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(766), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58909] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3576), 1,
      sym_name,
    ACTIONS(3580), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(3578), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(666), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58938] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(2797), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58965] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3502), 1,
      sym_name,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1609), 1,
      sym_text_interpolation,
    STATE(1640), 1,
      sym_reference_modifier,
    STATE(1699), 1,
      sym_formal_parameters,
    STATE(2367), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58998] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3582), 1,
      sym_name,
    ACTIONS(3584), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_text_interpolation,
    ACTIONS(3578), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(664), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [59027] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_name,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(1611), 1,
      sym_text_interpolation,
    ACTIONS(3464), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(717), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [59056] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3590), 1,
      sym_name,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(1612), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(750), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [59085] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_arguments,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59114] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3384), 1,
      anon_sym_COMMA,
    ACTIONS(3386), 1,
      anon_sym_RPAREN,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59140] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1051), 1,
      sym_declaration_list,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1678), 1,
      sym_arguments,
    STATE(2006), 1,
      sym_base_clause,
    STATE(2368), 1,
      sym_class_interface_clause,
  [59174] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1089), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3600), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3602), 1,
      aux_sym_finally_clause_token1,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(1617), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(1087), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1848), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59204] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1097), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3604), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3607), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1095), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1617), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1848), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59232] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1470), 1,
      sym_use_list,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      aux_sym_base_clause_repeat1,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59264] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_AMP,
    ACTIONS(3618), 1,
      anon_sym_PIPE,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1783), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1807), 1,
      aux_sym_union_type_repeat1,
    STATE(1808), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3314), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59294] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1933), 1,
      sym_named_type,
    STATE(2271), 1,
      sym_type_list,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
  [59328] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1020), 1,
      sym_declaration_list,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1693), 1,
      sym_arguments,
    STATE(1984), 1,
      sym_base_clause,
    STATE(2434), 1,
      sym_class_interface_clause,
  [59362] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1190), 1,
      sym_declaration_list,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1709), 1,
      sym_arguments,
    STATE(1910), 1,
      sym_base_clause,
    STATE(2508), 1,
      sym_class_interface_clause,
  [59396] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(1933), 1,
      sym_named_type,
    STATE(2201), 1,
      sym_type_list,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
  [59430] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_RPAREN,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(2256), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59456] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3370), 1,
      anon_sym_COMMA,
    ACTIONS(3372), 1,
      anon_sym_RPAREN,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59482] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1126), 1,
      sym_declaration_list,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1694), 1,
      sym_arguments,
    STATE(1884), 1,
      sym_base_clause,
    STATE(2538), 1,
      sym_class_interface_clause,
  [59516] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1627), 1,
      sym_text_interpolation,
    ACTIONS(1826), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1824), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59537] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(813), 1,
      sym_arguments,
    STATE(1628), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59560] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(813), 1,
      sym_arguments,
    STATE(1629), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59583] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1630), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59606] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    STATE(1631), 1,
      sym_text_interpolation,
    ACTIONS(1955), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59629] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1632), 1,
      sym_text_interpolation,
    ACTIONS(3622), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3624), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59650] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(941), 1,
      sym_arguments,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59673] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(977), 1,
      sym_arguments,
    STATE(1634), 1,
      sym_text_interpolation,
    ACTIONS(1947), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59696] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(3626), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3156), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59717] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3215), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59740] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_DASH,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(2683), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3628), 2,
      sym_integer,
      sym_name,
    STATE(2648), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59767] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1638), 1,
      sym_text_interpolation,
    ACTIONS(3632), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3634), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59788] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1639), 1,
      sym_text_interpolation,
    ACTIONS(1842), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1840), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59809] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    ACTIONS(3636), 1,
      sym_name,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1687), 1,
      sym_formal_parameters,
    STATE(2478), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59836] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1892), 1,
      sym_name,
    STATE(1529), 1,
      sym_qualified_name,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(2215), 1,
      sym_named_type,
    STATE(2772), 1,
      sym_namespace_name,
    STATE(2797), 1,
      sym_namespace_name_as_prefix,
  [59867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1642), 1,
      sym_text_interpolation,
    ACTIONS(2171), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2169), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59888] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1643), 1,
      sym_text_interpolation,
    ACTIONS(1834), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1832), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59909] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    STATE(1644), 1,
      sym_text_interpolation,
    ACTIONS(1792), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59932] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1645), 1,
      sym_text_interpolation,
    ACTIONS(3638), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3640), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59953] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(956), 1,
      sym_arguments,
    STATE(1646), 1,
      sym_text_interpolation,
    ACTIONS(1792), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59976] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1647), 1,
      sym_text_interpolation,
    ACTIONS(3546), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59997] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3642), 1,
      anon_sym_AMP,
    ACTIONS(3648), 1,
      anon_sym_PIPE,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1754), 1,
      aux_sym_union_type_repeat1,
    STATE(1996), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3314), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60026] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_DASH,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(2650), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3628), 2,
      sym_integer,
      sym_name,
    STATE(2648), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60053] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1650), 1,
      sym_text_interpolation,
    ACTIONS(3650), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3652), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60074] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_arguments,
    STATE(1651), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60097] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1652), 1,
      sym_text_interpolation,
    ACTIONS(3544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60118] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym_arguments,
    STATE(1653), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60141] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(834), 1,
      sym_arguments,
    STATE(1654), 1,
      sym_text_interpolation,
    ACTIONS(1947), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60164] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3656), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3654), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1655), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [60189] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(3664), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(2096), 1,
      sym_namespace_aliasing_clause,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3662), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60216] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60239] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(860), 1,
      sym_arguments,
    STATE(1658), 1,
      sym_text_interpolation,
    ACTIONS(1947), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60262] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(869), 1,
      sym_arguments,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(1955), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1660), 1,
      sym_text_interpolation,
    ACTIONS(3494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60306] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_arguments,
    STATE(1661), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60329] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3630), 1,
      anon_sym_DASH,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(2716), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3628), 2,
      sym_integer,
      sym_name,
    STATE(2648), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60356] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3666), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1663), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60379] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_arguments,
    STATE(1664), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60402] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(956), 1,
      sym_arguments,
    STATE(1665), 1,
      sym_text_interpolation,
    ACTIONS(1955), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60425] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3668), 1,
      sym_name,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1770), 1,
      sym_reference_modifier,
    STATE(2415), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60452] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1667), 1,
      sym_text_interpolation,
    ACTIONS(3670), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3672), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60473] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    ACTIONS(3636), 1,
      sym_name,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1675), 1,
      sym_formal_parameters,
    STATE(2478), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60500] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1669), 1,
      sym_text_interpolation,
    ACTIONS(3411), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3417), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60521] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_arguments,
    STATE(1670), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60544] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LPAREN,
    STATE(941), 1,
      sym_arguments,
    STATE(1671), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60567] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3674), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [60589] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_compound_statement,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1972), 1,
      sym_anonymous_function_use_clause,
    STATE(2577), 1,
      sym__return_type,
  [60617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASHu,
    STATE(1674), 1,
      sym_text_interpolation,
    ACTIONS(1832), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60637] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_compound_statement,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1901), 1,
      sym_anonymous_function_use_clause,
    STATE(2548), 1,
      sym__return_type,
  [60665] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_compound_statement,
    STATE(1676), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      sym_anonymous_function_use_clause,
    STATE(2473), 1,
      sym__return_type,
  [60693] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1145), 1,
      sym_compound_statement,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      sym_anonymous_function_use_clause,
    STATE(2408), 1,
      sym__return_type,
  [60721] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1021), 1,
      sym_declaration_list,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(1985), 1,
      sym_base_clause,
    STATE(2427), 1,
      sym_class_interface_clause,
  [60749] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(1692), 1,
      aux_sym_switch_block_repeat1,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [60775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_BSLASHu,
    STATE(1680), 1,
      sym_text_interpolation,
    ACTIONS(3652), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60795] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1172), 1,
      sym_compound_statement,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(1935), 1,
      sym_anonymous_function_use_clause,
    STATE(2326), 1,
      sym__return_type,
  [60823] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3688), 1,
      sym_name,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(1880), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60847] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3690), 1,
      aux_sym_switch_block_token1,
    STATE(1655), 1,
      aux_sym_switch_block_repeat1,
    STATE(1683), 1,
      sym_text_interpolation,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [60873] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1001), 1,
      sym_compound_statement,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(2001), 1,
      sym_anonymous_function_use_clause,
    STATE(2316), 1,
      sym__return_type,
  [60901] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3692), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3694), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3696), 1,
      aux_sym_else_clause_token1,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      aux_sym_if_statement_repeat2,
    STATE(2184), 1,
      sym_else_if_clause_2,
    STATE(2655), 1,
      sym_else_clause_2,
  [60929] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1115), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3700), 1,
      aux_sym_else_clause_token1,
    STATE(1686), 1,
      sym_text_interpolation,
    STATE(1735), 1,
      aux_sym_if_statement_repeat1,
    STATE(2130), 1,
      sym_else_if_clause,
    STATE(2143), 1,
      sym_else_clause,
  [60957] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1165), 1,
      sym_compound_statement,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(1936), 1,
      sym_anonymous_function_use_clause,
    STATE(2322), 1,
      sym__return_type,
  [60985] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3694), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3696), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3702), 1,
      aux_sym_if_statement_token2,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      aux_sym_if_statement_repeat2,
    STATE(2184), 1,
      sym_else_if_clause_2,
    STATE(2766), 1,
      sym_else_clause_2,
  [61013] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1014), 1,
      sym_compound_statement,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1983), 1,
      sym_anonymous_function_use_clause,
    STATE(2446), 1,
      sym__return_type,
  [61041] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1105), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3704), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3707), 1,
      aux_sym_else_clause_token1,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      aux_sym_if_statement_repeat1,
    STATE(2130), 1,
      sym_else_if_clause,
    STATE(2307), 1,
      sym_else_clause,
  [61069] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1033), 1,
      sym_compound_statement,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(1969), 1,
      sym_anonymous_function_use_clause,
    STATE(2556), 1,
      sym__return_type,
  [61097] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3710), 1,
      anon_sym_RBRACE,
    STATE(1655), 1,
      aux_sym_switch_block_repeat1,
    STATE(1692), 1,
      sym_text_interpolation,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [61123] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(993), 1,
      sym_declaration_list,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(1976), 1,
      sym_base_clause,
    STATE(2598), 1,
      sym_class_interface_clause,
  [61151] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1197), 1,
      sym_declaration_list,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      sym_base_clause,
    STATE(2511), 1,
      sym_class_interface_clause,
  [61179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_BSLASHu,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(3652), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3688), 1,
      sym_name,
    STATE(1696), 1,
      sym_text_interpolation,
    STATE(1979), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61223] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_compound_statement,
    STATE(1697), 1,
      sym_text_interpolation,
    STATE(1938), 1,
      sym_anonymous_function_use_clause,
    STATE(2315), 1,
      sym__return_type,
  [61251] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1115), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3712), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3715), 1,
      aux_sym_else_clause_token1,
    STATE(1690), 1,
      aux_sym_if_statement_repeat1,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(2130), 1,
      sym_else_if_clause,
    STATE(2143), 1,
      sym_else_clause,
  [61279] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1180), 1,
      sym_compound_statement,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(1912), 1,
      sym_anonymous_function_use_clause,
    STATE(2465), 1,
      sym__return_type,
  [61307] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3718), 1,
      aux_sym_switch_block_token1,
    STATE(1700), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      aux_sym_switch_block_repeat1,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [61333] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_declaration_list,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      sym_base_clause,
    STATE(2329), 1,
      sym_class_interface_clause,
  [61361] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      aux_sym_switch_block_repeat1,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [61387] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_declaration_list,
    STATE(1703), 1,
      sym_text_interpolation,
    STATE(1919), 1,
      sym_base_clause,
    STATE(2457), 1,
      sym_class_interface_clause,
  [61415] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3724), 1,
      aux_sym_switch_block_token1,
    STATE(1683), 1,
      aux_sym_switch_block_repeat1,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [61441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_BSLASHu,
    STATE(1705), 1,
      sym_text_interpolation,
    ACTIONS(3624), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61461] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3694), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3696), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3726), 1,
      aux_sym_if_statement_token2,
    STATE(1685), 1,
      aux_sym_if_statement_repeat2,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      sym_else_if_clause_2,
    STATE(2662), 1,
      sym_else_clause_2,
  [61489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_BSLASHu,
    STATE(1707), 1,
      sym_text_interpolation,
    ACTIONS(3640), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61509] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1140), 1,
      sym_compound_statement,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      sym_anonymous_function_use_clause,
    STATE(2479), 1,
      sym__return_type,
  [61537] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_declaration_list,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(1934), 1,
      sym_base_clause,
    STATE(2348), 1,
      sym_class_interface_clause,
  [61565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_BSLASHu,
    STATE(1710), 1,
      sym_text_interpolation,
    ACTIONS(1840), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61585] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3728), 1,
      aux_sym_switch_block_token1,
    STATE(1655), 1,
      aux_sym_switch_block_repeat1,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [61611] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3694), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3696), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3730), 1,
      aux_sym_if_statement_token2,
    STATE(1688), 1,
      aux_sym_if_statement_repeat2,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      sym_else_if_clause_2,
    STATE(2638), 1,
      sym_else_clause_2,
  [61639] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3732), 1,
      anon_sym_SQUOTE,
    ACTIONS(3734), 1,
      aux_sym_string_token2,
    ACTIONS(3736), 1,
      aux_sym_string_content_token1,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(1752), 1,
      aux_sym_string_repeat1,
    STATE(1868), 1,
      aux_sym_string_content_repeat1,
    STATE(2072), 1,
      sym_string_content,
  [61667] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3734), 1,
      aux_sym_string_token2,
    ACTIONS(3736), 1,
      aux_sym_string_content_token1,
    ACTIONS(3738), 1,
      anon_sym_SQUOTE,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(1721), 1,
      aux_sym_string_repeat1,
    STATE(1868), 1,
      aux_sym_string_content_repeat1,
    STATE(2072), 1,
      sym_string_content,
  [61695] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3688), 1,
      sym_name,
    STATE(1715), 1,
      sym_text_interpolation,
    STATE(2004), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_BSLASHu,
    STATE(1716), 1,
      sym_text_interpolation,
    ACTIONS(1840), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61739] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1030), 1,
      sym_compound_statement,
    STATE(1717), 1,
      sym_text_interpolation,
    STATE(1990), 1,
      sym_anonymous_function_use_clause,
    STATE(2395), 1,
      sym__return_type,
  [61767] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2352), 1,
      sym_class_interface_clause,
  [61795] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3740), 1,
      sym_php_tag,
    ACTIONS(3742), 1,
      aux_sym_text_token1,
    ACTIONS(3744), 1,
      aux_sym_text_token2,
    ACTIONS(3746), 1,
      sym__eof,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1759), 1,
      aux_sym_text_repeat1,
    STATE(2311), 1,
      sym_text,
  [61823] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1006), 1,
      sym_compound_statement,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(1982), 1,
      sym_anonymous_function_use_clause,
    STATE(2449), 1,
      sym__return_type,
  [61851] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3734), 1,
      aux_sym_string_token2,
    ACTIONS(3736), 1,
      aux_sym_string_content_token1,
    ACTIONS(3748), 1,
      anon_sym_SQUOTE,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      aux_sym_string_repeat1,
    STATE(1868), 1,
      aux_sym_string_content_repeat1,
    STATE(2072), 1,
      sym_string_content,
  [61879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_BSLASHu,
    STATE(1722), 1,
      sym_text_interpolation,
    ACTIONS(3672), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61899] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      aux_sym_base_clause_repeat1,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3752), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_BSLASHu,
    STATE(1724), 1,
      sym_text_interpolation,
    ACTIONS(3672), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61945] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3686), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3754), 1,
      anon_sym_RBRACE,
    STATE(1655), 1,
      aux_sym_switch_block_repeat1,
    STATE(1725), 1,
      sym_text_interpolation,
    STATE(1908), 2,
      sym_case_statement,
      sym_default_statement,
  [61971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    STATE(1726), 1,
      sym_text_interpolation,
    ACTIONS(3417), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61991] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1727), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_declaration_list,
    STATE(1981), 1,
      sym_base_clause,
    STATE(2464), 1,
      sym_class_interface_clause,
  [62019] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1024), 1,
      sym_compound_statement,
    STATE(1728), 1,
      sym_text_interpolation,
    STATE(1975), 1,
      sym_anonymous_function_use_clause,
    STATE(2592), 1,
      sym__return_type,
  [62047] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1729), 1,
      sym_text_interpolation,
    STATE(1786), 1,
      sym_declaration_list,
    STATE(1977), 1,
      sym_base_clause,
    STATE(2469), 1,
      sym_class_interface_clause,
  [62075] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2596), 1,
      sym_arguments,
    ACTIONS(3756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62101] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1470), 1,
      sym_use_list,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62127] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1473), 1,
      sym_use_list,
    STATE(1732), 1,
      sym_text_interpolation,
    STATE(1812), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62153] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1733), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      sym_declaration_list,
    STATE(1971), 1,
      sym_base_clause,
    STATE(2576), 1,
      sym_class_interface_clause,
  [62181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_BSLASHu,
    STATE(1734), 1,
      sym_text_interpolation,
    ACTIONS(3280), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62201] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1105), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3700), 1,
      aux_sym_else_clause_token1,
    STATE(1735), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      aux_sym_if_statement_repeat1,
    STATE(2130), 1,
      sym_else_if_clause,
    STATE(2307), 1,
      sym_else_clause,
  [62229] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_declaration_list,
    STATE(1736), 1,
      sym_text_interpolation,
    STATE(1882), 1,
      sym_base_clause,
    STATE(2491), 1,
      sym_class_interface_clause,
  [62257] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3688), 1,
      sym_name,
    STATE(1737), 1,
      sym_text_interpolation,
    STATE(1915), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_BSLASHu,
    STATE(1738), 1,
      sym_text_interpolation,
    ACTIONS(3762), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_BSLASHu,
    STATE(1739), 1,
      sym_text_interpolation,
    ACTIONS(1824), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62321] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      anon_sym_PIPE,
    ACTIONS(3766), 1,
      anon_sym_AMP,
    STATE(1543), 1,
      aux_sym_union_type_repeat1,
    STATE(1549), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(2171), 1,
      aux_sym_intersection_type_repeat1,
  [62349] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3772), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      aux_sym_string_token2,
    ACTIONS(3777), 1,
      aux_sym_string_content_token1,
    STATE(1868), 1,
      aux_sym_string_content_repeat1,
    STATE(2072), 1,
      sym_string_content,
    STATE(1741), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [62375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_BSLASHu,
    STATE(1742), 1,
      sym_text_interpolation,
    ACTIONS(3780), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_BSLASHu,
    STATE(1743), 1,
      sym_text_interpolation,
    ACTIONS(1824), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62415] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_declaration_list,
    STATE(1744), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym_base_clause,
    STATE(2440), 1,
      sym_class_interface_clause,
  [62443] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_BSLASHu,
    STATE(1745), 1,
      sym_text_interpolation,
    ACTIONS(3254), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62463] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(996), 1,
      sym_compound_statement,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(1974), 1,
      sym_anonymous_function_use_clause,
    STATE(2588), 1,
      sym__return_type,
  [62491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3417), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62511] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_BSLASHu,
    STATE(1748), 1,
      sym_text_interpolation,
    ACTIONS(3640), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62531] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3688), 1,
      sym_name,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      sym_const_element,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_BSLASHu,
    STATE(1750), 1,
      sym_text_interpolation,
    ACTIONS(3624), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASHu,
    STATE(1751), 1,
      sym_text_interpolation,
    ACTIONS(1832), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62595] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3734), 1,
      aux_sym_string_token2,
    ACTIONS(3736), 1,
      aux_sym_string_content_token1,
    ACTIONS(3786), 1,
      anon_sym_SQUOTE,
    STATE(1741), 1,
      aux_sym_string_repeat1,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      aux_sym_string_content_repeat1,
    STATE(2072), 1,
      sym_string_content,
  [62623] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3436), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62644] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_PIPE,
    STATE(1754), 1,
      sym_text_interpolation,
    STATE(1827), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3407), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62665] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3792), 1,
      sym_name,
    ACTIONS(3794), 1,
      anon_sym_LBRACE,
    ACTIONS(3796), 1,
      anon_sym_DOLLAR,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(1751), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62688] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3800), 1,
      anon_sym_EQ,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(2277), 1,
      sym_property_initializer,
    ACTIONS(3798), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62709] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym_name,
    ACTIONS(3804), 1,
      anon_sym_LBRACE,
    ACTIONS(3806), 1,
      anon_sym_DOLLAR,
    STATE(1757), 1,
      sym_text_interpolation,
    STATE(1643), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62732] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3808), 1,
      ts_builtin_sym_end,
    ACTIONS(3810), 1,
      sym_php_tag,
    ACTIONS(3812), 1,
      aux_sym_text_token1,
    ACTIONS(3815), 1,
      aux_sym_text_token2,
    STATE(1758), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [62755] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3742), 1,
      aux_sym_text_token1,
    ACTIONS(3744), 1,
      aux_sym_text_token2,
    ACTIONS(3818), 1,
      sym_php_tag,
    ACTIONS(3820), 1,
      sym__eof,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(1820), 1,
      aux_sym_text_repeat1,
  [62780] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3822), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3824), 1,
      aux_sym_finally_clause_token1,
    STATE(461), 1,
      aux_sym_try_statement_repeat1,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(470), 2,
      sym_catch_clause,
      sym_finally_clause,
  [62803] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3830), 1,
      anon_sym_DASH_GT,
    ACTIONS(3832), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3834), 1,
      anon_sym_LBRACK,
    STATE(1761), 1,
      sym_text_interpolation,
  [62828] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1762), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62849] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_BSLASH,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(1836), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3838), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62870] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3843), 1,
      anon_sym_AMP,
    ACTIONS(3845), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(2439), 2,
      sym_variable_name,
      sym_variable_reference,
  [62893] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_PIPE,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3380), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1151), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1766), 1,
      sym_text_interpolation,
    ACTIONS(1149), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62933] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3847), 1,
      anon_sym_LBRACE,
    ACTIONS(3849), 1,
      anon_sym_DASH_GT,
    ACTIONS(3851), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3853), 1,
      anon_sym_LBRACK,
    STATE(1767), 1,
      sym_text_interpolation,
  [62958] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1768), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3855), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62979] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3857), 1,
      sym_name,
    ACTIONS(3859), 1,
      anon_sym_LBRACE,
    ACTIONS(3861), 1,
      anon_sym_DOLLAR,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(1674), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63002] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3863), 1,
      sym_name,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym__reserved_identifier,
    ACTIONS(2663), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [63023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_BSLASH,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(1781), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3865), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [63044] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3834), 1,
      anon_sym_LBRACK,
    ACTIONS(3869), 1,
      anon_sym_DASH_GT,
    ACTIONS(3871), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1772), 1,
      sym_text_interpolation,
  [63069] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3600), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3602), 1,
      aux_sym_finally_clause_token1,
    STATE(1616), 1,
      aux_sym_try_statement_repeat1,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(1848), 2,
      sym_catch_clause,
      sym_finally_clause,
  [63092] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    ACTIONS(3873), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(2267), 1,
      aux_sym_base_clause_repeat1,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
  [63117] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3875), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2167), 1,
      sym_reference_modifier,
    STATE(2168), 1,
      sym_variable_name,
  [63142] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3879), 1,
      anon_sym_COLON,
    STATE(539), 1,
      sym_enum_declaration_list,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2489), 1,
      sym_class_interface_clause,
  [63167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1147), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1777), 1,
      sym_text_interpolation,
    ACTIONS(1145), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63186] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1778), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3881), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63207] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_BSLASH,
    STATE(1763), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1779), 1,
      sym_text_interpolation,
    ACTIONS(3865), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63228] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_LBRACE,
    ACTIONS(3806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3886), 1,
      sym_name,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(1643), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63251] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_BSLASH,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(1846), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3838), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [63272] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_BSLASH,
    STATE(577), 1,
      sym_compound_statement,
    STATE(1782), 1,
      sym_text_interpolation,
    ACTIONS(3888), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63295] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_AMP,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3425), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63316] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1784), 1,
      sym_text_interpolation,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3892), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3894), 1,
      anon_sym_PIPE,
    STATE(1785), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3429), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63356] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1786), 1,
      sym_text_interpolation,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_AMP,
    STATE(1787), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3365), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63396] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3902), 1,
      anon_sym_LBRACE,
    ACTIONS(3904), 1,
      anon_sym_DASH_GT,
    ACTIONS(3906), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3908), 1,
      anon_sym_LBRACK,
    STATE(1788), 1,
      sym_text_interpolation,
  [63421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_PIPE,
    STATE(1789), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3398), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63440] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3847), 1,
      anon_sym_LBRACE,
    ACTIONS(3853), 1,
      anon_sym_LBRACK,
    ACTIONS(3913), 1,
      anon_sym_DASH_GT,
    ACTIONS(3915), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1790), 1,
      sym_text_interpolation,
  [63465] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3917), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(3444), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63486] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    ACTIONS(3921), 1,
      anon_sym_COLON,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(2109), 1,
      sym_enum_declaration_list,
    STATE(2454), 1,
      sym_class_interface_clause,
  [63511] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(3925), 1,
      anon_sym_DASH_GT,
    ACTIONS(3927), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3929), 1,
      anon_sym_LBRACK,
    STATE(1793), 1,
      sym_text_interpolation,
  [63536] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3931), 1,
      sym_name,
    ACTIONS(3933), 1,
      anon_sym_BSLASH,
    STATE(500), 1,
      sym_compound_statement,
    STATE(1782), 1,
      sym_namespace_name,
    STATE(1794), 1,
      sym_text_interpolation,
  [63561] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3917), 1,
      anon_sym_PIPE,
    STATE(1791), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1795), 1,
      sym_text_interpolation,
    ACTIONS(3380), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63582] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    ACTIONS(3935), 1,
      anon_sym_COLON,
    STATE(1796), 1,
      sym_text_interpolation,
    STATE(2040), 1,
      sym_enum_declaration_list,
    STATE(2346), 1,
      sym_class_interface_clause,
  [63607] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_COLON,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(2214), 1,
      sym__return_type,
    ACTIONS(3937), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63628] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1798), 1,
      sym_text_interpolation,
    STATE(2096), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3662), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [63649] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3941), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(2246), 1,
      sym_reference_modifier,
    STATE(2248), 1,
      sym_variable_name,
  [63674] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_BSLASH,
    STATE(1800), 1,
      sym_text_interpolation,
    STATE(2065), 1,
      sym_compound_statement,
    ACTIONS(3943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63697] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_LBRACE,
    ACTIONS(3796), 1,
      anon_sym_DOLLAR,
    ACTIONS(3945), 1,
      sym_name,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(1751), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63720] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1131), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1802), 1,
      sym_text_interpolation,
    ACTIONS(1129), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63739] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_COLON,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(2053), 1,
      sym__return_type,
    ACTIONS(3947), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63760] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(3951), 1,
      anon_sym_DASH_GT,
    ACTIONS(3953), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3955), 1,
      anon_sym_LBRACK,
    STATE(1804), 1,
      sym_text_interpolation,
  [63785] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_LBRACE,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3834), 1,
      anon_sym_LBRACK,
    ACTIONS(3957), 1,
      anon_sym_DASH_GT,
    ACTIONS(3959), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1805), 1,
      sym_text_interpolation,
  [63810] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(3357), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63827] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_PIPE,
    STATE(1789), 1,
      aux_sym_union_type_repeat1,
    STATE(1807), 1,
      sym_text_interpolation,
    ACTIONS(3407), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63848] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3917), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1808), 1,
      sym_text_interpolation,
    ACTIONS(3436), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63869] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3674), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63890] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(3955), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DASH_GT,
    ACTIONS(3965), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1810), 1,
      sym_text_interpolation,
  [63915] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym_name,
    ACTIONS(3969), 1,
      anon_sym_LBRACE,
    STATE(1811), 1,
      sym_text_interpolation,
    STATE(940), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3971), 1,
      anon_sym_COMMA,
    STATE(1812), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3674), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63957] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_LBRACE,
    ACTIONS(3861), 1,
      anon_sym_DOLLAR,
    ACTIONS(3974), 1,
      sym_name,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(1674), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63980] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1814), 1,
      sym_text_interpolation,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64001] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3978), 1,
      sym_name,
    ACTIONS(3980), 1,
      anon_sym_LBRACE,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(818), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64024] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3982), 1,
      sym_name,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(2175), 1,
      sym_visibility_modifier,
    ACTIONS(3984), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [64045] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1153), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1155), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3986), 1,
      aux_sym_else_if_clause_token1,
    STATE(2130), 1,
      sym_else_if_clause,
    STATE(1817), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [64068] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1818), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64089] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3991), 1,
      anon_sym_COLON,
    STATE(505), 1,
      sym_enum_declaration_list,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      sym_class_interface_clause,
  [64114] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3808), 1,
      sym__eof,
    ACTIONS(3810), 1,
      sym_php_tag,
    ACTIONS(3993), 1,
      aux_sym_text_token1,
    ACTIONS(3996), 1,
      aux_sym_text_token2,
    STATE(1820), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [64137] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3818), 1,
      sym_php_tag,
    ACTIONS(3820), 1,
      ts_builtin_sym_end,
    STATE(1758), 1,
      aux_sym_text_repeat1,
    STATE(1821), 1,
      sym_text_interpolation,
  [64162] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_if_statement_token2,
    ACTIONS(4001), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4004), 1,
      aux_sym_else_clause_token1,
    STATE(2184), 1,
      sym_else_if_clause_2,
    STATE(1822), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [64185] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1823), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4006), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64206] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3931), 1,
      sym_name,
    ACTIONS(3933), 1,
      anon_sym_BSLASH,
    STATE(1800), 1,
      sym_namespace_name,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(2007), 1,
      sym_compound_statement,
  [64231] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4008), 1,
      sym_name,
    ACTIONS(4010), 1,
      anon_sym_LBRACE,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(654), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64254] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4012), 1,
      anon_sym_LBRACE,
    ACTIONS(4014), 1,
      anon_sym_DASH_GT,
    ACTIONS(4016), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(1826), 1,
      sym_text_interpolation,
  [64279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_PIPE,
    STATE(1827), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3398), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64298] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1684), 1,
      sym_formal_parameters,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(2503), 1,
      sym_reference_modifier,
  [64323] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1829), 1,
      sym_text_interpolation,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4023), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64344] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_name,
    ACTIONS(4027), 1,
      anon_sym_LBRACE,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(689), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64367] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4029), 1,
      anon_sym_PIPE,
    STATE(1831), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3429), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64386] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1832), 1,
      sym_text_interpolation,
    ACTIONS(3351), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64403] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4032), 1,
      sym_name,
    STATE(1833), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_namespace_name,
    STATE(2230), 1,
      sym_namespace_use_group_clause,
    ACTIONS(4034), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [64426] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1834), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4036), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64447] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(1786), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_BSLASH,
    STATE(1836), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(4038), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64483] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1837), 1,
      sym_text_interpolation,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4043), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64504] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4045), 1,
      sym_name,
    ACTIONS(4047), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(876), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64527] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_name,
    ACTIONS(4051), 1,
      anon_sym_LBRACE,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64550] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1840), 1,
      sym_text_interpolation,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4053), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64571] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4032), 1,
      sym_name,
    STATE(1841), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_namespace_name,
    STATE(2431), 1,
      sym_namespace_use_group_clause,
    ACTIONS(4034), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [64594] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_PIPE,
    STATE(1831), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1842), 1,
      sym_text_interpolation,
    ACTIONS(3444), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64615] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3215), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64632] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_reference_modifier,
  [64657] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(3955), 1,
      anon_sym_LBRACK,
    ACTIONS(4055), 1,
      anon_sym_DASH_GT,
    ACTIONS(4057), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1845), 1,
      sym_text_interpolation,
  [64682] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_BSLASH,
    STATE(1846), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(4038), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [64701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1847), 1,
      sym_text_interpolation,
    ACTIONS(3341), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64718] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1143), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1848), 1,
      sym_text_interpolation,
    ACTIONS(1141), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64737] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3843), 1,
      anon_sym_AMP,
    ACTIONS(4062), 1,
      anon_sym_RPAREN,
    STATE(1849), 1,
      sym_text_interpolation,
    STATE(2439), 2,
      sym_variable_name,
      sym_variable_reference,
  [64760] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1850), 1,
      sym_text_interpolation,
    ACTIONS(4064), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64776] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(2414), 1,
      sym_class_interface_clause,
  [64798] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1852), 1,
      sym_text_interpolation,
    ACTIONS(1890), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [64814] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_reference_modifier,
  [64836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(2732), 1,
      sym_declare_directive,
    ACTIONS(4066), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [64854] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2620), 1,
      sym_declare_directive,
    ACTIONS(4066), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [64872] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(1874), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4068), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64892] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_EQ,
    STATE(1857), 1,
      sym_text_interpolation,
    ACTIONS(4072), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [64910] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(1875), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4076), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64930] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(1877), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64950] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(4084), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
    ACTIONS(4086), 2,
      sym_php_tag,
      aux_sym_text_token1,
  [64968] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4088), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2487), 1,
      sym_base_clause,
  [64990] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1684), 1,
      sym_formal_parameters,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2503), 1,
      sym_reference_modifier,
  [65012] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4090), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(2516), 1,
      sym_static_modifier,
  [65034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2603), 1,
      sym_declare_directive,
    ACTIONS(4066), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [65052] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2697), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4092), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1865), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      sym_static_modifier,
  [65074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2636), 1,
      sym_declare_directive,
    ACTIONS(4066), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [65092] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2596), 1,
      sym_arguments,
    ACTIONS(3756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [65112] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3736), 1,
      aux_sym_string_content_token1,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(1887), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4094), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [65132] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4100), 1,
      sym_heredoc_end,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2591), 1,
      sym_heredoc_body,
  [65154] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1676), 1,
      sym_formal_parameters,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2583), 1,
      sym_reference_modifier,
  [65176] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2142), 1,
      sym_formal_parameters,
    STATE(2582), 1,
      sym_reference_modifier,
  [65198] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1872), 1,
      sym_text_interpolation,
    STATE(1881), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65218] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      sym_formal_parameters,
    STATE(2579), 1,
      sym_reference_modifier,
  [65240] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1874), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4106), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65260] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(1896), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4108), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65280] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4110), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65300] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4110), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65320] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1878), 1,
      sym_text_interpolation,
    ACTIONS(4112), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65336] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1185), 1,
      sym_compound_statement,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2544), 1,
      sym__return_type,
  [65358] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(1903), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65378] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4116), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65398] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2535), 1,
      sym_class_interface_clause,
  [65420] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1720), 1,
      sym_formal_parameters,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2533), 1,
      sym_reference_modifier,
  [65442] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1197), 1,
      sym_declaration_list,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2511), 1,
      sym_class_interface_clause,
  [65464] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_EQ,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2193), 1,
      aux_sym__list_destructing_repeat1,
  [65486] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1886), 1,
      sym_text_interpolation,
    ACTIONS(4122), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [65502] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4126), 1,
      aux_sym_string_content_token1,
    ACTIONS(4124), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1887), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [65520] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4129), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4131), 1,
      sym_heredoc_end,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(2480), 1,
      sym_heredoc_body,
  [65542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1889), 1,
      sym_text_interpolation,
    ACTIONS(4038), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [65558] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3933), 1,
      anon_sym_BSLASH,
    ACTIONS(4133), 1,
      sym_name,
    STATE(1890), 1,
      sym_text_interpolation,
    STATE(2742), 1,
      sym_namespace_name,
  [65580] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4088), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_declaration_list,
    STATE(1891), 1,
      sym_text_interpolation,
    STATE(2463), 1,
      sym_base_clause,
  [65602] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1697), 1,
      sym_formal_parameters,
    STATE(1892), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_reference_modifier,
  [65624] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1893), 1,
      sym_text_interpolation,
    STATE(2221), 1,
      sym_formal_parameters,
    STATE(2450), 1,
      sym_reference_modifier,
  [65646] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(1916), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4116), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65666] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1895), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [65684] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1896), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [65702] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1897), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    ACTIONS(4147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1898), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [65740] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1899), 1,
      sym_text_interpolation,
    ACTIONS(4152), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65756] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2238), 2,
      sym_variable_name,
      sym_by_ref,
  [65776] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1221), 1,
      sym_compound_statement,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(2393), 1,
      sym__return_type,
  [65798] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3843), 1,
      anon_sym_AMP,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(2249), 2,
      sym_variable_name,
      sym_variable_reference,
  [65818] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_COMMA,
    ACTIONS(4156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1904), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [65856] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4161), 1,
      anon_sym_SEMI,
    ACTIONS(4163), 1,
      sym__automatic_semicolon,
    STATE(1475), 1,
      sym_compound_statement,
    STATE(1905), 1,
      sym_text_interpolation,
  [65878] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3752), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [65898] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(627), 1,
      sym_enum_declaration_list,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(2376), 1,
      sym_class_interface_clause,
  [65920] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1908), 1,
      sym_text_interpolation,
    ACTIONS(4165), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [65936] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym_declaration_list,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2349), 1,
      sym_class_interface_clause,
  [65958] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_declaration_list,
    STATE(1910), 1,
      sym_text_interpolation,
    STATE(2348), 1,
      sym_class_interface_clause,
  [65980] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_compound_statement,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(2324), 1,
      sym__return_type,
  [66002] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_compound_statement,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2320), 1,
      sym__return_type,
  [66024] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_AMP,
    ACTIONS(3365), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1913), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [66042] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1673), 1,
      sym_formal_parameters,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(2471), 1,
      sym_reference_modifier,
  [66064] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(1940), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66084] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1916), 1,
      sym_text_interpolation,
    ACTIONS(4172), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66104] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_declaration_list,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym_class_interface_clause,
  [66126] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1918), 1,
      sym_text_interpolation,
    ACTIONS(3448), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66142] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_declaration_list,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2317), 1,
      sym_class_interface_clause,
  [66164] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4176), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2325), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4174), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1921), 1,
      sym_text_interpolation,
    ACTIONS(3674), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [66200] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1922), 1,
      sym_text_interpolation,
    ACTIONS(3365), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [66216] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1699), 1,
      sym_formal_parameters,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(2459), 1,
      sym_reference_modifier,
  [66238] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1924), 1,
      sym_text_interpolation,
    ACTIONS(4178), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66254] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1925), 1,
      sym_text_interpolation,
    STATE(2298), 2,
      sym_variable_name,
      sym_by_ref,
  [66274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(4180), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66290] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1689), 1,
      sym_formal_parameters,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(2444), 1,
      sym_reference_modifier,
  [66312] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1928), 1,
      sym_text_interpolation,
    STATE(2292), 2,
      sym_variable_name,
      sym_by_ref,
  [66332] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_SEMI,
    ACTIONS(4184), 1,
      sym__automatic_semicolon,
    STATE(1460), 1,
      sym_compound_statement,
    STATE(1929), 1,
      sym_text_interpolation,
  [66354] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(1945), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4186), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66374] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_SEMI,
    ACTIONS(4192), 1,
      sym__automatic_semicolon,
    STATE(1464), 1,
      sym_compound_statement,
    STATE(1931), 1,
      sym_text_interpolation,
  [66396] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4194), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [66416] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_PIPE,
    STATE(1933), 1,
      sym_text_interpolation,
    STATE(1948), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4196), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66436] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_class_interface_clause,
  [66458] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_compound_statement,
    STATE(1935), 1,
      sym_text_interpolation,
    STATE(2404), 1,
      sym__return_type,
  [66480] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_compound_statement,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2406), 1,
      sym__return_type,
  [66502] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_enum_declaration_list,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      sym_class_interface_clause,
  [66524] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_compound_statement,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2424), 1,
      sym__return_type,
  [66546] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
    STATE(1939), 1,
      sym_text_interpolation,
    STATE(2379), 1,
      sym_class_interface_clause,
  [66568] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1940), 1,
      sym_text_interpolation,
    ACTIONS(4200), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66588] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4176), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1941), 1,
      sym_text_interpolation,
    STATE(2428), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(4178), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66624] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_AMP,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(1943), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_by_ref,
  [66644] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_SEMI,
    ACTIONS(4206), 1,
      sym__automatic_semicolon,
    STATE(1467), 1,
      sym_compound_statement,
    STATE(1944), 1,
      sym_text_interpolation,
  [66666] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(1958), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4208), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66686] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      sym_text_interpolation,
    STATE(1963), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4210), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66706] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    ACTIONS(3674), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1947), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [66724] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_PIPE,
    STATE(1948), 1,
      sym_text_interpolation,
    STATE(1964), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4215), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66744] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(1998), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4217), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66764] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(1999), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4219), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66784] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4223), 1,
      sym_nowdoc_string,
    STATE(1951), 1,
      sym_text_interpolation,
    STATE(1965), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4221), 2,
      sym_heredoc_end,
      sym__new_line,
  [66804] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      sym_text_interpolation,
    STATE(2002), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66824] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_compound_statement,
    STATE(1953), 1,
      sym_text_interpolation,
    STATE(2475), 1,
      sym__return_type,
  [66846] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(1955), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66866] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1955), 1,
      sym_text_interpolation,
    STATE(1958), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66886] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1956), 1,
      sym_text_interpolation,
    STATE(2005), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4231), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66906] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      sym_text_interpolation,
    STATE(1968), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    ACTIONS(4235), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1958), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
  [66944] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(2043), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_base_clause,
  [66966] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(3429), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66982] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(3398), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66998] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_AMP,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1708), 1,
      sym_formal_parameters,
    STATE(1962), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_reference_modifier,
  [67020] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1958), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(4240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_PIPE,
    ACTIONS(4242), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1964), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [67058] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4249), 1,
      sym_nowdoc_string,
    ACTIONS(4247), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1965), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [67076] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(4180), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [67092] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3843), 1,
      anon_sym_AMP,
    STATE(1967), 1,
      sym_text_interpolation,
    STATE(2439), 2,
      sym_variable_name,
      sym_variable_reference,
  [67112] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1958), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1968), 1,
      sym_text_interpolation,
    ACTIONS(4252), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67132] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1042), 1,
      sym_compound_statement,
    STATE(1969), 1,
      sym_text_interpolation,
    STATE(2542), 1,
      sym__return_type,
  [67154] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(4254), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67174] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_declaration_list,
    STATE(1971), 1,
      sym_text_interpolation,
    STATE(2552), 1,
      sym_class_interface_clause,
  [67196] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1035), 1,
      sym_compound_statement,
    STATE(1972), 1,
      sym_text_interpolation,
    STATE(2553), 1,
      sym__return_type,
  [67218] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(1973), 1,
      sym_text_interpolation,
    STATE(2186), 1,
      sym_enum_declaration_list,
    STATE(2558), 1,
      sym_class_interface_clause,
  [67240] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_compound_statement,
    STATE(1974), 1,
      sym_text_interpolation,
    STATE(2559), 1,
      sym__return_type,
  [67262] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1026), 1,
      sym_compound_statement,
    STATE(1975), 1,
      sym_text_interpolation,
    STATE(2560), 1,
      sym__return_type,
  [67284] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1023), 1,
      sym_declaration_list,
    STATE(1976), 1,
      sym_text_interpolation,
    STATE(2564), 1,
      sym_class_interface_clause,
  [67306] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1829), 1,
      sym_declaration_list,
    STATE(1977), 1,
      sym_text_interpolation,
    STATE(2575), 1,
      sym_class_interface_clause,
  [67328] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(4256), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67348] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1970), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(4258), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67368] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(4084), 2,
      sym__eof,
      aux_sym_text_token2,
    ACTIONS(4086), 2,
      sym_php_tag,
      aux_sym_text_token1,
  [67386] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1840), 1,
      sym_declaration_list,
    STATE(1981), 1,
      sym_text_interpolation,
    STATE(2581), 1,
      sym_class_interface_clause,
  [67408] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(997), 1,
      sym_compound_statement,
    STATE(1982), 1,
      sym_text_interpolation,
    STATE(2585), 1,
      sym__return_type,
  [67430] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1010), 1,
      sym_compound_statement,
    STATE(1983), 1,
      sym_text_interpolation,
    STATE(2555), 1,
      sym__return_type,
  [67452] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(993), 1,
      sym_declaration_list,
    STATE(1984), 1,
      sym_text_interpolation,
    STATE(2598), 1,
      sym_class_interface_clause,
  [67474] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(994), 1,
      sym_declaration_list,
    STATE(1985), 1,
      sym_text_interpolation,
    STATE(2601), 1,
      sym_class_interface_clause,
  [67496] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(1986), 1,
      sym_text_interpolation,
    STATE(2231), 1,
      sym_enum_declaration_list,
    STATE(2490), 1,
      sym_class_interface_clause,
  [67518] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(3391), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67534] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4262), 1,
      sym_heredoc_end,
    STATE(1988), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym_heredoc_body,
  [67556] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(4264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67576] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1000), 1,
      sym_compound_statement,
    STATE(1990), 1,
      sym_text_interpolation,
    STATE(2485), 1,
      sym__return_type,
  [67598] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(4266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67618] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1978), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(4268), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67638] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3596), 1,
      aux_sym_base_clause_token1,
    STATE(1993), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym_declaration_list,
    STATE(2451), 1,
      sym_base_clause,
  [67660] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(4152), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [67676] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(4112), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [67692] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4270), 1,
      anon_sym_AMP,
    STATE(1913), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(3425), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67712] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4273), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4275), 1,
      sym_heredoc_end,
    STATE(1997), 1,
      sym_text_interpolation,
    STATE(2441), 1,
      sym_heredoc_body,
  [67734] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1895), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(4277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67754] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    STATE(1896), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(4279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67774] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(4281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67794] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    STATE(1028), 1,
      sym_compound_statement,
    STATE(2001), 1,
      sym_text_interpolation,
    STATE(2403), 1,
      sym__return_type,
  [67816] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(4281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67836] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(4038), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [67852] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1989), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(4283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67872] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(4268), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67892] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    ACTIONS(3598), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1021), 1,
      sym_declaration_list,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2427), 1,
      sym_class_interface_clause,
  [67914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
    STATE(2008), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [67948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    STATE(1858), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67965] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_COMMA,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      sym_text_interpolation,
    STATE(2058), 1,
      aux_sym_formal_parameters_repeat1,
  [67984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1670), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(1668), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(4294), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68069] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_DQUOTE,
    ACTIONS(4300), 1,
      anon_sym_SQUOTE,
    ACTIONS(4302), 1,
      sym_heredoc_start,
    STATE(2016), 1,
      sym_text_interpolation,
  [68088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1650), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(1648), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(1644), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1634), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68156] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1622), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(1620), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_COMMA,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
    STATE(2022), 1,
      sym_text_interpolation,
    STATE(2068), 1,
      aux_sym_array_creation_expression_repeat1,
  [68192] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3933), 1,
      anon_sym_BSLASH,
    ACTIONS(4133), 1,
      sym_name,
    STATE(2023), 1,
      sym_text_interpolation,
    STATE(2742), 1,
      sym_namespace_name,
  [68211] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1614), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(1612), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68228] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1610), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(1608), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68262] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_COMMA,
    ACTIONS(4311), 1,
      anon_sym_RPAREN,
    STATE(2027), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [68279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2030), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68330] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68347] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(939), 1,
      anon_sym_RBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    STATE(2032), 1,
      sym_text_interpolation,
    STATE(2197), 1,
      aux_sym_array_creation_expression_repeat1,
  [68366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2033), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68383] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_RBRACK,
    ACTIONS(4315), 1,
      anon_sym_COMMA,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym_attribute_group_repeat1,
  [68402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1594), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1592), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68436] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4317), 1,
      sym_heredoc_end,
    STATE(2037), 1,
      sym_text_interpolation,
    STATE(2590), 1,
      sym_heredoc_body,
  [68455] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4319), 1,
      anon_sym_EQ_GT,
    STATE(2038), 1,
      sym_text_interpolation,
    STATE(2644), 1,
      sym__return_type,
  [68474] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1706), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(1704), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2040), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1586), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(1584), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68525] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_COMMA,
    ACTIONS(4323), 1,
      anon_sym_RPAREN,
    STATE(2042), 1,
      sym_text_interpolation,
    STATE(2095), 1,
      aux_sym_arguments_repeat1,
  [68544] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1582), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(1580), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68612] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1574), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1572), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68663] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1566), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1564), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68680] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1590), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1588), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68714] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(4325), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68746] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(4327), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1566), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1564), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1556), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68795] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_RPAREN,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    STATE(2058), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      aux_sym_formal_parameters_repeat1,
  [68814] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    STATE(514), 1,
      sym_switch_block,
    STATE(2059), 1,
      sym_text_interpolation,
  [68833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1578), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_EQ,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(4335), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [68867] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_RBRACK,
    STATE(2062), 1,
      sym_text_interpolation,
    STATE(2129), 1,
      aux_sym__array_destructing_repeat1,
  [68886] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68903] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    ACTIONS(4343), 1,
      anon_sym_RBRACK,
    STATE(2064), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      aux_sym_array_creation_expression_repeat1,
  [68922] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68939] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_RBRACK,
    STATE(2066), 1,
      sym_text_interpolation,
    STATE(2132), 1,
      aux_sym__array_destructing_repeat1,
  [68958] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1602), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1600), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68975] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(945), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    STATE(2027), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2068), 1,
      sym_text_interpolation,
  [68994] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69011] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_RBRACK,
    STATE(2070), 1,
      sym_text_interpolation,
    STATE(2133), 1,
      aux_sym_attribute_group_repeat1,
  [69030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1686), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    ACTIONS(1684), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69047] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4353), 1,
      aux_sym_string_content_token1,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(4351), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [69064] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4357), 1,
      aux_sym_string_content_token1,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(4355), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [69081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69098] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69115] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69132] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    ACTIONS(4361), 1,
      anon_sym_RBRACE,
    STATE(2077), 1,
      sym_text_interpolation,
    STATE(2126), 1,
      aux_sym_match_block_repeat1,
  [69151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1642), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(1640), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1638), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2080), 1,
      sym_text_interpolation,
    ACTIONS(1636), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1618), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(1616), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69236] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_COMMA,
    ACTIONS(4365), 1,
      anon_sym_RBRACK,
    STATE(2034), 1,
      aux_sym_attribute_group_repeat1,
    STATE(2083), 1,
      sym_text_interpolation,
  [69255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2084), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1598), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(1596), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69289] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    STATE(1857), 1,
      sym_variable_name,
    STATE(2086), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      sym_static_variable_declaration,
  [69308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(3482), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    STATE(2154), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [69357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69374] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4367), 1,
      sym_heredoc_end,
    STATE(2091), 1,
      sym_text_interpolation,
    STATE(2597), 1,
      sym_heredoc_body,
  [69393] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1674), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2092), 1,
      sym_text_interpolation,
    ACTIONS(1672), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69410] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4369), 1,
      sym__new_line,
    ACTIONS(4371), 1,
      sym_heredoc_end,
    STATE(2093), 1,
      sym_text_interpolation,
    STATE(2595), 1,
      sym_nowdoc_body,
  [69429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2094), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69446] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2095), 1,
      sym_text_interpolation,
  [69465] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(4375), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69480] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69497] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACK,
    STATE(2032), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2098), 1,
      sym_text_interpolation,
  [69516] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69550] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(2857), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [69565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69582] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_name,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(2103), 1,
      sym_text_interpolation,
    STATE(2563), 1,
      sym_namespace_use_group,
  [69601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1678), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2104), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69618] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69635] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4385), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2106), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      sym_variable_name,
  [69654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1682), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1680), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69671] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_COMMA,
    ACTIONS(4389), 1,
      anon_sym_RPAREN,
    STATE(2108), 1,
      sym_text_interpolation,
    STATE(2166), 1,
      aux_sym_formal_parameters_repeat1,
  [69690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69707] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(4391), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1710), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1708), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69741] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3947), 1,
      anon_sym_LBRACE,
    STATE(2112), 1,
      sym_text_interpolation,
    STATE(2627), 1,
      sym__return_type,
  [69760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1726), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(1724), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69794] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_AMP,
    ACTIONS(4395), 1,
      anon_sym_RPAREN,
    STATE(1546), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2115), 1,
      sym_text_interpolation,
  [69813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69830] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2117), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2118), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69864] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4397), 1,
      anon_sym_EQ_GT,
    STATE(2119), 1,
      sym_text_interpolation,
    STATE(2632), 1,
      sym__return_type,
  [69883] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2120), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69900] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_COMMA,
    ACTIONS(4401), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_text_interpolation,
    STATE(2183), 1,
      aux_sym_array_creation_expression_repeat1,
  [69919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    ACTIONS(4403), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69951] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69968] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_RPAREN,
    STATE(2125), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym__list_destructing_repeat1,
  [69987] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(969), 1,
      anon_sym_RBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      aux_sym_match_block_repeat1,
  [70006] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_RPAREN,
    STATE(2127), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
  [70025] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70042] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    ACTIONS(4407), 1,
      anon_sym_RBRACK,
    STATE(2129), 1,
      sym_text_interpolation,
    STATE(2132), 1,
      aux_sym__array_destructing_repeat1,
  [70061] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70078] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(941), 1,
      anon_sym_RBRACK,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4409), 1,
      anon_sym_COMMA,
    STATE(2131), 1,
      sym_text_interpolation,
    STATE(2197), 1,
      aux_sym_array_creation_expression_repeat1,
  [70097] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4411), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_RBRACK,
    STATE(2132), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [70114] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_RBRACK,
    ACTIONS(4416), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym_attribute_group_repeat1,
  [70133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2134), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70150] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4418), 1,
      sym_heredoc_end,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2486), 1,
      sym_heredoc_body,
  [70169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70186] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_COLON,
    STATE(2025), 1,
      sym_switch_block,
    STATE(2137), 1,
      sym_text_interpolation,
  [70205] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2139), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70239] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    STATE(2140), 1,
      sym_text_interpolation,
    STATE(2586), 1,
      sym_parenthesized_expression,
  [70258] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_RPAREN,
    STATE(2141), 1,
      sym_text_interpolation,
    STATE(2203), 1,
      aux_sym_arguments_repeat1,
  [70277] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4430), 1,
      anon_sym_EQ_GT,
    STATE(2142), 1,
      sym_text_interpolation,
    STATE(2661), 1,
      sym__return_type,
  [70296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70330] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4432), 1,
      anon_sym_EQ_GT,
    STATE(2145), 1,
      sym_text_interpolation,
    STATE(2666), 1,
      sym__return_type,
  [70349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1690), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2147), 1,
      sym_text_interpolation,
    ACTIONS(1688), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2148), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70400] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2149), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70451] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(4135), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(4140), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70532] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_name,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(2157), 1,
      sym_text_interpolation,
    STATE(2436), 1,
      sym_namespace_use_group,
  [70551] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    ACTIONS(4434), 1,
      sym_name,
    STATE(2158), 1,
      sym_text_interpolation,
    STATE(2436), 1,
      sym_namespace_use_group,
  [70570] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(4436), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2160), 1,
      sym_text_interpolation,
    ACTIONS(4147), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2161), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2162), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_EQ,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(4438), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(4442), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70685] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_RPAREN,
    ACTIONS(4446), 1,
      anon_sym_COMMA,
    STATE(2166), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      aux_sym_formal_parameters_repeat1,
  [70704] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4448), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2167), 1,
      sym_text_interpolation,
    STATE(2241), 1,
      sym_variable_name,
  [70723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(4450), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70740] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4454), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2169), 1,
      sym_text_interpolation,
    STATE(2242), 1,
      sym_variable_name,
  [70759] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_EQ,
    STATE(2170), 1,
      sym_text_interpolation,
    ACTIONS(4456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70776] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_DOLLAR,
    ACTIONS(4460), 1,
      anon_sym_AMP,
    STATE(1533), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2171), 1,
      sym_text_interpolation,
  [70795] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(3937), 1,
      anon_sym_LBRACE,
    STATE(2172), 1,
      sym_text_interpolation,
    STATE(2719), 1,
      sym__return_type,
  [70814] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70831] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2174), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70848] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4463), 1,
      sym_name,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(4465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70882] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(4156), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1654), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2178), 1,
      sym_text_interpolation,
    ACTIONS(1652), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1662), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2181), 1,
      sym_text_interpolation,
    ACTIONS(1660), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70965] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    ACTIONS(3873), 1,
      anon_sym_LBRACE,
    STATE(2182), 1,
      sym_text_interpolation,
    STATE(2267), 1,
      aux_sym_base_clause_repeat1,
  [70984] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(943), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_COMMA,
    STATE(2027), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2183), 1,
      sym_text_interpolation,
  [71003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4471), 1,
      aux_sym_else_clause_token1,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(4469), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [71020] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4473), 1,
      anon_sym_COMMA,
    ACTIONS(4475), 1,
      anon_sym_RBRACE,
    STATE(2185), 1,
      sym_text_interpolation,
    STATE(2301), 1,
      aux_sym_match_block_repeat1,
  [71039] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71056] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1714), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_EQ,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(4477), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71107] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2190), 1,
      sym_text_interpolation,
    ACTIONS(4479), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71122] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_RPAREN,
    STATE(2191), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
  [71141] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(4483), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71156] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4485), 1,
      anon_sym_RPAREN,
    STATE(2193), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
  [71175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_RPAREN,
    ACTIONS(4487), 1,
      anon_sym_COMMA,
    STATE(2194), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [71192] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_EQ,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71209] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(4311), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [71224] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4311), 1,
      anon_sym_RBRACK,
    ACTIONS(4492), 1,
      anon_sym_COMMA,
    STATE(2197), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [71241] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_RBRACK,
    STATE(2198), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [71258] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4098), 1,
      sym__new_line,
    ACTIONS(4500), 1,
      sym_heredoc_end,
    STATE(2199), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_heredoc_body,
  [71277] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4369), 1,
      sym__new_line,
    ACTIONS(4502), 1,
      sym_heredoc_end,
    STATE(2200), 1,
      sym_text_interpolation,
    STATE(2331), 1,
      sym_nowdoc_body,
  [71296] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4504), 1,
      anon_sym_RPAREN,
    STATE(2201), 1,
      sym_text_interpolation,
    STATE(2652), 1,
      sym_variable_name,
  [71315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71332] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(901), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2203), 1,
      sym_text_interpolation,
  [71351] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    ACTIONS(4434), 1,
      sym_name,
    STATE(2204), 1,
      sym_text_interpolation,
    STATE(2574), 1,
      sym_namespace_use_group,
  [71370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71387] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2206), 1,
      sym_text_interpolation,
    ACTIONS(4508), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71402] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71417] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_EQ_GT,
    STATE(2208), 1,
      sym_text_interpolation,
    STATE(2792), 1,
      sym__return_type,
  [71436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71453] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2173), 1,
      anon_sym_RPAREN,
    ACTIONS(4514), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      aux_sym_unset_statement_repeat1,
  [71472] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_RPAREN,
    ACTIONS(4516), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      aux_sym_unset_statement_repeat1,
  [71491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71508] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4518), 1,
      anon_sym_EQ_GT,
    STATE(2213), 1,
      sym_text_interpolation,
    STATE(2808), 1,
      sym__return_type,
  [71527] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2214), 1,
      sym_text_interpolation,
    ACTIONS(4520), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [71542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(4242), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [71557] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    ACTIONS(4434), 1,
      sym_name,
    STATE(2216), 1,
      sym_text_interpolation,
    STATE(2481), 1,
      sym_namespace_use_group,
  [71576] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_name,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(2217), 1,
      sym_text_interpolation,
    STATE(2481), 1,
      sym_namespace_use_group,
  [71595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1694), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(1692), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71612] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1734), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(1732), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71629] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(4235), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [71644] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4522), 1,
      anon_sym_EQ_GT,
    STATE(2221), 1,
      sym_text_interpolation,
    STATE(2687), 1,
      sym__return_type,
  [71663] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71680] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1730), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    ACTIONS(1728), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2224), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71731] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    ACTIONS(4434), 1,
      sym_name,
    STATE(2226), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym_namespace_use_group,
  [71750] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_COMMA,
    ACTIONS(4527), 1,
      anon_sym_RPAREN,
    STATE(2227), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [71767] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2228), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71784] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(4529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71801] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4533), 1,
      anon_sym_COMMA,
    ACTIONS(4535), 1,
      anon_sym_RBRACE,
    STATE(2230), 1,
      sym_text_interpolation,
    STATE(2299), 1,
      aux_sym_namespace_use_group_repeat1,
  [71820] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71837] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_EQ,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(4537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71854] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_COMMA,
    ACTIONS(4544), 1,
      anon_sym_RBRACE,
    STATE(2233), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [71871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2235), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71905] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_name,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(2236), 1,
      sym_text_interpolation,
    STATE(2392), 1,
      sym_namespace_use_group,
  [71924] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_EQ,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(4546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71941] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(4550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71958] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71975] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(4557), 1,
      anon_sym_RPAREN,
    STATE(2240), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [71992] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_EQ,
    STATE(2241), 1,
      sym_text_interpolation,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72009] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(4563), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72026] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_COMMA,
    ACTIONS(4569), 1,
      anon_sym_RPAREN,
    STATE(2243), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      aux_sym_arguments_repeat1,
  [72045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2244), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_EQ,
    STATE(2245), 1,
      sym_text_interpolation,
    ACTIONS(4571), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72079] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2246), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      sym_variable_name,
  [72098] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_heredoc_start,
    STATE(2247), 1,
      sym_text_interpolation,
  [72117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_EQ,
    STATE(2248), 1,
      sym_text_interpolation,
    ACTIONS(4583), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72134] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4587), 1,
      anon_sym_COMMA,
    ACTIONS(4589), 1,
      anon_sym_RPAREN,
    STATE(2249), 1,
      sym_text_interpolation,
    STATE(2284), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [72153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1718), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2250), 1,
      sym_text_interpolation,
    ACTIONS(1716), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72170] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4591), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2251), 1,
      sym_text_interpolation,
  [72189] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2252), 1,
      sym_text_interpolation,
    ACTIONS(4593), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [72204] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2253), 1,
      sym_text_interpolation,
    STATE(1950), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [72221] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4595), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2254), 1,
      sym_text_interpolation,
  [72240] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2255), 1,
      sym_text_interpolation,
    ACTIONS(4597), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72255] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4599), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2256), 1,
      sym_text_interpolation,
  [72274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(4601), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2258), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2259), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2260), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2721), 1,
      anon_sym_EQ_GT,
    ACTIONS(4603), 1,
      anon_sym_COMMA,
    STATE(2261), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [72357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_COMMA,
    ACTIONS(4609), 1,
      anon_sym_RBRACE,
    STATE(2262), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [72374] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    STATE(1756), 1,
      sym_variable_name,
    STATE(1946), 1,
      sym_property_element,
    STATE(2263), 1,
      sym_text_interpolation,
  [72393] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72410] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4613), 1,
      aux_sym_else_clause_token1,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(4611), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [72427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4617), 1,
      anon_sym_EQ,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(4615), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72444] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    ACTIONS(4619), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      aux_sym_base_clause_repeat1,
    STATE(2267), 1,
      sym_text_interpolation,
  [72463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_RPAREN,
    ACTIONS(4621), 1,
      anon_sym_COMMA,
    STATE(2268), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [72480] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1570), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2269), 1,
      sym_text_interpolation,
    ACTIONS(1568), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1702), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(1700), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72514] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4624), 1,
      anon_sym_RPAREN,
    STATE(2271), 1,
      sym_text_interpolation,
    STATE(2739), 1,
      sym_variable_name,
  [72533] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(913), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2272), 1,
      sym_text_interpolation,
  [72552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_EQ,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(4628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72569] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_COMMA,
    ACTIONS(4634), 1,
      anon_sym_RPAREN,
    STATE(2272), 1,
      aux_sym_arguments_repeat1,
    STATE(2274), 1,
      sym_text_interpolation,
  [72588] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(909), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2275), 1,
      sym_text_interpolation,
  [72607] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(3674), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [72622] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2277), 1,
      sym_text_interpolation,
    ACTIONS(4638), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72637] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2278), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72671] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    STATE(1756), 1,
      sym_variable_name,
    STATE(2220), 1,
      sym_property_element,
    STATE(2280), 1,
      sym_text_interpolation,
  [72690] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_DOLLAR,
    STATE(1756), 1,
      sym_variable_name,
    STATE(1957), 1,
      sym_property_element,
    STATE(2281), 1,
      sym_text_interpolation,
  [72709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72726] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1079), 1,
      anon_sym_EQ_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_COMMA,
    STATE(2261), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2283), 1,
      sym_text_interpolation,
  [72745] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_RPAREN,
    ACTIONS(4642), 1,
      anon_sym_COMMA,
    STATE(2227), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2284), 1,
      sym_text_interpolation,
  [72764] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
    STATE(2275), 1,
      aux_sym_arguments_repeat1,
    STATE(2285), 1,
      sym_text_interpolation,
  [72783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1606), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(1604), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72800] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_COMMA,
    ACTIONS(4650), 1,
      anon_sym_RPAREN,
    STATE(2287), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_arguments_repeat1,
  [72819] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2288), 1,
      sym_text_interpolation,
  [72838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_EQ,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(4654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72855] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_RPAREN,
    STATE(2256), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2290), 1,
      sym_text_interpolation,
  [72874] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(4658), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_EQ,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(4660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72906] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(897), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2293), 1,
      sym_text_interpolation,
  [72925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_EQ,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(4666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72942] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2295), 1,
      sym_text_interpolation,
    ACTIONS(4670), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72957] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(889), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2296), 1,
      sym_text_interpolation,
  [72976] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COMMA,
    ACTIONS(4676), 1,
      anon_sym_RPAREN,
    STATE(2296), 1,
      aux_sym_arguments_repeat1,
    STATE(2297), 1,
      sym_text_interpolation,
  [72995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_EQ,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(4678), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73012] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4533), 1,
      anon_sym_COMMA,
    ACTIONS(4682), 1,
      anon_sym_RBRACE,
    STATE(2233), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(2299), 1,
      sym_text_interpolation,
  [73031] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1666), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2300), 1,
      sym_text_interpolation,
    ACTIONS(1664), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73048] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(951), 1,
      anon_sym_RBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_COMMA,
    STATE(2262), 1,
      aux_sym_match_block_repeat1,
    STATE(2301), 1,
      sym_text_interpolation,
  [73067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1658), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(1656), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73084] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COLON,
    ACTIONS(4686), 1,
      anon_sym_EQ_GT,
    STATE(2303), 1,
      sym_text_interpolation,
    STATE(2701), 1,
      sym__return_type,
  [73103] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_COMMA,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
    STATE(2304), 1,
      sym_text_interpolation,
    STATE(2305), 1,
      aux_sym_arguments_repeat1,
  [73122] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_arguments_repeat1,
    STATE(2305), 1,
      sym_text_interpolation,
  [73141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1630), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1626), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2307), 1,
      sym_text_interpolation,
    ACTIONS(1624), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2308), 1,
      sym_text_interpolation,
    ACTIONS(4694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73189] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2309), 1,
      sym_text_interpolation,
    ACTIONS(4696), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(505), 1,
      ts_builtin_sym_end,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_php_tag,
    STATE(2310), 1,
      sym_text_interpolation,
  [73219] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2311), 1,
      sym_text_interpolation,
    ACTIONS(4700), 2,
      sym__eof,
      sym_php_tag,
  [73233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_LPAREN,
    STATE(1797), 1,
      sym_formal_parameters,
    STATE(2312), 1,
      sym_text_interpolation,
  [73249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_name,
    STATE(2313), 1,
      sym_text_interpolation,
    STATE(2742), 1,
      sym_namespace_name,
  [73265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2051), 1,
      sym_compound_statement,
    STATE(2314), 1,
      sym_text_interpolation,
  [73281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_compound_statement,
    STATE(2315), 1,
      sym_text_interpolation,
  [73297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1029), 1,
      sym_compound_statement,
    STATE(2316), 1,
      sym_text_interpolation,
  [73313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_declaration_list,
    STATE(2317), 1,
      sym_text_interpolation,
  [73329] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2318), 1,
      sym_text_interpolation,
    ACTIONS(4707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_name,
    STATE(2319), 1,
      sym_text_interpolation,
    STATE(2736), 1,
      sym_namespace_name,
  [73359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1144), 1,
      sym_compound_statement,
    STATE(2320), 1,
      sym_text_interpolation,
  [73375] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(4709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_compound_statement,
    STATE(2322), 1,
      sym_text_interpolation,
  [73405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(2104), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_text_interpolation,
  [73421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_compound_statement,
    STATE(2324), 1,
      sym_text_interpolation,
  [73437] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2325), 1,
      sym_text_interpolation,
    ACTIONS(4202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(2326), 1,
      sym_text_interpolation,
  [73467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_name,
    STATE(2327), 1,
      sym_text_interpolation,
    STATE(2728), 1,
      sym_namespace_name,
  [73483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2328), 1,
      sym_text_interpolation,
    ACTIONS(2797), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
    STATE(2329), 1,
      sym_text_interpolation,
  [73513] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2330), 1,
      sym_text_interpolation,
    ACTIONS(4288), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73527] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4711), 1,
      sym__new_line,
    ACTIONS(4713), 1,
      sym_heredoc_end,
    STATE(2331), 1,
      sym_text_interpolation,
  [73543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4223), 1,
      sym_nowdoc_string,
    STATE(1951), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2332), 1,
      sym_text_interpolation,
  [73559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1760), 1,
      sym_compound_statement,
    STATE(2333), 1,
      sym_text_interpolation,
  [73575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
    STATE(2334), 1,
      sym_text_interpolation,
  [73591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym_parenthesized_expression,
    STATE(2335), 1,
      sym_text_interpolation,
  [73607] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4717), 1,
      sym__new_line,
    ACTIONS(4719), 1,
      sym_heredoc_end,
    STATE(2336), 1,
      sym_text_interpolation,
  [73623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    STATE(2337), 1,
      sym_text_interpolation,
    STATE(2402), 1,
      sym_parenthesized_expression,
  [73639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    STATE(2059), 1,
      sym_parenthesized_expression,
    STATE(2338), 1,
      sym_text_interpolation,
  [73655] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(4721), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73669] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2340), 1,
      sym_text_interpolation,
    ACTIONS(3546), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73683] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73697] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2342), 1,
      sym_text_interpolation,
    ACTIONS(4723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    STATE(2343), 1,
      sym_text_interpolation,
  [73727] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2344), 1,
      sym_text_interpolation,
    ACTIONS(4725), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73741] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2345), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym_variable_name,
  [73757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(2039), 1,
      sym_enum_declaration_list,
    STATE(2346), 1,
      sym_text_interpolation,
  [73773] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2347), 1,
      sym_text_interpolation,
    ACTIONS(4727), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(2348), 1,
      sym_text_interpolation,
  [73803] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      sym_declaration_list,
    STATE(2349), 1,
      sym_text_interpolation,
  [73819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2350), 1,
      sym_text_interpolation,
    ACTIONS(4729), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(592), 1,
      sym_compound_statement,
    STATE(2351), 1,
      sym_text_interpolation,
  [73849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_declaration_list,
    STATE(2352), 1,
      sym_text_interpolation,
  [73865] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4731), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [73879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
    STATE(2354), 1,
      sym_text_interpolation,
  [73895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4733), 1,
      sym_name,
    STATE(1941), 1,
      sym_namespace_name,
    STATE(2355), 1,
      sym_text_interpolation,
  [73911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2356), 1,
      sym_text_interpolation,
    ACTIONS(4118), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [73925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4735), 1,
      anon_sym_SEMI,
    ACTIONS(4737), 1,
      sym__automatic_semicolon,
    STATE(2357), 1,
      sym_text_interpolation,
  [73941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2358), 1,
      sym_text_interpolation,
    ACTIONS(4739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1675), 1,
      sym_formal_parameters,
    STATE(2359), 1,
      sym_text_interpolation,
  [73971] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2360), 1,
      sym_text_interpolation,
    ACTIONS(4741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(463), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2265), 1,
      sym_colon_block,
    STATE(2361), 1,
      sym_text_interpolation,
  [74001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_RPAREN,
    ACTIONS(4743), 1,
      anon_sym_EQ,
    STATE(2362), 1,
      sym_text_interpolation,
  [74017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4745), 1,
      sym_name,
    STATE(2363), 1,
      sym_text_interpolation,
    STATE(2679), 1,
      sym_namespace_name,
  [74033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1777), 1,
      sym_compound_statement,
    STATE(2364), 1,
      sym_text_interpolation,
  [74049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_name,
    STATE(2365), 1,
      sym_text_interpolation,
    STATE(2670), 1,
      sym_namespace_name,
  [74065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_RPAREN,
    ACTIONS(4743), 1,
      anon_sym_EQ,
    STATE(2366), 1,
      sym_text_interpolation,
  [74081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(2112), 1,
      sym_formal_parameters,
    STATE(2367), 1,
      sym_text_interpolation,
  [74097] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(1021), 1,
      sym_declaration_list,
    STATE(2368), 1,
      sym_text_interpolation,
  [74113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2369), 1,
      sym_text_interpolation,
    ACTIONS(4748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74127] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2370), 1,
      sym_text_interpolation,
    ACTIONS(4750), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_declaration_list,
    STATE(2371), 1,
      sym_text_interpolation,
  [74157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_compound_statement,
    STATE(2372), 1,
      sym_text_interpolation,
  [74173] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2373), 1,
      sym_text_interpolation,
    ACTIONS(4754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74187] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4756), 1,
      sym__new_line,
    ACTIONS(4758), 1,
      sym_heredoc_end,
    STATE(2374), 1,
      sym_text_interpolation,
  [74203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(2119), 1,
      sym_formal_parameters,
    STATE(2375), 1,
      sym_text_interpolation,
  [74219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_enum_declaration_list,
    STATE(2376), 1,
      sym_text_interpolation,
  [74235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2017), 1,
      sym_compound_statement,
    STATE(2377), 1,
      sym_text_interpolation,
  [74251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_RPAREN,
    STATE(2378), 1,
      sym_text_interpolation,
  [74267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(487), 1,
      sym_declaration_list,
    STATE(2379), 1,
      sym_text_interpolation,
  [74283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3345), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2380), 1,
      sym_text_interpolation,
  [74299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_SEMI,
    ACTIONS(4766), 1,
      sym__automatic_semicolon,
    STATE(2381), 1,
      sym_text_interpolation,
  [74315] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2382), 1,
      sym_text_interpolation,
    ACTIONS(4609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1222), 1,
      sym_declaration_list,
    STATE(2383), 1,
      sym_text_interpolation,
  [74345] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4768), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3331), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4770), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2385), 1,
      sym_text_interpolation,
  [74375] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2386), 1,
      sym_text_interpolation,
    ACTIONS(3494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(2148), 1,
      sym_declaration_list,
    STATE(2387), 1,
      sym_text_interpolation,
  [74405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2347), 1,
      sym_variable_name,
    STATE(2388), 1,
      sym_text_interpolation,
  [74421] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2389), 1,
      sym_text_interpolation,
    ACTIONS(4772), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74435] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2390), 1,
      sym_text_interpolation,
    ACTIONS(4436), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74449] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2391), 1,
      sym_text_interpolation,
    ACTIONS(2673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74463] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(4266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74477] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_compound_statement,
    STATE(2393), 1,
      sym_text_interpolation,
  [74493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3329), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3331), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2394), 1,
      sym_text_interpolation,
  [74509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1003), 1,
      sym_compound_statement,
    STATE(2395), 1,
      sym_text_interpolation,
  [74525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1773), 1,
      sym_compound_statement,
    STATE(2396), 1,
      sym_text_interpolation,
  [74541] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parenthesized_expression,
    STATE(2397), 1,
      sym_text_interpolation,
  [74557] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
    STATE(2398), 1,
      sym_text_interpolation,
  [74573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    STATE(2399), 1,
      sym_text_interpolation,
    STATE(2586), 1,
      sym_parenthesized_expression,
  [74589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    STATE(2137), 1,
      sym_parenthesized_expression,
    STATE(2400), 1,
      sym_text_interpolation,
  [74605] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2401), 1,
      sym_text_interpolation,
    ACTIONS(4774), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LBRACE,
    STATE(1205), 1,
      sym_match_block,
    STATE(2402), 1,
      sym_text_interpolation,
  [74635] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(999), 1,
      sym_compound_statement,
    STATE(2403), 1,
      sym_text_interpolation,
  [74651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1226), 1,
      sym_compound_statement,
    STATE(2404), 1,
      sym_text_interpolation,
  [74667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2344), 1,
      sym_variable_name,
    STATE(2405), 1,
      sym_text_interpolation,
  [74683] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1223), 1,
      sym_compound_statement,
    STATE(2406), 1,
      sym_text_interpolation,
  [74699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_enum_declaration_list,
    STATE(2407), 1,
      sym_text_interpolation,
  [74715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_compound_statement,
    STATE(2408), 1,
      sym_text_interpolation,
  [74731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2342), 1,
      sym_variable_name,
    STATE(2409), 1,
      sym_text_interpolation,
  [74747] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2410), 1,
      sym_text_interpolation,
    ACTIONS(4778), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74761] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2411), 1,
      sym_text_interpolation,
    ACTIONS(4465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2339), 1,
      sym_variable_name,
    STATE(2412), 1,
      sym_text_interpolation,
  [74791] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2413), 1,
      sym_text_interpolation,
    ACTIONS(4780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1762), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_text_interpolation,
  [74821] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_LPAREN,
    STATE(1803), 1,
      sym_formal_parameters,
    STATE(2415), 1,
      sym_text_interpolation,
  [74837] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2416), 1,
      sym_text_interpolation,
    ACTIONS(4783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74851] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2417), 1,
      sym_text_interpolation,
    ACTIONS(4557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74865] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2418), 1,
      sym_text_interpolation,
    ACTIONS(4785), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_parenthesized_expression,
    STATE(2419), 1,
      sym_text_interpolation,
  [74895] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2420), 1,
      sym_text_interpolation,
    ACTIONS(4787), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74909] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2421), 1,
      sym_text_interpolation,
    ACTIONS(4789), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(2422), 1,
      sym_text_interpolation,
  [74939] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2423), 1,
      sym_text_interpolation,
    ACTIONS(4791), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1206), 1,
      sym_compound_statement,
    STATE(2424), 1,
      sym_text_interpolation,
  [74969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4793), 1,
      anon_sym_BSLASH,
    STATE(1846), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2425), 1,
      sym_text_interpolation,
  [74985] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2426), 1,
      sym_text_interpolation,
    ACTIONS(3710), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(994), 1,
      sym_declaration_list,
    STATE(2427), 1,
      sym_text_interpolation,
  [75015] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2428), 1,
      sym_text_interpolation,
    ACTIONS(4796), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75029] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2429), 1,
      sym_text_interpolation,
    ACTIONS(4798), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75043] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2430), 1,
      sym_text_interpolation,
    ACTIONS(4800), 2,
      anon_sym_string,
      anon_sym_int,
  [75057] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2431), 1,
      sym_text_interpolation,
    ACTIONS(4544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75071] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75085] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2433), 1,
      sym_text_interpolation,
    ACTIONS(4804), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75099] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_declaration_list,
    STATE(2434), 1,
      sym_text_interpolation,
  [75115] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
    ACTIONS(2673), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [75129] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(4806), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(541), 1,
      sym_compound_statement,
    STATE(2437), 1,
      sym_text_interpolation,
  [75159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    STATE(2421), 1,
      sym_parenthesized_expression,
    STATE(2438), 1,
      sym_text_interpolation,
  [75175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2439), 1,
      sym_text_interpolation,
    ACTIONS(4527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_declaration_list,
    STATE(2440), 1,
      sym_text_interpolation,
  [75205] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4810), 1,
      sym__new_line,
    ACTIONS(4812), 1,
      sym_heredoc_end,
    STATE(2441), 1,
      sym_text_interpolation,
  [75221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2442), 1,
      sym_text_interpolation,
    ACTIONS(4814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_name,
    STATE(2443), 1,
      sym_text_interpolation,
    STATE(2606), 1,
      sym_namespace_name,
  [75251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1728), 1,
      sym_formal_parameters,
    STATE(2444), 1,
      sym_text_interpolation,
  [75267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_BSLASH,
    STATE(2425), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2445), 1,
      sym_text_interpolation,
  [75283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1011), 1,
      sym_compound_statement,
    STATE(2446), 1,
      sym_text_interpolation,
  [75299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(2044), 1,
      sym_declaration_list,
    STATE(2447), 1,
      sym_text_interpolation,
  [75315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(18), 1,
      sym_parenthesized_expression,
    STATE(2448), 1,
      sym_text_interpolation,
  [75331] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(991), 1,
      sym_compound_statement,
    STATE(2449), 1,
      sym_text_interpolation,
  [75347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(2303), 1,
      sym_formal_parameters,
    STATE(2450), 1,
      sym_text_interpolation,
  [75363] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(2264), 1,
      sym_declaration_list,
    STATE(2451), 1,
      sym_text_interpolation,
  [75379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2452), 1,
      sym_text_interpolation,
    ACTIONS(4816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75393] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1677), 1,
      sym_formal_parameters,
    STATE(2453), 1,
      sym_text_interpolation,
  [75409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(2260), 1,
      sym_enum_declaration_list,
    STATE(2454), 1,
      sym_text_interpolation,
  [75425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2455), 1,
      sym_text_interpolation,
    ACTIONS(4818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75439] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_compound_statement,
    STATE(2456), 1,
      sym_text_interpolation,
  [75455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_declaration_list,
    STATE(2457), 1,
      sym_text_interpolation,
  [75471] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2458), 1,
      sym_text_interpolation,
    ACTIONS(4820), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1687), 1,
      sym_formal_parameters,
    STATE(2459), 1,
      sym_text_interpolation,
  [75501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_enum_declaration_list,
    STATE(2460), 1,
      sym_text_interpolation,
  [75517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2461), 1,
      sym_text_interpolation,
    STATE(2562), 1,
      sym_variable_name,
  [75533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2462), 1,
      sym_text_interpolation,
    ACTIONS(4822), 2,
      anon_sym_string,
      anon_sym_int,
  [75547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_declaration_list,
    STATE(2463), 1,
      sym_text_interpolation,
  [75563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1840), 1,
      sym_declaration_list,
    STATE(2464), 1,
      sym_text_interpolation,
  [75579] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1164), 1,
      sym_compound_statement,
    STATE(2465), 1,
      sym_text_interpolation,
  [75595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2466), 1,
      sym_text_interpolation,
    ACTIONS(4824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75609] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2467), 1,
      sym_text_interpolation,
    ACTIONS(2691), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [75623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
    ACTIONS(4743), 1,
      anon_sym_EQ,
    STATE(2468), 1,
      sym_text_interpolation,
  [75639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1829), 1,
      sym_declaration_list,
    STATE(2469), 1,
      sym_text_interpolation,
  [75655] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2470), 1,
      sym_text_interpolation,
    ACTIONS(4826), 2,
      anon_sym_string,
      anon_sym_int,
  [75669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1691), 1,
      sym_formal_parameters,
    STATE(2471), 1,
      sym_text_interpolation,
  [75685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2472), 1,
      sym_text_interpolation,
    ACTIONS(4828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_compound_statement,
    STATE(2473), 1,
      sym_text_interpolation,
  [75715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2474), 1,
      sym_text_interpolation,
    ACTIONS(2727), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_compound_statement,
    STATE(2475), 1,
      sym_text_interpolation,
  [75745] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2476), 1,
      sym_text_interpolation,
    ACTIONS(4830), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75759] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2477), 1,
      sym_text_interpolation,
    ACTIONS(2725), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(2172), 1,
      sym_formal_parameters,
    STATE(2478), 1,
      sym_text_interpolation,
  [75789] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_compound_statement,
    STATE(2479), 1,
      sym_text_interpolation,
  [75805] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4832), 1,
      sym__new_line,
    ACTIONS(4834), 1,
      sym_heredoc_end,
    STATE(2480), 1,
      sym_text_interpolation,
  [75821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2481), 1,
      sym_text_interpolation,
    ACTIONS(4836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75835] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2482), 1,
      sym_text_interpolation,
    ACTIONS(4838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    ACTIONS(4743), 1,
      anon_sym_EQ,
    STATE(2483), 1,
      sym_text_interpolation,
  [75865] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2484), 1,
      sym_text_interpolation,
    ACTIONS(4840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1004), 1,
      sym_compound_statement,
    STATE(2485), 1,
      sym_text_interpolation,
  [75895] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4842), 1,
      sym__new_line,
    ACTIONS(4844), 1,
      sym_heredoc_end,
    STATE(2486), 1,
      sym_text_interpolation,
  [75911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_declaration_list,
    STATE(2487), 1,
      sym_text_interpolation,
  [75927] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2488), 1,
      sym_text_interpolation,
    ACTIONS(4846), 2,
      anon_sym_string,
      anon_sym_int,
  [75941] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(623), 1,
      sym_enum_declaration_list,
    STATE(2489), 1,
      sym_text_interpolation,
  [75957] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(2228), 1,
      sym_enum_declaration_list,
    STATE(2490), 1,
      sym_text_interpolation,
  [75973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(2491), 1,
      sym_text_interpolation,
  [75989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2492), 1,
      sym_text_interpolation,
    ACTIONS(4848), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76003] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2493), 1,
      sym_text_interpolation,
    ACTIONS(4850), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76017] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2494), 1,
      sym_text_interpolation,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76031] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2495), 1,
      sym_text_interpolation,
    ACTIONS(4852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76045] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2496), 1,
      sym_text_interpolation,
    ACTIONS(4854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76059] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2497), 1,
      sym_text_interpolation,
    ACTIONS(4856), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76073] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2498), 1,
      sym_text_interpolation,
    ACTIONS(4859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76087] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2499), 1,
      sym_text_interpolation,
    ACTIONS(4861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76101] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2500), 1,
      sym_text_interpolation,
    ACTIONS(4863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76115] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2501), 1,
      sym_text_interpolation,
    ACTIONS(4865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76129] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2502), 1,
      sym_text_interpolation,
    ACTIONS(4867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1717), 1,
      sym_formal_parameters,
    STATE(2503), 1,
      sym_text_interpolation,
  [76159] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2504), 1,
      sym_text_interpolation,
    ACTIONS(4869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76173] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2505), 1,
      sym_text_interpolation,
    ACTIONS(4871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76187] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2506), 1,
      sym_text_interpolation,
    ACTIONS(1883), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76201] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2507), 1,
      sym_text_interpolation,
    ACTIONS(4873), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76215] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_declaration_list,
    STATE(2508), 1,
      sym_text_interpolation,
  [76231] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2509), 1,
      sym_text_interpolation,
    ACTIONS(4875), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76245] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2510), 1,
      sym_text_interpolation,
    ACTIONS(4877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym_declaration_list,
    STATE(2511), 1,
      sym_text_interpolation,
  [76275] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2512), 1,
      sym_text_interpolation,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76289] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2513), 1,
      sym_text_interpolation,
    ACTIONS(4879), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76303] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2514), 1,
      sym_text_interpolation,
    ACTIONS(4881), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [76317] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2515), 1,
      sym_text_interpolation,
    ACTIONS(4883), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76331] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4885), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2516), 1,
      sym_text_interpolation,
  [76347] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2517), 1,
      sym_text_interpolation,
    ACTIONS(4887), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76361] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2518), 1,
      sym_text_interpolation,
    ACTIONS(4889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_compound_statement,
    STATE(2519), 1,
      sym_text_interpolation,
  [76391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2520), 1,
      sym_text_interpolation,
    ACTIONS(4891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(383), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2521), 1,
      sym_text_interpolation,
    STATE(2765), 1,
      sym_colon_block,
  [76421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    STATE(2361), 1,
      sym_parenthesized_expression,
    STATE(2522), 1,
      sym_text_interpolation,
  [76437] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2523), 1,
      sym_text_interpolation,
    ACTIONS(4893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym_parenthesized_expression,
    STATE(2524), 1,
      sym_text_interpolation,
  [76467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    STATE(2525), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym_parenthesized_expression,
  [76483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2526), 1,
      sym_text_interpolation,
    ACTIONS(4895), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76497] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2527), 1,
      sym_text_interpolation,
    ACTIONS(4897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76511] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2429), 1,
      sym_variable_name,
    STATE(2528), 1,
      sym_text_interpolation,
  [76527] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2529), 1,
      sym_text_interpolation,
    ACTIONS(4899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2530), 1,
      sym_text_interpolation,
    ACTIONS(4901), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2531), 1,
      sym_text_interpolation,
    ACTIONS(2691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76569] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2532), 1,
      sym_text_interpolation,
    ACTIONS(4903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1746), 1,
      sym_formal_parameters,
    STATE(2533), 1,
      sym_text_interpolation,
  [76599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2534), 1,
      sym_text_interpolation,
    ACTIONS(4905), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2535), 1,
      sym_text_interpolation,
  [76629] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2536), 1,
      sym_text_interpolation,
    ACTIONS(4907), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76643] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2537), 1,
      sym_text_interpolation,
    ACTIONS(4909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1197), 1,
      sym_declaration_list,
    STATE(2538), 1,
      sym_text_interpolation,
  [76673] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2539), 1,
      sym_text_interpolation,
    ACTIONS(4911), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76687] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2540), 1,
      sym_text_interpolation,
    ACTIONS(4913), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2541), 1,
      sym_text_interpolation,
    ACTIONS(4915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1046), 1,
      sym_compound_statement,
    STATE(2542), 1,
      sym_text_interpolation,
  [76731] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2543), 1,
      sym_text_interpolation,
    ACTIONS(4917), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1216), 1,
      sym_compound_statement,
    STATE(2544), 1,
      sym_text_interpolation,
  [76761] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2545), 1,
      sym_text_interpolation,
    ACTIONS(4327), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [76775] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2546), 1,
      sym_text_interpolation,
    ACTIONS(4919), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76789] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2547), 1,
      sym_text_interpolation,
    ACTIONS(4921), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76803] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1224), 1,
      sym_compound_statement,
    STATE(2548), 1,
      sym_text_interpolation,
  [76819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1766), 1,
      sym_compound_statement,
    STATE(2549), 1,
      sym_text_interpolation,
  [76835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_SEMI,
    ACTIONS(4925), 1,
      sym__automatic_semicolon,
    STATE(2550), 1,
      sym_text_interpolation,
  [76851] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2551), 1,
      sym_text_interpolation,
    ACTIONS(4927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_declaration_list,
    STATE(2552), 1,
      sym_text_interpolation,
  [76881] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1044), 1,
      sym_compound_statement,
    STATE(2553), 1,
      sym_text_interpolation,
  [76897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2410), 1,
      sym_variable_name,
    STATE(2554), 1,
      sym_text_interpolation,
  [76913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1027), 1,
      sym_compound_statement,
    STATE(2555), 1,
      sym_text_interpolation,
  [76929] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1040), 1,
      sym_compound_statement,
    STATE(2556), 1,
      sym_text_interpolation,
  [76945] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR,
    STATE(2308), 1,
      sym_variable_name,
    STATE(2557), 1,
      sym_text_interpolation,
  [76961] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(2128), 1,
      sym_enum_declaration_list,
    STATE(2558), 1,
      sym_text_interpolation,
  [76977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1039), 1,
      sym_compound_statement,
    STATE(2559), 1,
      sym_text_interpolation,
  [76993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1038), 1,
      sym_compound_statement,
    STATE(2560), 1,
      sym_text_interpolation,
  [77009] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_declaration_list,
    STATE(2561), 1,
      sym_text_interpolation,
  [77025] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2562), 1,
      sym_text_interpolation,
    ACTIONS(4929), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77039] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2563), 1,
      sym_text_interpolation,
    ACTIONS(4145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77053] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_declaration_list,
    STATE(2564), 1,
      sym_text_interpolation,
  [77069] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2565), 1,
      sym_text_interpolation,
    ACTIONS(4931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_SEMI,
    ACTIONS(4935), 1,
      sym__automatic_semicolon,
    STATE(2566), 1,
      sym_text_interpolation,
  [77099] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2567), 1,
      sym_text_interpolation,
    ACTIONS(4937), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2568), 1,
      sym_text_interpolation,
    ACTIONS(4939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77127] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2569), 1,
      sym_text_interpolation,
    ACTIONS(4941), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77141] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2570), 1,
      sym_text_interpolation,
    ACTIONS(4943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1802), 1,
      sym_compound_statement,
    STATE(2571), 1,
      sym_text_interpolation,
  [77171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2572), 1,
      sym_text_interpolation,
    ACTIONS(4945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77185] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2573), 1,
      sym_text_interpolation,
    ACTIONS(4947), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77199] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2574), 1,
      sym_text_interpolation,
    ACTIONS(4949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1814), 1,
      sym_declaration_list,
    STATE(2575), 1,
      sym_text_interpolation,
  [77229] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_declaration_list,
    STATE(2576), 1,
      sym_text_interpolation,
  [77245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1034), 1,
      sym_compound_statement,
    STATE(2577), 1,
      sym_text_interpolation,
  [77261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_parenthesized_expression,
    STATE(2578), 1,
      sym_text_interpolation,
  [77277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(2213), 1,
      sym_formal_parameters,
    STATE(2579), 1,
      sym_text_interpolation,
  [77293] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2580), 1,
      sym_text_interpolation,
    ACTIONS(4951), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1823), 1,
      sym_declaration_list,
    STATE(2581), 1,
      sym_text_interpolation,
  [77323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym_formal_parameters,
    STATE(2582), 1,
      sym_text_interpolation,
  [77339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_LPAREN,
    STATE(1681), 1,
      sym_formal_parameters,
    STATE(2583), 1,
      sym_text_interpolation,
  [77355] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2584), 1,
      sym_text_interpolation,
    ACTIONS(2723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1032), 1,
      sym_compound_statement,
    STATE(2585), 1,
      sym_text_interpolation,
  [77385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_LBRACE,
    STATE(1041), 1,
      sym_match_block,
    STATE(2586), 1,
      sym_text_interpolation,
  [77401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_LPAREN,
    STATE(2587), 1,
      sym_text_interpolation,
  [77417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(1031), 1,
      sym_compound_statement,
    STATE(2588), 1,
      sym_text_interpolation,
  [77433] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2589), 1,
      sym_text_interpolation,
    ACTIONS(4955), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77447] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4957), 1,
      sym__new_line,
    ACTIONS(4959), 1,
      sym_heredoc_end,
    STATE(2590), 1,
      sym_text_interpolation,
  [77463] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4961), 1,
      sym__new_line,
    ACTIONS(4963), 1,
      sym_heredoc_end,
    STATE(2591), 1,
      sym_text_interpolation,
  [77479] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(990), 1,
      sym_compound_statement,
    STATE(2592), 1,
      sym_text_interpolation,
  [77495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2593), 1,
      sym_text_interpolation,
    ACTIONS(4965), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    ACTIONS(4743), 1,
      anon_sym_EQ,
    STATE(2594), 1,
      sym_text_interpolation,
  [77525] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4967), 1,
      sym__new_line,
    ACTIONS(4969), 1,
      sym_heredoc_end,
    STATE(2595), 1,
      sym_text_interpolation,
  [77541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2596), 1,
      sym_text_interpolation,
    ACTIONS(4971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77555] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4973), 1,
      sym__new_line,
    ACTIONS(4975), 1,
      sym_heredoc_end,
    STATE(2597), 1,
      sym_text_interpolation,
  [77571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_declaration_list,
    STATE(2598), 1,
      sym_text_interpolation,
  [77587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2599), 1,
      sym_text_interpolation,
    ACTIONS(1881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77601] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2600), 1,
      sym_text_interpolation,
    ACTIONS(4414), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LBRACE,
    STATE(1019), 1,
      sym_declaration_list,
    STATE(2601), 1,
      sym_text_interpolation,
  [77631] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    STATE(2602), 1,
      sym_text_interpolation,
    ACTIONS(4977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77645] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_RPAREN,
    STATE(2603), 1,
      sym_text_interpolation,
  [77658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_RPAREN,
    STATE(2604), 1,
      sym_text_interpolation,
  [77671] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_RPAREN,
    STATE(2605), 1,
      sym_text_interpolation,
  [77684] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4983), 1,
      anon_sym_BSLASH,
    STATE(2606), 1,
      sym_text_interpolation,
  [77697] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4985), 1,
      sym_name,
    STATE(2607), 1,
      sym_text_interpolation,
  [77710] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    STATE(2608), 1,
      sym_text_interpolation,
  [77723] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4987), 1,
      sym_heredoc_end,
    STATE(2609), 1,
      sym_text_interpolation,
  [77736] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_EQ_GT,
    STATE(2610), 1,
      sym_text_interpolation,
  [77749] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_RPAREN,
    STATE(2611), 1,
      sym_text_interpolation,
  [77762] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym_text_interpolation,
  [77775] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4995), 1,
      sym_name,
    STATE(2613), 1,
      sym_text_interpolation,
  [77788] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    STATE(2614), 1,
      sym_text_interpolation,
  [77801] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_EQ,
    STATE(2615), 1,
      sym_text_interpolation,
  [77814] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_COLON_COLON,
    STATE(2616), 1,
      sym_text_interpolation,
  [77827] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5003), 1,
      sym_heredoc_end,
    STATE(2617), 1,
      sym_text_interpolation,
  [77840] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
    STATE(2618), 1,
      sym_text_interpolation,
  [77853] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5007), 1,
      sym_heredoc_end,
    STATE(2619), 1,
      sym_text_interpolation,
  [77866] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_RPAREN,
    STATE(2620), 1,
      sym_text_interpolation,
  [77879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_RPAREN,
    STATE(2621), 1,
      sym_text_interpolation,
  [77892] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5013), 1,
      sym_name,
    STATE(2622), 1,
      sym_text_interpolation,
  [77905] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_RPAREN,
    STATE(2623), 1,
      sym_text_interpolation,
  [77918] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5015), 1,
      sym_heredoc_end,
    STATE(2624), 1,
      sym_text_interpolation,
  [77931] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5017), 1,
      anon_sym_SQUOTE2,
    STATE(2625), 1,
      sym_text_interpolation,
  [77944] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5019), 1,
      anon_sym_RPAREN,
    STATE(2626), 1,
      sym_text_interpolation,
  [77957] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_LBRACE,
    STATE(2627), 1,
      sym_text_interpolation,
  [77970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5021), 1,
      sym_name,
    STATE(2628), 1,
      sym_text_interpolation,
  [77983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_RBRACK,
    STATE(2629), 1,
      sym_text_interpolation,
  [77996] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_RPAREN,
    STATE(2630), 1,
      sym_text_interpolation,
  [78009] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5025), 1,
      anon_sym_SEMI,
    STATE(2631), 1,
      sym_text_interpolation,
  [78022] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_EQ_GT,
    STATE(2632), 1,
      sym_text_interpolation,
  [78035] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5029), 1,
      sym_name,
    STATE(2633), 1,
      sym_text_interpolation,
  [78048] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym_SEMI,
    STATE(2634), 1,
      sym_text_interpolation,
  [78061] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5033), 1,
      anon_sym_LPAREN,
    STATE(2635), 1,
      sym_text_interpolation,
  [78074] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_RPAREN,
    STATE(2636), 1,
      sym_text_interpolation,
  [78087] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_EQ,
    STATE(2637), 1,
      sym_text_interpolation,
  [78100] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5039), 1,
      aux_sym_if_statement_token2,
    STATE(2638), 1,
      sym_text_interpolation,
  [78113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_RBRACE,
    STATE(2639), 1,
      sym_text_interpolation,
  [78126] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_RPAREN,
    STATE(2640), 1,
      sym_text_interpolation,
  [78139] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_EQ_GT,
    STATE(2641), 1,
      sym_text_interpolation,
  [78152] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym_EQ_GT,
    STATE(2642), 1,
      sym_text_interpolation,
  [78165] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5045), 1,
      aux_sym_foreach_statement_token2,
    STATE(2643), 1,
      sym_text_interpolation,
  [78178] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym_EQ_GT,
    STATE(2644), 1,
      sym_text_interpolation,
  [78191] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_RPAREN,
    STATE(2645), 1,
      sym_text_interpolation,
  [78204] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_RPAREN,
    STATE(2646), 1,
      sym_text_interpolation,
  [78217] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5053), 1,
      anon_sym_RPAREN,
    STATE(2647), 1,
      sym_text_interpolation,
  [78230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5055), 1,
      anon_sym_RBRACK,
    STATE(2648), 1,
      sym_text_interpolation,
  [78243] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5057), 1,
      sym_integer,
    STATE(2649), 1,
      sym_text_interpolation,
  [78256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5059), 1,
      anon_sym_RBRACK,
    STATE(2650), 1,
      sym_text_interpolation,
  [78269] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5061), 1,
      anon_sym_RPAREN,
    STATE(2651), 1,
      sym_text_interpolation,
  [78282] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_RPAREN,
    STATE(2652), 1,
      sym_text_interpolation,
  [78295] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5065), 1,
      anon_sym_RPAREN,
    STATE(2653), 1,
      sym_text_interpolation,
  [78308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5067), 1,
      sym_heredoc_end,
    STATE(2654), 1,
      sym_text_interpolation,
  [78321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5069), 1,
      aux_sym_if_statement_token2,
    STATE(2655), 1,
      sym_text_interpolation,
  [78334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(2656), 1,
      sym_text_interpolation,
  [78347] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_LPAREN,
    STATE(2657), 1,
      sym_text_interpolation,
  [78360] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5073), 1,
      sym_name,
    STATE(2658), 1,
      sym_text_interpolation,
  [78373] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_RPAREN,
    STATE(2659), 1,
      sym_text_interpolation,
  [78386] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
    STATE(2660), 1,
      sym_text_interpolation,
  [78399] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_EQ_GT,
    STATE(2661), 1,
      sym_text_interpolation,
  [78412] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5079), 1,
      aux_sym_if_statement_token2,
    STATE(2662), 1,
      sym_text_interpolation,
  [78425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5081), 1,
      aux_sym_foreach_statement_token2,
    STATE(2663), 1,
      sym_text_interpolation,
  [78438] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
    STATE(2664), 1,
      sym_text_interpolation,
  [78451] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_RPAREN,
    STATE(2665), 1,
      sym_text_interpolation,
  [78464] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_EQ_GT,
    STATE(2666), 1,
      sym_text_interpolation,
  [78477] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_RPAREN,
    STATE(2667), 1,
      sym_text_interpolation,
  [78490] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5089), 1,
      sym_name,
    STATE(2668), 1,
      sym_text_interpolation,
  [78503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5091), 1,
      sym_name,
    STATE(2669), 1,
      sym_text_interpolation,
  [78516] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_BSLASH,
    STATE(2670), 1,
      sym_text_interpolation,
  [78529] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5095), 1,
      anon_sym_BSLASH,
    STATE(2671), 1,
      sym_text_interpolation,
  [78542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5097), 1,
      sym_name,
    STATE(2672), 1,
      sym_text_interpolation,
  [78555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5099), 1,
      anon_sym_COLON_COLON,
    STATE(2673), 1,
      sym_text_interpolation,
  [78568] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4434), 1,
      sym_name,
    STATE(2674), 1,
      sym_text_interpolation,
  [78581] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5101), 1,
      anon_sym_EQ_GT,
    STATE(2675), 1,
      sym_text_interpolation,
  [78594] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5103), 1,
      anon_sym_EQ,
    STATE(2676), 1,
      sym_text_interpolation,
  [78607] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_COLON_COLON,
    STATE(2677), 1,
      sym_text_interpolation,
  [78620] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_text_interpolation,
  [78633] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_BSLASH,
    STATE(2679), 1,
      sym_text_interpolation,
  [78646] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5111), 1,
      anon_sym_SQUOTE2,
    STATE(2680), 1,
      sym_text_interpolation,
  [78659] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5113), 1,
      sym_heredoc_end,
    STATE(2681), 1,
      sym_text_interpolation,
  [78672] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    STATE(2682), 1,
      sym_text_interpolation,
  [78685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5115), 1,
      anon_sym_RBRACK,
    STATE(2683), 1,
      sym_text_interpolation,
  [78698] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5117), 1,
      sym_name,
    STATE(2684), 1,
      sym_text_interpolation,
  [78711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_RPAREN,
    STATE(2685), 1,
      sym_text_interpolation,
  [78724] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5121), 1,
      aux_sym_while_statement_token2,
    STATE(2686), 1,
      sym_text_interpolation,
  [78737] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5123), 1,
      anon_sym_EQ_GT,
    STATE(2687), 1,
      sym_text_interpolation,
  [78750] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5125), 1,
      sym_name,
    STATE(2688), 1,
      sym_text_interpolation,
  [78763] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5127), 1,
      sym_name,
    STATE(2689), 1,
      sym_text_interpolation,
  [78776] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5129), 1,
      sym_name,
    STATE(2690), 1,
      sym_text_interpolation,
  [78789] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_EQ_GT,
    STATE(2691), 1,
      sym_text_interpolation,
  [78802] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_RPAREN,
    STATE(2692), 1,
      sym_text_interpolation,
  [78815] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_RPAREN,
    STATE(2693), 1,
      sym_text_interpolation,
  [78828] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_COLON_COLON,
    STATE(2694), 1,
      sym_text_interpolation,
  [78841] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_name,
    STATE(2695), 1,
      sym_text_interpolation,
  [78854] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5139), 1,
      sym_name,
    STATE(2696), 1,
      sym_text_interpolation,
  [78867] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5141), 1,
      sym_name,
    STATE(2697), 1,
      sym_text_interpolation,
  [78880] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5143), 1,
      sym_heredoc_start,
    STATE(2698), 1,
      sym_text_interpolation,
  [78893] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5145), 1,
      sym_heredoc_start,
    STATE(2699), 1,
      sym_text_interpolation,
  [78906] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_RBRACE,
    STATE(2700), 1,
      sym_text_interpolation,
  [78919] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym_EQ_GT,
    STATE(2701), 1,
      sym_text_interpolation,
  [78932] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5149), 1,
      sym_name,
    STATE(2702), 1,
      sym_text_interpolation,
  [78945] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5151), 1,
      sym_name,
    STATE(2703), 1,
      sym_text_interpolation,
  [78958] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5153), 1,
      sym_name,
    STATE(2704), 1,
      sym_text_interpolation,
  [78971] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5155), 1,
      sym_name,
    STATE(2705), 1,
      sym_text_interpolation,
  [78984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5157), 1,
      sym_name,
    STATE(2706), 1,
      sym_text_interpolation,
  [78997] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5159), 1,
      sym_heredoc_start,
    STATE(2707), 1,
      sym_text_interpolation,
  [79010] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5161), 1,
      sym_name,
    STATE(2708), 1,
      sym_text_interpolation,
  [79023] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5163), 1,
      aux_sym_class_declaration_token1,
    STATE(2709), 1,
      sym_text_interpolation,
  [79036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5165), 1,
      sym_name,
    STATE(2710), 1,
      sym_text_interpolation,
  [79049] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5167), 1,
      aux_sym_class_declaration_token1,
    STATE(2711), 1,
      sym_text_interpolation,
  [79062] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5169), 1,
      aux_sym_while_statement_token2,
    STATE(2712), 1,
      sym_text_interpolation,
  [79075] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_COLON_COLON,
    STATE(2713), 1,
      sym_text_interpolation,
  [79088] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5173), 1,
      aux_sym_while_statement_token1,
    STATE(2714), 1,
      sym_text_interpolation,
  [79101] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5175), 1,
      sym_heredoc_end,
    STATE(2715), 1,
      sym_text_interpolation,
  [79114] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_RBRACK,
    STATE(2716), 1,
      sym_text_interpolation,
  [79127] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5179), 1,
      sym_name,
    STATE(2717), 1,
      sym_text_interpolation,
  [79140] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5181), 1,
      anon_sym_BSLASH,
    STATE(2718), 1,
      sym_text_interpolation,
  [79153] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(2719), 1,
      sym_text_interpolation,
  [79166] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_LPAREN,
    STATE(2720), 1,
      sym_text_interpolation,
  [79179] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5183), 1,
      sym_name,
    STATE(2721), 1,
      sym_text_interpolation,
  [79192] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5185), 1,
      sym_name,
    STATE(2722), 1,
      sym_text_interpolation,
  [79205] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5187), 1,
      aux_sym_while_statement_token1,
    STATE(2723), 1,
      sym_text_interpolation,
  [79218] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5189), 1,
      sym_name,
    STATE(2724), 1,
      sym_text_interpolation,
  [79231] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5191), 1,
      sym_heredoc_start,
    STATE(2725), 1,
      sym_text_interpolation,
  [79244] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5193), 1,
      sym_name,
    STATE(2726), 1,
      sym_text_interpolation,
  [79257] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5195), 1,
      anon_sym_BSLASH,
    STATE(2727), 1,
      sym_text_interpolation,
  [79270] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_BSLASH,
    STATE(2728), 1,
      sym_text_interpolation,
  [79283] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    STATE(2729), 1,
      sym_text_interpolation,
  [79296] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5201), 1,
      sym_heredoc_end,
    STATE(2730), 1,
      sym_text_interpolation,
  [79309] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_RPAREN,
    STATE(2731), 1,
      sym_text_interpolation,
  [79322] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
    STATE(2732), 1,
      sym_text_interpolation,
  [79335] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RPAREN,
    STATE(2733), 1,
      sym_text_interpolation,
  [79348] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    STATE(2734), 1,
      sym_text_interpolation,
  [79361] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5209), 1,
      anon_sym_RPAREN,
    STATE(2735), 1,
      sym_text_interpolation,
  [79374] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5211), 1,
      anon_sym_BSLASH,
    STATE(2736), 1,
      sym_text_interpolation,
  [79387] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_RPAREN,
    STATE(2737), 1,
      sym_text_interpolation,
  [79400] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5213), 1,
      sym_name,
    STATE(2738), 1,
      sym_text_interpolation,
  [79413] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_RPAREN,
    STATE(2739), 1,
      sym_text_interpolation,
  [79426] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_SEMI,
    STATE(2740), 1,
      sym_text_interpolation,
  [79439] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_COLON_COLON,
    STATE(2741), 1,
      sym_text_interpolation,
  [79452] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_BSLASH,
    STATE(2742), 1,
      sym_text_interpolation,
  [79465] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_EQ,
    STATE(2743), 1,
      sym_text_interpolation,
  [79478] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5221), 1,
      sym_name,
    STATE(2744), 1,
      sym_text_interpolation,
  [79491] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_RPAREN,
    STATE(2745), 1,
      sym_text_interpolation,
  [79504] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_RPAREN,
    STATE(2746), 1,
      sym_text_interpolation,
  [79517] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_COLON_COLON,
    STATE(2747), 1,
      sym_text_interpolation,
  [79530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_SEMI,
    STATE(2748), 1,
      sym_text_interpolation,
  [79543] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_RPAREN,
    STATE(2749), 1,
      sym_text_interpolation,
  [79556] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_BSLASH,
    STATE(2750), 1,
      sym_text_interpolation,
  [79569] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_RPAREN,
    STATE(2751), 1,
      sym_text_interpolation,
  [79582] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_RPAREN,
    STATE(2752), 1,
      sym_text_interpolation,
  [79595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_RPAREN,
    STATE(2753), 1,
      sym_text_interpolation,
  [79608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_RBRACK,
    STATE(2754), 1,
      sym_text_interpolation,
  [79621] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5239), 1,
      anon_sym_RPAREN,
    STATE(2755), 1,
      sym_text_interpolation,
  [79634] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4008), 1,
      sym_name,
    STATE(2756), 1,
      sym_text_interpolation,
  [79647] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_RPAREN,
    STATE(2757), 1,
      sym_text_interpolation,
  [79660] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5241), 1,
      anon_sym_SEMI,
    STATE(2758), 1,
      sym_text_interpolation,
  [79673] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_RPAREN,
    STATE(2759), 1,
      sym_text_interpolation,
  [79686] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
    STATE(2760), 1,
      sym_text_interpolation,
  [79699] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5243), 1,
      anon_sym_COLON_COLON,
    STATE(2761), 1,
      sym_text_interpolation,
  [79712] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_name,
    STATE(2762), 1,
      sym_text_interpolation,
  [79725] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    STATE(2763), 1,
      sym_text_interpolation,
  [79738] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_COLON_COLON,
    STATE(2764), 1,
      sym_text_interpolation,
  [79751] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5247), 1,
      aux_sym_if_statement_token2,
    STATE(2765), 1,
      sym_text_interpolation,
  [79764] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5249), 1,
      aux_sym_if_statement_token2,
    STATE(2766), 1,
      sym_text_interpolation,
  [79777] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_EQ,
    STATE(2767), 1,
      sym_text_interpolation,
  [79790] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_LPAREN,
    STATE(2768), 1,
      sym_text_interpolation,
  [79803] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    STATE(2769), 1,
      sym_text_interpolation,
  [79816] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5257), 1,
      anon_sym_SEMI,
    STATE(2770), 1,
      sym_text_interpolation,
  [79829] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_RPAREN,
    STATE(2771), 1,
      sym_text_interpolation,
  [79842] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5259), 1,
      anon_sym_BSLASH,
    STATE(2772), 1,
      sym_text_interpolation,
  [79855] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5261), 1,
      sym_name,
    STATE(2773), 1,
      sym_text_interpolation,
  [79868] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5263), 1,
      anon_sym_SEMI,
    STATE(2774), 1,
      sym_text_interpolation,
  [79881] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
    STATE(2775), 1,
      sym_text_interpolation,
  [79894] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN,
    STATE(2776), 1,
      sym_text_interpolation,
  [79907] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_COLON_COLON,
    STATE(2777), 1,
      sym_text_interpolation,
  [79920] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5269), 1,
      anon_sym_RBRACK,
    STATE(2778), 1,
      sym_text_interpolation,
  [79933] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_heredoc_end,
    STATE(2779), 1,
      sym_text_interpolation,
  [79946] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    STATE(2780), 1,
      sym_text_interpolation,
  [79959] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5275), 1,
      anon_sym_LPAREN,
    STATE(2781), 1,
      sym_text_interpolation,
  [79972] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_RPAREN,
    STATE(2782), 1,
      sym_text_interpolation,
  [79985] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5279), 1,
      sym_name,
    STATE(2783), 1,
      sym_text_interpolation,
  [79998] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_RPAREN,
    STATE(2784), 1,
      sym_text_interpolation,
  [80011] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5281), 1,
      anon_sym_LPAREN,
    STATE(2785), 1,
      sym_text_interpolation,
  [80024] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    STATE(2786), 1,
      sym_text_interpolation,
  [80037] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LPAREN,
    STATE(2787), 1,
      sym_text_interpolation,
  [80050] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    STATE(2788), 1,
      sym_text_interpolation,
  [80063] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5289), 1,
      sym_heredoc_end,
    STATE(2789), 1,
      sym_text_interpolation,
  [80076] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5291), 1,
      anon_sym_COLON_COLON,
    STATE(2790), 1,
      sym_text_interpolation,
  [80089] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_RPAREN,
    STATE(2791), 1,
      sym_text_interpolation,
  [80102] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_EQ_GT,
    STATE(2792), 1,
      sym_text_interpolation,
  [80115] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
    STATE(2793), 1,
      sym_text_interpolation,
  [80128] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    STATE(2794), 1,
      sym_text_interpolation,
  [80141] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5301), 1,
      anon_sym_LPAREN,
    STATE(2795), 1,
      sym_text_interpolation,
  [80154] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_SEMI,
    STATE(2796), 1,
      sym_text_interpolation,
  [80167] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5305), 1,
      sym_name,
    STATE(2797), 1,
      sym_text_interpolation,
  [80180] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5307), 1,
      anon_sym_SEMI,
    STATE(2798), 1,
      sym_text_interpolation,
  [80193] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5309), 1,
      sym_name,
    STATE(2799), 1,
      sym_text_interpolation,
  [80206] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym_name,
    STATE(2800), 1,
      sym_text_interpolation,
  [80219] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_SEMI,
    STATE(2801), 1,
      sym_text_interpolation,
  [80232] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_LPAREN,
    STATE(2802), 1,
      sym_text_interpolation,
  [80245] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5317), 1,
      sym_name,
    STATE(2803), 1,
      sym_text_interpolation,
  [80258] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_SEMI,
    STATE(2804), 1,
      sym_text_interpolation,
  [80271] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5321), 1,
      sym_name,
    STATE(2805), 1,
      sym_text_interpolation,
  [80284] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5323), 1,
      anon_sym_LPAREN,
    STATE(2806), 1,
      sym_text_interpolation,
  [80297] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_LPAREN,
    STATE(2807), 1,
      sym_text_interpolation,
  [80310] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    STATE(2808), 1,
      sym_text_interpolation,
  [80323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_EQ,
    STATE(2809), 1,
      sym_text_interpolation,
  [80336] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
    STATE(2810), 1,
      sym_text_interpolation,
  [80349] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5329), 1,
      anon_sym_SEMI,
    STATE(2811), 1,
      sym_text_interpolation,
  [80362] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5331), 1,
      anon_sym_LPAREN,
    STATE(2812), 1,
      sym_text_interpolation,
  [80375] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5333), 1,
      anon_sym_LPAREN,
    STATE(2813), 1,
      sym_text_interpolation,
  [80388] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5335), 1,
      anon_sym_COLON_COLON,
    STATE(2814), 1,
      sym_text_interpolation,
  [80401] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5337), 1,
      anon_sym_LPAREN,
    STATE(2815), 1,
      sym_text_interpolation,
  [80414] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_LPAREN,
    STATE(2816), 1,
      sym_text_interpolation,
  [80427] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1756), 1,
      sym_comment,
    ACTIONS(5341), 1,
      ts_builtin_sym_end,
    STATE(2817), 1,
      sym_text_interpolation,
  [80440] = 1,
    ACTIONS(5343), 1,
      ts_builtin_sym_end,
  [80444] = 1,
    ACTIONS(5345), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(641)] = 0,
  [SMALL_STATE(642)] = 79,
  [SMALL_STATE(643)] = 158,
  [SMALL_STATE(644)] = 245,
  [SMALL_STATE(645)] = 324,
  [SMALL_STATE(646)] = 403,
  [SMALL_STATE(647)] = 482,
  [SMALL_STATE(648)] = 556,
  [SMALL_STATE(649)] = 630,
  [SMALL_STATE(650)] = 704,
  [SMALL_STATE(651)] = 778,
  [SMALL_STATE(652)] = 852,
  [SMALL_STATE(653)] = 926,
  [SMALL_STATE(654)] = 1000,
  [SMALL_STATE(655)] = 1074,
  [SMALL_STATE(656)] = 1148,
  [SMALL_STATE(657)] = 1222,
  [SMALL_STATE(658)] = 1296,
  [SMALL_STATE(659)] = 1370,
  [SMALL_STATE(660)] = 1444,
  [SMALL_STATE(661)] = 1529,
  [SMALL_STATE(662)] = 1610,
  [SMALL_STATE(663)] = 1694,
  [SMALL_STATE(664)] = 1773,
  [SMALL_STATE(665)] = 1848,
  [SMALL_STATE(666)] = 1923,
  [SMALL_STATE(667)] = 1998,
  [SMALL_STATE(668)] = 2073,
  [SMALL_STATE(669)] = 2148,
  [SMALL_STATE(670)] = 2237,
  [SMALL_STATE(671)] = 2320,
  [SMALL_STATE(672)] = 2403,
  [SMALL_STATE(673)] = 2486,
  [SMALL_STATE(674)] = 2568,
  [SMALL_STATE(675)] = 2638,
  [SMALL_STATE(676)] = 2708,
  [SMALL_STATE(677)] = 2786,
  [SMALL_STATE(678)] = 2856,
  [SMALL_STATE(679)] = 2926,
  [SMALL_STATE(680)] = 2996,
  [SMALL_STATE(681)] = 3066,
  [SMALL_STATE(682)] = 3136,
  [SMALL_STATE(683)] = 3206,
  [SMALL_STATE(684)] = 3276,
  [SMALL_STATE(685)] = 3346,
  [SMALL_STATE(686)] = 3416,
  [SMALL_STATE(687)] = 3500,
  [SMALL_STATE(688)] = 3570,
  [SMALL_STATE(689)] = 3640,
  [SMALL_STATE(690)] = 3710,
  [SMALL_STATE(691)] = 3780,
  [SMALL_STATE(692)] = 3864,
  [SMALL_STATE(693)] = 3934,
  [SMALL_STATE(694)] = 4018,
  [SMALL_STATE(695)] = 4088,
  [SMALL_STATE(696)] = 4165,
  [SMALL_STATE(697)] = 4248,
  [SMALL_STATE(698)] = 4331,
  [SMALL_STATE(699)] = 4408,
  [SMALL_STATE(700)] = 4485,
  [SMALL_STATE(701)] = 4563,
  [SMALL_STATE(702)] = 4639,
  [SMALL_STATE(703)] = 4717,
  [SMALL_STATE(704)] = 4795,
  [SMALL_STATE(705)] = 4872,
  [SMALL_STATE(706)] = 4936,
  [SMALL_STATE(707)] = 5051,
  [SMALL_STATE(708)] = 5166,
  [SMALL_STATE(709)] = 5227,
  [SMALL_STATE(710)] = 5298,
  [SMALL_STATE(711)] = 5363,
  [SMALL_STATE(712)] = 5428,
  [SMALL_STATE(713)] = 5499,
  [SMALL_STATE(714)] = 5566,
  [SMALL_STATE(715)] = 5637,
  [SMALL_STATE(716)] = 5708,
  [SMALL_STATE(717)] = 5773,
  [SMALL_STATE(718)] = 5838,
  [SMALL_STATE(719)] = 5903,
  [SMALL_STATE(720)] = 5972,
  [SMALL_STATE(721)] = 6032,
  [SMALL_STATE(722)] = 6092,
  [SMALL_STATE(723)] = 6152,
  [SMALL_STATE(724)] = 6212,
  [SMALL_STATE(725)] = 6272,
  [SMALL_STATE(726)] = 6382,
  [SMALL_STATE(727)] = 6442,
  [SMALL_STATE(728)] = 6552,
  [SMALL_STATE(729)] = 6612,
  [SMALL_STATE(730)] = 6676,
  [SMALL_STATE(731)] = 6736,
  [SMALL_STATE(732)] = 6796,
  [SMALL_STATE(733)] = 6856,
  [SMALL_STATE(734)] = 6916,
  [SMALL_STATE(735)] = 6976,
  [SMALL_STATE(736)] = 7086,
  [SMALL_STATE(737)] = 7146,
  [SMALL_STATE(738)] = 7206,
  [SMALL_STATE(739)] = 7270,
  [SMALL_STATE(740)] = 7380,
  [SMALL_STATE(741)] = 7440,
  [SMALL_STATE(742)] = 7500,
  [SMALL_STATE(743)] = 7560,
  [SMALL_STATE(744)] = 7625,
  [SMALL_STATE(745)] = 7726,
  [SMALL_STATE(746)] = 7791,
  [SMALL_STATE(747)] = 7856,
  [SMALL_STATE(748)] = 7919,
  [SMALL_STATE(749)] = 7982,
  [SMALL_STATE(750)] = 8043,
  [SMALL_STATE(751)] = 8104,
  [SMALL_STATE(752)] = 8211,
  [SMALL_STATE(753)] = 8272,
  [SMALL_STATE(754)] = 8333,
  [SMALL_STATE(755)] = 8398,
  [SMALL_STATE(756)] = 8459,
  [SMALL_STATE(757)] = 8520,
  [SMALL_STATE(758)] = 8583,
  [SMALL_STATE(759)] = 8648,
  [SMALL_STATE(760)] = 8713,
  [SMALL_STATE(761)] = 8778,
  [SMALL_STATE(762)] = 8841,
  [SMALL_STATE(763)] = 8906,
  [SMALL_STATE(764)] = 8971,
  [SMALL_STATE(765)] = 9036,
  [SMALL_STATE(766)] = 9101,
  [SMALL_STATE(767)] = 9164,
  [SMALL_STATE(768)] = 9227,
  [SMALL_STATE(769)] = 9330,
  [SMALL_STATE(770)] = 9395,
  [SMALL_STATE(771)] = 9502,
  [SMALL_STATE(772)] = 9609,
  [SMALL_STATE(773)] = 9674,
  [SMALL_STATE(774)] = 9777,
  [SMALL_STATE(775)] = 9840,
  [SMALL_STATE(776)] = 9947,
  [SMALL_STATE(777)] = 10010,
  [SMALL_STATE(778)] = 10073,
  [SMALL_STATE(779)] = 10136,
  [SMALL_STATE(780)] = 10199,
  [SMALL_STATE(781)] = 10262,
  [SMALL_STATE(782)] = 10369,
  [SMALL_STATE(783)] = 10434,
  [SMALL_STATE(784)] = 10497,
  [SMALL_STATE(785)] = 10560,
  [SMALL_STATE(786)] = 10667,
  [SMALL_STATE(787)] = 10771,
  [SMALL_STATE(788)] = 10831,
  [SMALL_STATE(789)] = 10889,
  [SMALL_STATE(790)] = 10947,
  [SMALL_STATE(791)] = 11005,
  [SMALL_STATE(792)] = 11063,
  [SMALL_STATE(793)] = 11121,
  [SMALL_STATE(794)] = 11179,
  [SMALL_STATE(795)] = 11237,
  [SMALL_STATE(796)] = 11295,
  [SMALL_STATE(797)] = 11353,
  [SMALL_STATE(798)] = 11411,
  [SMALL_STATE(799)] = 11471,
  [SMALL_STATE(800)] = 11529,
  [SMALL_STATE(801)] = 11587,
  [SMALL_STATE(802)] = 11645,
  [SMALL_STATE(803)] = 11703,
  [SMALL_STATE(804)] = 11761,
  [SMALL_STATE(805)] = 11819,
  [SMALL_STATE(806)] = 11877,
  [SMALL_STATE(807)] = 11935,
  [SMALL_STATE(808)] = 11993,
  [SMALL_STATE(809)] = 12051,
  [SMALL_STATE(810)] = 12109,
  [SMALL_STATE(811)] = 12167,
  [SMALL_STATE(812)] = 12225,
  [SMALL_STATE(813)] = 12283,
  [SMALL_STATE(814)] = 12341,
  [SMALL_STATE(815)] = 12399,
  [SMALL_STATE(816)] = 12459,
  [SMALL_STATE(817)] = 12517,
  [SMALL_STATE(818)] = 12575,
  [SMALL_STATE(819)] = 12633,
  [SMALL_STATE(820)] = 12691,
  [SMALL_STATE(821)] = 12749,
  [SMALL_STATE(822)] = 12807,
  [SMALL_STATE(823)] = 12911,
  [SMALL_STATE(824)] = 12969,
  [SMALL_STATE(825)] = 13027,
  [SMALL_STATE(826)] = 13085,
  [SMALL_STATE(827)] = 13143,
  [SMALL_STATE(828)] = 13201,
  [SMALL_STATE(829)] = 13259,
  [SMALL_STATE(830)] = 13317,
  [SMALL_STATE(831)] = 13375,
  [SMALL_STATE(832)] = 13433,
  [SMALL_STATE(833)] = 13491,
  [SMALL_STATE(834)] = 13549,
  [SMALL_STATE(835)] = 13607,
  [SMALL_STATE(836)] = 13665,
  [SMALL_STATE(837)] = 13722,
  [SMALL_STATE(838)] = 13779,
  [SMALL_STATE(839)] = 13840,
  [SMALL_STATE(840)] = 13905,
  [SMALL_STATE(841)] = 13972,
  [SMALL_STATE(842)] = 14031,
  [SMALL_STATE(843)] = 14090,
  [SMALL_STATE(844)] = 14151,
  [SMALL_STATE(845)] = 14212,
  [SMALL_STATE(846)] = 14271,
  [SMALL_STATE(847)] = 14332,
  [SMALL_STATE(848)] = 14399,
  [SMALL_STATE(849)] = 14466,
  [SMALL_STATE(850)] = 14525,
  [SMALL_STATE(851)] = 14588,
  [SMALL_STATE(852)] = 14645,
  [SMALL_STATE(853)] = 14706,
  [SMALL_STATE(854)] = 14767,
  [SMALL_STATE(855)] = 14834,
  [SMALL_STATE(856)] = 14932,
  [SMALL_STATE(857)] = 15030,
  [SMALL_STATE(858)] = 15086,
  [SMALL_STATE(859)] = 15142,
  [SMALL_STATE(860)] = 15198,
  [SMALL_STATE(861)] = 15254,
  [SMALL_STATE(862)] = 15310,
  [SMALL_STATE(863)] = 15366,
  [SMALL_STATE(864)] = 15422,
  [SMALL_STATE(865)] = 15478,
  [SMALL_STATE(866)] = 15576,
  [SMALL_STATE(867)] = 15632,
  [SMALL_STATE(868)] = 15700,
  [SMALL_STATE(869)] = 15756,
  [SMALL_STATE(870)] = 15812,
  [SMALL_STATE(871)] = 15880,
  [SMALL_STATE(872)] = 15936,
  [SMALL_STATE(873)] = 15992,
  [SMALL_STATE(874)] = 16048,
  [SMALL_STATE(875)] = 16104,
  [SMALL_STATE(876)] = 16160,
  [SMALL_STATE(877)] = 16216,
  [SMALL_STATE(878)] = 16314,
  [SMALL_STATE(879)] = 16370,
  [SMALL_STATE(880)] = 16438,
  [SMALL_STATE(881)] = 16499,
  [SMALL_STATE(882)] = 16560,
  [SMALL_STATE(883)] = 16621,
  [SMALL_STATE(884)] = 16680,
  [SMALL_STATE(885)] = 16739,
  [SMALL_STATE(886)] = 16798,
  [SMALL_STATE(887)] = 16893,
  [SMALL_STATE(888)] = 16954,
  [SMALL_STATE(889)] = 17013,
  [SMALL_STATE(890)] = 17072,
  [SMALL_STATE(891)] = 17167,
  [SMALL_STATE(892)] = 17262,
  [SMALL_STATE(893)] = 17319,
  [SMALL_STATE(894)] = 17376,
  [SMALL_STATE(895)] = 17471,
  [SMALL_STATE(896)] = 17532,
  [SMALL_STATE(897)] = 17591,
  [SMALL_STATE(898)] = 17686,
  [SMALL_STATE(899)] = 17741,
  [SMALL_STATE(900)] = 17802,
  [SMALL_STATE(901)] = 17857,
  [SMALL_STATE(902)] = 17916,
  [SMALL_STATE(903)] = 18011,
  [SMALL_STATE(904)] = 18070,
  [SMALL_STATE(905)] = 18129,
  [SMALL_STATE(906)] = 18188,
  [SMALL_STATE(907)] = 18247,
  [SMALL_STATE(908)] = 18308,
  [SMALL_STATE(909)] = 18365,
  [SMALL_STATE(910)] = 18460,
  [SMALL_STATE(911)] = 18515,
  [SMALL_STATE(912)] = 18574,
  [SMALL_STATE(913)] = 18669,
  [SMALL_STATE(914)] = 18728,
  [SMALL_STATE(915)] = 18823,
  [SMALL_STATE(916)] = 18884,
  [SMALL_STATE(917)] = 18939,
  [SMALL_STATE(918)] = 18998,
  [SMALL_STATE(919)] = 19059,
  [SMALL_STATE(920)] = 19120,
  [SMALL_STATE(921)] = 19215,
  [SMALL_STATE(922)] = 19274,
  [SMALL_STATE(923)] = 19369,
  [SMALL_STATE(924)] = 19426,
  [SMALL_STATE(925)] = 19521,
  [SMALL_STATE(926)] = 19616,
  [SMALL_STATE(927)] = 19677,
  [SMALL_STATE(928)] = 19772,
  [SMALL_STATE(929)] = 19833,
  [SMALL_STATE(930)] = 19928,
  [SMALL_STATE(931)] = 19989,
  [SMALL_STATE(932)] = 20046,
  [SMALL_STATE(933)] = 20103,
  [SMALL_STATE(934)] = 20164,
  [SMALL_STATE(935)] = 20221,
  [SMALL_STATE(936)] = 20275,
  [SMALL_STATE(937)] = 20329,
  [SMALL_STATE(938)] = 20383,
  [SMALL_STATE(939)] = 20437,
  [SMALL_STATE(940)] = 20491,
  [SMALL_STATE(941)] = 20545,
  [SMALL_STATE(942)] = 20599,
  [SMALL_STATE(943)] = 20653,
  [SMALL_STATE(944)] = 20707,
  [SMALL_STATE(945)] = 20761,
  [SMALL_STATE(946)] = 20815,
  [SMALL_STATE(947)] = 20871,
  [SMALL_STATE(948)] = 20925,
  [SMALL_STATE(949)] = 20979,
  [SMALL_STATE(950)] = 21033,
  [SMALL_STATE(951)] = 21087,
  [SMALL_STATE(952)] = 21141,
  [SMALL_STATE(953)] = 21197,
  [SMALL_STATE(954)] = 21251,
  [SMALL_STATE(955)] = 21305,
  [SMALL_STATE(956)] = 21359,
  [SMALL_STATE(957)] = 21413,
  [SMALL_STATE(958)] = 21467,
  [SMALL_STATE(959)] = 21521,
  [SMALL_STATE(960)] = 21575,
  [SMALL_STATE(961)] = 21629,
  [SMALL_STATE(962)] = 21683,
  [SMALL_STATE(963)] = 21737,
  [SMALL_STATE(964)] = 21791,
  [SMALL_STATE(965)] = 21845,
  [SMALL_STATE(966)] = 21899,
  [SMALL_STATE(967)] = 21953,
  [SMALL_STATE(968)] = 22007,
  [SMALL_STATE(969)] = 22061,
  [SMALL_STATE(970)] = 22117,
  [SMALL_STATE(971)] = 22171,
  [SMALL_STATE(972)] = 22225,
  [SMALL_STATE(973)] = 22279,
  [SMALL_STATE(974)] = 22333,
  [SMALL_STATE(975)] = 22387,
  [SMALL_STATE(976)] = 22441,
  [SMALL_STATE(977)] = 22495,
  [SMALL_STATE(978)] = 22549,
  [SMALL_STATE(979)] = 22603,
  [SMALL_STATE(980)] = 22661,
  [SMALL_STATE(981)] = 22715,
  [SMALL_STATE(982)] = 22769,
  [SMALL_STATE(983)] = 22823,
  [SMALL_STATE(984)] = 22877,
  [SMALL_STATE(985)] = 22932,
  [SMALL_STATE(986)] = 22987,
  [SMALL_STATE(987)] = 23042,
  [SMALL_STATE(988)] = 23097,
  [SMALL_STATE(989)] = 23152,
  [SMALL_STATE(990)] = 23204,
  [SMALL_STATE(991)] = 23256,
  [SMALL_STATE(992)] = 23308,
  [SMALL_STATE(993)] = 23360,
  [SMALL_STATE(994)] = 23412,
  [SMALL_STATE(995)] = 23464,
  [SMALL_STATE(996)] = 23516,
  [SMALL_STATE(997)] = 23568,
  [SMALL_STATE(998)] = 23620,
  [SMALL_STATE(999)] = 23672,
  [SMALL_STATE(1000)] = 23724,
  [SMALL_STATE(1001)] = 23776,
  [SMALL_STATE(1002)] = 23828,
  [SMALL_STATE(1003)] = 23880,
  [SMALL_STATE(1004)] = 23932,
  [SMALL_STATE(1005)] = 23984,
  [SMALL_STATE(1006)] = 24036,
  [SMALL_STATE(1007)] = 24088,
  [SMALL_STATE(1008)] = 24140,
  [SMALL_STATE(1009)] = 24192,
  [SMALL_STATE(1010)] = 24244,
  [SMALL_STATE(1011)] = 24296,
  [SMALL_STATE(1012)] = 24348,
  [SMALL_STATE(1013)] = 24400,
  [SMALL_STATE(1014)] = 24452,
  [SMALL_STATE(1015)] = 24504,
  [SMALL_STATE(1016)] = 24556,
  [SMALL_STATE(1017)] = 24608,
  [SMALL_STATE(1018)] = 24660,
  [SMALL_STATE(1019)] = 24712,
  [SMALL_STATE(1020)] = 24764,
  [SMALL_STATE(1021)] = 24816,
  [SMALL_STATE(1022)] = 24868,
  [SMALL_STATE(1023)] = 24920,
  [SMALL_STATE(1024)] = 24972,
  [SMALL_STATE(1025)] = 25024,
  [SMALL_STATE(1026)] = 25076,
  [SMALL_STATE(1027)] = 25128,
  [SMALL_STATE(1028)] = 25180,
  [SMALL_STATE(1029)] = 25232,
  [SMALL_STATE(1030)] = 25284,
  [SMALL_STATE(1031)] = 25336,
  [SMALL_STATE(1032)] = 25388,
  [SMALL_STATE(1033)] = 25440,
  [SMALL_STATE(1034)] = 25492,
  [SMALL_STATE(1035)] = 25544,
  [SMALL_STATE(1036)] = 25596,
  [SMALL_STATE(1037)] = 25648,
  [SMALL_STATE(1038)] = 25700,
  [SMALL_STATE(1039)] = 25752,
  [SMALL_STATE(1040)] = 25804,
  [SMALL_STATE(1041)] = 25856,
  [SMALL_STATE(1042)] = 25908,
  [SMALL_STATE(1043)] = 25960,
  [SMALL_STATE(1044)] = 26012,
  [SMALL_STATE(1045)] = 26064,
  [SMALL_STATE(1046)] = 26116,
  [SMALL_STATE(1047)] = 26168,
  [SMALL_STATE(1048)] = 26220,
  [SMALL_STATE(1049)] = 26274,
  [SMALL_STATE(1050)] = 26326,
  [SMALL_STATE(1051)] = 26378,
  [SMALL_STATE(1052)] = 26430,
  [SMALL_STATE(1053)] = 26482,
  [SMALL_STATE(1054)] = 26534,
  [SMALL_STATE(1055)] = 26586,
  [SMALL_STATE(1056)] = 26637,
  [SMALL_STATE(1057)] = 26724,
  [SMALL_STATE(1058)] = 26775,
  [SMALL_STATE(1059)] = 26857,
  [SMALL_STATE(1060)] = 26945,
  [SMALL_STATE(1061)] = 26997,
  [SMALL_STATE(1062)] = 27085,
  [SMALL_STATE(1063)] = 27167,
  [SMALL_STATE(1064)] = 27225,
  [SMALL_STATE(1065)] = 27315,
  [SMALL_STATE(1066)] = 27381,
  [SMALL_STATE(1067)] = 27463,
  [SMALL_STATE(1068)] = 27545,
  [SMALL_STATE(1069)] = 27627,
  [SMALL_STATE(1070)] = 27683,
  [SMALL_STATE(1071)] = 27771,
  [SMALL_STATE(1072)] = 27845,
  [SMALL_STATE(1073)] = 27903,
  [SMALL_STATE(1074)] = 27985,
  [SMALL_STATE(1075)] = 28071,
  [SMALL_STATE(1076)] = 28159,
  [SMALL_STATE(1077)] = 28243,
  [SMALL_STATE(1078)] = 28325,
  [SMALL_STATE(1079)] = 28413,
  [SMALL_STATE(1080)] = 28483,
  [SMALL_STATE(1081)] = 28561,
  [SMALL_STATE(1082)] = 28649,
  [SMALL_STATE(1083)] = 28737,
  [SMALL_STATE(1084)] = 28825,
  [SMALL_STATE(1085)] = 28901,
  [SMALL_STATE(1086)] = 28973,
  [SMALL_STATE(1087)] = 29039,
  [SMALL_STATE(1088)] = 29101,
  [SMALL_STATE(1089)] = 29159,
  [SMALL_STATE(1090)] = 29219,
  [SMALL_STATE(1091)] = 29307,
  [SMALL_STATE(1092)] = 29395,
  [SMALL_STATE(1093)] = 29447,
  [SMALL_STATE(1094)] = 29534,
  [SMALL_STATE(1095)] = 29621,
  [SMALL_STATE(1096)] = 29696,
  [SMALL_STATE(1097)] = 29783,
  [SMALL_STATE(1098)] = 29870,
  [SMALL_STATE(1099)] = 29941,
  [SMALL_STATE(1100)] = 30028,
  [SMALL_STATE(1101)] = 30085,
  [SMALL_STATE(1102)] = 30144,
  [SMALL_STATE(1103)] = 30225,
  [SMALL_STATE(1104)] = 30276,
  [SMALL_STATE(1105)] = 30357,
  [SMALL_STATE(1106)] = 30412,
  [SMALL_STATE(1107)] = 30485,
  [SMALL_STATE(1108)] = 30554,
  [SMALL_STATE(1109)] = 30635,
  [SMALL_STATE(1110)] = 30724,
  [SMALL_STATE(1111)] = 30811,
  [SMALL_STATE(1112)] = 30898,
  [SMALL_STATE(1113)] = 30979,
  [SMALL_STATE(1114)] = 31056,
  [SMALL_STATE(1115)] = 31107,
  [SMALL_STATE(1116)] = 31194,
  [SMALL_STATE(1117)] = 31255,
  [SMALL_STATE(1118)] = 31336,
  [SMALL_STATE(1119)] = 31419,
  [SMALL_STATE(1120)] = 31504,
  [SMALL_STATE(1121)] = 31585,
  [SMALL_STATE(1122)] = 31672,
  [SMALL_STATE(1123)] = 31737,
  [SMALL_STATE(1124)] = 31818,
  [SMALL_STATE(1125)] = 31905,
  [SMALL_STATE(1126)] = 31953,
  [SMALL_STATE(1127)] = 32001,
  [SMALL_STATE(1128)] = 32055,
  [SMALL_STATE(1129)] = 32127,
  [SMALL_STATE(1130)] = 32213,
  [SMALL_STATE(1131)] = 32281,
  [SMALL_STATE(1132)] = 32329,
  [SMALL_STATE(1133)] = 32377,
  [SMALL_STATE(1134)] = 32463,
  [SMALL_STATE(1135)] = 32549,
  [SMALL_STATE(1136)] = 32597,
  [SMALL_STATE(1137)] = 32677,
  [SMALL_STATE(1138)] = 32725,
  [SMALL_STATE(1139)] = 32773,
  [SMALL_STATE(1140)] = 32821,
  [SMALL_STATE(1141)] = 32869,
  [SMALL_STATE(1142)] = 32917,
  [SMALL_STATE(1143)] = 32965,
  [SMALL_STATE(1144)] = 33013,
  [SMALL_STATE(1145)] = 33061,
  [SMALL_STATE(1146)] = 33109,
  [SMALL_STATE(1147)] = 33157,
  [SMALL_STATE(1148)] = 33237,
  [SMALL_STATE(1149)] = 33285,
  [SMALL_STATE(1150)] = 33371,
  [SMALL_STATE(1151)] = 33457,
  [SMALL_STATE(1152)] = 33505,
  [SMALL_STATE(1153)] = 33553,
  [SMALL_STATE(1154)] = 33601,
  [SMALL_STATE(1155)] = 33649,
  [SMALL_STATE(1156)] = 33735,
  [SMALL_STATE(1157)] = 33783,
  [SMALL_STATE(1158)] = 33859,
  [SMALL_STATE(1159)] = 33907,
  [SMALL_STATE(1160)] = 33957,
  [SMALL_STATE(1161)] = 34037,
  [SMALL_STATE(1162)] = 34117,
  [SMALL_STATE(1163)] = 34201,
  [SMALL_STATE(1164)] = 34249,
  [SMALL_STATE(1165)] = 34297,
  [SMALL_STATE(1166)] = 34345,
  [SMALL_STATE(1167)] = 34393,
  [SMALL_STATE(1168)] = 34473,
  [SMALL_STATE(1169)] = 34555,
  [SMALL_STATE(1170)] = 34635,
  [SMALL_STATE(1171)] = 34683,
  [SMALL_STATE(1172)] = 34731,
  [SMALL_STATE(1173)] = 34779,
  [SMALL_STATE(1174)] = 34853,
  [SMALL_STATE(1175)] = 34923,
  [SMALL_STATE(1176)] = 35003,
  [SMALL_STATE(1177)] = 35067,
  [SMALL_STATE(1178)] = 35115,
  [SMALL_STATE(1179)] = 35165,
  [SMALL_STATE(1180)] = 35213,
  [SMALL_STATE(1181)] = 35261,
  [SMALL_STATE(1182)] = 35309,
  [SMALL_STATE(1183)] = 35389,
  [SMALL_STATE(1184)] = 35437,
  [SMALL_STATE(1185)] = 35485,
  [SMALL_STATE(1186)] = 35533,
  [SMALL_STATE(1187)] = 35581,
  [SMALL_STATE(1188)] = 35629,
  [SMALL_STATE(1189)] = 35679,
  [SMALL_STATE(1190)] = 35739,
  [SMALL_STATE(1191)] = 35787,
  [SMALL_STATE(1192)] = 35835,
  [SMALL_STATE(1193)] = 35883,
  [SMALL_STATE(1194)] = 35931,
  [SMALL_STATE(1195)] = 35979,
  [SMALL_STATE(1196)] = 36027,
  [SMALL_STATE(1197)] = 36075,
  [SMALL_STATE(1198)] = 36123,
  [SMALL_STATE(1199)] = 36209,
  [SMALL_STATE(1200)] = 36265,
  [SMALL_STATE(1201)] = 36351,
  [SMALL_STATE(1202)] = 36431,
  [SMALL_STATE(1203)] = 36517,
  [SMALL_STATE(1204)] = 36603,
  [SMALL_STATE(1205)] = 36651,
  [SMALL_STATE(1206)] = 36699,
  [SMALL_STATE(1207)] = 36747,
  [SMALL_STATE(1208)] = 36795,
  [SMALL_STATE(1209)] = 36883,
  [SMALL_STATE(1210)] = 36931,
  [SMALL_STATE(1211)] = 36979,
  [SMALL_STATE(1212)] = 37027,
  [SMALL_STATE(1213)] = 37085,
  [SMALL_STATE(1214)] = 37133,
  [SMALL_STATE(1215)] = 37181,
  [SMALL_STATE(1216)] = 37229,
  [SMALL_STATE(1217)] = 37277,
  [SMALL_STATE(1218)] = 37325,
  [SMALL_STATE(1219)] = 37373,
  [SMALL_STATE(1220)] = 37421,
  [SMALL_STATE(1221)] = 37469,
  [SMALL_STATE(1222)] = 37517,
  [SMALL_STATE(1223)] = 37565,
  [SMALL_STATE(1224)] = 37613,
  [SMALL_STATE(1225)] = 37661,
  [SMALL_STATE(1226)] = 37709,
  [SMALL_STATE(1227)] = 37757,
  [SMALL_STATE(1228)] = 37836,
  [SMALL_STATE(1229)] = 37885,
  [SMALL_STATE(1230)] = 37960,
  [SMALL_STATE(1231)] = 38045,
  [SMALL_STATE(1232)] = 38130,
  [SMALL_STATE(1233)] = 38215,
  [SMALL_STATE(1234)] = 38300,
  [SMALL_STATE(1235)] = 38385,
  [SMALL_STATE(1236)] = 38470,
  [SMALL_STATE(1237)] = 38525,
  [SMALL_STATE(1238)] = 38612,
  [SMALL_STATE(1239)] = 38697,
  [SMALL_STATE(1240)] = 38782,
  [SMALL_STATE(1241)] = 38841,
  [SMALL_STATE(1242)] = 38904,
  [SMALL_STATE(1243)] = 38973,
  [SMALL_STATE(1244)] = 39046,
  [SMALL_STATE(1245)] = 39121,
  [SMALL_STATE(1246)] = 39206,
  [SMALL_STATE(1247)] = 39281,
  [SMALL_STATE(1248)] = 39360,
  [SMALL_STATE(1249)] = 39439,
  [SMALL_STATE(1250)] = 39518,
  [SMALL_STATE(1251)] = 39603,
  [SMALL_STATE(1252)] = 39678,
  [SMALL_STATE(1253)] = 39727,
  [SMALL_STATE(1254)] = 39806,
  [SMALL_STATE(1255)] = 39855,
  [SMALL_STATE(1256)] = 39912,
  [SMALL_STATE(1257)] = 39993,
  [SMALL_STATE(1258)] = 40060,
  [SMALL_STATE(1259)] = 40131,
  [SMALL_STATE(1260)] = 40214,
  [SMALL_STATE(1261)] = 40293,
  [SMALL_STATE(1262)] = 40346,
  [SMALL_STATE(1263)] = 40395,
  [SMALL_STATE(1264)] = 40474,
  [SMALL_STATE(1265)] = 40549,
  [SMALL_STATE(1266)] = 40635,
  [SMALL_STATE(1267)] = 40709,
  [SMALL_STATE(1268)] = 40793,
  [SMALL_STATE(1269)] = 40881,
  [SMALL_STATE(1270)] = 40965,
  [SMALL_STATE(1271)] = 41049,
  [SMALL_STATE(1272)] = 41135,
  [SMALL_STATE(1273)] = 41221,
  [SMALL_STATE(1274)] = 41307,
  [SMALL_STATE(1275)] = 41393,
  [SMALL_STATE(1276)] = 41467,
  [SMALL_STATE(1277)] = 41550,
  [SMALL_STATE(1278)] = 41639,
  [SMALL_STATE(1279)] = 41724,
  [SMALL_STATE(1280)] = 41807,
  [SMALL_STATE(1281)] = 41890,
  [SMALL_STATE(1282)] = 41973,
  [SMALL_STATE(1283)] = 42056,
  [SMALL_STATE(1284)] = 42139,
  [SMALL_STATE(1285)] = 42228,
  [SMALL_STATE(1286)] = 42311,
  [SMALL_STATE(1287)] = 42400,
  [SMALL_STATE(1288)] = 42485,
  [SMALL_STATE(1289)] = 42570,
  [SMALL_STATE(1290)] = 42655,
  [SMALL_STATE(1291)] = 42738,
  [SMALL_STATE(1292)] = 42827,
  [SMALL_STATE(1293)] = 42916,
  [SMALL_STATE(1294)] = 42999,
  [SMALL_STATE(1295)] = 43084,
  [SMALL_STATE(1296)] = 43167,
  [SMALL_STATE(1297)] = 43250,
  [SMALL_STATE(1298)] = 43333,
  [SMALL_STATE(1299)] = 43422,
  [SMALL_STATE(1300)] = 43511,
  [SMALL_STATE(1301)] = 43594,
  [SMALL_STATE(1302)] = 43677,
  [SMALL_STATE(1303)] = 43760,
  [SMALL_STATE(1304)] = 43843,
  [SMALL_STATE(1305)] = 43926,
  [SMALL_STATE(1306)] = 44011,
  [SMALL_STATE(1307)] = 44094,
  [SMALL_STATE(1308)] = 44177,
  [SMALL_STATE(1309)] = 44260,
  [SMALL_STATE(1310)] = 44343,
  [SMALL_STATE(1311)] = 44426,
  [SMALL_STATE(1312)] = 44509,
  [SMALL_STATE(1313)] = 44592,
  [SMALL_STATE(1314)] = 44675,
  [SMALL_STATE(1315)] = 44758,
  [SMALL_STATE(1316)] = 44841,
  [SMALL_STATE(1317)] = 44924,
  [SMALL_STATE(1318)] = 45007,
  [SMALL_STATE(1319)] = 45090,
  [SMALL_STATE(1320)] = 45173,
  [SMALL_STATE(1321)] = 45258,
  [SMALL_STATE(1322)] = 45345,
  [SMALL_STATE(1323)] = 45428,
  [SMALL_STATE(1324)] = 45513,
  [SMALL_STATE(1325)] = 45602,
  [SMALL_STATE(1326)] = 45684,
  [SMALL_STATE(1327)] = 45766,
  [SMALL_STATE(1328)] = 45848,
  [SMALL_STATE(1329)] = 45892,
  [SMALL_STATE(1330)] = 45974,
  [SMALL_STATE(1331)] = 46056,
  [SMALL_STATE(1332)] = 46138,
  [SMALL_STATE(1333)] = 46182,
  [SMALL_STATE(1334)] = 46264,
  [SMALL_STATE(1335)] = 46346,
  [SMALL_STATE(1336)] = 46428,
  [SMALL_STATE(1337)] = 46510,
  [SMALL_STATE(1338)] = 46592,
  [SMALL_STATE(1339)] = 46674,
  [SMALL_STATE(1340)] = 46756,
  [SMALL_STATE(1341)] = 46838,
  [SMALL_STATE(1342)] = 46882,
  [SMALL_STATE(1343)] = 46964,
  [SMALL_STATE(1344)] = 47046,
  [SMALL_STATE(1345)] = 47128,
  [SMALL_STATE(1346)] = 47210,
  [SMALL_STATE(1347)] = 47292,
  [SMALL_STATE(1348)] = 47374,
  [SMALL_STATE(1349)] = 47456,
  [SMALL_STATE(1350)] = 47538,
  [SMALL_STATE(1351)] = 47620,
  [SMALL_STATE(1352)] = 47702,
  [SMALL_STATE(1353)] = 47784,
  [SMALL_STATE(1354)] = 47866,
  [SMALL_STATE(1355)] = 47948,
  [SMALL_STATE(1356)] = 48030,
  [SMALL_STATE(1357)] = 48112,
  [SMALL_STATE(1358)] = 48194,
  [SMALL_STATE(1359)] = 48276,
  [SMALL_STATE(1360)] = 48358,
  [SMALL_STATE(1361)] = 48440,
  [SMALL_STATE(1362)] = 48522,
  [SMALL_STATE(1363)] = 48604,
  [SMALL_STATE(1364)] = 48686,
  [SMALL_STATE(1365)] = 48768,
  [SMALL_STATE(1366)] = 48850,
  [SMALL_STATE(1367)] = 48932,
  [SMALL_STATE(1368)] = 49014,
  [SMALL_STATE(1369)] = 49096,
  [SMALL_STATE(1370)] = 49178,
  [SMALL_STATE(1371)] = 49260,
  [SMALL_STATE(1372)] = 49342,
  [SMALL_STATE(1373)] = 49424,
  [SMALL_STATE(1374)] = 49506,
  [SMALL_STATE(1375)] = 49588,
  [SMALL_STATE(1376)] = 49670,
  [SMALL_STATE(1377)] = 49752,
  [SMALL_STATE(1378)] = 49834,
  [SMALL_STATE(1379)] = 49916,
  [SMALL_STATE(1380)] = 49998,
  [SMALL_STATE(1381)] = 50080,
  [SMALL_STATE(1382)] = 50162,
  [SMALL_STATE(1383)] = 50244,
  [SMALL_STATE(1384)] = 50326,
  [SMALL_STATE(1385)] = 50408,
  [SMALL_STATE(1386)] = 50490,
  [SMALL_STATE(1387)] = 50572,
  [SMALL_STATE(1388)] = 50654,
  [SMALL_STATE(1389)] = 50736,
  [SMALL_STATE(1390)] = 50818,
  [SMALL_STATE(1391)] = 50900,
  [SMALL_STATE(1392)] = 50982,
  [SMALL_STATE(1393)] = 51064,
  [SMALL_STATE(1394)] = 51146,
  [SMALL_STATE(1395)] = 51228,
  [SMALL_STATE(1396)] = 51310,
  [SMALL_STATE(1397)] = 51377,
  [SMALL_STATE(1398)] = 51420,
  [SMALL_STATE(1399)] = 51463,
  [SMALL_STATE(1400)] = 51544,
  [SMALL_STATE(1401)] = 51623,
  [SMALL_STATE(1402)] = 51704,
  [SMALL_STATE(1403)] = 51771,
  [SMALL_STATE(1404)] = 51852,
  [SMALL_STATE(1405)] = 51933,
  [SMALL_STATE(1406)] = 51976,
  [SMALL_STATE(1407)] = 52019,
  [SMALL_STATE(1408)] = 52063,
  [SMALL_STATE(1409)] = 52109,
  [SMALL_STATE(1410)] = 52165,
  [SMALL_STATE(1411)] = 52203,
  [SMALL_STATE(1412)] = 52259,
  [SMALL_STATE(1413)] = 52297,
  [SMALL_STATE(1414)] = 52353,
  [SMALL_STATE(1415)] = 52391,
  [SMALL_STATE(1416)] = 52447,
  [SMALL_STATE(1417)] = 52503,
  [SMALL_STATE(1418)] = 52559,
  [SMALL_STATE(1419)] = 52615,
  [SMALL_STATE(1420)] = 52671,
  [SMALL_STATE(1421)] = 52727,
  [SMALL_STATE(1422)] = 52783,
  [SMALL_STATE(1423)] = 52839,
  [SMALL_STATE(1424)] = 52877,
  [SMALL_STATE(1425)] = 52930,
  [SMALL_STATE(1426)] = 52983,
  [SMALL_STATE(1427)] = 53036,
  [SMALL_STATE(1428)] = 53089,
  [SMALL_STATE(1429)] = 53142,
  [SMALL_STATE(1430)] = 53195,
  [SMALL_STATE(1431)] = 53261,
  [SMALL_STATE(1432)] = 53327,
  [SMALL_STATE(1433)] = 53370,
  [SMALL_STATE(1434)] = 53413,
  [SMALL_STATE(1435)] = 53459,
  [SMALL_STATE(1436)] = 53505,
  [SMALL_STATE(1437)] = 53551,
  [SMALL_STATE(1438)] = 53586,
  [SMALL_STATE(1439)] = 53643,
  [SMALL_STATE(1440)] = 53680,
  [SMALL_STATE(1441)] = 53732,
  [SMALL_STATE(1442)] = 53761,
  [SMALL_STATE(1443)] = 53808,
  [SMALL_STATE(1444)] = 53857,
  [SMALL_STATE(1445)] = 53906,
  [SMALL_STATE(1446)] = 53955,
  [SMALL_STATE(1447)] = 54004,
  [SMALL_STATE(1448)] = 54033,
  [SMALL_STATE(1449)] = 54062,
  [SMALL_STATE(1450)] = 54091,
  [SMALL_STATE(1451)] = 54137,
  [SMALL_STATE(1452)] = 54183,
  [SMALL_STATE(1453)] = 54213,
  [SMALL_STATE(1454)] = 54259,
  [SMALL_STATE(1455)] = 54306,
  [SMALL_STATE(1456)] = 54355,
  [SMALL_STATE(1457)] = 54397,
  [SMALL_STATE(1458)] = 54423,
  [SMALL_STATE(1459)] = 54467,
  [SMALL_STATE(1460)] = 54511,
  [SMALL_STATE(1461)] = 54537,
  [SMALL_STATE(1462)] = 54563,
  [SMALL_STATE(1463)] = 54589,
  [SMALL_STATE(1464)] = 54615,
  [SMALL_STATE(1465)] = 54641,
  [SMALL_STATE(1466)] = 54667,
  [SMALL_STATE(1467)] = 54713,
  [SMALL_STATE(1468)] = 54739,
  [SMALL_STATE(1469)] = 54765,
  [SMALL_STATE(1470)] = 54791,
  [SMALL_STATE(1471)] = 54817,
  [SMALL_STATE(1472)] = 54843,
  [SMALL_STATE(1473)] = 54869,
  [SMALL_STATE(1474)] = 54895,
  [SMALL_STATE(1475)] = 54921,
  [SMALL_STATE(1476)] = 54947,
  [SMALL_STATE(1477)] = 54972,
  [SMALL_STATE(1478)] = 55013,
  [SMALL_STATE(1479)] = 55056,
  [SMALL_STATE(1480)] = 55081,
  [SMALL_STATE(1481)] = 55106,
  [SMALL_STATE(1482)] = 55137,
  [SMALL_STATE(1483)] = 55162,
  [SMALL_STATE(1484)] = 55187,
  [SMALL_STATE(1485)] = 55212,
  [SMALL_STATE(1486)] = 55253,
  [SMALL_STATE(1487)] = 55296,
  [SMALL_STATE(1488)] = 55339,
  [SMALL_STATE(1489)] = 55364,
  [SMALL_STATE(1490)] = 55407,
  [SMALL_STATE(1491)] = 55450,
  [SMALL_STATE(1492)] = 55491,
  [SMALL_STATE(1493)] = 55516,
  [SMALL_STATE(1494)] = 55541,
  [SMALL_STATE(1495)] = 55566,
  [SMALL_STATE(1496)] = 55591,
  [SMALL_STATE(1497)] = 55616,
  [SMALL_STATE(1498)] = 55641,
  [SMALL_STATE(1499)] = 55682,
  [SMALL_STATE(1500)] = 55707,
  [SMALL_STATE(1501)] = 55750,
  [SMALL_STATE(1502)] = 55793,
  [SMALL_STATE(1503)] = 55818,
  [SMALL_STATE(1504)] = 55843,
  [SMALL_STATE(1505)] = 55868,
  [SMALL_STATE(1506)] = 55893,
  [SMALL_STATE(1507)] = 55936,
  [SMALL_STATE(1508)] = 55961,
  [SMALL_STATE(1509)] = 55986,
  [SMALL_STATE(1510)] = 56011,
  [SMALL_STATE(1511)] = 56047,
  [SMALL_STATE(1512)] = 56087,
  [SMALL_STATE(1513)] = 56127,
  [SMALL_STATE(1514)] = 56167,
  [SMALL_STATE(1515)] = 56195,
  [SMALL_STATE(1516)] = 56235,
  [SMALL_STATE(1517)] = 56275,
  [SMALL_STATE(1518)] = 56312,
  [SMALL_STATE(1519)] = 56337,
  [SMALL_STATE(1520)] = 56366,
  [SMALL_STATE(1521)] = 56393,
  [SMALL_STATE(1522)] = 56430,
  [SMALL_STATE(1523)] = 56455,
  [SMALL_STATE(1524)] = 56492,
  [SMALL_STATE(1525)] = 56521,
  [SMALL_STATE(1526)] = 56558,
  [SMALL_STATE(1527)] = 56595,
  [SMALL_STATE(1528)] = 56620,
  [SMALL_STATE(1529)] = 56653,
  [SMALL_STATE(1530)] = 56678,
  [SMALL_STATE(1531)] = 56711,
  [SMALL_STATE(1532)] = 56748,
  [SMALL_STATE(1533)] = 56772,
  [SMALL_STATE(1534)] = 56798,
  [SMALL_STATE(1535)] = 56830,
  [SMALL_STATE(1536)] = 56864,
  [SMALL_STATE(1537)] = 56898,
  [SMALL_STATE(1538)] = 56926,
  [SMALL_STATE(1539)] = 56958,
  [SMALL_STATE(1540)] = 56982,
  [SMALL_STATE(1541)] = 57014,
  [SMALL_STATE(1542)] = 57040,
  [SMALL_STATE(1543)] = 57074,
  [SMALL_STATE(1544)] = 57102,
  [SMALL_STATE(1545)] = 57132,
  [SMALL_STATE(1546)] = 57166,
  [SMALL_STATE(1547)] = 57194,
  [SMALL_STATE(1548)] = 57222,
  [SMALL_STATE(1549)] = 57248,
  [SMALL_STATE(1550)] = 57276,
  [SMALL_STATE(1551)] = 57308,
  [SMALL_STATE(1552)] = 57342,
  [SMALL_STATE(1553)] = 57370,
  [SMALL_STATE(1554)] = 57394,
  [SMALL_STATE(1555)] = 57418,
  [SMALL_STATE(1556)] = 57442,
  [SMALL_STATE(1557)] = 57466,
  [SMALL_STATE(1558)] = 57492,
  [SMALL_STATE(1559)] = 57523,
  [SMALL_STATE(1560)] = 57552,
  [SMALL_STATE(1561)] = 57581,
  [SMALL_STATE(1562)] = 57606,
  [SMALL_STATE(1563)] = 57635,
  [SMALL_STATE(1564)] = 57664,
  [SMALL_STATE(1565)] = 57693,
  [SMALL_STATE(1566)] = 57722,
  [SMALL_STATE(1567)] = 57751,
  [SMALL_STATE(1568)] = 57782,
  [SMALL_STATE(1569)] = 57809,
  [SMALL_STATE(1570)] = 57836,
  [SMALL_STATE(1571)] = 57867,
  [SMALL_STATE(1572)] = 57890,
  [SMALL_STATE(1573)] = 57919,
  [SMALL_STATE(1574)] = 57948,
  [SMALL_STATE(1575)] = 57975,
  [SMALL_STATE(1576)] = 58004,
  [SMALL_STATE(1577)] = 58027,
  [SMALL_STATE(1578)] = 58050,
  [SMALL_STATE(1579)] = 58083,
  [SMALL_STATE(1580)] = 58112,
  [SMALL_STATE(1581)] = 58141,
  [SMALL_STATE(1582)] = 58172,
  [SMALL_STATE(1583)] = 58199,
  [SMALL_STATE(1584)] = 58228,
  [SMALL_STATE(1585)] = 58257,
  [SMALL_STATE(1586)] = 58286,
  [SMALL_STATE(1587)] = 58315,
  [SMALL_STATE(1588)] = 58344,
  [SMALL_STATE(1589)] = 58375,
  [SMALL_STATE(1590)] = 58406,
  [SMALL_STATE(1591)] = 58437,
  [SMALL_STATE(1592)] = 58466,
  [SMALL_STATE(1593)] = 58493,
  [SMALL_STATE(1594)] = 58524,
  [SMALL_STATE(1595)] = 58551,
  [SMALL_STATE(1596)] = 58580,
  [SMALL_STATE(1597)] = 58609,
  [SMALL_STATE(1598)] = 58640,
  [SMALL_STATE(1599)] = 58671,
  [SMALL_STATE(1600)] = 58700,
  [SMALL_STATE(1601)] = 58729,
  [SMALL_STATE(1602)] = 58760,
  [SMALL_STATE(1603)] = 58789,
  [SMALL_STATE(1604)] = 58820,
  [SMALL_STATE(1605)] = 58851,
  [SMALL_STATE(1606)] = 58880,
  [SMALL_STATE(1607)] = 58909,
  [SMALL_STATE(1608)] = 58938,
  [SMALL_STATE(1609)] = 58965,
  [SMALL_STATE(1610)] = 58998,
  [SMALL_STATE(1611)] = 59027,
  [SMALL_STATE(1612)] = 59056,
  [SMALL_STATE(1613)] = 59085,
  [SMALL_STATE(1614)] = 59114,
  [SMALL_STATE(1615)] = 59140,
  [SMALL_STATE(1616)] = 59174,
  [SMALL_STATE(1617)] = 59204,
  [SMALL_STATE(1618)] = 59232,
  [SMALL_STATE(1619)] = 59264,
  [SMALL_STATE(1620)] = 59294,
  [SMALL_STATE(1621)] = 59328,
  [SMALL_STATE(1622)] = 59362,
  [SMALL_STATE(1623)] = 59396,
  [SMALL_STATE(1624)] = 59430,
  [SMALL_STATE(1625)] = 59456,
  [SMALL_STATE(1626)] = 59482,
  [SMALL_STATE(1627)] = 59516,
  [SMALL_STATE(1628)] = 59537,
  [SMALL_STATE(1629)] = 59560,
  [SMALL_STATE(1630)] = 59583,
  [SMALL_STATE(1631)] = 59606,
  [SMALL_STATE(1632)] = 59629,
  [SMALL_STATE(1633)] = 59650,
  [SMALL_STATE(1634)] = 59673,
  [SMALL_STATE(1635)] = 59696,
  [SMALL_STATE(1636)] = 59717,
  [SMALL_STATE(1637)] = 59740,
  [SMALL_STATE(1638)] = 59767,
  [SMALL_STATE(1639)] = 59788,
  [SMALL_STATE(1640)] = 59809,
  [SMALL_STATE(1641)] = 59836,
  [SMALL_STATE(1642)] = 59867,
  [SMALL_STATE(1643)] = 59888,
  [SMALL_STATE(1644)] = 59909,
  [SMALL_STATE(1645)] = 59932,
  [SMALL_STATE(1646)] = 59953,
  [SMALL_STATE(1647)] = 59976,
  [SMALL_STATE(1648)] = 59997,
  [SMALL_STATE(1649)] = 60026,
  [SMALL_STATE(1650)] = 60053,
  [SMALL_STATE(1651)] = 60074,
  [SMALL_STATE(1652)] = 60097,
  [SMALL_STATE(1653)] = 60118,
  [SMALL_STATE(1654)] = 60141,
  [SMALL_STATE(1655)] = 60164,
  [SMALL_STATE(1656)] = 60189,
  [SMALL_STATE(1657)] = 60216,
  [SMALL_STATE(1658)] = 60239,
  [SMALL_STATE(1659)] = 60262,
  [SMALL_STATE(1660)] = 60285,
  [SMALL_STATE(1661)] = 60306,
  [SMALL_STATE(1662)] = 60329,
  [SMALL_STATE(1663)] = 60356,
  [SMALL_STATE(1664)] = 60379,
  [SMALL_STATE(1665)] = 60402,
  [SMALL_STATE(1666)] = 60425,
  [SMALL_STATE(1667)] = 60452,
  [SMALL_STATE(1668)] = 60473,
  [SMALL_STATE(1669)] = 60500,
  [SMALL_STATE(1670)] = 60521,
  [SMALL_STATE(1671)] = 60544,
  [SMALL_STATE(1672)] = 60567,
  [SMALL_STATE(1673)] = 60589,
  [SMALL_STATE(1674)] = 60617,
  [SMALL_STATE(1675)] = 60637,
  [SMALL_STATE(1676)] = 60665,
  [SMALL_STATE(1677)] = 60693,
  [SMALL_STATE(1678)] = 60721,
  [SMALL_STATE(1679)] = 60749,
  [SMALL_STATE(1680)] = 60775,
  [SMALL_STATE(1681)] = 60795,
  [SMALL_STATE(1682)] = 60823,
  [SMALL_STATE(1683)] = 60847,
  [SMALL_STATE(1684)] = 60873,
  [SMALL_STATE(1685)] = 60901,
  [SMALL_STATE(1686)] = 60929,
  [SMALL_STATE(1687)] = 60957,
  [SMALL_STATE(1688)] = 60985,
  [SMALL_STATE(1689)] = 61013,
  [SMALL_STATE(1690)] = 61041,
  [SMALL_STATE(1691)] = 61069,
  [SMALL_STATE(1692)] = 61097,
  [SMALL_STATE(1693)] = 61123,
  [SMALL_STATE(1694)] = 61151,
  [SMALL_STATE(1695)] = 61179,
  [SMALL_STATE(1696)] = 61199,
  [SMALL_STATE(1697)] = 61223,
  [SMALL_STATE(1698)] = 61251,
  [SMALL_STATE(1699)] = 61279,
  [SMALL_STATE(1700)] = 61307,
  [SMALL_STATE(1701)] = 61333,
  [SMALL_STATE(1702)] = 61361,
  [SMALL_STATE(1703)] = 61387,
  [SMALL_STATE(1704)] = 61415,
  [SMALL_STATE(1705)] = 61441,
  [SMALL_STATE(1706)] = 61461,
  [SMALL_STATE(1707)] = 61489,
  [SMALL_STATE(1708)] = 61509,
  [SMALL_STATE(1709)] = 61537,
  [SMALL_STATE(1710)] = 61565,
  [SMALL_STATE(1711)] = 61585,
  [SMALL_STATE(1712)] = 61611,
  [SMALL_STATE(1713)] = 61639,
  [SMALL_STATE(1714)] = 61667,
  [SMALL_STATE(1715)] = 61695,
  [SMALL_STATE(1716)] = 61719,
  [SMALL_STATE(1717)] = 61739,
  [SMALL_STATE(1718)] = 61767,
  [SMALL_STATE(1719)] = 61795,
  [SMALL_STATE(1720)] = 61823,
  [SMALL_STATE(1721)] = 61851,
  [SMALL_STATE(1722)] = 61879,
  [SMALL_STATE(1723)] = 61899,
  [SMALL_STATE(1724)] = 61925,
  [SMALL_STATE(1725)] = 61945,
  [SMALL_STATE(1726)] = 61971,
  [SMALL_STATE(1727)] = 61991,
  [SMALL_STATE(1728)] = 62019,
  [SMALL_STATE(1729)] = 62047,
  [SMALL_STATE(1730)] = 62075,
  [SMALL_STATE(1731)] = 62101,
  [SMALL_STATE(1732)] = 62127,
  [SMALL_STATE(1733)] = 62153,
  [SMALL_STATE(1734)] = 62181,
  [SMALL_STATE(1735)] = 62201,
  [SMALL_STATE(1736)] = 62229,
  [SMALL_STATE(1737)] = 62257,
  [SMALL_STATE(1738)] = 62281,
  [SMALL_STATE(1739)] = 62301,
  [SMALL_STATE(1740)] = 62321,
  [SMALL_STATE(1741)] = 62349,
  [SMALL_STATE(1742)] = 62375,
  [SMALL_STATE(1743)] = 62395,
  [SMALL_STATE(1744)] = 62415,
  [SMALL_STATE(1745)] = 62443,
  [SMALL_STATE(1746)] = 62463,
  [SMALL_STATE(1747)] = 62491,
  [SMALL_STATE(1748)] = 62511,
  [SMALL_STATE(1749)] = 62531,
  [SMALL_STATE(1750)] = 62555,
  [SMALL_STATE(1751)] = 62575,
  [SMALL_STATE(1752)] = 62595,
  [SMALL_STATE(1753)] = 62623,
  [SMALL_STATE(1754)] = 62644,
  [SMALL_STATE(1755)] = 62665,
  [SMALL_STATE(1756)] = 62688,
  [SMALL_STATE(1757)] = 62709,
  [SMALL_STATE(1758)] = 62732,
  [SMALL_STATE(1759)] = 62755,
  [SMALL_STATE(1760)] = 62780,
  [SMALL_STATE(1761)] = 62803,
  [SMALL_STATE(1762)] = 62828,
  [SMALL_STATE(1763)] = 62849,
  [SMALL_STATE(1764)] = 62870,
  [SMALL_STATE(1765)] = 62893,
  [SMALL_STATE(1766)] = 62914,
  [SMALL_STATE(1767)] = 62933,
  [SMALL_STATE(1768)] = 62958,
  [SMALL_STATE(1769)] = 62979,
  [SMALL_STATE(1770)] = 63002,
  [SMALL_STATE(1771)] = 63023,
  [SMALL_STATE(1772)] = 63044,
  [SMALL_STATE(1773)] = 63069,
  [SMALL_STATE(1774)] = 63092,
  [SMALL_STATE(1775)] = 63117,
  [SMALL_STATE(1776)] = 63142,
  [SMALL_STATE(1777)] = 63167,
  [SMALL_STATE(1778)] = 63186,
  [SMALL_STATE(1779)] = 63207,
  [SMALL_STATE(1780)] = 63228,
  [SMALL_STATE(1781)] = 63251,
  [SMALL_STATE(1782)] = 63272,
  [SMALL_STATE(1783)] = 63295,
  [SMALL_STATE(1784)] = 63316,
  [SMALL_STATE(1785)] = 63337,
  [SMALL_STATE(1786)] = 63356,
  [SMALL_STATE(1787)] = 63377,
  [SMALL_STATE(1788)] = 63396,
  [SMALL_STATE(1789)] = 63421,
  [SMALL_STATE(1790)] = 63440,
  [SMALL_STATE(1791)] = 63465,
  [SMALL_STATE(1792)] = 63486,
  [SMALL_STATE(1793)] = 63511,
  [SMALL_STATE(1794)] = 63536,
  [SMALL_STATE(1795)] = 63561,
  [SMALL_STATE(1796)] = 63582,
  [SMALL_STATE(1797)] = 63607,
  [SMALL_STATE(1798)] = 63628,
  [SMALL_STATE(1799)] = 63649,
  [SMALL_STATE(1800)] = 63674,
  [SMALL_STATE(1801)] = 63697,
  [SMALL_STATE(1802)] = 63720,
  [SMALL_STATE(1803)] = 63739,
  [SMALL_STATE(1804)] = 63760,
  [SMALL_STATE(1805)] = 63785,
  [SMALL_STATE(1806)] = 63810,
  [SMALL_STATE(1807)] = 63827,
  [SMALL_STATE(1808)] = 63848,
  [SMALL_STATE(1809)] = 63869,
  [SMALL_STATE(1810)] = 63890,
  [SMALL_STATE(1811)] = 63915,
  [SMALL_STATE(1812)] = 63938,
  [SMALL_STATE(1813)] = 63957,
  [SMALL_STATE(1814)] = 63980,
  [SMALL_STATE(1815)] = 64001,
  [SMALL_STATE(1816)] = 64024,
  [SMALL_STATE(1817)] = 64045,
  [SMALL_STATE(1818)] = 64068,
  [SMALL_STATE(1819)] = 64089,
  [SMALL_STATE(1820)] = 64114,
  [SMALL_STATE(1821)] = 64137,
  [SMALL_STATE(1822)] = 64162,
  [SMALL_STATE(1823)] = 64185,
  [SMALL_STATE(1824)] = 64206,
  [SMALL_STATE(1825)] = 64231,
  [SMALL_STATE(1826)] = 64254,
  [SMALL_STATE(1827)] = 64279,
  [SMALL_STATE(1828)] = 64298,
  [SMALL_STATE(1829)] = 64323,
  [SMALL_STATE(1830)] = 64344,
  [SMALL_STATE(1831)] = 64367,
  [SMALL_STATE(1832)] = 64386,
  [SMALL_STATE(1833)] = 64403,
  [SMALL_STATE(1834)] = 64426,
  [SMALL_STATE(1835)] = 64447,
  [SMALL_STATE(1836)] = 64464,
  [SMALL_STATE(1837)] = 64483,
  [SMALL_STATE(1838)] = 64504,
  [SMALL_STATE(1839)] = 64527,
  [SMALL_STATE(1840)] = 64550,
  [SMALL_STATE(1841)] = 64571,
  [SMALL_STATE(1842)] = 64594,
  [SMALL_STATE(1843)] = 64615,
  [SMALL_STATE(1844)] = 64632,
  [SMALL_STATE(1845)] = 64657,
  [SMALL_STATE(1846)] = 64682,
  [SMALL_STATE(1847)] = 64701,
  [SMALL_STATE(1848)] = 64718,
  [SMALL_STATE(1849)] = 64737,
  [SMALL_STATE(1850)] = 64760,
  [SMALL_STATE(1851)] = 64776,
  [SMALL_STATE(1852)] = 64798,
  [SMALL_STATE(1853)] = 64814,
  [SMALL_STATE(1854)] = 64836,
  [SMALL_STATE(1855)] = 64854,
  [SMALL_STATE(1856)] = 64872,
  [SMALL_STATE(1857)] = 64892,
  [SMALL_STATE(1858)] = 64910,
  [SMALL_STATE(1859)] = 64930,
  [SMALL_STATE(1860)] = 64950,
  [SMALL_STATE(1861)] = 64968,
  [SMALL_STATE(1862)] = 64990,
  [SMALL_STATE(1863)] = 65012,
  [SMALL_STATE(1864)] = 65034,
  [SMALL_STATE(1865)] = 65052,
  [SMALL_STATE(1866)] = 65074,
  [SMALL_STATE(1867)] = 65092,
  [SMALL_STATE(1868)] = 65112,
  [SMALL_STATE(1869)] = 65132,
  [SMALL_STATE(1870)] = 65154,
  [SMALL_STATE(1871)] = 65176,
  [SMALL_STATE(1872)] = 65198,
  [SMALL_STATE(1873)] = 65218,
  [SMALL_STATE(1874)] = 65240,
  [SMALL_STATE(1875)] = 65260,
  [SMALL_STATE(1876)] = 65280,
  [SMALL_STATE(1877)] = 65300,
  [SMALL_STATE(1878)] = 65320,
  [SMALL_STATE(1879)] = 65336,
  [SMALL_STATE(1880)] = 65358,
  [SMALL_STATE(1881)] = 65378,
  [SMALL_STATE(1882)] = 65398,
  [SMALL_STATE(1883)] = 65420,
  [SMALL_STATE(1884)] = 65442,
  [SMALL_STATE(1885)] = 65464,
  [SMALL_STATE(1886)] = 65486,
  [SMALL_STATE(1887)] = 65502,
  [SMALL_STATE(1888)] = 65520,
  [SMALL_STATE(1889)] = 65542,
  [SMALL_STATE(1890)] = 65558,
  [SMALL_STATE(1891)] = 65580,
  [SMALL_STATE(1892)] = 65602,
  [SMALL_STATE(1893)] = 65624,
  [SMALL_STATE(1894)] = 65646,
  [SMALL_STATE(1895)] = 65666,
  [SMALL_STATE(1896)] = 65684,
  [SMALL_STATE(1897)] = 65702,
  [SMALL_STATE(1898)] = 65722,
  [SMALL_STATE(1899)] = 65740,
  [SMALL_STATE(1900)] = 65756,
  [SMALL_STATE(1901)] = 65776,
  [SMALL_STATE(1902)] = 65798,
  [SMALL_STATE(1903)] = 65818,
  [SMALL_STATE(1904)] = 65838,
  [SMALL_STATE(1905)] = 65856,
  [SMALL_STATE(1906)] = 65878,
  [SMALL_STATE(1907)] = 65898,
  [SMALL_STATE(1908)] = 65920,
  [SMALL_STATE(1909)] = 65936,
  [SMALL_STATE(1910)] = 65958,
  [SMALL_STATE(1911)] = 65980,
  [SMALL_STATE(1912)] = 66002,
  [SMALL_STATE(1913)] = 66024,
  [SMALL_STATE(1914)] = 66042,
  [SMALL_STATE(1915)] = 66064,
  [SMALL_STATE(1916)] = 66084,
  [SMALL_STATE(1917)] = 66104,
  [SMALL_STATE(1918)] = 66126,
  [SMALL_STATE(1919)] = 66142,
  [SMALL_STATE(1920)] = 66164,
  [SMALL_STATE(1921)] = 66184,
  [SMALL_STATE(1922)] = 66200,
  [SMALL_STATE(1923)] = 66216,
  [SMALL_STATE(1924)] = 66238,
  [SMALL_STATE(1925)] = 66254,
  [SMALL_STATE(1926)] = 66274,
  [SMALL_STATE(1927)] = 66290,
  [SMALL_STATE(1928)] = 66312,
  [SMALL_STATE(1929)] = 66332,
  [SMALL_STATE(1930)] = 66354,
  [SMALL_STATE(1931)] = 66374,
  [SMALL_STATE(1932)] = 66396,
  [SMALL_STATE(1933)] = 66416,
  [SMALL_STATE(1934)] = 66436,
  [SMALL_STATE(1935)] = 66458,
  [SMALL_STATE(1936)] = 66480,
  [SMALL_STATE(1937)] = 66502,
  [SMALL_STATE(1938)] = 66524,
  [SMALL_STATE(1939)] = 66546,
  [SMALL_STATE(1940)] = 66568,
  [SMALL_STATE(1941)] = 66588,
  [SMALL_STATE(1942)] = 66608,
  [SMALL_STATE(1943)] = 66624,
  [SMALL_STATE(1944)] = 66644,
  [SMALL_STATE(1945)] = 66666,
  [SMALL_STATE(1946)] = 66686,
  [SMALL_STATE(1947)] = 66706,
  [SMALL_STATE(1948)] = 66724,
  [SMALL_STATE(1949)] = 66744,
  [SMALL_STATE(1950)] = 66764,
  [SMALL_STATE(1951)] = 66784,
  [SMALL_STATE(1952)] = 66804,
  [SMALL_STATE(1953)] = 66824,
  [SMALL_STATE(1954)] = 66846,
  [SMALL_STATE(1955)] = 66866,
  [SMALL_STATE(1956)] = 66886,
  [SMALL_STATE(1957)] = 66906,
  [SMALL_STATE(1958)] = 66926,
  [SMALL_STATE(1959)] = 66944,
  [SMALL_STATE(1960)] = 66966,
  [SMALL_STATE(1961)] = 66982,
  [SMALL_STATE(1962)] = 66998,
  [SMALL_STATE(1963)] = 67020,
  [SMALL_STATE(1964)] = 67040,
  [SMALL_STATE(1965)] = 67058,
  [SMALL_STATE(1966)] = 67076,
  [SMALL_STATE(1967)] = 67092,
  [SMALL_STATE(1968)] = 67112,
  [SMALL_STATE(1969)] = 67132,
  [SMALL_STATE(1970)] = 67154,
  [SMALL_STATE(1971)] = 67174,
  [SMALL_STATE(1972)] = 67196,
  [SMALL_STATE(1973)] = 67218,
  [SMALL_STATE(1974)] = 67240,
  [SMALL_STATE(1975)] = 67262,
  [SMALL_STATE(1976)] = 67284,
  [SMALL_STATE(1977)] = 67306,
  [SMALL_STATE(1978)] = 67328,
  [SMALL_STATE(1979)] = 67348,
  [SMALL_STATE(1980)] = 67368,
  [SMALL_STATE(1981)] = 67386,
  [SMALL_STATE(1982)] = 67408,
  [SMALL_STATE(1983)] = 67430,
  [SMALL_STATE(1984)] = 67452,
  [SMALL_STATE(1985)] = 67474,
  [SMALL_STATE(1986)] = 67496,
  [SMALL_STATE(1987)] = 67518,
  [SMALL_STATE(1988)] = 67534,
  [SMALL_STATE(1989)] = 67556,
  [SMALL_STATE(1990)] = 67576,
  [SMALL_STATE(1991)] = 67598,
  [SMALL_STATE(1992)] = 67618,
  [SMALL_STATE(1993)] = 67638,
  [SMALL_STATE(1994)] = 67660,
  [SMALL_STATE(1995)] = 67676,
  [SMALL_STATE(1996)] = 67692,
  [SMALL_STATE(1997)] = 67712,
  [SMALL_STATE(1998)] = 67734,
  [SMALL_STATE(1999)] = 67754,
  [SMALL_STATE(2000)] = 67774,
  [SMALL_STATE(2001)] = 67794,
  [SMALL_STATE(2002)] = 67816,
  [SMALL_STATE(2003)] = 67836,
  [SMALL_STATE(2004)] = 67852,
  [SMALL_STATE(2005)] = 67872,
  [SMALL_STATE(2006)] = 67892,
  [SMALL_STATE(2007)] = 67914,
  [SMALL_STATE(2008)] = 67931,
  [SMALL_STATE(2009)] = 67948,
  [SMALL_STATE(2010)] = 67965,
  [SMALL_STATE(2011)] = 67984,
  [SMALL_STATE(2012)] = 68001,
  [SMALL_STATE(2013)] = 68018,
  [SMALL_STATE(2014)] = 68035,
  [SMALL_STATE(2015)] = 68052,
  [SMALL_STATE(2016)] = 68069,
  [SMALL_STATE(2017)] = 68088,
  [SMALL_STATE(2018)] = 68105,
  [SMALL_STATE(2019)] = 68122,
  [SMALL_STATE(2020)] = 68139,
  [SMALL_STATE(2021)] = 68156,
  [SMALL_STATE(2022)] = 68173,
  [SMALL_STATE(2023)] = 68192,
  [SMALL_STATE(2024)] = 68211,
  [SMALL_STATE(2025)] = 68228,
  [SMALL_STATE(2026)] = 68245,
  [SMALL_STATE(2027)] = 68262,
  [SMALL_STATE(2028)] = 68279,
  [SMALL_STATE(2029)] = 68296,
  [SMALL_STATE(2030)] = 68313,
  [SMALL_STATE(2031)] = 68330,
  [SMALL_STATE(2032)] = 68347,
  [SMALL_STATE(2033)] = 68366,
  [SMALL_STATE(2034)] = 68383,
  [SMALL_STATE(2035)] = 68402,
  [SMALL_STATE(2036)] = 68419,
  [SMALL_STATE(2037)] = 68436,
  [SMALL_STATE(2038)] = 68455,
  [SMALL_STATE(2039)] = 68474,
  [SMALL_STATE(2040)] = 68491,
  [SMALL_STATE(2041)] = 68508,
  [SMALL_STATE(2042)] = 68525,
  [SMALL_STATE(2043)] = 68544,
  [SMALL_STATE(2044)] = 68561,
  [SMALL_STATE(2045)] = 68578,
  [SMALL_STATE(2046)] = 68595,
  [SMALL_STATE(2047)] = 68612,
  [SMALL_STATE(2048)] = 68629,
  [SMALL_STATE(2049)] = 68646,
  [SMALL_STATE(2050)] = 68663,
  [SMALL_STATE(2051)] = 68680,
  [SMALL_STATE(2052)] = 68697,
  [SMALL_STATE(2053)] = 68714,
  [SMALL_STATE(2054)] = 68729,
  [SMALL_STATE(2055)] = 68746,
  [SMALL_STATE(2056)] = 68761,
  [SMALL_STATE(2057)] = 68778,
  [SMALL_STATE(2058)] = 68795,
  [SMALL_STATE(2059)] = 68814,
  [SMALL_STATE(2060)] = 68833,
  [SMALL_STATE(2061)] = 68850,
  [SMALL_STATE(2062)] = 68867,
  [SMALL_STATE(2063)] = 68886,
  [SMALL_STATE(2064)] = 68903,
  [SMALL_STATE(2065)] = 68922,
  [SMALL_STATE(2066)] = 68939,
  [SMALL_STATE(2067)] = 68958,
  [SMALL_STATE(2068)] = 68975,
  [SMALL_STATE(2069)] = 68994,
  [SMALL_STATE(2070)] = 69011,
  [SMALL_STATE(2071)] = 69030,
  [SMALL_STATE(2072)] = 69047,
  [SMALL_STATE(2073)] = 69064,
  [SMALL_STATE(2074)] = 69081,
  [SMALL_STATE(2075)] = 69098,
  [SMALL_STATE(2076)] = 69115,
  [SMALL_STATE(2077)] = 69132,
  [SMALL_STATE(2078)] = 69151,
  [SMALL_STATE(2079)] = 69168,
  [SMALL_STATE(2080)] = 69185,
  [SMALL_STATE(2081)] = 69202,
  [SMALL_STATE(2082)] = 69219,
  [SMALL_STATE(2083)] = 69236,
  [SMALL_STATE(2084)] = 69255,
  [SMALL_STATE(2085)] = 69272,
  [SMALL_STATE(2086)] = 69289,
  [SMALL_STATE(2087)] = 69308,
  [SMALL_STATE(2088)] = 69323,
  [SMALL_STATE(2089)] = 69340,
  [SMALL_STATE(2090)] = 69357,
  [SMALL_STATE(2091)] = 69374,
  [SMALL_STATE(2092)] = 69393,
  [SMALL_STATE(2093)] = 69410,
  [SMALL_STATE(2094)] = 69429,
  [SMALL_STATE(2095)] = 69446,
  [SMALL_STATE(2096)] = 69465,
  [SMALL_STATE(2097)] = 69480,
  [SMALL_STATE(2098)] = 69497,
  [SMALL_STATE(2099)] = 69516,
  [SMALL_STATE(2100)] = 69533,
  [SMALL_STATE(2101)] = 69550,
  [SMALL_STATE(2102)] = 69565,
  [SMALL_STATE(2103)] = 69582,
  [SMALL_STATE(2104)] = 69601,
  [SMALL_STATE(2105)] = 69618,
  [SMALL_STATE(2106)] = 69635,
  [SMALL_STATE(2107)] = 69654,
  [SMALL_STATE(2108)] = 69671,
  [SMALL_STATE(2109)] = 69690,
  [SMALL_STATE(2110)] = 69707,
  [SMALL_STATE(2111)] = 69724,
  [SMALL_STATE(2112)] = 69741,
  [SMALL_STATE(2113)] = 69760,
  [SMALL_STATE(2114)] = 69777,
  [SMALL_STATE(2115)] = 69794,
  [SMALL_STATE(2116)] = 69813,
  [SMALL_STATE(2117)] = 69830,
  [SMALL_STATE(2118)] = 69847,
  [SMALL_STATE(2119)] = 69864,
  [SMALL_STATE(2120)] = 69883,
  [SMALL_STATE(2121)] = 69900,
  [SMALL_STATE(2122)] = 69919,
  [SMALL_STATE(2123)] = 69936,
  [SMALL_STATE(2124)] = 69951,
  [SMALL_STATE(2125)] = 69968,
  [SMALL_STATE(2126)] = 69987,
  [SMALL_STATE(2127)] = 70006,
  [SMALL_STATE(2128)] = 70025,
  [SMALL_STATE(2129)] = 70042,
  [SMALL_STATE(2130)] = 70061,
  [SMALL_STATE(2131)] = 70078,
  [SMALL_STATE(2132)] = 70097,
  [SMALL_STATE(2133)] = 70114,
  [SMALL_STATE(2134)] = 70133,
  [SMALL_STATE(2135)] = 70150,
  [SMALL_STATE(2136)] = 70169,
  [SMALL_STATE(2137)] = 70186,
  [SMALL_STATE(2138)] = 70205,
  [SMALL_STATE(2139)] = 70222,
  [SMALL_STATE(2140)] = 70239,
  [SMALL_STATE(2141)] = 70258,
  [SMALL_STATE(2142)] = 70277,
  [SMALL_STATE(2143)] = 70296,
  [SMALL_STATE(2144)] = 70313,
  [SMALL_STATE(2145)] = 70330,
  [SMALL_STATE(2146)] = 70349,
  [SMALL_STATE(2147)] = 70366,
  [SMALL_STATE(2148)] = 70383,
  [SMALL_STATE(2149)] = 70400,
  [SMALL_STATE(2150)] = 70417,
  [SMALL_STATE(2151)] = 70434,
  [SMALL_STATE(2152)] = 70451,
  [SMALL_STATE(2153)] = 70466,
  [SMALL_STATE(2154)] = 70483,
  [SMALL_STATE(2155)] = 70498,
  [SMALL_STATE(2156)] = 70515,
  [SMALL_STATE(2157)] = 70532,
  [SMALL_STATE(2158)] = 70551,
  [SMALL_STATE(2159)] = 70570,
  [SMALL_STATE(2160)] = 70585,
  [SMALL_STATE(2161)] = 70600,
  [SMALL_STATE(2162)] = 70617,
  [SMALL_STATE(2163)] = 70634,
  [SMALL_STATE(2164)] = 70651,
  [SMALL_STATE(2165)] = 70668,
  [SMALL_STATE(2166)] = 70685,
  [SMALL_STATE(2167)] = 70704,
  [SMALL_STATE(2168)] = 70723,
  [SMALL_STATE(2169)] = 70740,
  [SMALL_STATE(2170)] = 70759,
  [SMALL_STATE(2171)] = 70776,
  [SMALL_STATE(2172)] = 70795,
  [SMALL_STATE(2173)] = 70814,
  [SMALL_STATE(2174)] = 70831,
  [SMALL_STATE(2175)] = 70848,
  [SMALL_STATE(2176)] = 70865,
  [SMALL_STATE(2177)] = 70882,
  [SMALL_STATE(2178)] = 70897,
  [SMALL_STATE(2179)] = 70914,
  [SMALL_STATE(2180)] = 70931,
  [SMALL_STATE(2181)] = 70948,
  [SMALL_STATE(2182)] = 70965,
  [SMALL_STATE(2183)] = 70984,
  [SMALL_STATE(2184)] = 71003,
  [SMALL_STATE(2185)] = 71020,
  [SMALL_STATE(2186)] = 71039,
  [SMALL_STATE(2187)] = 71056,
  [SMALL_STATE(2188)] = 71073,
  [SMALL_STATE(2189)] = 71090,
  [SMALL_STATE(2190)] = 71107,
  [SMALL_STATE(2191)] = 71122,
  [SMALL_STATE(2192)] = 71141,
  [SMALL_STATE(2193)] = 71156,
  [SMALL_STATE(2194)] = 71175,
  [SMALL_STATE(2195)] = 71192,
  [SMALL_STATE(2196)] = 71209,
  [SMALL_STATE(2197)] = 71224,
  [SMALL_STATE(2198)] = 71241,
  [SMALL_STATE(2199)] = 71258,
  [SMALL_STATE(2200)] = 71277,
  [SMALL_STATE(2201)] = 71296,
  [SMALL_STATE(2202)] = 71315,
  [SMALL_STATE(2203)] = 71332,
  [SMALL_STATE(2204)] = 71351,
  [SMALL_STATE(2205)] = 71370,
  [SMALL_STATE(2206)] = 71387,
  [SMALL_STATE(2207)] = 71402,
  [SMALL_STATE(2208)] = 71417,
  [SMALL_STATE(2209)] = 71436,
  [SMALL_STATE(2210)] = 71453,
  [SMALL_STATE(2211)] = 71472,
  [SMALL_STATE(2212)] = 71491,
  [SMALL_STATE(2213)] = 71508,
  [SMALL_STATE(2214)] = 71527,
  [SMALL_STATE(2215)] = 71542,
  [SMALL_STATE(2216)] = 71557,
  [SMALL_STATE(2217)] = 71576,
  [SMALL_STATE(2218)] = 71595,
  [SMALL_STATE(2219)] = 71612,
  [SMALL_STATE(2220)] = 71629,
  [SMALL_STATE(2221)] = 71644,
  [SMALL_STATE(2222)] = 71663,
  [SMALL_STATE(2223)] = 71680,
  [SMALL_STATE(2224)] = 71697,
  [SMALL_STATE(2225)] = 71714,
  [SMALL_STATE(2226)] = 71731,
  [SMALL_STATE(2227)] = 71750,
  [SMALL_STATE(2228)] = 71767,
  [SMALL_STATE(2229)] = 71784,
  [SMALL_STATE(2230)] = 71801,
  [SMALL_STATE(2231)] = 71820,
  [SMALL_STATE(2232)] = 71837,
  [SMALL_STATE(2233)] = 71854,
  [SMALL_STATE(2234)] = 71871,
  [SMALL_STATE(2235)] = 71888,
  [SMALL_STATE(2236)] = 71905,
  [SMALL_STATE(2237)] = 71924,
  [SMALL_STATE(2238)] = 71941,
  [SMALL_STATE(2239)] = 71958,
  [SMALL_STATE(2240)] = 71975,
  [SMALL_STATE(2241)] = 71992,
  [SMALL_STATE(2242)] = 72009,
  [SMALL_STATE(2243)] = 72026,
  [SMALL_STATE(2244)] = 72045,
  [SMALL_STATE(2245)] = 72062,
  [SMALL_STATE(2246)] = 72079,
  [SMALL_STATE(2247)] = 72098,
  [SMALL_STATE(2248)] = 72117,
  [SMALL_STATE(2249)] = 72134,
  [SMALL_STATE(2250)] = 72153,
  [SMALL_STATE(2251)] = 72170,
  [SMALL_STATE(2252)] = 72189,
  [SMALL_STATE(2253)] = 72204,
  [SMALL_STATE(2254)] = 72221,
  [SMALL_STATE(2255)] = 72240,
  [SMALL_STATE(2256)] = 72255,
  [SMALL_STATE(2257)] = 72274,
  [SMALL_STATE(2258)] = 72289,
  [SMALL_STATE(2259)] = 72306,
  [SMALL_STATE(2260)] = 72323,
  [SMALL_STATE(2261)] = 72340,
  [SMALL_STATE(2262)] = 72357,
  [SMALL_STATE(2263)] = 72374,
  [SMALL_STATE(2264)] = 72393,
  [SMALL_STATE(2265)] = 72410,
  [SMALL_STATE(2266)] = 72427,
  [SMALL_STATE(2267)] = 72444,
  [SMALL_STATE(2268)] = 72463,
  [SMALL_STATE(2269)] = 72480,
  [SMALL_STATE(2270)] = 72497,
  [SMALL_STATE(2271)] = 72514,
  [SMALL_STATE(2272)] = 72533,
  [SMALL_STATE(2273)] = 72552,
  [SMALL_STATE(2274)] = 72569,
  [SMALL_STATE(2275)] = 72588,
  [SMALL_STATE(2276)] = 72607,
  [SMALL_STATE(2277)] = 72622,
  [SMALL_STATE(2278)] = 72637,
  [SMALL_STATE(2279)] = 72654,
  [SMALL_STATE(2280)] = 72671,
  [SMALL_STATE(2281)] = 72690,
  [SMALL_STATE(2282)] = 72709,
  [SMALL_STATE(2283)] = 72726,
  [SMALL_STATE(2284)] = 72745,
  [SMALL_STATE(2285)] = 72764,
  [SMALL_STATE(2286)] = 72783,
  [SMALL_STATE(2287)] = 72800,
  [SMALL_STATE(2288)] = 72819,
  [SMALL_STATE(2289)] = 72838,
  [SMALL_STATE(2290)] = 72855,
  [SMALL_STATE(2291)] = 72874,
  [SMALL_STATE(2292)] = 72889,
  [SMALL_STATE(2293)] = 72906,
  [SMALL_STATE(2294)] = 72925,
  [SMALL_STATE(2295)] = 72942,
  [SMALL_STATE(2296)] = 72957,
  [SMALL_STATE(2297)] = 72976,
  [SMALL_STATE(2298)] = 72995,
  [SMALL_STATE(2299)] = 73012,
  [SMALL_STATE(2300)] = 73031,
  [SMALL_STATE(2301)] = 73048,
  [SMALL_STATE(2302)] = 73067,
  [SMALL_STATE(2303)] = 73084,
  [SMALL_STATE(2304)] = 73103,
  [SMALL_STATE(2305)] = 73122,
  [SMALL_STATE(2306)] = 73141,
  [SMALL_STATE(2307)] = 73158,
  [SMALL_STATE(2308)] = 73175,
  [SMALL_STATE(2309)] = 73189,
  [SMALL_STATE(2310)] = 73203,
  [SMALL_STATE(2311)] = 73219,
  [SMALL_STATE(2312)] = 73233,
  [SMALL_STATE(2313)] = 73249,
  [SMALL_STATE(2314)] = 73265,
  [SMALL_STATE(2315)] = 73281,
  [SMALL_STATE(2316)] = 73297,
  [SMALL_STATE(2317)] = 73313,
  [SMALL_STATE(2318)] = 73329,
  [SMALL_STATE(2319)] = 73343,
  [SMALL_STATE(2320)] = 73359,
  [SMALL_STATE(2321)] = 73375,
  [SMALL_STATE(2322)] = 73389,
  [SMALL_STATE(2323)] = 73405,
  [SMALL_STATE(2324)] = 73421,
  [SMALL_STATE(2325)] = 73437,
  [SMALL_STATE(2326)] = 73451,
  [SMALL_STATE(2327)] = 73467,
  [SMALL_STATE(2328)] = 73483,
  [SMALL_STATE(2329)] = 73497,
  [SMALL_STATE(2330)] = 73513,
  [SMALL_STATE(2331)] = 73527,
  [SMALL_STATE(2332)] = 73543,
  [SMALL_STATE(2333)] = 73559,
  [SMALL_STATE(2334)] = 73575,
  [SMALL_STATE(2335)] = 73591,
  [SMALL_STATE(2336)] = 73607,
  [SMALL_STATE(2337)] = 73623,
  [SMALL_STATE(2338)] = 73639,
  [SMALL_STATE(2339)] = 73655,
  [SMALL_STATE(2340)] = 73669,
  [SMALL_STATE(2341)] = 73683,
  [SMALL_STATE(2342)] = 73697,
  [SMALL_STATE(2343)] = 73711,
  [SMALL_STATE(2344)] = 73727,
  [SMALL_STATE(2345)] = 73741,
  [SMALL_STATE(2346)] = 73757,
  [SMALL_STATE(2347)] = 73773,
  [SMALL_STATE(2348)] = 73787,
  [SMALL_STATE(2349)] = 73803,
  [SMALL_STATE(2350)] = 73819,
  [SMALL_STATE(2351)] = 73833,
  [SMALL_STATE(2352)] = 73849,
  [SMALL_STATE(2353)] = 73865,
  [SMALL_STATE(2354)] = 73879,
  [SMALL_STATE(2355)] = 73895,
  [SMALL_STATE(2356)] = 73911,
  [SMALL_STATE(2357)] = 73925,
  [SMALL_STATE(2358)] = 73941,
  [SMALL_STATE(2359)] = 73955,
  [SMALL_STATE(2360)] = 73971,
  [SMALL_STATE(2361)] = 73985,
  [SMALL_STATE(2362)] = 74001,
  [SMALL_STATE(2363)] = 74017,
  [SMALL_STATE(2364)] = 74033,
  [SMALL_STATE(2365)] = 74049,
  [SMALL_STATE(2366)] = 74065,
  [SMALL_STATE(2367)] = 74081,
  [SMALL_STATE(2368)] = 74097,
  [SMALL_STATE(2369)] = 74113,
  [SMALL_STATE(2370)] = 74127,
  [SMALL_STATE(2371)] = 74141,
  [SMALL_STATE(2372)] = 74157,
  [SMALL_STATE(2373)] = 74173,
  [SMALL_STATE(2374)] = 74187,
  [SMALL_STATE(2375)] = 74203,
  [SMALL_STATE(2376)] = 74219,
  [SMALL_STATE(2377)] = 74235,
  [SMALL_STATE(2378)] = 74251,
  [SMALL_STATE(2379)] = 74267,
  [SMALL_STATE(2380)] = 74283,
  [SMALL_STATE(2381)] = 74299,
  [SMALL_STATE(2382)] = 74315,
  [SMALL_STATE(2383)] = 74329,
  [SMALL_STATE(2384)] = 74345,
  [SMALL_STATE(2385)] = 74359,
  [SMALL_STATE(2386)] = 74375,
  [SMALL_STATE(2387)] = 74389,
  [SMALL_STATE(2388)] = 74405,
  [SMALL_STATE(2389)] = 74421,
  [SMALL_STATE(2390)] = 74435,
  [SMALL_STATE(2391)] = 74449,
  [SMALL_STATE(2392)] = 74463,
  [SMALL_STATE(2393)] = 74477,
  [SMALL_STATE(2394)] = 74493,
  [SMALL_STATE(2395)] = 74509,
  [SMALL_STATE(2396)] = 74525,
  [SMALL_STATE(2397)] = 74541,
  [SMALL_STATE(2398)] = 74557,
  [SMALL_STATE(2399)] = 74573,
  [SMALL_STATE(2400)] = 74589,
  [SMALL_STATE(2401)] = 74605,
  [SMALL_STATE(2402)] = 74619,
  [SMALL_STATE(2403)] = 74635,
  [SMALL_STATE(2404)] = 74651,
  [SMALL_STATE(2405)] = 74667,
  [SMALL_STATE(2406)] = 74683,
  [SMALL_STATE(2407)] = 74699,
  [SMALL_STATE(2408)] = 74715,
  [SMALL_STATE(2409)] = 74731,
  [SMALL_STATE(2410)] = 74747,
  [SMALL_STATE(2411)] = 74761,
  [SMALL_STATE(2412)] = 74775,
  [SMALL_STATE(2413)] = 74791,
  [SMALL_STATE(2414)] = 74805,
  [SMALL_STATE(2415)] = 74821,
  [SMALL_STATE(2416)] = 74837,
  [SMALL_STATE(2417)] = 74851,
  [SMALL_STATE(2418)] = 74865,
  [SMALL_STATE(2419)] = 74879,
  [SMALL_STATE(2420)] = 74895,
  [SMALL_STATE(2421)] = 74909,
  [SMALL_STATE(2422)] = 74923,
  [SMALL_STATE(2423)] = 74939,
  [SMALL_STATE(2424)] = 74953,
  [SMALL_STATE(2425)] = 74969,
  [SMALL_STATE(2426)] = 74985,
  [SMALL_STATE(2427)] = 74999,
  [SMALL_STATE(2428)] = 75015,
  [SMALL_STATE(2429)] = 75029,
  [SMALL_STATE(2430)] = 75043,
  [SMALL_STATE(2431)] = 75057,
  [SMALL_STATE(2432)] = 75071,
  [SMALL_STATE(2433)] = 75085,
  [SMALL_STATE(2434)] = 75099,
  [SMALL_STATE(2435)] = 75115,
  [SMALL_STATE(2436)] = 75129,
  [SMALL_STATE(2437)] = 75143,
  [SMALL_STATE(2438)] = 75159,
  [SMALL_STATE(2439)] = 75175,
  [SMALL_STATE(2440)] = 75189,
  [SMALL_STATE(2441)] = 75205,
  [SMALL_STATE(2442)] = 75221,
  [SMALL_STATE(2443)] = 75235,
  [SMALL_STATE(2444)] = 75251,
  [SMALL_STATE(2445)] = 75267,
  [SMALL_STATE(2446)] = 75283,
  [SMALL_STATE(2447)] = 75299,
  [SMALL_STATE(2448)] = 75315,
  [SMALL_STATE(2449)] = 75331,
  [SMALL_STATE(2450)] = 75347,
  [SMALL_STATE(2451)] = 75363,
  [SMALL_STATE(2452)] = 75379,
  [SMALL_STATE(2453)] = 75393,
  [SMALL_STATE(2454)] = 75409,
  [SMALL_STATE(2455)] = 75425,
  [SMALL_STATE(2456)] = 75439,
  [SMALL_STATE(2457)] = 75455,
  [SMALL_STATE(2458)] = 75471,
  [SMALL_STATE(2459)] = 75485,
  [SMALL_STATE(2460)] = 75501,
  [SMALL_STATE(2461)] = 75517,
  [SMALL_STATE(2462)] = 75533,
  [SMALL_STATE(2463)] = 75547,
  [SMALL_STATE(2464)] = 75563,
  [SMALL_STATE(2465)] = 75579,
  [SMALL_STATE(2466)] = 75595,
  [SMALL_STATE(2467)] = 75609,
  [SMALL_STATE(2468)] = 75623,
  [SMALL_STATE(2469)] = 75639,
  [SMALL_STATE(2470)] = 75655,
  [SMALL_STATE(2471)] = 75669,
  [SMALL_STATE(2472)] = 75685,
  [SMALL_STATE(2473)] = 75699,
  [SMALL_STATE(2474)] = 75715,
  [SMALL_STATE(2475)] = 75729,
  [SMALL_STATE(2476)] = 75745,
  [SMALL_STATE(2477)] = 75759,
  [SMALL_STATE(2478)] = 75773,
  [SMALL_STATE(2479)] = 75789,
  [SMALL_STATE(2480)] = 75805,
  [SMALL_STATE(2481)] = 75821,
  [SMALL_STATE(2482)] = 75835,
  [SMALL_STATE(2483)] = 75849,
  [SMALL_STATE(2484)] = 75865,
  [SMALL_STATE(2485)] = 75879,
  [SMALL_STATE(2486)] = 75895,
  [SMALL_STATE(2487)] = 75911,
  [SMALL_STATE(2488)] = 75927,
  [SMALL_STATE(2489)] = 75941,
  [SMALL_STATE(2490)] = 75957,
  [SMALL_STATE(2491)] = 75973,
  [SMALL_STATE(2492)] = 75989,
  [SMALL_STATE(2493)] = 76003,
  [SMALL_STATE(2494)] = 76017,
  [SMALL_STATE(2495)] = 76031,
  [SMALL_STATE(2496)] = 76045,
  [SMALL_STATE(2497)] = 76059,
  [SMALL_STATE(2498)] = 76073,
  [SMALL_STATE(2499)] = 76087,
  [SMALL_STATE(2500)] = 76101,
  [SMALL_STATE(2501)] = 76115,
  [SMALL_STATE(2502)] = 76129,
  [SMALL_STATE(2503)] = 76143,
  [SMALL_STATE(2504)] = 76159,
  [SMALL_STATE(2505)] = 76173,
  [SMALL_STATE(2506)] = 76187,
  [SMALL_STATE(2507)] = 76201,
  [SMALL_STATE(2508)] = 76215,
  [SMALL_STATE(2509)] = 76231,
  [SMALL_STATE(2510)] = 76245,
  [SMALL_STATE(2511)] = 76259,
  [SMALL_STATE(2512)] = 76275,
  [SMALL_STATE(2513)] = 76289,
  [SMALL_STATE(2514)] = 76303,
  [SMALL_STATE(2515)] = 76317,
  [SMALL_STATE(2516)] = 76331,
  [SMALL_STATE(2517)] = 76347,
  [SMALL_STATE(2518)] = 76361,
  [SMALL_STATE(2519)] = 76375,
  [SMALL_STATE(2520)] = 76391,
  [SMALL_STATE(2521)] = 76405,
  [SMALL_STATE(2522)] = 76421,
  [SMALL_STATE(2523)] = 76437,
  [SMALL_STATE(2524)] = 76451,
  [SMALL_STATE(2525)] = 76467,
  [SMALL_STATE(2526)] = 76483,
  [SMALL_STATE(2527)] = 76497,
  [SMALL_STATE(2528)] = 76511,
  [SMALL_STATE(2529)] = 76527,
  [SMALL_STATE(2530)] = 76541,
  [SMALL_STATE(2531)] = 76555,
  [SMALL_STATE(2532)] = 76569,
  [SMALL_STATE(2533)] = 76583,
  [SMALL_STATE(2534)] = 76599,
  [SMALL_STATE(2535)] = 76613,
  [SMALL_STATE(2536)] = 76629,
  [SMALL_STATE(2537)] = 76643,
  [SMALL_STATE(2538)] = 76657,
  [SMALL_STATE(2539)] = 76673,
  [SMALL_STATE(2540)] = 76687,
  [SMALL_STATE(2541)] = 76701,
  [SMALL_STATE(2542)] = 76715,
  [SMALL_STATE(2543)] = 76731,
  [SMALL_STATE(2544)] = 76745,
  [SMALL_STATE(2545)] = 76761,
  [SMALL_STATE(2546)] = 76775,
  [SMALL_STATE(2547)] = 76789,
  [SMALL_STATE(2548)] = 76803,
  [SMALL_STATE(2549)] = 76819,
  [SMALL_STATE(2550)] = 76835,
  [SMALL_STATE(2551)] = 76851,
  [SMALL_STATE(2552)] = 76865,
  [SMALL_STATE(2553)] = 76881,
  [SMALL_STATE(2554)] = 76897,
  [SMALL_STATE(2555)] = 76913,
  [SMALL_STATE(2556)] = 76929,
  [SMALL_STATE(2557)] = 76945,
  [SMALL_STATE(2558)] = 76961,
  [SMALL_STATE(2559)] = 76977,
  [SMALL_STATE(2560)] = 76993,
  [SMALL_STATE(2561)] = 77009,
  [SMALL_STATE(2562)] = 77025,
  [SMALL_STATE(2563)] = 77039,
  [SMALL_STATE(2564)] = 77053,
  [SMALL_STATE(2565)] = 77069,
  [SMALL_STATE(2566)] = 77083,
  [SMALL_STATE(2567)] = 77099,
  [SMALL_STATE(2568)] = 77113,
  [SMALL_STATE(2569)] = 77127,
  [SMALL_STATE(2570)] = 77141,
  [SMALL_STATE(2571)] = 77155,
  [SMALL_STATE(2572)] = 77171,
  [SMALL_STATE(2573)] = 77185,
  [SMALL_STATE(2574)] = 77199,
  [SMALL_STATE(2575)] = 77213,
  [SMALL_STATE(2576)] = 77229,
  [SMALL_STATE(2577)] = 77245,
  [SMALL_STATE(2578)] = 77261,
  [SMALL_STATE(2579)] = 77277,
  [SMALL_STATE(2580)] = 77293,
  [SMALL_STATE(2581)] = 77307,
  [SMALL_STATE(2582)] = 77323,
  [SMALL_STATE(2583)] = 77339,
  [SMALL_STATE(2584)] = 77355,
  [SMALL_STATE(2585)] = 77369,
  [SMALL_STATE(2586)] = 77385,
  [SMALL_STATE(2587)] = 77401,
  [SMALL_STATE(2588)] = 77417,
  [SMALL_STATE(2589)] = 77433,
  [SMALL_STATE(2590)] = 77447,
  [SMALL_STATE(2591)] = 77463,
  [SMALL_STATE(2592)] = 77479,
  [SMALL_STATE(2593)] = 77495,
  [SMALL_STATE(2594)] = 77509,
  [SMALL_STATE(2595)] = 77525,
  [SMALL_STATE(2596)] = 77541,
  [SMALL_STATE(2597)] = 77555,
  [SMALL_STATE(2598)] = 77571,
  [SMALL_STATE(2599)] = 77587,
  [SMALL_STATE(2600)] = 77601,
  [SMALL_STATE(2601)] = 77615,
  [SMALL_STATE(2602)] = 77631,
  [SMALL_STATE(2603)] = 77645,
  [SMALL_STATE(2604)] = 77658,
  [SMALL_STATE(2605)] = 77671,
  [SMALL_STATE(2606)] = 77684,
  [SMALL_STATE(2607)] = 77697,
  [SMALL_STATE(2608)] = 77710,
  [SMALL_STATE(2609)] = 77723,
  [SMALL_STATE(2610)] = 77736,
  [SMALL_STATE(2611)] = 77749,
  [SMALL_STATE(2612)] = 77762,
  [SMALL_STATE(2613)] = 77775,
  [SMALL_STATE(2614)] = 77788,
  [SMALL_STATE(2615)] = 77801,
  [SMALL_STATE(2616)] = 77814,
  [SMALL_STATE(2617)] = 77827,
  [SMALL_STATE(2618)] = 77840,
  [SMALL_STATE(2619)] = 77853,
  [SMALL_STATE(2620)] = 77866,
  [SMALL_STATE(2621)] = 77879,
  [SMALL_STATE(2622)] = 77892,
  [SMALL_STATE(2623)] = 77905,
  [SMALL_STATE(2624)] = 77918,
  [SMALL_STATE(2625)] = 77931,
  [SMALL_STATE(2626)] = 77944,
  [SMALL_STATE(2627)] = 77957,
  [SMALL_STATE(2628)] = 77970,
  [SMALL_STATE(2629)] = 77983,
  [SMALL_STATE(2630)] = 77996,
  [SMALL_STATE(2631)] = 78009,
  [SMALL_STATE(2632)] = 78022,
  [SMALL_STATE(2633)] = 78035,
  [SMALL_STATE(2634)] = 78048,
  [SMALL_STATE(2635)] = 78061,
  [SMALL_STATE(2636)] = 78074,
  [SMALL_STATE(2637)] = 78087,
  [SMALL_STATE(2638)] = 78100,
  [SMALL_STATE(2639)] = 78113,
  [SMALL_STATE(2640)] = 78126,
  [SMALL_STATE(2641)] = 78139,
  [SMALL_STATE(2642)] = 78152,
  [SMALL_STATE(2643)] = 78165,
  [SMALL_STATE(2644)] = 78178,
  [SMALL_STATE(2645)] = 78191,
  [SMALL_STATE(2646)] = 78204,
  [SMALL_STATE(2647)] = 78217,
  [SMALL_STATE(2648)] = 78230,
  [SMALL_STATE(2649)] = 78243,
  [SMALL_STATE(2650)] = 78256,
  [SMALL_STATE(2651)] = 78269,
  [SMALL_STATE(2652)] = 78282,
  [SMALL_STATE(2653)] = 78295,
  [SMALL_STATE(2654)] = 78308,
  [SMALL_STATE(2655)] = 78321,
  [SMALL_STATE(2656)] = 78334,
  [SMALL_STATE(2657)] = 78347,
  [SMALL_STATE(2658)] = 78360,
  [SMALL_STATE(2659)] = 78373,
  [SMALL_STATE(2660)] = 78386,
  [SMALL_STATE(2661)] = 78399,
  [SMALL_STATE(2662)] = 78412,
  [SMALL_STATE(2663)] = 78425,
  [SMALL_STATE(2664)] = 78438,
  [SMALL_STATE(2665)] = 78451,
  [SMALL_STATE(2666)] = 78464,
  [SMALL_STATE(2667)] = 78477,
  [SMALL_STATE(2668)] = 78490,
  [SMALL_STATE(2669)] = 78503,
  [SMALL_STATE(2670)] = 78516,
  [SMALL_STATE(2671)] = 78529,
  [SMALL_STATE(2672)] = 78542,
  [SMALL_STATE(2673)] = 78555,
  [SMALL_STATE(2674)] = 78568,
  [SMALL_STATE(2675)] = 78581,
  [SMALL_STATE(2676)] = 78594,
  [SMALL_STATE(2677)] = 78607,
  [SMALL_STATE(2678)] = 78620,
  [SMALL_STATE(2679)] = 78633,
  [SMALL_STATE(2680)] = 78646,
  [SMALL_STATE(2681)] = 78659,
  [SMALL_STATE(2682)] = 78672,
  [SMALL_STATE(2683)] = 78685,
  [SMALL_STATE(2684)] = 78698,
  [SMALL_STATE(2685)] = 78711,
  [SMALL_STATE(2686)] = 78724,
  [SMALL_STATE(2687)] = 78737,
  [SMALL_STATE(2688)] = 78750,
  [SMALL_STATE(2689)] = 78763,
  [SMALL_STATE(2690)] = 78776,
  [SMALL_STATE(2691)] = 78789,
  [SMALL_STATE(2692)] = 78802,
  [SMALL_STATE(2693)] = 78815,
  [SMALL_STATE(2694)] = 78828,
  [SMALL_STATE(2695)] = 78841,
  [SMALL_STATE(2696)] = 78854,
  [SMALL_STATE(2697)] = 78867,
  [SMALL_STATE(2698)] = 78880,
  [SMALL_STATE(2699)] = 78893,
  [SMALL_STATE(2700)] = 78906,
  [SMALL_STATE(2701)] = 78919,
  [SMALL_STATE(2702)] = 78932,
  [SMALL_STATE(2703)] = 78945,
  [SMALL_STATE(2704)] = 78958,
  [SMALL_STATE(2705)] = 78971,
  [SMALL_STATE(2706)] = 78984,
  [SMALL_STATE(2707)] = 78997,
  [SMALL_STATE(2708)] = 79010,
  [SMALL_STATE(2709)] = 79023,
  [SMALL_STATE(2710)] = 79036,
  [SMALL_STATE(2711)] = 79049,
  [SMALL_STATE(2712)] = 79062,
  [SMALL_STATE(2713)] = 79075,
  [SMALL_STATE(2714)] = 79088,
  [SMALL_STATE(2715)] = 79101,
  [SMALL_STATE(2716)] = 79114,
  [SMALL_STATE(2717)] = 79127,
  [SMALL_STATE(2718)] = 79140,
  [SMALL_STATE(2719)] = 79153,
  [SMALL_STATE(2720)] = 79166,
  [SMALL_STATE(2721)] = 79179,
  [SMALL_STATE(2722)] = 79192,
  [SMALL_STATE(2723)] = 79205,
  [SMALL_STATE(2724)] = 79218,
  [SMALL_STATE(2725)] = 79231,
  [SMALL_STATE(2726)] = 79244,
  [SMALL_STATE(2727)] = 79257,
  [SMALL_STATE(2728)] = 79270,
  [SMALL_STATE(2729)] = 79283,
  [SMALL_STATE(2730)] = 79296,
  [SMALL_STATE(2731)] = 79309,
  [SMALL_STATE(2732)] = 79322,
  [SMALL_STATE(2733)] = 79335,
  [SMALL_STATE(2734)] = 79348,
  [SMALL_STATE(2735)] = 79361,
  [SMALL_STATE(2736)] = 79374,
  [SMALL_STATE(2737)] = 79387,
  [SMALL_STATE(2738)] = 79400,
  [SMALL_STATE(2739)] = 79413,
  [SMALL_STATE(2740)] = 79426,
  [SMALL_STATE(2741)] = 79439,
  [SMALL_STATE(2742)] = 79452,
  [SMALL_STATE(2743)] = 79465,
  [SMALL_STATE(2744)] = 79478,
  [SMALL_STATE(2745)] = 79491,
  [SMALL_STATE(2746)] = 79504,
  [SMALL_STATE(2747)] = 79517,
  [SMALL_STATE(2748)] = 79530,
  [SMALL_STATE(2749)] = 79543,
  [SMALL_STATE(2750)] = 79556,
  [SMALL_STATE(2751)] = 79569,
  [SMALL_STATE(2752)] = 79582,
  [SMALL_STATE(2753)] = 79595,
  [SMALL_STATE(2754)] = 79608,
  [SMALL_STATE(2755)] = 79621,
  [SMALL_STATE(2756)] = 79634,
  [SMALL_STATE(2757)] = 79647,
  [SMALL_STATE(2758)] = 79660,
  [SMALL_STATE(2759)] = 79673,
  [SMALL_STATE(2760)] = 79686,
  [SMALL_STATE(2761)] = 79699,
  [SMALL_STATE(2762)] = 79712,
  [SMALL_STATE(2763)] = 79725,
  [SMALL_STATE(2764)] = 79738,
  [SMALL_STATE(2765)] = 79751,
  [SMALL_STATE(2766)] = 79764,
  [SMALL_STATE(2767)] = 79777,
  [SMALL_STATE(2768)] = 79790,
  [SMALL_STATE(2769)] = 79803,
  [SMALL_STATE(2770)] = 79816,
  [SMALL_STATE(2771)] = 79829,
  [SMALL_STATE(2772)] = 79842,
  [SMALL_STATE(2773)] = 79855,
  [SMALL_STATE(2774)] = 79868,
  [SMALL_STATE(2775)] = 79881,
  [SMALL_STATE(2776)] = 79894,
  [SMALL_STATE(2777)] = 79907,
  [SMALL_STATE(2778)] = 79920,
  [SMALL_STATE(2779)] = 79933,
  [SMALL_STATE(2780)] = 79946,
  [SMALL_STATE(2781)] = 79959,
  [SMALL_STATE(2782)] = 79972,
  [SMALL_STATE(2783)] = 79985,
  [SMALL_STATE(2784)] = 79998,
  [SMALL_STATE(2785)] = 80011,
  [SMALL_STATE(2786)] = 80024,
  [SMALL_STATE(2787)] = 80037,
  [SMALL_STATE(2788)] = 80050,
  [SMALL_STATE(2789)] = 80063,
  [SMALL_STATE(2790)] = 80076,
  [SMALL_STATE(2791)] = 80089,
  [SMALL_STATE(2792)] = 80102,
  [SMALL_STATE(2793)] = 80115,
  [SMALL_STATE(2794)] = 80128,
  [SMALL_STATE(2795)] = 80141,
  [SMALL_STATE(2796)] = 80154,
  [SMALL_STATE(2797)] = 80167,
  [SMALL_STATE(2798)] = 80180,
  [SMALL_STATE(2799)] = 80193,
  [SMALL_STATE(2800)] = 80206,
  [SMALL_STATE(2801)] = 80219,
  [SMALL_STATE(2802)] = 80232,
  [SMALL_STATE(2803)] = 80245,
  [SMALL_STATE(2804)] = 80258,
  [SMALL_STATE(2805)] = 80271,
  [SMALL_STATE(2806)] = 80284,
  [SMALL_STATE(2807)] = 80297,
  [SMALL_STATE(2808)] = 80310,
  [SMALL_STATE(2809)] = 80323,
  [SMALL_STATE(2810)] = 80336,
  [SMALL_STATE(2811)] = 80349,
  [SMALL_STATE(2812)] = 80362,
  [SMALL_STATE(2813)] = 80375,
  [SMALL_STATE(2814)] = 80388,
  [SMALL_STATE(2815)] = 80401,
  [SMALL_STATE(2816)] = 80414,
  [SMALL_STATE(2817)] = 80427,
  [SMALL_STATE(2818)] = 80440,
  [SMALL_STATE(2819)] = 80444,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(495),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1432),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2009),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1794),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1477),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2313),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2805),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2803),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2800),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2799),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [78] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2013),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2788),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2785),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2783),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2334),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2780),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2335),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2337),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2338),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(634),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(739),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2776),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(144),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1194),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2016),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1490),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2806),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2397),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2815),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2768),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(829),
  [966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(981),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2519),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2524),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(108),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2524),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(108),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2524),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 64),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 64),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 106),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 106),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2697),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [1969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [1978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2313),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(125),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2720),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [1992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2247),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1825),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 60),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 54),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 55),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 197),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 161),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 78),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 186),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 185),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 184),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 163),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 114),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 95),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [2806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1666),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [2823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1666),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [3014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [3020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1523),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [3092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [3117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(327),
  [3120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [3123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [3126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [3140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1516),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [3147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(327),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1638),
  [3153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1638),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1757),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 84),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 166),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 85),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(371),
  [3248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1742),
  [3251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1742),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1801),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 188),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 187),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 198),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(405),
  [3274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1738),
  [3277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1738),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1813),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 187),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 164),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 164),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 74),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3307] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3314] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1429),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [3378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [3388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1424),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [3434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [3442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [3604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2794),
  [3607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2364),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [3638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3642] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1425),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [3659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [3670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [3704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2422),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(115),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2422),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(115),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3766] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1429),
  [3772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2072),
  [3777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2073),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [3815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [3818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2710),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [3883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2710),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [3894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1426),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1427),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [3986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2422),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [3993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [3996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [4001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90), SHIFT_REPEAT(2522),
  [4004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1419),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2697),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [4086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2073),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1526),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [4158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [4167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1536),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2280),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2252),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1425),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [4311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [4414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1429),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 136),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 57),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 79),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 67),
  [4524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1967),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1841),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 70),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 71),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(822),
  [4557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 76),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 77),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 136),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [4601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [4606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [4609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 123),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 115),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 109),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2445),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 117),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 122),
  [4727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2445),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 135),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 74),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [4793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2697),
  [4796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 69),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 162),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 58),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 153),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [5295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 99),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [5341] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [5345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
